

/*-- SEQ 0001 --*/
CREATE OR REPLACE FUNCTION verificaversao()
RETURNS integer AS $$
DECLARE
  nVer82 integer;
  cVersao VARCHAR(250);
BEGIN
   select instr(version(),'PostgreSQL 8.2'),substr(version(),1,16) into nVer82, cVersao;
   if nVer82<>1 then 
      RAISE EXCEPTION 'Verso do banco est como % devia ser igual a 8.2', cVersao;
   end if;
   RETURN nVer82;
END;
$$ language 'plpgsql';

select verificaversao();
    
DROP FUNCTION verificaversao();

/*-- SEQ 0002 --*/
alter table TT_lid add DATEXE Timestamp;


/*-- SEQ 0003 --*/
/*-- IGNORE ERRO --*/
CREATE TABLE TL_EQP (CODUSU CHAR(3),
                     FILUSU CHAR(3),
                     FILEQP CHAR(3),
                     SEQEQP CHAR(10),
                     DATOPE Timestamp,
                     MSGLOG VARCHAR(4000))  ;

/*-- SEQ 0004 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_EQP ADD CONSTRAINT FK_LEQP_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_LEQP_USU ON TL_EQP (FILUSU, CODUSU)  ;

/*-- SEQ 0006 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_EQP ALTER COLUMN CODUSU SET NOT NULL;

/*-- SEQ 0007 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_EQP ALTER COLUMN FILUSU SET NOT NULL;

/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_EQP ALTER COLUMN FILEQP SET NOT NULL;

/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_EQP ALTER COLUMN SEQEQP SET NOT NULL;

/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_EQP ALTER COLUMN DATOPE SET NOT NULL;

/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_EQP ALTER COLUMN MSGLOG SET NOT NULL;

/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
CREATE TABLE TT_CCT (FILCTT CHAR(3),
                     SEQCTT CHAR(10),
                     FILMAT CHAR(3),
                     CODMAT CHAR(5),
                     CODCOR Numeric(5),
                     CODTAM Numeric(5))  ;

/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCT ADD CONSTRAINT FK_CCT_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES TT_GRA(FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CCT_GRA ON TT_CCT (FILMAT, CODMAT, CODCOR, CODTAM)  ;

/*-- SEQ 0015 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCT ADD CONSTRAINT FK_CCT_CTT FOREIGN KEY (FILCTT, SEQCTT) REFERENCES TT_CTT(CODFIL, SEQUEN);

/*-- SEQ 0016 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CCT_CTT ON TT_CCT (FILCTT, SEQCTT)  ;

/*-- SEQ 0017 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCT ALTER COLUMN FILCTT SET NOT NULL;

/*-- SEQ 0018 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCT ALTER COLUMN SEQCTT SET NOT NULL;

/*-- SEQ 0019 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCT ALTER COLUMN FILMAT SET NOT NULL;

/*-- SEQ 0020 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCT ALTER COLUMN CODMAT SET NOT NULL;

/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCT ALTER COLUMN CODCOR SET NOT NULL;

/*-- SEQ 0022 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCT ALTER COLUMN CODTAM SET NOT NULL;

/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/
CREATE TABLE TT_TEQ (CODFIL CHAR(3),
                     SEQUEN CHAR(10),
                     FILTEQ CHAR(3),
                     SEQTEQ CHAR(10),
                     TIPATI CHAR(1),
                     IMGEQP VARCHAR(255),
                     FILUSU CHAR(3),
                     CODUSU CHAR(3),
                     DESTIP VARCHAR(15))  ;

/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TEQ ADD CONSTRAINT PK_TEQ PRIMARY KEY (CODFIL, SEQUEN)   ;

/*-- SEQ 0025 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TEQ ADD CONSTRAINT CK_TEQ_TIPATI CHECK (TIPATI IN ('T','F'));

/*-- SEQ 0026 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TEQ ALTER COLUMN CODFIL SET NOT NULL;

/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TEQ ALTER COLUMN SEQUEN SET NOT NULL;

/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TEQ ALTER COLUMN TIPATI SET NOT NULL;

/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TEQ ALTER COLUMN DESTIP SET NOT NULL;

/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TEQ ALTER COLUMN FILUSU SET NOT NULL;

/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TEQ ALTER COLUMN CODUSU SET NOT NULL;

/*-- SEQ 0032 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TEQ ADD CONSTRAINT FK_TEQ_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0033 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_EQP_USU ON TT_TEQ (FILUSU, CODUSU)  ;

/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TEQ ADD CONSTRAINT FK_TEQ_TEQ FOREIGN KEY (FILTEQ, SEQTEQ) REFERENCES TT_TEQ (CODFIL, SEQUEN);

/*-- SEQ 0035 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_TEQ_TEQ ON TT_TEQ (FILTEQ, SEQTEQ)  ;

/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TEQ ADD CONSTRAINT FK_TEQ_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/
CREATE TABLE TT_EQP (CODFIL CHAR(3),
                     SEQUEN CHAR(10),
                     FILTEQ CHAR(3),
                     SEQTEQ CHAR(10),
                     SIGNAT Numeric(5),
                     FILCLI CHAR(3),
                     CODCLI CHAR(6),
                     FILEND CHAR(3),
                     NUMEND Numeric(4),
                     NUMSER VARCHAR(20),
                     DATLIM Timestamp,
                     DESEQP VARCHAR(20),
                     OBSERV VARCHAR(4000),
                     DATAQU Timestamp,
                     FILCTT CHAR(3),
                     SEQCTT CHAR(10),
                     FILEQP CHAR(3),
                     SEQEQP CHAR(10))  ;

/*-- SEQ 0038 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EQP ADD CONSTRAINT PK_EQP PRIMARY KEY (CODFIL, SEQUEN)   ;

/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EQP ADD CONSTRAINT FK_EQP_EQP FOREIGN KEY (FILEQP, SEQEQP) REFERENCES TT_EQP (CODFIL, SEQUEN);

/*-- SEQ 0040 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_EQP_EQP ON TT_EQP (FILEQP, SEQEQP)  ;

/*-- SEQ 0041 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EQP ADD CONSTRAINT FK_EQP_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EQP ADD CONSTRAINT FK_EQP_END FOREIGN KEY (FILCLI, CODCLI, FILEND, NUMEND) REFERENCES TT_END (FILCLI, CODCLI,CODFIL, NUMEND);

/*-- SEQ 0043 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_EQP_END ON TT_EQP (FILCLI, CODCLI,FILEND,NUMEND)  ;


/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EQP ADD CONSTRAINT FK_EQP_TEQ FOREIGN KEY (FILTEQ,SEQTEQ) REFERENCES TT_TEQ (CODFIL, SEQUEN);

/*-- SEQ 0045 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_EQP_TEQ ON TT_EQP (FILTEQ, SEQTEQ)  ;

/*-- SEQ 0046 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EQP ALTER COLUMN CODFIL SET NOT NULL;

/*-- SEQ 0047 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EQP ALTER COLUMN SEQUEN SET NOT NULL;

/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EQP ALTER COLUMN FILTEQ SET NOT NULL;

/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EQP ALTER COLUMN SEQTEQ SET NOT NULL;

/*-- SEQ 0050 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EQP ALTER COLUMN FILCLI SET NOT NULL;

/*-- SEQ 0051 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EQP ALTER COLUMN CODCLI SET NOT NULL;

/*-- SEQ 0052 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EQP ALTER COLUMN FILEND SET NOT NULL;

/*-- SEQ 0053 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EQP ALTER COLUMN NUMEND SET NOT NULL;

/*-- SEQ 0054 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EQP ALTER COLUMN DESEQP SET NOT NULL;

/*-- SEQ 0055 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EQP ALTER COLUMN SIGNAT SET NOT NULL;

/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EQP ALTER COLUMN SIGNAT SET DEFAULT 0;

/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_EQP ADD CONSTRAINT FK_LEQP_EQP FOREIGN KEY (FILEQP, SEQEQP) REFERENCES TT_EQP (CODFIL, SEQUEN);

/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_LEQP_EQP ON TL_EQP (FILEQP, SEQEQP)  ;

/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD FILEQP CHAR(3);

/*-- SEQ 0060 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD SEQEQP CHAR(10);

/*-- SEQ 0061 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD OBSERV VARCHAR(4000);

/*-- SEQ 0062 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_WOR ADD FILPED CHAR(3);

/*-- SEQ 0063 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_WOR ADD TIPPED CHAR(1);

/*-- SEQ 0064 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_WOR ADD NUMPED CHAR(8);

/*-- SEQ 0065 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_WOR ADD ITEPED Numeric(5);

/*-- SEQ 0066 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_WOR ADD CONSTRAINT FK_WOR_IOR FOREIGN KEY (FILPED, TIPPED, NUMPED, ITEPED) REFERENCES TT_IOR (CODFIL, TIPPED, NUMPED, NUMITE);

/*-- SEQ 0067 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_WOR_IOR ON TT_WOR (FILPED, TIPPED, NUMPED, ITEPED)  ;

/*-- SEQ 0068 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD CONSTRAINT FK_IOR_EQP FOREIGN KEY (FILEQP, SEQEQP) REFERENCES TT_EQP (CODFIL, SEQUEN);

/*-- SEQ 0069 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IOR_EQP ON TT_IOR (FILEQP, SEQEQP)  ;

/*-- SEQ 0070 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PRO ADD FLGSER CHAR(1);

/*-- SEQ 0071 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ICT ADD FILEQP CHAR(3);

/*-- SEQ 0072 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ICT ADD SEQEQP CHAR(10);

/*-- SEQ 0073 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ICT ADD CONSTRAINT FK_ICT_EQP FOREIGN KEY (FILEQP,SEQEQP) REFERENCES TT_EQP (CODFIL, SEQUEN);

/*-- SEQ 0074 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_ICT_EQP ON TT_ICT (FILEQP, SEQEQP)  ;

/*-- SEQ 0075 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SUP ADD FILORC CHAR(3);

/*-- SEQ 0076 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SUP ADD TIPORC CHAR(1);

/*-- SEQ 0077 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SUP ADD NUMORC CHAR(8);

/*-- SEQ 0078 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SUP ADD CONSTRAINT FK_SUP_ORC FOREIGN KEY (FILORC, TIPORC, NUMORC) REFERENCES TT_ORC (CODFIL, TIPPED, NUMPED);

/*-- SEQ 0079 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_SUP_ORC ON TT_SUP (FILORC, TIPORC, NUMORC)  ;


/*-- SEQ 0080 --*/
/*-- IGNORE ERRO --*/
CREATE SEQUENCE SQTEQ INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0081 --*/
/*-- IGNORE ERRO --*/
CREATE SEQUENCE SQEQP INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0082 --*/
ALTER TABLE TT_TEQ DROP COLUMN IMGEQP CASCADE;

/*-- SEQ 0083 --*/
ALTER TABLE TT_TEQ ADD IMGEQP NUMERIC(5,0);

/*-- SEQ 0084 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD FILORI CHAR(3);

/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD TIPORI CHAR(1);

/*-- SEQ 0086 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD NUMORI CHAR(8);

/*-- SEQ 0087 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD ITEORI Numeric(5);

/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD CONSTRAINT FK_IOR_IOR FOREIGN KEY (FILORI, TIPORI, NUMORI, ITEORI) REFERENCES TT_IOR (CODFIL, TIPPED, NUMPED, NUMITE);

/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_IOR_IOR ON TT_IOR (FILORI, TIPORI, NUMORI, ITEORI)  ;

/*-- SEQ 0090 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCT ADD CONSTRAINT AK_CCT_COBERTURA UNIQUE (FILMAT, CODMAT, CODCOR, CODTAM, FILCTT, SEQCTT)   ;

/*-- SEQ 0091 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ICT DROP CONSTRAINT AK_ICT_GRA_CTT;

/*-- SEQ 0092 --*/
/*-- IGNORE ERRO --*/
CREATE UNIQUE INDEX I_UQ_ICT_ITEM ON TT_ICT (CODFIL, SEQUEN, FILMAT, CODMAT, CODCOR, CODTAM, FILEQP, SEQEQP)  ;

/*-- SEQ 0093 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCC ADD FILPED CHAR(3);

/*-- SEQ 0094 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCC ADD TIPPED CHAR(1);

/*-- SEQ 0095 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCC ADD NUMPED CHAR(8);

/*-- SEQ 0096 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCC ADD ITEPED Numeric(5);

/*-- SEQ 0097 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCC drop CONSTRAINT FK_CCC_IOR;

/*-- SEQ 0098 --*/
/*-- IGNORE ERRO --*/
drop INDEX I_FK_CCC_IOR;


/*-- SEQ 0099 --*/
ALTER TABLE TT_CCC ADD CONSTRAINT FK_CCC_IOR FOREIGN KEY (FILPED, TIPPED, NUMPED, ITEPED) REFERENCES TT_IOR (CODFIL, TIPPED, NUMPED, NUMITE);

/*-- SEQ 0100 --*/
CREATE INDEX I_FK_CCC_IOR ON TT_CCC (FILPED, TIPPED, NUMPED, ITEPED)  ;


/*-- SEQ 0101 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD TIPPGT CHAR(1);


/*-- SEQ 0102 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCT ADD NUMITE Numeric(5);


/*-- SEQ 0103 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CCT ALTER COLUMN NUMITE SET NOT NULL;

/*-- SEQ 0104 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0105 --*/
UPDATE TT_CLI SET CODPLA = NULL WHERE FILPLA IS NULL;


/*-- SEQ 0106 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0107 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_FLW DROP CONSTRAINT CK_FLW_TIPADO;

/*-- SEQ 0108 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_FLW DROP CONSTRAINT CK_FLW_TIPAVA;

/*-- SEQ 0109 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_FLW ADD CONSTRAINT CK_FLW_TIPADO CHECK (TIPADO BETWEEN 0 AND 5);

/*-- SEQ 0110 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_FLW ADD CONSTRAINT CK_FLW_TIPAVA CHECK (TIPAVA BETWEEN 0 AND 5);

/*-- SEQ 0111 --*/
/*-- IGNORE ERRO --*/
DELETE FROM TT_FLW WHERE CODFIL = '001' AND SITORI = '9' AND SITDES = '3' AND TIPAVA = '0' AND TIPADO = '0';

/*-- SEQ 0112 --*/
/*-- IGNORE ERRO --*/
INSERT INTO TT_FLW (CODFIL, SITORI, SITDES, TIPAVA, TIPADO) VALUES ('001','9','3','0','0');

/*-- SEQ 0113 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EQP ADD FILMAR CHAR(3);

/*-- SEQ 0114 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EQP ADD CODMAR CHAR(6);

/*-- SEQ 0115 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EQP ADD ITEMAR Numeric(4);

/*-- SEQ 0116 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EQP 
  ADD CONSTRAINT FK_EQP_MAR FOREIGN KEY (FILMAR,CODMAR,ITEMAR)
  REFERENCES TT_MAR (FILMAR,CODMAR,ITEMAR);

/*-- SEQ 0117 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EQP ADD LOCALI VARCHAR(10);

/*-- SEQ 0118 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TEQ ALTER COLUMN FILUSU DROP NOT NULL;

/*-- SEQ 0119 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TEQ ALTER COLUMN CODUSU DROP NOT NULL;

/*-- SEQ 0120 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD OBRIG_ICMS_PED VARCHAR(1);

/*-- SEQ 0121 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_OBRIG_ICMS_PED CHECK (SUP_APROVA_RESTRICAO IN ('T','F'));

/*-- SEQ 0122 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ALTER COLUMN OBRIG_ICMS_PED SET DEFAULT 'F';

/*-- SEQ 0123 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0124 --*/
UPDATE TT_CFG SET OBRIG_ICMS_PED = 'F' WHERE OBRIG_ICMS_PED IS NULL;

/*-- SEQ 0125 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0126 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ALTER COLUMN OBRIG_ICMS_PED SET NOT NULL;

/*-- SEQ 0127 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD OBRIG_ICMS_PED VARCHAR(1);

/*-- SEQ 0128 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CONSTRAINT CK_WCFG_OBRIG_ICMS_PED CHECK (SUP_APROVA_RESTRICAO IN ('T','F'));

/*-- SEQ 0129 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ALTER COLUMN OBRIG_ICMS_PED SET DEFAULT 'T';

/*-- SEQ 0130 --*/
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0131 --*/
UPDATE TT_USU
   SET PERMIS = SUBSTR(PERMIS,1,214)||'S'||SUBSTR(PERMIS,216,85);

/*-- SEQ 0132 --*/
SELECT ENABLETRIGGERS(LOWER('TT_USU'));


/*-- SEQ 0133 --*/
ALTER TABLE TT_CFG DROP COLUMN CHEQUE_PAGA_PARCELA CASCADE;

/*-- SEQ 0134 --*/
ALTER TABLE TW_CFG DROP COLUMN CHEQUE_PAGA_PARCELA CASCADE;


/*-- SEQ 0135 --*/
ALTER TABLE TT_FIN ADD ORILAN CHAR(1);

/*-- SEQ 0136 --*/
ALTER TABLE TT_FIN ADD CONSTRAINT CK_FIN_ORILAN CHECK (ORILAN IN ('B','C','I'));

/*-- SEQ 0137 --*/
/*-- IGNORE ERRO --*/
INSERT INTO TT_FUN (NOMFUN, DATFUN) VALUES ('FIN_ORILAN',AGORA());





/*-- SEQ 0138 --*/
ALTER TABLE TT_ICO ADD ICMTIP CHAR(1);

/*-- SEQ 0139 --*/
ALTER TABLE TW_ICO_FIS ADD ICMTIP CHAR(1);

/*-- SEQ 0140 --*/
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_ICMTIP CHECK (ICMTIP IN ('0','1','2','3','4'));

/*-- SEQ 0141 --*/
SELECT DISABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0142 --*/
UPDATE TT_ICO SET ICMTIP = '3'
 WHERE PROSUB = 'T';

/*-- SEQ 0143 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ICO'));

/*-- SEQ 0144 --*/
ALTER TABLE TT_ICO DROP COLUMN PROSUB CASCADE;

/*-- SEQ 0145 --*/
ALTER TABLE TW_ICO_FIS DROP COLUMN PROSUB CASCADE;


/*-- SEQ 0146 --*/
/*-- IGNORE ERRO --*/
CREATE TABLE TT_UID (CODUID Numeric,
                     USEROS VARCHAR(30),
                     DATOPE Timestamp,
                     NOMMAQ VARCHAR(30),
                     VERBAS Numeric(5),
                     VERSIS VARCHAR(10),
                     NOMSIS VARCHAR(30),
                     SESSION_ID Numeric(10))  ;

/*-- SEQ 0147 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_UID ADD CONSTRAINT PK_UID PRIMARY KEY (CODUID)   ;

/*-- SEQ 0148 --*/
/*-- IGNORE ERRO --*/
CREATE SEQUENCE SQUID INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0149 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_CCC ADD CODUID Numeric;

/*-- SEQ 0150 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_CHR ADD CODUID Numeric;

/*-- SEQ 0151 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_CLI ADD CODUID Numeric;

/*-- SEQ 0152 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_CRT ADD CODUID Numeric;

/*-- SEQ 0153 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_CTT ADD CODUID Numeric;

/*-- SEQ 0154 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_DOP ADD CODUID Numeric;

/*-- SEQ 0155 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_ECF ADD CODUID Numeric;

/*-- SEQ 0156 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_EQP ADD CODUID Numeric;

/*-- SEQ 0157 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_GRA ADD CODUID Numeric;

/*-- SEQ 0158 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_IRO ADD CODUID Numeric;

/*-- SEQ 0159 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_LCF ADD CODUID Numeric;

/*-- SEQ 0160 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_MON ADD CODUID Numeric;

/*-- SEQ 0161 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_ORC ADD CODUID Numeric;

/*-- SEQ 0162 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_PRE ADD CODUID Numeric;

/*-- SEQ 0163 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_PRJ ADD CODUID Numeric;

/*-- SEQ 0164 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_PRO ADD CODUID Numeric;

/*-- SEQ 0165 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_RAT ADD CODUID Numeric;

/*-- SEQ 0166 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_RCP ADD CODUID Numeric;

/*-- SEQ 0167 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_REG ADD CODUID Numeric;

/*-- SEQ 0168 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_SUP ADD CODUID Numeric;

/*-- SEQ 0169 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_TEF ADD CODUID Numeric;

/*-- SEQ 0170 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_VEN ADD CODUID Numeric;

/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_WOR ADD CODUID Numeric;

/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_CCC ADD CONSTRAINT FK_CCC_UID FOREIGN KEY (CODUID) REFERENCES TT_UID;

/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_CHR ADD CONSTRAINT FK_CHR_UID FOREIGN KEY (CODUID) REFERENCES TT_UID;

/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_CLI ADD CONSTRAINT FK_CLI_UID FOREIGN KEY (CODUID) REFERENCES TT_UID;

/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_CRT ADD CONSTRAINT FK_CRT_UID FOREIGN KEY (CODUID) REFERENCES TT_UID;

/*-- SEQ 0176 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_CTT ADD CONSTRAINT FK_CTT_UID FOREIGN KEY (CODUID) REFERENCES TT_UID;

/*-- SEQ 0177 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_DOP ADD CONSTRAINT FK_DOP_UID FOREIGN KEY (CODUID) REFERENCES TT_UID;

/*-- SEQ 0178 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_ECF ADD CONSTRAINT FK_ECF_UID FOREIGN KEY (CODUID) REFERENCES TT_UID;

/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_EQP ADD CONSTRAINT FK_EQP_UID FOREIGN KEY (CODUID) REFERENCES TT_UID;

/*-- SEQ 0180 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_GRA ADD CONSTRAINT FK_GRA_UID FOREIGN KEY (CODUID) REFERENCES TT_UID;

/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_IRO ADD CONSTRAINT FK_IRO_UID FOREIGN KEY (CODUID) REFERENCES TT_UID;

/*-- SEQ 0182 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_LCF ADD CONSTRAINT FK_LCF_UID FOREIGN KEY (CODUID) REFERENCES TT_UID;

/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_MON ADD CONSTRAINT FK_MON_UID FOREIGN KEY (CODUID) REFERENCES TT_UID;

/*-- SEQ 0184 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_ORC ADD CONSTRAINT FK_ORC_UID FOREIGN KEY (CODUID) REFERENCES TT_UID;

/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_PRE ADD CONSTRAINT FK_PRE_UID FOREIGN KEY (CODUID) REFERENCES TT_UID;

/*-- SEQ 0186 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_PRJ ADD CONSTRAINT FK_PRJ_UID FOREIGN KEY (CODUID) REFERENCES TT_UID;

/*-- SEQ 0187 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_PRO ADD CONSTRAINT FK_PRO_UID FOREIGN KEY (CODUID) REFERENCES TT_UID;

/*-- SEQ 0188 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_RAT ADD CONSTRAINT FK_RAT_UID FOREIGN KEY (CODUID) REFERENCES TT_UID;

/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_RCP ADD CONSTRAINT FK_RCP_UID FOREIGN KEY (CODUID) REFERENCES TT_UID;

/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_REG ADD CONSTRAINT FK_REG_UID FOREIGN KEY (CODUID) REFERENCES TT_UID;

/*-- SEQ 0191 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_SUP ADD CONSTRAINT FK_SUP_UID FOREIGN KEY (CODUID) REFERENCES TT_UID;

/*-- SEQ 0192 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_TEF ADD CONSTRAINT FK_TEF_UID FOREIGN KEY (CODUID) REFERENCES TT_UID;

/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_VEN ADD CONSTRAINT FK_VEN_UID FOREIGN KEY (CODUID) REFERENCES TT_UID;

/*-- SEQ 0194 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_WOR ADD CONSTRAINT FK_WOR_UID FOREIGN KEY (CODUID) REFERENCES TT_UID;







/*-- SEQ 0195 --*/
ALTER TABLE TR_CTA DROP CONSTRAINT fk_rcta_cta;

/*-- SEQ 0196 --*/
ALTER TABLE TR_CTA ADD CONSTRAINT fk_rcta_cta FOREIGN KEY (filcta, seqcta, tipcta) REFERENCES tt_cta(codfil, sequen, tipcta) ON DELETE CASCADE;


/*-- SEQ 0197 --*/
SELECT DISABLETRIGGERS(LOWER('TT_REC'));


/*-- SEQ 0198 --*/
UPDATE TT_REC SET PAGAME = NULL,
                  DATFIS = NULL
WHERE PAGAME IS NOT NULL
  AND FLGEST = 'A'
  AND SEQCHE IS NULL 
  AND CARTAO IS NULL;

/*-- SEQ 0199 --*/
SELECT ENABLETRIGGERS(LOWER('TT_REC'));


/*-- SEQ 0200 --*/
/*-- IGNORE ERRO --*/
alter table TT_REC
  add constraint CK_REC_REGRA
  check (((PAGAME IS NOT NULL AND 
           (FLGEST <> 'A' OR SEQCHE IS NOT NULL OR CARTAO IS NOT NULL)
          ) OR 
          (PAGAME IS NULL)
         ));


/*-- SEQ 0201 --*/
/*-- IGNORE ERRO --*/
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,235)||'N'||SUBSTR(PERMIS,237,9999);


/*-- SEQ 0202 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0203 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_getnet () CASCADE;

/*-- SEQ 0204 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_getnet ()
RETURNS VARCHAR AS '
DECLARE

  cCODTAB TD_FIL.CODTAB%TYPE;
  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''Recarga de Celular'',''G'',''O'',''G''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;

  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''GETNET'' AS CFGCOL, ''O'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0205 --*/
/*-- IGNORE ERRO --*/
select temp_cria_conta_getnet() from dual;


/*-- SEQ 0206 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0207 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0208 --*/
UPDATE TT_CFG
   SET CHECKOUT_VERMIN = '4.6k',
       CHECKOUT_RELMIN = 0;

/*-- SEQ 0209 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));



/*-- SEQ 0210 --*/
/*-- IGNORE ERRO --*/
alter table tt_ven add avista char(1);
 
/*-- SEQ 0211 --*/   
SELECT DISABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0212 --*/   
UPDATE TT_VEN 
SET AVISTA=(SELECT CASE WHEN SUM(CASE WHEN REC.FLGEST='A' AND CARTAO IS NULL AND SEQCHE IS NULL THEN 1 ELSE 0 END)>0 THEN 'F'
                        WHEN SUM(CASE WHEN REC.DATFIS<>TT_VEN.DATFIS THEN 1 ELSE 0 END)>0 THEN 'F'
                   ELSE 'T'
                   END
              FROM TT_REC REC 
             WHERE REC.CODFIL=TT_VEN.CODFIL AND REC.SEQUEN=TT_VEN.SEQUEN               
           )     
WHERE AVISTA IS NULL;

/*-- SEQ 0213 --*/
SELECT ENABLETRIGGERS(LOWER('TT_VEN'));

/*-- SEQ 0214 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN ALTER COLUMN AVISTA SET NOT NULL;

/*-- SEQ 0215 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN ALTER COLUMN AVISTA SET DEFAULT 'T';


/*-- SEQ 0216 --*/
CREATE TABLE TT_ITF (
CODFIL CHAR(3),
SEQUEN CHAR(10),
NUMITE Numeric(5),
VLRITE Numeric(14,2),
VLRTAX Numeric(14,2),
FLGEST CHAR(1),
FILUSU CHAR(3), 
CODUSU CHAR(3), 
DATVEN Timestamp,
DATPGT Timestamp, 
ATU_EM Timestamp)  ;



/*-- SEQ 0217 --*/
ALTER TABLE TT_ITF ADD CONSTRAINT PK_ITF PRIMARY KEY (CODFIL,SEQUEN,NUMITE)   ;

/*-- SEQ 0218 --*/
ALTER TABLE TT_ITF ADD CONSTRAINT FK_ITF_TEF FOREIGN KEY (CODFIL,SEQUEN) REFERENCES TT_TEF (CODFIL,SEQUEN);

/*-- SEQ 0219 --*/
CREATE INDEX I_FK_ITF_TEF ON TT_ITF (CODFIL,SEQUEN)  ;

/*-- SEQ 0220 --*/
ALTER TABLE TT_ITF ALTER COLUMN VLRITE SET NOT NULL;

/*-- SEQ 0221 --*/
ALTER TABLE TT_ITF ALTER COLUMN VLRTAX SET NOT NULL;

/*-- SEQ 0222 --*/
ALTER TABLE TT_ITF ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0223 --*/
ALTER TABLE TT_ITF ALTER COLUMN FLGEST SET DEFAULT 'A';

/*-- SEQ 0224 --*/
ALTER TABLE TT_ITF ADD CONSTRAINT CK_ITF_FLGEST CHECK (FLGEST IN ('A','P','C'));

/*-- SEQ 0225 --*/
ALTER TABLE TT_ITF ADD CONSTRAINT FK_ITF_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0226 --*/
ALTER TABLE TT_ITF ALTER COLUMN DATVEN SET NOT NULL;

/*-- SEQ 0227 --*/
ALTER TABLE TT_ITF ALTER COLUMN ATU_EM SET NOT NULL;


/*-- SEQ 0228 --*/
insert into tt_itf (
  select codfil, sequen, '1' as numite, vlrope, vlrtax, flgest, filusu, codusu, prxven, 
         case when flgest = 'P'  then prxven else null end, agora()
    from tt_tef 
   where (codfil, sequen) not in (select codfil,sequen from tt_itf)  );

/*-- SEQ 0229 --*/
ALTER TABLE TT_TEF DROP COLUMN QTDPAR CASCADE;

/*-- SEQ 0230 --*/
ALTER TABLE TT_TEF DROP COLUMN QTDPGT CASCADE;

/*-- SEQ 0231 --*/
ALTER TABLE TT_TEF DROP COLUMN VLRTAX CASCADE;

/*-- SEQ 0232 --*/
ALTER TABLE TT_TEF DROP COLUMN PRXVEN CASCADE;

/*-- SEQ 0233 --*/
ALTER TABLE TT_TEF DROP COLUMN FLGEST CASCADE;
 
/*-- SEQ 0234 --*/
ALTER TABLE TT_TEF DROP COLUMN CARENC CASCADE;

/*-- SEQ 0235 --*/
SELECT DISABLETRIGGERS(LOWER('TR_FIN'));

/*-- SEQ 0236 --*/
UPDATE TR_FIN SET NUMPAR='1'
WHERE ORIGEM='TEF'
AND NUMPAR='--';

/*-- SEQ 0237 --*/
SELECT ENABLETRIGGERS(LOWER('TR_FIN'));


/*-- SEQ 0238 --*/
ALTER TABLE TT_ORC ADD FILGUI CHAR(3);

/*-- SEQ 0239 --*/
ALTER TABLE TT_ORC ADD CODGUI CHAR(6);

/*-- SEQ 0240 --*/
ALTER TABLE TT_ORC ADD CONSTRAINT FK_ORC_GUI FOREIGN KEY (FILGUI,CODGUI) REFERENCES TT_CLI (FILCLI,CODCLI);

/*-- SEQ 0241 --*/
ALTER TABLE TT_CLI ADD FILGUI CHAR(3);

/*-- SEQ 0242 --*/
ALTER TABLE TT_CLI ADD CODGUI CHAR(6);

/*-- SEQ 0243 --*/
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_GUI FOREIGN KEY (FILGUI,CODGUI) REFERENCES TT_CLI (FILCLI,CODCLI);


/*-- SEQ 0244 --*/
ALTER TABLE TI_USU ALTER COLUMN SENHA1 DROP NOT NULL;

/*-- SEQ 0245 --*/
ALTER TABLE TI_USU ALTER COLUMN SENHA2 DROP NOT NULL;

/*-- SEQ 0246 --*/
ALTER TABLE TI_SAL ADD FILMAT CHAR(3);

/*-- SEQ 0247 --*/
ALTER TABLE TI_SAL ADD CODMAT CHAR(5);

/*-- SEQ 0248 --*/
ALTER TABLE TI_VEN ADD CLIENTE CHAR(9);

/*-- SEQ 0249 --*/
ALTER TABLE TI_COM ADD CLIENTE CHAR(9);

/*-- SEQ 0250 --*/
ALTER TABLE TI_COM ADD USUARIO CHAR(6);



/*-- SEQ 0251 --*/
SELECT DISABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0252 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION ACERTA_TRANSFERENCIA_KITS () CASCADE;

/*-- SEQ 0253 --*/
CREATE OR REPLACE FUNCTION ACERTA_TRANSFERENCIA_KITS ()
RETURNS VARCHAR AS '
DECLARE

WK_EXISTE Numeric(10);
BEGIN
      SELECT COUNT(*)
        INTO WK_EXISTE
        FROM TT_TRA TRA INNER JOIN TT_IVE IVE ON IVE.CODFIL=TRA.FILIVE AND IVE.SEQUEN=TRA.SEQIVE AND IVE.NUMITE=TRA.NUMIVE
                        INNER JOIN TT_ICO ICO ON ICO.CODFIL=TRA.FILICO AND ICO.SEQUEN=TRA.SEQICO AND ICO.NUMITE=TRA.NUMICO
       WHERE IVE.SITKIT = 1;
      
       IF WK_EXISTE > 0 THEN
                UPDATE TT_ICO SET SITMOV = ''C''
                 WHERE (CODFIL, SEQUEN, NUMITE) IN (SELECT TRA.FILICO,TRA.SEQICO,TRA.NUMICO
                                                      FROM TT_TRA TRA INNER JOIN TT_IVE IVE ON IVE.CODFIL=TRA.FILIVE AND IVE.SEQUEN=TRA.SEQIVE AND IVE.NUMITE=TRA.NUMIVE
                                                                      INNER JOIN TT_ICO ICO ON ICO.CODFIL=TRA.FILICO AND ICO.SEQUEN=TRA.SEQICO AND ICO.NUMITE=TRA.NUMICO
                                                     WHERE IVE.SITKIT = 1
                                                       AND ICO.SITMOV <> ''C'');


                                
                UPDATE TT_COM SET QTDTOT = (SELECT SUM(IC2.QTDMOV)
                                              FROM TT_ICO IC2
                                             WHERE (CODFIL,SEQUEN) IN (SELECT ICO.CODFIL, ICO.SEQUEN
                                                                         FROM TT_TRA TRA INNER JOIN TT_IVE IVE ON IVE.CODFIL=TRA.FILIVE AND IVE.SEQUEN=TRA.SEQIVE AND IVE.NUMITE=TRA.NUMIVE
                                                                                         INNER JOIN TT_ICO ICO ON ICO.CODFIL=TRA.FILICO AND ICO.SEQUEN=TRA.SEQICO AND ICO.NUMITE=TRA.NUMICO
                                                                        where IVE.SITKIT = 1)
                                               AND IC2.SITMOV <> ''C''),
                                  VLRLIQ = (SELECT SUM(IC2.VLRMOV)
                                              FROM TT_ICO IC2
                                             WHERE (CODFIL,SEQUEN) IN (SELECT ICO.CODFIL, ICO.SEQUEN
                                                                         FROM TT_TRA TRA INNER JOIN TT_IVE IVE ON IVE.CODFIL=TRA.FILIVE AND IVE.SEQUEN=TRA.SEQIVE AND IVE.NUMITE=TRA.NUMIVE
                                                                                         INNER JOIN TT_ICO ICO ON ICO.CODFIL=TRA.FILICO AND ICO.SEQUEN=TRA.SEQICO AND ICO.NUMITE=TRA.NUMICO
                                                                        where IVE.SITKIT = 1)
                                               AND IC2.SITMOV <> ''C''),
                                  VLRTOT = (SELECT SUM(IC2.VLRMOV)
                                              FROM TT_ICO IC2
                                             WHERE (CODFIL,SEQUEN) IN (SELECT ICO.CODFIL, ICO.SEQUEN
                                                                         FROM TT_TRA TRA INNER JOIN TT_IVE IVE ON IVE.CODFIL=TRA.FILIVE AND IVE.SEQUEN=TRA.SEQIVE AND IVE.NUMITE=TRA.NUMIVE
                                                                                         INNER JOIN TT_ICO ICO ON ICO.CODFIL=TRA.FILICO AND ICO.SEQUEN=TRA.SEQICO AND ICO.NUMITE=TRA.NUMICO
                                                                        where IVE.SITKIT = 1)
                                               AND IC2.SITMOV <> ''C'')
                WHERE (CODFIL, SEQUEN) IN (SELECT IC2.CODFIL, IC2.SEQUEN
                                              FROM TT_ICO IC2
                                             WHERE (CODFIL,SEQUEN) IN (SELECT ICO.CODFIL, ICO.SEQUEN
                                                                         FROM TT_TRA TRA INNER JOIN TT_IVE IVE ON IVE.CODFIL=TRA.FILIVE AND IVE.SEQUEN=TRA.SEQIVE AND IVE.NUMITE=TRA.NUMIVE
                                                                                         INNER JOIN TT_ICO ICO ON ICO.CODFIL=TRA.FILICO AND ICO.SEQUEN=TRA.SEQICO AND ICO.NUMITE=TRA.NUMICO
                                                                        where IVE.SITKIT = 1)
                                               AND IC2.SITMOV <> ''C'');
                                DELETE FROM TT_TRA
                 WHERE (FILIVE,SEQIVE,NUMIVE) IN (SELECT TRA.FILIVE,TRA.SEQIVE,TRA.NUMIVE
                                                    FROM TT_TRA TRA INNER JOIN TT_IVE IVE ON IVE.CODFIL=TRA.FILIVE AND IVE.SEQUEN=TRA.SEQIVE AND IVE.NUMITE=TRA.NUMIVE
                                                   where IVE.SITKIT = 1);
       END IF;
  RETURN NULL;

END;
' language 'plpgsql';

/*-- SEQ 0254 --*/
SELECT ACERTA_TRANSFERENCIA_KITS();

/*-- SEQ 0255 --*/
SELECT ENABLETRIGGERS(LOWER('TT_COM'));





/*-- SEQ 0256 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION TGTEF1() CASCADE;


/*-- SEQ 0257 --*/
SELECT DISABLETRIGGERS(LOWER('tt_job'));

/*-- SEQ 0258 --*/
/*-- IGNORE ERRO --*/
delete from tt_job where nomjob = 'CRIATRFIN';

/*-- SEQ 0259 --*/
SELECT ENABLETRIGGERS(LOWER('tt_job'));


/*-- SEQ 0260 --*/
SELECT DISABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0261 --*/
update tt_rec set portad=0 where portad is null;

/*-- SEQ 0262 --*/
SELECT ENABLETRIGGERS(LOWER('TT_REC'));

/*-- SEQ 0263 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_REC ALTER COLUMN PORTAD SET NOT NULL;

/*-- SEQ 0264 --*/
alter table tl_fin drop constraint ck_lfin_motinc;

/*-- SEQ 0265 --*/
alter table tl_fin add constraint ck_lfin_motinc check (motinc in ('+','D','L','V','F'));


/*-- SEQ 0266 --*/
ALTER TABLE TT_ITF DROP CONSTRAINT CK_ITF_FLGEST;

/*-- SEQ 0267 --*/
ALTER TABLE TT_ITF ADD CONSTRAINT CK_ITF_FLGEST CHECK (FLGEST IN ('A','P','C'));


/*-- SEQ 0268 --*/
alter table ti_usu add CSENHA VARCHAR(32);

/*-- SEQ 0269 --*/
ALTER TABLE TI_USU ALTER COLUMN SENHA1 DROP NOT NULL;

/*-- SEQ 0270 --*/
ALTER TABLE TI_USU ALTER COLUMN SENHA2 DROP NOT NULL;


/*-- SEQ 0271 --*/
SELECT ExecAlteraTipoColuna('tt_fin','OBSERV','VARCHAR(4000)');


