
/*-- SEQ 0001 --*/
ALTER TABLE TT_INV DROP CONSTRAINT CK_INV_FLGEST;

/*-- SEQ 0002 --*/
ALTER TABLE TT_INV ADD CONSTRAINT CK_INV_FLGEST CHECK (FLGEST IN ('A','E','C'));

/*-- SEQ 0003 --*/
ALTER TABLE TT_INV DROP CONSTRAINT CK_INV_CODENC;

/*-- SEQ 0004 --*/
ALTER TABLE TT_INV ADD CONSTRAINT CK_INV_CODENC CHECK ((CODENC IS NULL AND FLGEST <> 'E') OR 
                                                       (CODENC IS NOT NULL AND FLGEST = 'E'));
/*-- SEQ 0005 --*/
ALTER TABLE TT_INV DROP CONSTRAINT CK_INV_DATENC;

/*-- SEQ 0006 --*/
ALTER TABLE TT_INV ADD CONSTRAINT CK_INV_DATENC CHECK ((DATENC IS NULL AND FLGEST <> 'E') OR 
                                                       (DATENC IS NOT NULL AND FLGEST = 'E'));
/*-- SEQ 0007 --*/
ALTER TABLE TT_INV DROP CONSTRAINT CK_INV_FILENC;

/*-- SEQ 0008 --*/
ALTER TABLE TT_INV ADD CONSTRAINT CK_INV_FILENC CHECK ((FILENC IS NULL AND FLGEST <> 'E') OR 
                                                       (FILENC IS NOT NULL AND FLGEST = 'E'));


/*-- SEQ 0009 --*/
ALTER TABLE TT_LIB ADD VERFIM Numeric(3,1);

/*-- SEQ 0010 --*/
SELECT DISABLETRIGGERS(LOWER('TT_LIB'));

/*-- SEQ 0011 --*/
UPDATE TT_LIB SET VERFIM=VERSAO
WHERE VERFIM IS NULL;
    
/*-- SEQ 0012 --*/
SELECT ENABLETRIGGERS(LOWER('TT_LIB'));


/*-- SEQ 0013 --*/
ALTER TABLE TD_FIL ADD TESFIL CHAR(03);

/*-- SEQ 0014 --*/
ALTER TABLE TD_FIL ADD TESSEQ CHAR(10);

/*-- SEQ 0015 --*/
ALTER TABLE TD_FIL ADD TESTIP CHAR(01);

/*-- SEQ 0016 --*/
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_CTA FOREIGN KEY 
   (TESFIL,TESSEQ,TESTIP) REFERENCES TT_CTA (CODFIL, SEQUEN, TIPCTA);

/*-- SEQ 0017 --*/
ALTER TABLE TD_ECF DROP CONSTRAINT FK_DECF_CTA_DIFERENCA;

/*-- SEQ 0018 --*/
ALTER TABLE TD_ECF DROP CONSTRAINT FK_DECF_CTA_ABERTURA;

/*-- SEQ 0019 --*/
ALTER TABLE TD_ECF DROP CONSTRAINT FK_DECF_CTA_FECHAMENTO;

/*-- SEQ 0020 --*/
ALTER TABLE TD_ECF DROP CONSTRAINT FK_DECF_CTA_TROCA;

/*-- SEQ 0021 --*/
ALTER TABLE TD_ECF DROP COLUMN FILDIF CASCADE;

/*-- SEQ 0022 --*/
ALTER TABLE TD_ECF DROP COLUMN SEQDIF CASCADE;

/*-- SEQ 0023 --*/
ALTER TABLE TD_ECF DROP COLUMN TIPDIF CASCADE;

/*-- SEQ 0024 --*/
ALTER TABLE TD_ECF DROP COLUMN FILABE CASCADE;

/*-- SEQ 0025 --*/
ALTER TABLE TD_ECF DROP COLUMN SEQABE CASCADE;

/*-- SEQ 0026 --*/
ALTER TABLE TD_ECF DROP COLUMN TIPABE CASCADE;

/*-- SEQ 0027 --*/
ALTER TABLE TD_ECF DROP COLUMN FILFEC CASCADE;

/*-- SEQ 0028 --*/
ALTER TABLE TD_ECF DROP COLUMN SEQFEC CASCADE;

/*-- SEQ 0029 --*/
ALTER TABLE TD_ECF DROP COLUMN TIPFEC CASCADE;

/*-- SEQ 0030 --*/
ALTER TABLE TD_ECF DROP COLUMN FILTRO CASCADE;

/*-- SEQ 0031 --*/
ALTER TABLE TD_ECF DROP COLUMN SEQTRO CASCADE;

/*-- SEQ 0032 --*/
ALTER TABLE TD_ECF DROP COLUMN TIPTRO CASCADE;

/*-- SEQ 0033 --*/
ALTER TABLE TW_TAB DROP COLUMN FILDIF CASCADE;

/*-- SEQ 0034 --*/
ALTER TABLE TW_TAB DROP COLUMN SEQDIF CASCADE;

/*-- SEQ 0035 --*/
ALTER TABLE TW_TAB DROP COLUMN TIPDIF CASCADE;

/*-- SEQ 0036 --*/
ALTER TABLE TW_TAB DROP COLUMN CTADIF CASCADE;

/*-- SEQ 0037 --*/
ALTER TABLE TW_TAB DROP COLUMN TITDIF CASCADE;

/*-- SEQ 0038 --*/
ALTER TABLE TW_TAB DROP COLUMN FILABE CASCADE;

/*-- SEQ 0039 --*/
ALTER TABLE TW_TAB DROP COLUMN SEQABE CASCADE;

/*-- SEQ 0040 --*/
ALTER TABLE TW_TAB DROP COLUMN TIPABE CASCADE;

/*-- SEQ 0041 --*/
ALTER TABLE TW_TAB DROP COLUMN CTAABE CASCADE;

/*-- SEQ 0042 --*/
ALTER TABLE TW_TAB DROP COLUMN TITABE CASCADE;

/*-- SEQ 0043 --*/
ALTER TABLE TW_TAB DROP COLUMN FILFEC CASCADE;

/*-- SEQ 0044 --*/
ALTER TABLE TW_TAB DROP COLUMN SEQFEC CASCADE;

/*-- SEQ 0045 --*/
ALTER TABLE TW_TAB DROP COLUMN TIPFEC CASCADE;

/*-- SEQ 0046 --*/
ALTER TABLE TW_TAB DROP COLUMN CTAFEC CASCADE;

/*-- SEQ 0047 --*/
ALTER TABLE TW_TAB DROP COLUMN TITFEC CASCADE;

/*-- SEQ 0048 --*/
ALTER TABLE TW_TAB DROP COLUMN FILTRO CASCADE;

/*-- SEQ 0049 --*/
ALTER TABLE TW_TAB DROP COLUMN SEQTRO CASCADE;

/*-- SEQ 0050 --*/
ALTER TABLE TW_TAB DROP COLUMN TIPTRO CASCADE;

/*-- SEQ 0051 --*/
ALTER TABLE TW_TAB DROP COLUMN CTATRO CASCADE;

/*-- SEQ 0052 --*/
ALTER TABLE TW_TAB DROP COLUMN TITTRO CASCADE;



/*-- SEQ 0053 --*/
drop function tr_testenull_tt_cta() cascade;

/*-- SEQ 0054 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_usuario () CASCADE;

/*-- SEQ 0055 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_usuario ()
RETURNS VARCHAR AS '
DECLARE

  cFILCTA TT_CTA.CODFIL%TYPE;
  cSEQCTA TT_CTA.SEQUEN%TYPE;
  cTIPCTA TT_CTA.TIPCTA%TYPE;
  
  cAPEUSU TT_USU.APEUSU%TYPE;
  cFILDIF TT_USU.FILDIF%TYPE;
  cSEQDIF TT_USU.SEQDIF%TYPE;
  cTIPDIF TT_USU.TIPDIF%TYPE;

  Usuarios CURSOR FOR
    SELECT APEUSU, FILDIF, SEQDIF, TIPDIF
      FROM TT_USU
     WHERE SUBSTR(PERMIS,33,1) = ''S''
       AND FILDIF IS NULL
       AND SEQDIF IS NULL
       AND TIPDIF IS NULL;

BEGIN
 
  OPEN Usuarios;
  LOOP
    FETCH Usuarios INTO cAPEUSU, cFILDIF, cSEQDIF, cTIPDIF;
    EXIT WHEN NOT FOUND;

      -- Cria novas contas para usuarios que nao tenham contas de diferenca
      SELECT CODLOJ INTO cFILCTA FROM TT_IDF;
      cTIPCTA := ''N''; 
      cSEQCTA := ProximaConta(cFILCTA,''DIF. CX ''||cAPEUSU,cTIPCTA,''O'',''D''); 

      UPDATE TT_USU
         SET FILDIF = cFILCTA,
             SEQDIF = cSEQCTA,
             TIPDIF = cTIPCTA
       WHERE APEUSU = cAPEUSU;      

  END LOOP;
  CLOSE Usuarios;
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
select temp_cria_conta_usuario() from dual;


/*-- SEQ 0057 --*/
ALTER TABLE TT_USU ADD CONSTRAINT CK_USU_DIFERENCA CHECK (
  (SUBSTR(PERMIS,33,1) <> 'S') 
  OR((SUBSTR(PERMIS,33,1) = 'S') 
  AND(FILDIF IS NOT NULL) 
  AND(SEQDIF IS NOT NULL) 
  AND(TIPDIF IS NOT NULL))
);


/*-- SEQ 0058 --*/
ALTER TABLE TD_EST ADD ICMINT Numeric(12,2);

/*-- SEQ 0059 --*/
ALTER TABLE TW_TAB ADD ICMINT Numeric(12,2);

/*-- SEQ 0060 --*/
SELECT DISABLETRIGGERS(LOWER('TD_EST'));

/*-- SEQ 0061 --*/
UPDATE TD_EST SET ICMINT = PERICM WHERE ICMINT IS NULL;

/*-- SEQ 0062 --*/
SELECT ENABLETRIGGERS(LOWER('TD_EST'));


/*-- SEQ 0063 --*/
ALTER TABLE TT_IOR ADD DATINC Timestamp;

/*-- SEQ 0064 --*/
SELECT DISABLETRIGGERS(LOWER('TT_IOR'));

/*-- SEQ 0065 --*/
UPDATE TT_IOR IOR
   SET DATINC = (SELECT ORC.PED_EM
                   FROM TT_ORC ORC
                  WHERE ORC.CODFIL = IOR.CODFIL
                    AND ORC.TIPPED = IOR.TIPPED
                    AND ORC.NUMPED = IOR.NUMPED);

/*-- SEQ 0066 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IOR'));

/*-- SEQ 0067 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ALTER COLUMN DATINC SET NOT NULL;


/*-- SEQ 0068 --*/
/*-- IGNORE ERRO --*/
alter table ti_usu add CSENHA VARCHAR(32);

/*-- SEQ 0069 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_USU ALTER COLUMN SENHA1 DROP NOT NULL;

/*-- SEQ 0070 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_USU ALTER COLUMN SENHA2 DROP NOT NULL;


/*-- SEQ 0071 --*/
SELECT ExecAlteraTipoColuna('tt_fin','OBSERV','VARCHAR(4000)');




/*-- SEQ 0072 --*/
CREATE TEMPORARY SEQUENCE SQLAY1 INCREMENT 1 START 1 MINVALUE 1;

/*-- SEQ 0073 --*/
CREATE TEMPORARY SEQUENCE SQLAY2 INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0074 --*/
ALTER TABLE TI_CLI ADD GLOBAL CHAR(1);



/*-- SEQ 0075 --*/
alter table TT_PRE
  add constraint FK_PRE_DMOE_CODMOE foreign key (CODMOE)
  references TD_MOE (CODTAB);



/*-- SEQ 0076 --*/
CREATE TABLE CORRECAO_ABE_FEC AS 
SELECT FIN.*, PROXIMOCODIGO('TT_FIN',CODFIL) AS NOVO_SEQTRN
FROM TT_FIN FIN INNER JOIN TD_CAI CAI ON CAI.CODTAB=0 AND FIN.FILGER=CAI.FILCRE AND FIN.SEQGER=CAI.SEQCRE
WHERE (NUMDOC LIKE 'FECHAMENTO%' OR 
     NUMDOC LIKE 'ABERTURA%');

/*-- SEQ 0077 --*/
INSERT INTO TT_FIN (codfil,sequen,tipger,tipnum,codusu,filger,filnum,filusu,seqger,seqnum,datope,vlrmov,seqtrn,codctr,
                    codcus,numdoc,observ,flgfin,chvtrn,atu_em,codmoe,datfis,signat,filchr,seqchr,filccc,seqccc,orilan)
(SELECT codfil,
        NOVO_SEQTRN AS sequen,
        'M' AS tipger,
        tipnum,codusu,
        filger,
        filnum,filusu,
        '         3' AS seqger,
        seqnum,datope,vlrmov*-1,seqtrn,codctr,
        codcus,numdoc,observ,flgfin,chvtrn,atu_em,codmoe,datfis,signat,filchr,seqchr,filccc,seqccc,orilan
   FROM CORRECAO_ABE_FEC
);

/*-- SEQ 0078 --*/
UPDATE TT_FIN
   SET FILNUM = (SELECT FIL.TESFIL FROM TD_FIL FIL WHERE FIL.CODFIL=TT_FIN.CODFIL),
       SEQNUM = (SELECT FIL.TESSEQ FROM TD_FIL FIL WHERE FIL.CODFIL=TT_FIN.CODFIL),
       TIPNUM = (SELECT FIL.TESTIP FROM TD_FIL FIL WHERE FIL.CODFIL=TT_FIN.CODFIL)
 WHERE (CODFIL,SEQUEN) IN (SELECT CODFIL,NOVO_SEQTRN FROM CORRECAO_ABE_FEC);

/*-- SEQ 0079 --*/
UPDATE TT_FIN FIN
   SET SEQTRN = (SELECT NOVO_SEQTRN FROM CORRECAO_ABE_FEC COR WHERE COR.CODFIL=FIN.CODFIL AND COR.SEQUEN=FIN.SEQUEN)
 WHERE (CODFIL,SEQUEN) IN (SELECT CODFIL,SEQUEN FROM CORRECAO_ABE_FEC);

