
/*-- SEQ 0001 --*/
ALTER TABLE TT_CFG ADD ENVIAR_ENTREGA VARCHAR(1);

/*-- SEQ 0002 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_ENVIAR_ENTREGA CHECK (ENVIAR_ENTREGA IN ('T','F'));

/*-- SEQ 0003 --*/
ALTER TABLE TT_CFG ALTER COLUMN ENVIAR_ENTREGA SET DEFAULT 'F';

/*-- SEQ 0004 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0005 --*/
UPDATE TT_CFG SET ENVIAR_ENTREGA = 'F' WHERE ENVIAR_ENTREGA IS NULL;

/*-- SEQ 0006 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0007 --*/
ALTER TABLE TT_CFG ALTER COLUMN ENVIAR_ENTREGA SET NOT NULL;

/*-- SEQ 0008 --*/
ALTER TABLE TW_CFG ADD ENVIAR_ENTREGA VARCHAR(1);

/*-- SEQ 0009 --*/
ALTER TABLE TW_CFG ADD CONSTRAINT CK_WCFG_ENVIAR_ENTREGA CHECK (ENVIAR_ENTREGA IN ('T','F'));

/*-- SEQ 0010 --*/
ALTER TABLE TW_CFG ALTER COLUMN ENVIAR_ENTREGA SET DEFAULT 'F';


/*-- SEQ 0011 --*/
ALTER TABLE TT_CFG ADD NATFAT Numeric(5);

/*-- SEQ 0012 --*/
ALTER TABLE TW_CFG ADD NATFAT Numeric(5);

/*-- SEQ 0013 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DNAT_NATFAT FOREIGN KEY (NATFAT) REFERENCES TD_NAT (CODTAB);

/*-- SEQ 0014 --*/
ALTER TABLE TT_CFG ADD NATVEN Numeric(5);

/*-- SEQ 0015 --*/
ALTER TABLE TW_CFG ADD NATVEN Numeric(5);

/*-- SEQ 0016 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DNAT_NATVEN FOREIGN KEY (NATVEN) REFERENCES TD_NAT (CODTAB);



/*-- SEQ 0017 --*/
/*-- IGNORE ERRO --*/
SELECT DISABLETRIGGERS(LOWER('TT_IOR'));

/*-- SEQ 0018 --*/
ALTER TABLE TT_IOR ADD TIPENT CHAR(1) DEFAULT '0';

/*-- SEQ 0019 --*/
ALTER TABLE TT_IOR ADD CONSTRAINT CK_IOR_TIPENT CHECK (TIPENT IN ('0','1','2','3','4','5','6'));

/*-- SEQ 0020 --*/
/*-- IGNORE ERRO --*/
SELECT ENABLETRIGGERS(LOWER('TT_IOR'));

/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0022 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0023 --*/
ALTER TABLE TT_IOR ALTER COLUMN TIPENT SET NOT NULL;

/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/
SELECT DISABLETRIGGERS(LOWER('TT_ORC'));

/*-- SEQ 0025 --*/
ALTER TABLE TT_ORC ADD TELEVE CHAR(1) DEFAULT 'F';

/*-- SEQ 0026 --*/
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_TELEVE CHECK (TELEVE IN ('T','F'));

/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0029 --*/
ALTER TABLE TT_ORC ALTER COLUMN TELEVE SET NOT NULL;

/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/
SELECT ENABLETRIGGERS(LOWER('TT_ORC'));


/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CTB ADD LICENCA VARCHAR(100);

/*-- SEQ 0032 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD LOGOBOLETO VARCHAR(100);


/*-- SEQ 0033 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CFOP_COM_ECF VARCHAR(1);

/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CFOP_COM_ECF CHECK (CFOP_COM_ECF IN ('T','F'));

/*-- SEQ 0035 --*/
/*-- IGNORE ERRO --*/
UPDATE TT_CFG SET CFOP_COM_ECF = 'F';

/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ALTER COLUMN CFOP_COM_ECF SET NOT NULL;

/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ALTER COLUMN CFOP_COM_ECF SET DEFAULT 'F';

/*-- SEQ 0038 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CFOP_COM_ECF VARCHAR(1);

/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ALTER COLUMN CFOP_COM_ECF SET DEFAULT 'F';

/*-- SEQ 0040 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TT_FIS','SEREXP','VARCHAR(3)');


/*-- SEQ 0041 --*/
/*-- IGNORE ERRO --*/
UPDATE TT_FIS SET SEREXP = TRIM(SEREXP);


/*-- SEQ 0042 --*/
ALTER TABLE TT_PLA ADD CATEG1 Numeric(5);

/*-- SEQ 0043 --*/
ALTER TABLE TT_PLA ADD CATEG2 Numeric(5);

/*-- SEQ 0044 --*/
ALTER TABLE TT_PLA ADD CATEG3 Numeric(5);

/*-- SEQ 0045 --*/
ALTER TABLE TT_PLA ADD CONSTRAINT FK_PLA_DCT1 FOREIGN KEY (CATEG1) REFERENCES TD_CT1 (CODTAB);

/*-- SEQ 0046 --*/
ALTER TABLE TT_PLA ADD CONSTRAINT FK_PLA_DCT2 FOREIGN KEY (CATEG2) REFERENCES TD_CT2 (CODTAB);

/*-- SEQ 0047 --*/
ALTER TABLE TT_PLA ADD CONSTRAINT FK_PLA_DCT3 FOREIGN KEY (CATEG3) REFERENCES TD_CT3 (CODTAB);

/*-- SEQ 0048 --*/
CREATE INDEX I_FK_PLA_CT1 ON TT_PLA (CATEG1)  ;

/*-- SEQ 0049 --*/
CREATE INDEX I_FK_PLA_CT2 ON TT_PLA (CATEG2)  ;

/*-- SEQ 0050 --*/
CREATE INDEX I_FK_PLA_CT3 ON TT_PLA (CATEG3)  ;


/*-- SEQ 0051 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0052 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_contrato () CASCADE;

/*-- SEQ 0053 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_contrato ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''Contratos'',''G'',''O'',''G''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''CONTRATO'' AS CFGCOL, ''O'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0054 --*/
/*-- IGNORE ERRO --*/
select temp_cria_conta_contrato() from dual;


/*-- SEQ 0055 --*/
DROP FUNCTION temp_cria_conta_contrato () CASCADE;

/*-- SEQ 0056 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PLA ADD TIPCCC Numeric(5);

/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PLA ADD CONSTRAINT FK_PLA_CCC  FOREIGN KEY (TIPCCC) REFERENCES TD_CCC (CODTAB);

/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_PLA_CCC ON TT_PLA (TIPCCC)  ;


/*-- SEQ 0060 --*/
ALTER TABLE TT_DESXCLI ADD FILPGT CHAR(3);

/*-- SEQ 0061 --*/
ALTER TABLE TT_DESXCLI ADD CODPGT CHAR(3);

/*-- SEQ 0062 --*/
ALTER TABLE TT_DESXCLI ADD CONSTRAINT FK_DESXCLI_PLA FOREIGN KEY (FILPGT, CODPGT) REFERENCES TT_PLA (FILPGT, CODPGT);


/*-- SEQ 0063 --*/
ALTER TABLE TD_COB ADD COBPAD Numeric(5);

/*-- SEQ 0064 --*/
ALTER TABLE TD_COB ADD CONSTRAINT FK_DCOB_DCOB  FOREIGN KEY (COBPAD) REFERENCES TD_COB (CODTAB);

/*-- SEQ 0065 --*/
ALTER TABLE TW_TAB ADD COBPAD Numeric(5);


/*-- SEQ 0066 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD LOGOBOLETO VARCHAR(100);


/*-- SEQ 0067 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0068 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_pre_des () CASCADE;

/*-- SEQ 0069 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_pre_des ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''Titulos Pre-Descontados'',''N'',''O'',''N''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''TIT_PRE_DESCONTADOS'' AS CFGCOL, ''O'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0070 --*/
select temp_cria_conta_pre_des() from dual;


/*-- SEQ 0071 --*/
DROP FUNCTION temp_cria_conta_pre_des () CASCADE;

/*-- SEQ 0072 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0073 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CCB'));

/*-- SEQ 0074 --*/
ALTER TABLE TT_CCB ADD PREDES VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0075 --*/
ALTER TABLE TT_CCB ADD CONSTRAINT CK_CCB_PREDES CHECK (PREDES IN ('T','F'));

/*-- SEQ 0076 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CCB'));

/*-- SEQ 0077 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0078 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0079 --*/
ALTER TABLE TT_CCB ALTER COLUMN PREDES SET NOT NULL;


/*-- SEQ 0080 --*/
ALTER TABLE TT_IXT ADD FILFIN CHAR(3);

/*-- SEQ 0081 --*/
ALTER TABLE TT_IXT ADD SEQFIN CHAR(10);

/*-- SEQ 0082 --*/
ALTER TABLE TT_IXT ADD CONSTRAINT FK_IXT_FIN FOREIGN KEY (FILFIN, SEQFIN) REFERENCES TT_FIN (CODFIL, SEQUEN);

/*-- SEQ 0083 --*/
CREATE INDEX I_FK_IXT_FIN ON TT_IXT (FILFIN, SEQFIN)   ;


/*-- SEQ 0084 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_MOV ADD FILICO CHAR(3);
  
/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_MOV ADD SEQICO CHAR(10);

/*-- SEQ 0086 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_MOV ADD NUMICO Numeric(5);

/*-- SEQ 0087 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_MOV ADD CONSTRAINT FK_RMOV_ICO 
  FOREIGN KEY (FILICO, SEQICO, NUMICO)
  REFERENCES TT_ICO (CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_MOV ADD FILFRE CHAR(3);
  
/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_MOV ADD SEQFRE CHAR(10);

/*-- SEQ 0090 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_MOV ADD NUMFRE Numeric(5);

/*-- SEQ 0091 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_MOV ADD CONSTRAINT FK_RMOV_FRE 
  FOREIGN KEY (FILFRE, SEQFRE, NUMFRE)
  REFERENCES TT_ICO (CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0092 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_MOV DROP COLUMN CUSFRE;
  
/*-- SEQ 0093 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_MOV DROP COLUMN PRECOM;

/*-- SEQ 0094 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TR_MOV DROP COLUMN CUSREP;

/*-- SEQ 0095 --*/
SELECT DISABLETRIGGERS(LOWER('TR_MOV'));  
  
/*-- SEQ 0096 --*/  
UPDATE TR_MOV SET FILICO = ICO.CODFIL,
                  SEQICO = ICO.SEQUEN,
                  NUMICO = ICO.NUMITE
  FROM TT_ICO ICO 
 WHERE TR_MOV.FILMAT = ICO.FILMAT
   AND TR_MOV.CODMAT = ICO.CODMAT
   AND TR_MOV.CODCOR = ICO.CODCOR
   AND TR_MOV.CODTAM = ICO.CODTAM
   AND ICO.COM_ATUCUS = 'T'
   AND ICO.COM_DATOPE IN (SELECT MAX(IC.COM_DATOPE)
                            FROM TT_ICO IC
                           WHERE IC.COM_DATOPE <= TO_DATE(TO_CHAR(TR_MOV.DATMOV,'dd/mm/yyyy')||' 23:59:59','dd/mm/yyyy hh24:mi:ss')
                             AND IC.FILMAT = TR_MOV.FILMAT
                             AND IC.CODMAT = TR_MOV.CODMAT
                             AND IC.CODCOR = TR_MOV.CODCOR
                             AND IC.CODTAM = TR_MOV.CODTAM
                             AND IC.COM_ATUCUS = 'T');

/*-- SEQ 0097 --*/  
UPDATE TR_MOV SET FILFRE = ICO.CODFIL,
                  SEQFRE = ICO.SEQUEN,
                  NUMFRE = ICO.NUMITE
  FROM TT_ICO ICO 
 WHERE TR_MOV.FILMAT = ICO.FILMAT
   AND TR_MOV.CODMAT = ICO.CODMAT
   AND TR_MOV.CODCOR = ICO.CODCOR
   AND TR_MOV.CODTAM = ICO.CODTAM
   AND ICO.CUSFRE > 0
   AND ICO.COM_DATOPE IN (SELECT MAX(IC.COM_DATOPE)
                            FROM TT_ICO IC
                           WHERE IC.COM_DATOPE <= TO_DATE(TO_CHAR(TR_MOV.DATMOV,'dd/mm/yyyy')||' 23:59:59','dd/mm/yyyy hh24:mi:ss')
                             AND IC.FILMAT = TR_MOV.FILMAT
                             AND IC.CODMAT = TR_MOV.CODMAT
                             AND IC.CODCOR = TR_MOV.CODCOR
                             AND IC.CODTAM = TR_MOV.CODTAM
                             AND IC.CUSFRE > 0);

/*-- SEQ 0098 --*/
SELECT ENABLETRIGGERS(LOWER('TR_MOV'));


/*-- SEQ 0099 --*/
ALTER TABLE TT_IVO DROP CONSTRAINT CK_IVO_FLGEST;

/*-- SEQ 0100 --*/
ALTER TABLE TT_IVO ADD CONSTRAINT CK_IVO_FLGEST CHECK (FLGEST IN ('A','P','F','N','D','E'));

/*-- SEQ 0101 --*/
SELECT DISABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0102 --*/
ALTER TABLE TT_IVO ADD QTDFAL Numeric(12,4) DEFAULT '0';

/*-- SEQ 0103 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0104 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0105 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0106 --*/
ALTER TABLE TT_IVO ALTER COLUMN QTDFAL SET NOT NULL;

/*-- SEQ 0107 --*/
ALTER TABLE TT_IVO ADD FILROM CHAR(3);
  
/*-- SEQ 0108 --*/
ALTER TABLE TT_IVO ADD SEQROM CHAR(10);

/*-- SEQ 0109 --*/
ALTER TABLE TT_IVO ADD CONSTRAINT FK_IVO_ROM
  FOREIGN KEY (FILROM, SEQROM)
  REFERENCES TT_ROM (CODFIL, SEQUEN);

/*-- SEQ 0110 --*/
CREATE INDEX I_FK_IVO_ROM ON TT_IVO (FILROM, SEQROM)  ;

/*-- SEQ 0111 --*/
ALTER TABLE TT_IVO DROP CONSTRAINT CK_IVO_CONTEM;


/*-- SEQ 0112 --*/
SELECT DISABLETRIGGERS(LOWER('TT_ROM'));

/*-- SEQ 0113 --*/
ALTER TABLE TT_ROM ADD FLGEST CHAR(1) DEFAULT 'A';

/*-- SEQ 0114 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ROM'));

/*-- SEQ 0115 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0116 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0117 --*/
ALTER TABLE TT_ROM ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0118 --*/
ALTER TABLE TT_ROM ADD CONSTRAINT CK_ROM_FLGEST CHECK (FLGEST IN ('A','F','E'));


/*-- SEQ 0119 --*/
/*-- IGNORE ERRO --*/
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0120 --*/
/*-- IGNORE ERRO --*/
update tt_cli set naodiv='F'
where naodiv is null;
    
/*-- SEQ 0121 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CLI ALTER COLUMN NAODIV SET DEFAULT 'F';

/*-- SEQ 0122 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CLI ALTER COLUMN NAODIV SET NOT NULL;

/*-- SEQ 0123 --*/
/*-- IGNORE ERRO --*/
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));


/*-- SEQ 0124 --*/
SELECT DISABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0125 --*/
ALTER TABLE TT_GRA ADD VOLUME Numeric(12,2) DEFAULT 0;

/*-- SEQ 0126 --*/
SELECT ENABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0127 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0128 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0129 --*/
ALTER TABLE TT_GRA ALTER COLUMN VOLUME SET NOT NULL;


/*-- SEQ 0130 --*/
SELECT DISABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0131 --*/
ALTER TABLE TT_IVO ADD SIGNAT Numeric(5) DEFAULT 0;

/*-- SEQ 0132 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0133 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0134 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0135 --*/
ALTER TABLE TT_IVO ALTER COLUMN SIGNAT SET NOT NULL;


/*-- SEQ 0136 --*/
ALTER TABLE TT_CCC ADD FILDOP CHAR(3);

/*-- SEQ 0137 --*/
ALTER TABLE TT_CCC ADD SEQDOP CHAR(10);

/*-- SEQ 0138 --*/
ALTER TABLE TT_CCC ADD CONSTRAINT FK_CCC_DOP FOREIGN KEY (FILDOP, SEQDOP) REFERENCES TT_DOP (CODFIL, SEQUEN);

/*-- SEQ 0139 --*/
CREATE INDEX I_FK_CCC_DOP ON TT_CCC (FILDOP, SEQDOP)  ;


/*-- SEQ 0140 --*/
ALTER TABLE TT_IVE ADD QTDFUT Numeric(12,2);

/*-- SEQ 0141 --*/
ALTER TABLE TT_IVE ADD QTDPEN Numeric(12,2);

/*-- SEQ 0142 --*/
ALTER TABLE TT_IVE ADD FLGFUT CHAR(1);

/*-- SEQ 0143 --*/
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_FLGFUT CHECK (FLGFUT IN ('A','P','E'));

/*-- SEQ 0144 --*/
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_QTDFUT CHECK (QTDFUT IS NULL OR QTDFUT >= 0);

/*-- SEQ 0145 --*/
SELECT DISABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0146 --*/
UPDATE TT_IVE
   SET QTDPEN = QtdPendente(CODFIL, SEQUEN, NUMITE, QTDMOV)
 WHERE LANEST = 'R'
   AND FILORI IS NULL;

/*-- SEQ 0147 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0148 --*/
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_QTDPEN CHECK ((QTDPEN IS NOT NULL AND LANEST='R' AND FILORI IS NULL) OR (QTDPEN IS NULL));

/*-- SEQ 0149 --*/
CREATE INDEX I_LC_IVE_QTDFUT ON TT_IVE (QTDFUT, FILMAT, CODMAT, CODCOR, CODTAM)   ;

/*-- SEQ 0150 --*/
CREATE INDEX I_LC_IVE_QTDPEN ON TT_IVE (QTDPEN)   ;

/*-- SEQ 0151 --*/
CREATE INDEX I_LC_IVE_FLGFUT ON TT_IVE (FLGFUT)   ;

/*-- SEQ 0152 --*/
ALTER TABLE TT_IOR ADD FLGIVO CHAR(1);

/*-- SEQ 0153 --*/
ALTER TABLE TT_IOR ADD CONSTRAINT CK_IOR_FLGIVO CHECK (FLGIVO IN ('A','P'));

/*-- SEQ 0154 --*/
CREATE INDEX I_LC_IOR_FLGIVO ON TT_IOR (FLGIVO)   ;



/*-- SEQ 0155 --*/
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0156 --*/
ALTER TABLE TT_PRO ADD VALEST VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0157 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0158 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0159 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0160 --*/
ALTER TABLE TT_PRO ALTER COLUMN VALEST SET NOT NULL;

/*-- SEQ 0161 --*/
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_VALEST CHECK (VALEST IN ('T','F'));


/*-- SEQ 0162 --*/
CREATE TABLE TT_IVEXIPE (CODFIL CHAR(3),
                         SEQUEN CHAR(10),
                         FILIVE CHAR(3),
                         SEQIVE CHAR(10),
                         NUMIVE Numeric(5),
                         FLGEST CHAR(1),
                         QTDENC Numeric(12,2),
                         FILMAT CHAR(3),
                         CODMAT CHAR(5),
                         CODCOR Numeric(5),
                         CODTAM Numeric(5),
                         ATU_EM Timestamp,
                         DATINC Timestamp,
                         FILIPE CHAR(3),
                         NUMIPE CHAR(8),
                         ITEIPE Numeric(5))  ;

/*-- SEQ 0163 --*/
ALTER TABLE TT_IVEXIPE ADD CONSTRAINT PK_IVEXIPE PRIMARY KEY (CODFIL, SEQUEN)   ;

/*-- SEQ 0164 --*/
ALTER TABLE TT_IVEXIPE ADD CONSTRAINT FK_IVEXIPE_IVE FOREIGN KEY (FILIVE, SEQIVE, NUMIVE) REFERENCES TT_IVE (CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0165 --*/
ALTER TABLE TT_IVEXIPE ADD CONSTRAINT FK_IVEXIPE_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0166 --*/
ALTER TABLE TT_IVEXIPE ADD CONSTRAINT FK_IVEXIPE_IPE FOREIGN KEY (FILIPE, NUMIPE, ITEIPE) REFERENCES TT_IPE (CODFIL, NUMPED, NUMITE);

/*-- SEQ 0167 --*/
CREATE INDEX I_FK_IVEXIPE_IVE ON TT_IVEXIPE (FILIVE, SEQIVE, NUMIVE)  ;

/*-- SEQ 0168 --*/
CREATE INDEX I_FK_IVEXIPE_IPE ON TT_IVEXIPE (FILIPE, NUMIPE, ITEIPE)  ;

/*-- SEQ 0169 --*/
ALTER TABLE TT_IVEXIPE ALTER COLUMN FILIVE SET NOT NULL;

/*-- SEQ 0170 --*/
ALTER TABLE TT_IVEXIPE ALTER COLUMN SEQIVE SET NOT NULL;

/*-- SEQ 0171 --*/
ALTER TABLE TT_IVEXIPE ALTER COLUMN NUMIVE SET NOT NULL;

/*-- SEQ 0172 --*/
ALTER TABLE TT_IVEXIPE ALTER COLUMN QTDENC SET NOT NULL;

/*-- SEQ 0173 --*/
ALTER TABLE TT_IVEXIPE ALTER COLUMN FILMAT SET NOT NULL;

/*-- SEQ 0174 --*/
ALTER TABLE TT_IVEXIPE ALTER COLUMN CODMAT SET NOT NULL;

/*-- SEQ 0175 --*/
ALTER TABLE TT_IVEXIPE ALTER COLUMN CODCOR SET NOT NULL;

/*-- SEQ 0176 --*/
ALTER TABLE TT_IVEXIPE ALTER COLUMN CODTAM SET NOT NULL;

/*-- SEQ 0177 --*/
ALTER TABLE TT_IVEXIPE ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0178 --*/
ALTER TABLE TT_IVEXIPE ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0179 --*/
ALTER TABLE TT_IVEXIPE ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0180 --*/
ALTER TABLE TT_IVEXIPE ADD CONSTRAINT CK_IVEXIPE_FLGEST CHECK ( (FLGEST IN ('C','A','E','R','S')) );

/*-- SEQ 0181 --*/
ALTER TABLE TT_IVEXIPE ADD CONSTRAINT CK_IVEXIPE_QTDENC CHECK ( (QTDENC > 0) OR (QTDENC = 0 AND FLGEST = 'C') );

/*-- SEQ 0182 --*/
CREATE SEQUENCE SQIVEXIPE INCREMENT 1 START 1 MINVALUE 1;





/*-- SEQ 0183 --*/
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0184 --*/
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,246)||'N'||SUBSTR(PERMIS,248,9999);

/*-- SEQ 0185 --*/
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,247)||'N'||SUBSTR(PERMIS,249,9999);

/*-- SEQ 0186 --*/
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,248)||'N'||SUBSTR(PERMIS,250,9999);

/*-- SEQ 0187 --*/
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,249)||'N'||SUBSTR(PERMIS,251,9999);

/*-- SEQ 0188 --*/
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,250)||'N'||SUBSTR(PERMIS,252,9999);

/*-- SEQ 0189 --*/
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,251)||'N'||SUBSTR(PERMIS,253,9999);

/*-- SEQ 0190 --*/
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,252)||'N'||SUBSTR(PERMIS,254,9999);

/*-- SEQ 0191 --*/
SELECT ENABLETRIGGERS(LOWER('TT_USU'));


/*-- SEQ 0192 --*/
ALTER TABLE TT_PAG ADD FILCCC CHAR(3);

/*-- SEQ 0193 --*/
ALTER TABLE TT_PAG ADD SEQCCC CHAR(10);

/*-- SEQ 0194 --*/
ALTER TABLE TT_PAG ADD CONSTRAINT FK_PAG_CCC FOREIGN KEY (FILCCC, SEQCCC) REFERENCES TT_CCC (CODFIL, SEQUEN);

/*-- SEQ 0195 --*/
CREATE INDEX I_FK_PAG_CCC ON TT_PAG (FILCCC, SEQCCC)  ;



/*-- SEQ 0196 --*/
ALTER TABLE TT_CHR ADD FILFOR CHAR(3);

/*-- SEQ 0197 --*/
ALTER TABLE TT_CHR ADD SEQFOR CHAR(6);

/*-- SEQ 0198 --*/
ALTER TABLE TT_CHR ADD CONSTRAINT FK_CHR_FOR FOREIGN KEY (FILFOR, SEQFOR) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0199 --*/
CREATE INDEX I_FK_CHR_FOR ON TT_CHR (FILFOR, SEQFOR)  ;


/*-- SEQ 0200 --*/
ALTER TABLE TT_CCC ADD FILCHR CHAR(3);

/*-- SEQ 0201 --*/
ALTER TABLE TT_CCC ADD SEQCHR CHAR(10);

/*-- SEQ 0202 --*/
ALTER TABLE TT_CCC ADD CONSTRAINT FK_CCC_CHR FOREIGN KEY (FILCHR, SEQCHR) REFERENCES TT_CHR (CODFIL, SEQUEN);

/*-- SEQ 0203 --*/
CREATE INDEX I_FK_CCC_CHR ON TT_CCC (FILCHR, SEQCHR)  ;



/*-- SEQ 0204 --*/
ALTER TABLE TT_PAG DROP CONSTRAINT FK_PAG_CCC;

/*-- SEQ 0205 --*/
DROP INDEX I_FK_PAG_CCC;

/*-- SEQ 0206 --*/
ALTER TABLE TT_PAG DROP COLUMN FILCCC;

/*-- SEQ 0207 --*/
ALTER TABLE TT_PAG DROP COLUMN SEQCCC;

/*-- SEQ 0208 --*/
ALTER TABLE TT_CCC ADD FILPAG CHAR(3);

/*-- SEQ 0209 --*/
ALTER TABLE TT_CCC ADD SEQPAG CHAR(10);

/*-- SEQ 0210 --*/
ALTER TABLE TT_CCC ADD NUMPAG CHAR(2);

/*-- SEQ 0211 --*/
ALTER TABLE TT_CCC ADD SUBPAG CHAR(2);

/*-- SEQ 0212 --*/
ALTER TABLE TT_CCC ADD CONSTRAINT FK_CCC_PAG FOREIGN KEY (FILPAG, SEQPAG, NUMPAG, SUBPAG) REFERENCES TT_PAG (CODFIL, SEQUEN, NUMPAR, SUBPAR);

/*-- SEQ 0213 --*/
CREATE INDEX I_FK_CCC_PAG ON TT_CCC (FILPAG, SEQPAG, NUMPAG, SUBPAG)  ; 


/*-- SEQ 0214 --*/
ALTER TABLE TT_CCC DROP CONSTRAINT FK_CCC_PAG;

/*-- SEQ 0215 --*/
DROP INDEX I_FK_CCC_PAG;

/*-- SEQ 0216 --*/
ALTER TABLE TT_CCC DROP COLUMN FILPAG;

/*-- SEQ 0217 --*/
ALTER TABLE TT_CCC DROP COLUMN SEQPAG;

/*-- SEQ 0218 --*/
ALTER TABLE TT_CCC DROP COLUMN NUMPAG;

/*-- SEQ 0219 --*/
ALTER TABLE TT_CCC DROP COLUMN SUBPAG;



/*-- SEQ 0220 --*/
ALTER TABLE TT_CFG ADD DOPCCC Numeric(5);

/*-- SEQ 0221 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DDOP FOREIGN KEY (DOPCCC) REFERENCES TD_DOP (CODTAB);

/*-- SEQ 0222 --*/
INSERT INTO TD_DOP
(CODTAB, DOPATI, DESDOP)
VALUES
((SELECT MAX(CODTAB) + 1 FROM TD_DOP),'T','PGTO C/ CONTA CORRENTE');

/*-- SEQ 0223 --*/
UPDATE TT_CFG
   SET DOPCCC = (SELECT MAX(CODTAB)
                   FROM TD_DOP);

/*-- SEQ 0224 --*/
ALTER TABLE TT_CFG ALTER COLUMN DOPCCC SET NOT NULL;

/*-- SEQ 0225 --*/
ALTER TABLE TW_CFG ADD DDOP_CCC Numeric(5);


/*-- SEQ 0226 --*/
ALTER TABLE TT_DOP ALTER COLUMN SEQCTA DROP NOT NULL;

/*-- SEQ 0227 --*/
ALTER TABLE TT_DOP ALTER COLUMN FILCTA DROP NOT NULL;

/*-- SEQ 0228 --*/
ALTER TABLE TT_DOP ALTER COLUMN TIPCTA DROP NOT NULL;


/*-- SEQ 0229 --*/
ALTER TABLE TT_IOR DROP CONSTRAINT CK_IOR_TIPENT;

/*-- SEQ 0230 --*/
ALTER TABLE TT_IOR ADD CONSTRAINT CK_IOR_TIPENT CHECK (TIPENT IN ('0','1','2','3','4','5','6','7'));

/*-- SEQ 0231 --*/
ALTER TABLE TT_ORC DROP CONSTRAINT CK_ORC_TIPENT;

/*-- SEQ 0232 --*/
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_TIPENT CHECK (TIPENT IN ('0','1','2','3','4','5','6','7'));


/*-- SEQ 0233 --*/
ALTER TABLE TT_USU DROP CONSTRAINT AK_USU_CLI;

/*-- SEQ 0234 --*/
ALTER TABLE TT_USU ADD CONSTRAINT AK_USU_CLI UNIQUE (FILCLI, CODCLI)   ;


/*-- SEQ 0235 --*/
CREATE INDEX I_FK_LAN_IVE ON TT_LAN (FILIVE, SEQIVE, NUMIVE)  ;


/*-- SEQ 0236 --*/
INSERT INTO TD_STD
(CODTAB,USOSTD, DOMDOP,
 STDATI, DESSTD, FLGFLX)
VALUES
((SELECT MAX(CODTAB) + 1 FROM TD_STD),'C',
 (SELECT DOPCCC FROM TT_CFG),'T','ESTORNO C/C','C');


/*-- SEQ 0237 --*/
SELECT DISABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0238 --*/
ALTER TABLE TT_IVE ADD SIGNAT Numeric(5) DEFAULT 0;

/*-- SEQ 0239 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0240 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0241 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0242 --*/
ALTER TABLE TT_IVE ALTER COLUMN SIGNAT SET NOT NULL;



/*-- SEQ 0243 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_SUP_CON ON TT_SUP (FILACT, CODACT, NUMACT)  ;


/*-- SEQ 0244 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TE_CCC ADD FILPGT CHAR(3);

/*-- SEQ 0245 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TE_CCC ADD CODPGT CHAR(3);


/*-- SEQ 0246 --*/
SELECT DISABLETRIGGERS(LOWER('TT_PRJ'));

/*-- SEQ 0247 --*/
ALTER TABLE TT_PRJ ADD NOTIFI CHAR(1) DEFAULT 'F';

/*-- SEQ 0248 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PRJ'));

/*-- SEQ 0249 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0250 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0251 --*/
ALTER TABLE TT_PRJ ALTER COLUMN NOTIFI SET NOT NULL;

/*-- SEQ 0252 --*/
ALTER TABLE TT_PRJ ADD CONSTRAINT CK_PRJ_NOTIFI CHECK (NOTIFI IN ('T','F'));


/*-- SEQ 0253 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_LPRE_DATOPE ON TL_PRE (FILPRE, SEQPRE, DATOPE)  ;


/*-- SEQ 0254 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PLA DROP CONSTRAINT CK_PLA_COMSOB;

/*-- SEQ 0255 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PLA ADD CONSTRAINT CK_PLA_COMSOB CHECK (COMSOB IN (0, 1, 2, 3, 4, 5, 6, 7));

/*-- SEQ 0256 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN DROP CONSTRAINT CK_VEN_COMSOB;

/*-- SEQ 0257 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_COMSOB CHECK (COMSOB IN (0, 1, 2, 3, 4, 5, 6, 7));


/*-- SEQ 0258 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_IVE_FIS ADD ICMFRE Numeric(12,4);

/*-- SEQ 0259 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_IVE_FIS ADD VLRFRE Numeric(12,4);

/*-- SEQ 0260 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_IVE_FIS','VLR001','Numeric(9,2)');


/*-- SEQ 0261 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_IVE_FIS','VLRMOV','Numeric(14,2)');


/*-- SEQ 0262 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_IVE_FIS','CODFIL','CHAR(3)');


/*-- SEQ 0263 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_IVE_FIS','SEQUEN','CHAR(10)');


/*-- SEQ 0264 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_IVE_FIS','NUMITE','Numeric(5,0)');


/*-- SEQ 0265 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_VEN_FIS','CODFIL','CHAR(3)');


/*-- SEQ 0266 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_VEN_FIS','SEQUEN','CHAR(10)');


/*-- SEQ 0267 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD BASICM Numeric(12,2);

/*-- SEQ 0268 --*/
/*-- IGNORE ERRO --*/
INSERT INTO TT_FUN (NOMFUN, DATFUN) VALUES ('IVE_BASICM',AGORA());


/*-- SEQ 0269 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_COM ADD VLRPIS NUMERIC(12,2);

/*-- SEQ 0270 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_COM ADD VLRCOF NUMERIC(12,2);




/*-- SEQ 0271 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_IVE_FIS ADD ICMSEG Numeric(12,4);

/*-- SEQ 0272 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_IVE_FIS ADD VLRSEG Numeric(12,4);



/*-- SEQ 0273 --*/
CREATE TABLE TL_IVO(
       FILIVO CHAR(3),
       SEQIVO CHAR(10),
       DATOPE Timestamp,
       FILUSU CHAR(3),
       CODUSU CHAR(3),
       MSGLOG VARCHAR(4000),
       CODUID Numeric);
	   

/*-- SEQ 0274 --*/	   
ALTER TABLE TL_IVO ADD CONSTRAINT FK_LIVO_IVO FOREIGN KEY (FILIVO, SEQIVO) REFERENCES TT_IVO (FILVOL, SEQUEN);	   


/*-- SEQ 0275 --*/
CREATE INDEX I_FK_LIVO_IVO ON TL_IVO (FILIVO, SEQIVO)  ;


/*-- SEQ 0276 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0277 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_cheque_cc () CASCADE;

/*-- SEQ 0278 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_cheque_cc ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''Cheques a Fornecedores'',''N'',''O'',''N''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''CHEQUE_FORNEC'' AS CFGCOL, ''O'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0279 --*/
select temp_cria_conta_cheque_cc() from dual;


/*-- SEQ 0280 --*/
DROP FUNCTION temp_cria_conta_cheque_cc () CASCADE;

/*-- SEQ 0281 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0282 --*/
/*-- IGNORE ERRO --*/
alter table TD_STD drop constraint CK_DSTD_FLGFLX;

/*-- SEQ 0283 --*/
/*-- IGNORE ERRO --*/
alter table TD_STD
    add constraint CK_DSTD_FLGFLX
    check ((FLGFLX = 'C' AND USOSTD = 'C') OR (FLGFLX IN ('A','R') AND USOSTD = 'A'));

/*-- SEQ 0284 --*/
/*-- IGNORE ERRO --*/
insert into td_std (codtab,usostd,domdop,stdati,desstd,flgflx)
values ( (select max(codtab)+1 from td_std), 'C', (select cheque from tt_cfg where chetro = 'T'), 'T','CHEQUE TROCO CANCELADO','C' );






/*-- SEQ 0285 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD REUTILIZA_REFERENCIA CHAR(1);



/*-- SEQ 0286 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0287 --*/
UPDATE TT_CLI CLI
   SET ULTCOM = (SELECT MAX(VEN.DATHOR) AS ULTCOM
                   FROM TT_REC REC, TT_VEN VEN
                  WHERE REC.CODFIL = VEN.CODFIL
                    AND REC.SEQUEN = VEN.SEQUEN
                    AND VEN.LANVEN = 'T'
                    AND VEN.FLGEST <> 'C'
                    AND COALESCE(REC.RENORI,0) = 0
                    AND VEN.FILCLI = CLI.FILCLI
                    AND VEN.CODCLI = CLI.CODCLI),
       TOTPAR = (SELECT COUNT(*) AS TOTPAR
                   FROM TT_REC REC, TT_VEN VEN
                  WHERE REC.CODFIL = VEN.CODFIL
                    AND REC.SEQUEN = VEN.SEQUEN
                    AND VEN.LANVEN = 'T'
                    AND VEN.FLGEST <> 'C'
                    AND COALESCE(REC.RENORI,0) = 0
                    AND VEN.FILCLI = CLI.FILCLI
                    AND VEN.CODCLI = CLI.CODCLI)
 WHERE CLI.FILCLI||CLI.CODCLI <> (SELECT VC_FILCLI||VC_CODCLI 
                                    FROM TT_CFG);
                                    
/*-- SEQ 0288 --*/                                    
UPDATE TT_CLI CLI
   SET TOTATR = COALESCE((SELECT SUM(TRUNC(REC.PAGAME)-TRUNC(REC.DATVEN)) AS TOTATR
                   FROM TT_REC REC, TT_VEN VEN
                  WHERE REC.CODFIL = VEN.CODFIL
                    AND REC.SEQUEN = VEN.SEQUEN
                    AND VEN.LANVEN = 'T'
                    AND VEN.FLGEST <> 'C'
                    AND REC.FLGEST = 'P'
                    AND TRUNC(REC.PAGAME) > TRUNC(REC.DATVEN)
                    AND VEN.FILCLI = CLI.FILCLI
                    AND VEN.CODCLI = CLI.CODCLI),0),
       MAIATR = COALESCE((SELECT MAX(TRUNC(REC.PAGAME)-TRUNC(REC.DATVEN)) AS MAIATR
                   FROM TT_REC REC, TT_VEN VEN
                  WHERE REC.CODFIL = VEN.CODFIL
                    AND REC.SEQUEN = VEN.SEQUEN
                    AND VEN.LANVEN = 'T'
                    AND VEN.FLGEST <> 'C'
                    AND REC.FLGEST = 'P'
                    AND TRUNC(REC.PAGAME) > TRUNC(REC.DATVEN)
                    AND VEN.FILCLI = CLI.FILCLI
                    AND VEN.CODCLI = CLI.CODCLI),0)
 WHERE CLI.FILCLI||CLI.CODCLI <> (SELECT VC_FILCLI||VC_CODCLI 
                                    FROM TT_CFG);    

/*-- SEQ 0289 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));                               

/*-- SEQ 0290 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CLI ALTER COLUMN TOTPAR SET DEFAULT 0;

/*-- SEQ 0291 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CLI ALTER COLUMN MAIATR SET DEFAULT 0;

/*-- SEQ 0292 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CLI ALTER COLUMN TOTATR SET DEFAULT 0;

/*-- SEQ 0293 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0294 --*/
UPDATE TT_CLI 
   SET TOTPAR = 0 
 WHERE TOTPAR IS NULL;

/*-- SEQ 0295 --*/
UPDATE TT_CLI 
   SET MAIATR = 0 
 WHERE MAIATR IS NULL;

/*-- SEQ 0296 --*/
UPDATE TT_CLI 
   SET TOTATR = 0 
 WHERE TOTATR IS NULL;

/*-- SEQ 0297 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0298 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CLI ALTER COLUMN TOTPAR SET NOT NULL;

/*-- SEQ 0299 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CLI ALTER COLUMN MAIATR SET NOT NULL;

/*-- SEQ 0300 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CLI ALTER COLUMN TOTATR SET NOT NULL;


/*-- SEQ 0301 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVO  DROP CONSTRAINT CK_IVO_FLGEST;

/*-- SEQ 0302 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVO  ADD CONSTRAINT CK_IVO_FLGEST CHECK (FLGEST IN ('A','P','F','N','D','E','O'));


/*-- SEQ 0303 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVO  DROP CONSTRAINT CK_IVO_FLGEST;

/*-- SEQ 0304 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVO  ADD CONSTRAINT CK_IVO_FLGEST CHECK (FLGEST IN ('A','P','F','N','D','E','O','C'));


/*-- SEQ 0305 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD MARECF VARCHAR(20);

/*-- SEQ 0306 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD MODECF VARCHAR(20);

/*-- SEQ 0307 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD VSWECF VARCHAR(10);

/*-- SEQ 0308 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD CODFAB VARCHAR(3);

/*-- SEQ 0309 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD CODMOD VARCHAR(2);

/*-- SEQ 0310 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD DSWECF Timestamp;

/*-- SEQ 0311 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD FITDET VARCHAR(1);

/*-- SEQ 0312 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_FITDET CHECK (FITDET IN ('T','F'));

/*-- SEQ 0313 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ALTER COLUMN FITDET SET DEFAULT 'F';


/*-- SEQ 0314 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD MARECF VARCHAR(20);

/*-- SEQ 0315 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD MODECF VARCHAR(20);

/*-- SEQ 0316 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD VSWECF VARCHAR(10);

/*-- SEQ 0317 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD CODFAB VARCHAR(3);

/*-- SEQ 0318 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD CODMOD VARCHAR(2);

/*-- SEQ 0319 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD DSWECF Timestamp;

/*-- SEQ 0320 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD FITDET VARCHAR(1);

/*-- SEQ 0321 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ALTER COLUMN FITDET SET DEFAULT 'F';






/*-- SEQ 0322 --*/
ALTER TABLE TL_IVO DROP CONSTRAINT FK_LIVO_IVO;


/*-- SEQ 0323 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD FILIAL_CONTRATO Numeric(1);

/*-- SEQ 0324 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_FILIAL_CONTRATO CHECK (FILIAL_CONTRATO IN (0,1));

/*-- SEQ 0325 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ALTER COLUMN FILIAL_CONTRATO SET DEFAULT 0;

/*-- SEQ 0326 --*/
/*-- IGNORE ERRO --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0327 --*/
/*-- IGNORE ERRO --*/
UPDATE TT_CFG SET FILIAL_CONTRATO = 0 WHERE FILIAL_CONTRATO IS NULL;

/*-- SEQ 0328 --*/
/*-- IGNORE ERRO --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0329 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ALTER COLUMN FILIAL_CONTRATO SET NOT NULL;

/*-- SEQ 0330 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD FILIAL_CONTRATO Numeric(1);

/*-- SEQ 0331 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CONSTRAINT CK_WCFG_FILIAL_CONTRATO CHECK (FILIAL_CONTRATO IN (0,1));

/*-- SEQ 0332 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ALTER COLUMN FILIAL_CONTRATO SET DEFAULT 0;


/*-- SEQ 0333 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ADD CHEHOM VARCHAR(10);




/*-- SEQ 0334 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TT_VEN','DESCON','Numeric(14,4)');


/*-- SEQ 0335 --*/
/*-- IGNORE ERRO --*/
SELECT ExecAlteraTipoColuna('TW_VEN_FIS','DESCON','Numeric(14,4)');



/*-- SEQ 0336 --*/
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0337 --*/
UPDATE TT_USU
   SET PERMIS = SUBSTR(PERMIS,1,257)||'N'||SUBSTR(PERMIS,259,999);

/*-- SEQ 0338 --*/
SELECT ENABLETRIGGERS(LOWER('TT_USU'));



/*-- SEQ 0339 --*/
ALTER TABLE TT_ORC ADD CODSER CHAR(2);

/*-- SEQ 0340 --*/
ALTER TABLE TT_ORC ADD CONSTRAINT FK_ORC_DSER_CODSER FOREIGN KEY (CODSER) REFERENCES TD_SER (CODSER);




/*-- SEQ 0341 --*/
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0342 --*/
UPDATE TT_USU
   SET PERMIS = SUBSTR(PERMIS,1,261)||'S'||SUBSTR(PERMIS,263,999);

/*-- SEQ 0343 --*/
SELECT ENABLETRIGGERS(LOWER('TT_USU'));


/*-- SEQ 0344 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION TGIVO() CASCADE;


/*-- SEQ 0345 --*/
SELECT DISABLETRIGGERS(LOWER('TT_FIN'));

/*-- SEQ 0346 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_fin_datfis () CASCADE;

/*-- SEQ 0347 --*/
CREATE OR REPLACE FUNCTION temp_fin_datfis ()
RETURNS VARCHAR AS '
DECLARE

  vCODFIL TT_FIN.CODFIL%TYPE;
  vSEQUEN TT_FIN.SEQUEN%TYPE;
  cDUMMY  VARCHAR(10);
  
  CR_FIN_ORI CURSOR FOR
  SELECT TAB.CODFIL,TAB.SEQUEN
    FROM (SELECT FIN.CODFIL, FIN.SEQUEN, FIN.DATFIS, 
                 (SELECT REC.PAGAME 
                    FROM TT_REC REC INNER JOIN TT_OPE INT ON INT.FILREC = REC.CODFIL
                                                         AND INT.SEQREC = REC.SEQUEN
                                                         AND INT.NUMPAR = REC.NUMPAR
                                                         AND INT.SUBPAR = REC.SUBPAR
                   WHERE INT.CODFIL = OPE.CODFIL 
                     AND INT.NUMECF = OPE.NUMECF 
                     AND INT.TRN_ID = OPE.TRN_ID 
                     AND INT.NUMITE = OPE.NUMITE-1 
                     AND OPE.VLROPE = INT.VLROPE*-1
                 ) AS PAGAME
            FROM TT_OPE OPE INNER JOIN TT_FIN FIN ON OPE.FILFIN = FIN.CODFIL
                                                 AND OPE.SEQFIN = FIN.SEQUEN
           WHERE OPE.NUMECF = ''000''
         ) TAB 
   WHERE TAB.DATFIS <> TRUNC(TAB.PAGAME)
     AND TAB.PAGAME IS NOT NULL; 
     
  CR_FIN_TRN CURSOR FOR
  SELECT TAB.CODFIL,TAB.SEQUEN
    FROM (SELECT TRN.CODFIL, TRN.SEQUEN, TRN.DATFIS, 
                 (SELECT REC.PAGAME 
                    FROM TT_REC REC INNER JOIN TT_OPE INT ON INT.FILREC = REC.CODFIL
                                                         AND INT.SEQREC = REC.SEQUEN
                                                         AND INT.NUMPAR = REC.NUMPAR
                                                         AND INT.SUBPAR = REC.SUBPAR
                   WHERE INT.CODFIL = OPE.CODFIL 
                     AND INT.NUMECF = OPE.NUMECF 
                     AND INT.TRN_ID = OPE.TRN_ID 
                     AND INT.NUMITE = OPE.NUMITE-1 
                     AND OPE.VLROPE = INT.VLROPE*-1
                 ) AS PAGAME
            FROM TT_OPE OPE INNER JOIN TT_FIN FIN ON OPE.FILFIN = FIN.CODFIL
                                                 AND OPE.SEQFIN = FIN.SEQUEN
                            INNER JOIN TT_FIN TRN ON FIN.CODFIL = TRN.CODFIL
                                                 AND FIN.SEQUEN = TRN.SEQTRN                                               
           WHERE OPE.NUMECF = ''000''
         ) TAB 
   WHERE TAB.DATFIS <> TRUNC(TAB.PAGAME)
     AND TAB.PAGAME IS NOT NULL;     
  
BEGIN

  OPEN CR_FIN_ORI;
  FETCH CR_FIN_ORI INTO vCODFIL, vSEQUEN;
  IF FOUND THEN
    cDUMMY := INSERE_LFIN_LAN(''FIN'',vCODFIL,vSEQUEN,''--'',''--'');
  END IF;  
  CLOSE CR_FIN_ORI;

  OPEN CR_FIN_TRN;
  FETCH CR_FIN_TRN INTO vCODFIL, vSEQUEN;
  IF FOUND THEN
    cDUMMY := INSERE_LFIN_LAN(''FIN'',vCODFIL,vSEQUEN,''--'',''--'');
  END IF;  
  CLOSE CR_FIN_TRN; 
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0348 --*/
select temp_fin_datfis() from dual;


/*-- SEQ 0349 --*/
DROP FUNCTION temp_fin_datfis () CASCADE;

/*-- SEQ 0350 --*/
UPDATE TT_FIN
   SET DATFIS = TRUNC(SUB.PAGAME)
  FROM (
       SELECT TAB.CODFIL, TAB.SEQUEN, TAB.PAGAME
         FROM (
               SELECT FIN.CODFIL, FIN.SEQUEN, FIN.DATFIS, 
                      (SELECT REC.PAGAME 
                         FROM TT_REC REC INNER JOIN TT_OPE INT ON INT.FILREC = REC.CODFIL
                                                              AND INT.SEQREC = REC.SEQUEN
                                                              AND INT.NUMPAR = REC.NUMPAR
                                                              AND INT.SUBPAR = REC.SUBPAR
                        WHERE INT.CODFIL = OPE.CODFIL 
                          AND INT.NUMECF = OPE.NUMECF 
                          AND INT.TRN_ID = OPE.TRN_ID 
                          AND INT.NUMITE = OPE.NUMITE-1 
                          AND OPE.VLROPE = INT.VLROPE*-1
                      ) AS PAGAME
                 FROM TT_OPE OPE INNER JOIN TT_FIN FIN ON OPE.FILFIN = FIN.CODFIL
                                                      AND OPE.SEQFIN = FIN.SEQUEN
                WHERE OPE.NUMECF = '000'
              ) TAB 
        WHERE TAB.DATFIS <> TRUNC(TAB.PAGAME)
          AND TAB.PAGAME IS NOT NULL
       ) SUB 
 WHERE TT_FIN.CODFIL = SUB.CODFIL
   AND TT_FIN.SEQUEN = SUB.SEQUEN;

/*-- SEQ 0351 --*/
UPDATE TT_FIN
   SET DATFIS = TRUNC(SUB.PAGAME)
  FROM (
       SELECT TAB.CODFIL, TAB.SEQUEN, TAB.PAGAME
         FROM (
               SELECT TRN.CODFIL, TRN.SEQUEN, TRN.DATFIS, 
                      (SELECT REC.PAGAME 
                         FROM TT_REC REC INNER JOIN TT_OPE INT ON INT.FILREC = REC.CODFIL
                                                              AND INT.SEQREC = REC.SEQUEN
                                                              AND INT.NUMPAR = REC.NUMPAR
                                                              AND INT.SUBPAR = REC.SUBPAR
                        WHERE INT.CODFIL = OPE.CODFIL 
                          AND INT.NUMECF = OPE.NUMECF 
                          AND INT.TRN_ID = OPE.TRN_ID 
                          AND INT.NUMITE = OPE.NUMITE-1 
                          AND OPE.VLROPE = INT.VLROPE*-1
                      ) AS PAGAME
                 FROM TT_OPE OPE INNER JOIN TT_FIN FIN ON OPE.FILFIN = FIN.CODFIL
                                                      AND OPE.SEQFIN = FIN.SEQUEN
                                 INNER JOIN TT_FIN TRN ON FIN.CODFIL = TRN.CODFIL
                                                      AND FIN.SEQUEN = TRN.SEQTRN                                                      
                WHERE OPE.NUMECF = '000'
              ) TAB 
        WHERE TAB.DATFIS <> TRUNC(TAB.PAGAME)
          AND TAB.PAGAME IS NOT NULL 
       ) SUB 
 WHERE TT_FIN.CODFIL = SUB.CODFIL
   AND TT_FIN.SEQUEN = SUB.SEQUEN;

/*-- SEQ 0352 --*/
SELECT ENABLETRIGGERS(LOWER('TT_FIN'));


/*-- SEQ 0353 --*/
update tt_ive
set qtdpen=-1
where (codfil,sequen) in
(select ive.codfil, ive.sequen 
 from tt_ive ive inner join tt_sub sub on sub.codite=ive.embori
where ive.qtdpen > 0
  and sub.fatcon > 1);

/*-- SEQ 0354 --*/
update tt_ive
set qtdfut = qtdpen
where coalesce(qtdfut,0) > 0
  and (codfil,sequen) in
(select ive.codfil, ive.sequen 
 from tt_ive ive inner join tt_sub sub on sub.codite=ive.embori
where ive.qtdpen > 0
  and sub.fatcon > 1);


/*-- SEQ 0355 --*/
ALTER TABLE TT_IVO ADD FILIMP CHAR(3);

/*-- SEQ 0356 --*/
ALTER TABLE TT_IVO ADD SEQIMP CHAR(10);

/*-- SEQ 0357 --*/
ALTER TABLE TT_IVO ADD NUMIMP Numeric(5);

/*-- SEQ 0358 --*/
ALTER TABLE TT_IVO ADD CONSTRAINT FK_IVO_IVE_IMP FOREIGN KEY (FILIMP, SEQIMP, NUMIMP) REFERENCES TT_IVE (CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0359 --*/
CREATE INDEX I_FK_IVO_IVE_IMP ON TT_IVO (FILIMP, SEQIMP, NUMIMP)  ; 

/*-- SEQ 0360 --*/
/*-- IGNORE ERRO --*/
INSERT INTO TT_FUN (NOMFUN, DATFUN) VALUES ('IVO_IMPRES',AGORA());


/*-- SEQ 0361 --*/
CREATE TABLE TL_ROM(
       FILROM CHAR(3),
       SEQROM CHAR(10),
       DATOPE Timestamp,
       FILUSU CHAR(3),
       CODUSU CHAR(3),
       MSGLOG VARCHAR(4000),
       CODUID Numeric);
	   

/*-- SEQ 0362 --*/	   
ALTER TABLE TL_ROM ADD CONSTRAINT FK_LROM_ROM FOREIGN KEY (FILROM, SEQROM) REFERENCES TT_ROM (CODFIL, SEQUEN);	   


/*-- SEQ 0363 --*/
CREATE INDEX I_FK_LROM_ROM ON TL_ROM (FILROM, SEQROM)  ;


/*-- SEQ 0364 --*/
ALTER TABLE TT_ROM DROP CONSTRAINT CK_ROM_FLGEST;

/*-- SEQ 0365 --*/
ALTER TABLE TT_ROM ADD CONSTRAINT CK_ROM_FLGEST CHECK (FLGEST IN ('A','F','E','C'));


/*-- SEQ 0366 --*/
/*-- IGNORE ERRO --*/
DROP INDEX I_UQ_LFIN_DESTIN;

/*-- SEQ 0367 --*/
/*-- IGNORE ERRO --*/
DROP INDEX I_UQ_LFIN_ORIGEM;

/*-- SEQ 0368 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_LFIN_DESTIN ON TL_FIN (DESTIN, CODTAB)  ;

/*-- SEQ 0369 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_LFIN_ORIGEM ON TL_FIN (ORIGEM, FILORI, SEQORI, PARORI, SUBORI)  ;

/*-- SEQ 0370 --*/
/*-- IGNORE ERRO --*/
CREATE SEQUENCE SQLFIN INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0371 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_FIN ADD FIN_ID Numeric(10);

/*-- SEQ 0372 --*/
SELECT DISABLETRIGGERS(LOWER('TL_FIN'));

/*-- SEQ 0373 --*/
UPDATE TL_FIN
   SET FIN_ID = NEXTVAL('SQLFIN')
WHERE FIN_ID IS NULL;

/*-- SEQ 0374 --*/
SELECT ENABLETRIGGERS(LOWER('TL_FIN'));

/*-- SEQ 0375 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TL_FIN ADD CONSTRAINT PK_LFIN PRIMARY KEY (FIN_ID)   ;




/*-- SEQ 0376 --*/
SELECT DISABLETRIGGERS(LOWER('TT_PAG'));

/*-- SEQ 0377 --*/
SELECT DISABLETRIGGERS(LOWER('TT_COM'));

/*-- SEQ 0378 --*/
UPDATE TT_COM SET FLGEST = 'Q'
 WHERE VLRLIQ = 0
   AND FLGEST = 'A';

/*-- SEQ 0379 --*/
DELETE FROM TT_PAG WHERE VLRPAR = 0 AND FLGEST = 'A';

/*-- SEQ 0380 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PAG'));

/*-- SEQ 0381 --*/
SELECT ENABLETRIGGERS(LOWER('TT_COM'));


/*-- SEQ 0382 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_COM ADD FLGICM CHAR(1);

/*-- SEQ 0383 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_COM ADD CONSTRAINT CK_FLGICM CHECK (FLGICM IN ('T','F'));

/*-- SEQ 0384 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_COM ADD FLGISS CHAR(1);

/*-- SEQ 0385 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_COM ADD CONSTRAINT CK_FLGISS CHECK (FLGISS IN ('T','F'));


/*-- SEQ 0386 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0387 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_icms () CASCADE;

/*-- SEQ 0388 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_icms ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''ICMS a Pagar'',''N'',''I'',''N''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''ICMS_PAG'' AS CFGCOL, ''I'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0389 --*/
/*-- IGNORE ERRO --*/
select temp_cria_conta_icms() from dual;


/*-- SEQ 0390 --*/
DROP FUNCTION temp_cria_conta_icms () CASCADE;

/*-- SEQ 0391 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0392 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0393 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_iss () CASCADE;

/*-- SEQ 0394 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_iss ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''ISS a Pagar'',''N'',''I'',''N''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''ISS_PAG'' AS CFGCOL, ''I'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0395 --*/
/*-- IGNORE ERRO --*/
select temp_cria_conta_iss() from dual;


/*-- SEQ 0396 --*/
DROP FUNCTION temp_cria_conta_iss () CASCADE;

/*-- SEQ 0397 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0398 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0399 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_inss () CASCADE;

/*-- SEQ 0400 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_inss ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''INSS a Pagar'',''N'',''I'',''N''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''INSS_PAG'' AS CFGCOL, ''I'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0401 --*/
/*-- IGNORE ERRO --*/
select temp_cria_conta_inss() from dual;


/*-- SEQ 0402 --*/
DROP FUNCTION temp_cria_conta_inss () CASCADE;

/*-- SEQ 0403 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0404 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG DROP CONSTRAINT FK_CFG_DSIT;

/*-- SEQ 0405 --*/
ALTER TABLE TT_CFG ADD  CONSTRAINT FK_CFG_DSIT FOREIGN KEY (SAC_FLGSIT) REFERENCES TD_SIT (CODTAB);



/*-- SEQ 0406 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CHR'));

/*-- SEQ 0407 --*/
update tt_chr 
   set pagame = null
 where flgest not in ('B','C','X')
   and pagame is not null;

/*-- SEQ 0408 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CHR'));


/*-- SEQ 0409 --*/
ALTER TABLE TT_COM ADD OUTDES Numeric(12,2);

/*-- SEQ 0410 --*/
ALTER TABLE TT_COM ADD DESPAR Numeric(12,2);



/*-- SEQ 0411 --*/
ALTER TABLE TT_CFG ADD SQL_CUSREP VARCHAR(4000);




/*-- SEQ 0412 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_VEN_FIS ADD AVISTA CHAR(1);


/*-- SEQ 0413 --*/
ALTER TABLE TT_GRA ALTER COLUMN VOLUME DROP NOT NULL;

/*-- SEQ 0414 --*/
ALTER TABLE TT_GRA ALTER COLUMN VOLUME SET DEFAULT NULL;


/*-- SEQ 0415 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0416 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_outdes () CASCADE;

/*-- SEQ 0417 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_outdes ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''Outras Despesas Associadas'',''G'',''O'',''G''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''OUTRAS DESPESAS'' AS CFGCOL, ''O'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0418 --*/
/*-- IGNORE ERRO --*/
select temp_cria_conta_outdes() from dual;


/*-- SEQ 0419 --*/
DROP FUNCTION temp_cria_conta_outdes () CASCADE;

/*-- SEQ 0420 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0421 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_OPE_LID ON TT_OPE (CODFIL,NUMECF,TRN_ID)  ;

/*-- SEQ 0422 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_REC_DATINC ON TT_REC (DATINC)  ;


/*-- SEQ 0423 --*/
ALTER TABLE TT_CFG ADD CUSTO_LUCRO_MARKUP VARCHAR(1);

/*-- SEQ 0424 --*/
ALTER TABLE TT_CFG ALTER COLUMN CUSTO_LUCRO_MARKUP SET DEFAULT '0';

/*-- SEQ 0425 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CUSTO_LUCRO_MARKUP CHECK (CUSTO_LUCRO_MARKUP IN ('0','1','2','3'));

/*-- SEQ 0426 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0427 --*/
UPDATE TT_CFG SET CUSTO_LUCRO_MARKUP = '0' WHERE CUSTO_LUCRO_MARKUP IS NULL;

/*-- SEQ 0428 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0429 --*/
ALTER TABLE TT_CFG ALTER COLUMN CUSTO_LUCRO_MARKUP SET NOT NULL;

