
/*-- SEQ 0001 --*/
ALTER TABLE TT_CHR DROP CONSTRAINT CK_CHR_FLGEST;

/*-- SEQ 0002 --*/
ALTER TABLE TT_CHR ADD CONSTRAINT CK_CHR_FLGEST CHECK (FLGEST IN ('A','C','D','P','S','V','B','X','R','U','I'));

/*-- SEQ 0003 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0004 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_perd_che () CASCADE;

/*-- SEQ 0005 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_perd_che ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''Perdas por cheques devolvidos'',''G'',''O'',''G''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''CHEQUES_PERDIDOS'' AS CFGCOL, ''O'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0006 --*/
select temp_cria_conta_perd_che() from dual;


/*-- SEQ 0007 --*/
DROP FUNCTION temp_cria_conta_perd_che () CASCADE;

/*-- SEQ 0008 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0009 --*/
ALTER TABLE TT_PAG ADD RENORI Numeric(2,0);

/*-- SEQ 0010 --*/
ALTER TABLE TT_PAG ADD RENEGO Numeric(2,0);

/*-- SEQ 0011 --*/
ALTER TABLE TI_PAG ADD RENORI Numeric(2,0);

/*-- SEQ 0012 --*/
ALTER TABLE TI_PAG ADD RENEGO Numeric(2,0);


/*-- SEQ 0013 --*/
ALTER TABLE TD_FIL ADD FILOUT CHAR(3);

/*-- SEQ 0014 --*/
ALTER TABLE TD_FIL ADD SEQOUT CHAR(10);

/*-- SEQ 0015 --*/
ALTER TABLE TD_FIL ADD TIPOUT CHAR(1);

/*-- SEQ 0016 --*/
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_CTA_OUT FOREIGN KEY (FILOUT, SEQOUT, TIPOUT) REFERENCES TT_CTA (CODFIL, SEQUEN, TIPCTA); 

/*-- SEQ 0017 --*/
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_TIPOUT CHECK (TIPOUT IN ('N'));



/*-- SEQ 0018 --*/
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0019 --*/
UPDATE TT_USU
   SET PERMIS = SUBSTR(PERMIS,1,263)||SUBSTR(PERMIS,73,1)||SUBSTR(PERMIS,265,999);

/*-- SEQ 0020 --*/
SELECT ENABLETRIGGERS(LOWER('TT_USU'));


/*-- SEQ 0021 --*/
SELECT DISABLETRIGGERS(LOWER('TD_SER'));

/*-- SEQ 0022 --*/
UPDATE TD_SER
   SET MODNOT = 0
 WHERE MODNOT IS NULL;

/*-- SEQ 0023 --*/
SELECT ENABLETRIGGERS(LOWER('TD_SER'));

/*-- SEQ 0024 --*/
ALTER TABLE TD_SER ALTER COLUMN MODNOT SET DEFAULT 0;

/*-- SEQ 0025 --*/
ALTER TABLE TD_SER ALTER COLUMN MODNOT SET NOT NULL;

/*-- SEQ 0026 --*/
ALTER TABLE TD_SER ADD CONSTRAINT CK_DSER_MODNOT CHECK (MODNOT IN (0,1,2,3,4,55));



/*-- SEQ 0027 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta_outdes () CASCADE;

/*-- SEQ 0029 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta_outdes ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
BEGIN
 
  -- Cria novas contas financeiras para usos fixos
  SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
  cSEQFIN := ProximaConta(cCODFIL,''Outras Despesas Associadas'',''G'',''O'',''G''); 
  
  -- Descobre o proximo CODTAB da TD_CTA
  SELECT MAX(CODTAB)+1 INTO cCODTAB
    FROM TD_CTA;  
  
  -- Insere as novas contas na tabela 
  INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
  (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''OUTRAS DESPESAS'' AS CFGCOL, ''O'' AS USOCTA
   FROM TT_CTA
   WHERE CODFIL = cCODFIL
     AND SEQUEN = cSEQFIN);
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/
select temp_cria_conta_outdes() from dual;


/*-- SEQ 0031 --*/
DROP FUNCTION temp_cria_conta_outdes () CASCADE;

/*-- SEQ 0032 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));


/*-- SEQ 0033 --*/
ALTER TABLE TT_DESXCLI ADD VLRDES Numeric(12,2);

/*-- SEQ 0034 --*/
ALTER TABLE TT_DESXCLI ALTER COLUMN PERDES DROP NOT NULL;

/*-- SEQ 0035 --*/
ALTER TABLE TT_DESXCLI ADD CONSTRAINT CK_DESXCLI_DESCONTO CHECK ((PERDES IS NOT NULL) OR (VLRDES IS NOT NULL));


/*-- SEQ 0036 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0037 --*/
ALTER TABLE TT_CLI ADD ISENTO VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0038 --*/
ALTER TABLE TT_CLI ADD CONSTRAINT CK_CLI_ISENTO CHECK (ISENTO IN ('T','F'));

/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0040 --*/
UPDATE TT_CLI
   SET ISENTO = CASE WHEN (FLGTIP > 0 AND INSEST <> 'ISENTO') OR 
                          (FLGTIP = 0 AND TIPDOC = 'IE')      THEN 
                          'F'
                ELSE
                          'T'
                END;

/*-- SEQ 0041 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0042 --*/
ALTER TABLE TT_CLI ALTER COLUMN ISENTO SET NOT NULL;


/*-- SEQ 0043 --*/
SELECT DISABLETRIGGERS(LOWER('TD_LAN'));

/*-- SEQ 0044 --*/
ALTER TABLE TD_LAN ADD MOVLEG VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0045 --*/
ALTER TABLE TD_LAN ADD CONSTRAINT CK_DLAN_MOVLEG CHECK (MOVLEG IN ('T','F'));

/*-- SEQ 0046 --*/
SELECT ENABLETRIGGERS(LOWER('TD_LAN'));

/*-- SEQ 0047 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0049 --*/
ALTER TABLE TD_LAN ALTER COLUMN MOVLEG SET NOT NULL;


/*-- SEQ 0050 --*/
ALTER TABLE TD_LAN ADD FILLAN CHAR(3);

/*-- SEQ 0051 --*/
ALTER TABLE TD_LAN ADD CONSTRAINT FK_DLAN_DFIL FOREIGN KEY (FILLAN) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0052 --*/
ALTER TABLE TW_TAB ADD MOVLEG VARCHAR(1);

/*-- SEQ 0053 --*/
ALTER TABLE TW_TAB ALTER COLUMN MOVLEG SET DEFAULT 'F';

/*-- SEQ 0054 --*/
ALTER TABLE TW_TAB ADD FILLAN CHAR(3);


/*-- SEQ 0055 --*/
SELECT DISABLETRIGGERS(LOWER('TT_SAL'));

/*-- SEQ 0056 --*/
ALTER TABLE TT_SAL ADD MOVEST VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0057 --*/
ALTER TABLE TT_SAL ADD CONSTRAINT CK_SAL_MOVEST CHECK (MOVEST IN ('T','F'));

/*-- SEQ 0058 --*/
SELECT ENABLETRIGGERS(LOWER('TT_SAL'));


/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0060 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0061 --*/
ALTER TABLE TT_SAL ALTER COLUMN MOVEST SET NOT NULL;



/*-- SEQ 0062 --*/
ALTER TABLE TT_CFG ADD CARENCIA_RESTRI Numeric(3);

/*-- SEQ 0063 --*/
ALTER TABLE TT_CFG ALTER COLUMN CARENCIA_RESTRI SET DEFAULT 0;

/*-- SEQ 0064 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0065 --*/
UPDATE TT_CFG
   SET CARENCIA_RESTRI = CARENCIA;

/*-- SEQ 0066 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0067 --*/
ALTER TABLE TT_CFG ALTER COLUMN CARENCIA_RESTRI SET NOT NULL;

/*-- SEQ 0068 --*/
ALTER TABLE TW_CFG ADD CARENCIA_RESTRI Numeric(3);

/*-- SEQ 0069 --*/
ALTER TABLE TW_CFG ALTER COLUMN CARENCIA_RESTRI SET DEFAULT 0;

 


/*-- SEQ 0070 --*/
ALTER TABLE TT_LAN ADD ORD_CM Numeric(10,0);

/*-- SEQ 0071 --*/
ALTER TABLE TT_LAN ADD QTD_CM Numeric(12,4);

/*-- SEQ 0072 --*/
ALTER TABLE TT_LAN ADD TOT_CM Numeric(16,4);

/*-- SEQ 0073 --*/
ALTER TABLE TT_LAN ADD TOTCMG Numeric(16,4);

/*-- SEQ 0074 --*/
ALTER TABLE TT_LAN ADD SAL_CM Numeric(16,4);


/*-- SEQ 0075 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_OPE_LID ON TT_OPE (CODFIL,NUMECF,TRN_ID)  ;

/*-- SEQ 0076 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_LC_REC_DATINC ON TT_REC (DATINC)  ;


/*-- SEQ 0077 --*/
CREATE TABLE TL_COM(
       CODFIL VARCHAR(3),
       SEQUEN VARCHAR(10),
       DATOPE Timestamp,
       FILUSU CHAR(3),
       CODUSU CHAR(3),
       MSGLOG VARCHAR(4000),
       CODUID Numeric);
       
/*-- SEQ 0078 --*/
CREATE INDEX I_PK_LCOM ON TL_COM (CODFIL, SEQUEN)  ; 

/*-- SEQ 0079 --*/
ALTER TABLE TL_COM ADD CONSTRAINT FK_LCOM_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);
      


/*-- SEQ 0080 --*/
ALTER TABLE TT_FXC ADD DUMMY CHAR(1);

/*-- SEQ 0081 --*/
ALTER TABLE TT_DXC ADD DUMMY CHAR(1);

/*-- SEQ 0082 --*/
ALTER TABLE TT_BON ADD DUMMY CHAR(1);

/*-- SEQ 0083 --*/
ALTER TABLE TM_END ADD DUMMY CHAR(1);

/*-- SEQ 0084 --*/
ALTER TABLE TT_COM ADD DUMMY CHAR(1);

/*-- SEQ 0085 --*/
ALTER TABLE TT_IRO ADD DUMMY CHAR(1);

/*-- SEQ 0086 --*/
ALTER TABLE TL_RCP ADD DUMMY CHAR(1);

/*-- SEQ 0087 --*/
/*--IGNORE ERRO--*/
DROP FUNCTION TGDXCl() CASCADE;

/*-- SEQ 0088 --*/
/*--IGNORE ERRO--*/
DROP FUNCTION TGDXC2() CASCADE;


/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION ProximoCodigo (VARCHAR,TD_FIL.CODFIL%TYPE) CASCADE;

/*-- SEQ 0090 --*/
CREATE OR REPLACE FUNCTION ProximoCodigo (VARCHAR,TD_FIL.CODFIL%TYPE)
RETURNS VARCHAR AS '
DECLARE
Tabela ALIAS FOR $1 ;
Filial ALIAS FOR $2 ;
-- Objetivo
-- 1) Obter o proximo valor sequencial de uma tabela
--
  loja         TT_IDF.CODLOJ%TYPE;
  UnicoServer  TT_CFG.SRVUNI%TYPE;
  proximo      Numeric;
  Excecao      Boolean;

-- Principal
begin
   IF Tabela IN (''TT_DIV'',''TT_SUB'',''TT_DOW'') THEN
     Excecao := True;
   else
     Excecao := False;

     -- Verifica se ha apenas um servidor para o cliente
     SELECT SRVUNI INTO UnicoServer FROM TT_CFG;

     -- Verifica se a filial e a mesma do servidor
     SELECT CODLOJ INTO loja
     FROM (SELECT 0 AS dummy1 FROM dual) d1 
          LEFT OUTER JOIN (SELECT 0 AS dummy2,CODLOJ FROM TT_IDF WHERE CODLOJ = Filial) d2 
          ON d1.dummy1 = d2.dummy2;
   END IF;

   -- Obtem o proximo codigo
   IF (Excecao OR (loja IS NOT NULL) OR (UnicoServer = ''T'')) THEN
     IF    Tabela = ''TT_BON'' THEN SELECT NEXTVAL(''sqBON'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_AUT'' THEN SELECT NEXTVAL(''sqAUT'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_AVI'' THEN SELECT NEXTVAL(''sqAVI'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TR_CAI'' THEN SELECT NEXTVAL(''sqRCAI'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CAR'' THEN SELECT NEXTVAL(''sqCAR'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CPM'' THEN SELECT NEXTVAL(''sqCPM'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CTA'' THEN SELECT NEXTVAL(''sqCTA'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CCC'' THEN SELECT NEXTVAL(''sqCCC'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CHR'' THEN SELECT NEXTVAL(''sqCHR'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CMT'' THEN SELECT NEXTVAL(''sqCMT'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_COM'' THEN SELECT NEXTVAL(''sqCOM'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_COS'' THEN SELECT NEXTVAL(''sqCOS'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CRE'' THEN SELECT NEXTVAL(''sqCRE'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CTT'' THEN SELECT NEXTVAL(''sqCTT'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CXG'' THEN SELECT NEXTVAL(''sqCXG'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_DIV'' THEN SELECT NEXTVAL(''sqDIV'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_DOP'' THEN SELECT NEXTVAL(''sqDOP'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_DOE'' THEN SELECT NEXTVAL(''sqDOE'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_DOW'' THEN SELECT NEXTVAL(''sqDOW'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_DRU'' THEN SELECT NEXTVAL(''sqDRU'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_DXG'' THEN SELECT NEXTVAL(''sqDXG'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_DXC'' THEN SELECT NEXTVAL(''sqDXC'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_SUB'' THEN SELECT NEXTVAL(''sqSUB'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_ETI'' THEN SELECT NEXTVAL(''sqETI'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_ECT'' THEN SELECT NEXTVAL(''sqECT'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_FIN'' THEN SELECT NEXTVAL(''sqFIN'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_GRA'' THEN SELECT NEXTVAL(''sqGRA'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_HOR'' THEN SELECT NEXTVAL(''sqHOR'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_INV'' THEN SELECT NEXTVAL(''sqINV'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_IPE'' THEN SELECT NEXTVAL(''sqIPE'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_IVO'' THEN SELECT NEXTVAL(''sqIVO'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_KIT'' THEN SELECT NEXTVAL(''sqKIT'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_LAN'' THEN SELECT NEXTVAL(''sqLAN'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_LCF'' THEN SELECT NEXTVAL(''sqLCF'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_PRE'' THEN SELECT NEXTVAL(''sqPRE'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_PAP'' THEN SELECT NEXTVAL(''sqPAP'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_RDP'' THEN SELECT NEXTVAL(''sqRDP'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_REF'' THEN SELECT NEXTVAL(''sqREF'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_REG'' THEN SELECT NEXTVAL(''sqREG'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_RCP'' THEN SELECT NEXTVAL(''sqRCP'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_RZR'' THEN SELECT NEXTVAL(''sqRZR'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_REN'' THEN SELECT NEXTVAL(''sqREN'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_SAL'' THEN SELECT NEXTVAL(''sqSAL'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_SUP'' THEN SELECT NEXTVAL(''sqSUP'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_SQL'' THEN SELECT NEXTVAL(''sqSQL'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_SIM'' THEN SELECT NEXTVAL(''sqSIM'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_VEN'' THEN SELECT NEXTVAL(''sqVEN'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_TAR'' THEN SELECT NEXTVAL(''sqTAR'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_TRC'' THEN SELECT NEXTVAL(''sqTRC'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_WOR'' THEN SELECT NEXTVAL(''sqWOR'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_PRJ'' THEN SELECT NEXTVAL(''sqPRJ'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_MAI'' THEN SELECT NEXTVAL(''sqMAI'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_MAR'' THEN SELECT NEXTVAL(''sqMAR'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_VPE'' THEN SELECT NEXTVAL(''sqVPE'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TM_GRA'' THEN SELECT NEXTVAL(''sqMGRA'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TM_CLI'' THEN SELECT NEXTVAL(''sqMCLI'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TR_MOV'' THEN SELECT NEXTVAL(''sqRMOV'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TW_PRE'' THEN SELECT NEXTVAL(''sqWPRE'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TW_SAC'' THEN SELECT NEXTVAL(''sqWSAC'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_HND'' THEN SELECT NEXTVAL(''sqHND'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_TIT'' THEN SELECT NEXTVAL(''sqTIT'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_IXT'' THEN SELECT NEXTVAL(''sqIXT'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_PIV'' THEN SELECT NEXTVAL(''sqPIV'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_RES'' THEN SELECT NEXTVAL(''sqRES'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_ANX'' THEN SELECT NEXTVAL(''sqANX'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_AGE'' THEN SELECT NEXTVAL(''sqAGE'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_AUS'' THEN SELECT NEXTVAL(''sqAUS'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_EXP'' THEN SELECT NEXTVAL(''sqEXP'')  INTO proximo FROM DUAL;     
     ELSIF Tabela = ''TT_FER'' THEN SELECT NEXTVAL(''sqFER'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_ENV'' THEN SELECT NEXTVAL(''sqENV'')  INTO proximo FROM DUAL;      
     ELSIF Tabela = ''TT_IEN'' THEN SELECT NEXTVAL(''sqIEN'')  INTO proximo FROM DUAL;      
     ELSIF Tabela = ''TT_PHO'' THEN SELECT NEXTVAL(''sqPHO'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_ROM'' THEN SELECT NEXTVAL(''sqROM'')  INTO proximo FROM DUAL;  
     ELSIF Tabela = ''TT_MON'' THEN SELECT NEXTVAL(''sqMON'')  INTO proximo FROM DUAL;  
     ELSIF Tabela = ''TT_COR'' THEN SELECT NEXTVAL(''sqCOR'')  INTO proximo FROM DUAL;  
     ELSIF Tabela = ''TT_COB'' THEN SELECT NEXTVAL(''sqCOB'')  INTO proximo FROM DUAL;  
     ELSIF Tabela = ''TT_DEV'' THEN SELECT NEXTVAL(''sqDEV'')  INTO proximo FROM DUAL;  
     ELSIF Tabela = ''TT_RAT'' THEN SELECT NEXTVAL(''sqRAT'')  INTO proximo FROM DUAL;  
     ELSIF Tabela = ''TT_BAI'' THEN SELECT NEXTVAL(''sqBAI'')  INTO proximo FROM DUAL; 
     ELSIF Tabela = ''TD_CRT'' THEN SELECT NEXTVAL(''sqDCRT'')  INTO proximo FROM DUAL; 
     ELSIF Tabela = ''TD_DET'' THEN SELECT NEXTVAL(''sqDDET'')  INTO proximo FROM DUAL; 
     ELSIF Tabela = ''TD_LCR'' THEN SELECT NEXTVAL(''sqDLCR'')  INTO proximo FROM DUAL; 
     ELSIF Tabela = ''TT_MUN'' THEN SELECT NEXTVAL(''sqMUN'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_AFE'' THEN SELECT NEXTVAL(''sqAFE'')  INTO proximo FROM DUAL;  
     ELSIF Tabela = ''TT_FCP'' THEN SELECT NEXTVAL(''sqFCP'')  INTO proximo FROM DUAL; 
     ELSIF Tabela = ''TT_LMC'' THEN SELECT NEXTVAL(''sqLMC'')  INTO proximo FROM DUAL; 
     ELSIF Tabela = ''TT_PXR'' THEN SELECT NEXTVAL(''sqPXR'')  INTO proximo FROM DUAL; 
     ELSIF Tabela = ''TT_AGEXUSU'' THEN SELECT NEXTVAL(''sqAGEXUSU'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_COM_CANCELAMENTO'' THEN SELECT NEXTVAL(''sqCOM'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CHR_CANCELAMENTO'' THEN SELECT NEXTVAL(''sqCHR'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_TRC_CANCELAMENTO'' THEN SELECT NEXTVAL(''sqTRC'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_IRO_CANCELAMENTO'' THEN SELECT NEXTVAL(''sqIRO'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_DESXCLI'' THEN SELECT NEXTVAL(''sqDESXCLI'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_BONXCLI'' THEN SELECT NEXTVAL(''sqBONXCLI'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_ENP'' THEN SELECT NEXTVAL(''sqENP'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CAI'' THEN SELECT NEXTVAL(''sqCAI'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_EXT'' THEN SELECT NEXTVAL(''sqEXT'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_LEX'' THEN SELECT NEXTVAL(''sqLEX'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_DEP'' THEN SELECT NEXTVAL(''sqDEP'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_PREXDIF'' THEN SELECT NEXTVAL(''sqPREXDIF'')  INTO proximo FROM DUAL;
     ELSIF Tabela = ''TW_FLU'' THEN SELECT NEXTVAL(''sqWFLU'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_ABM'' THEN SELECT NEXTVAL(''sqABM'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_BICXECF'' THEN SELECT NEXTVAL(''sqBICXECF'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_CLA'' THEN SELECT NEXTVAL(''sqCLA'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_RCT'' THEN SELECT NEXTVAL(''sqRCT'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_DOU'' THEN SELECT NEXTVAL(''sqDOU'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_DESXICO'' THEN SELECT NEXTVAL(''sqDESXICO'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_TEC'' THEN SELECT NEXTVAL(''sqTEC'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_FLW'' THEN SELECT NEXTVAL(''sqFLW'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_AVA'' THEN SELECT NEXTVAL(''sqAVA'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_TEQ'' THEN SELECT NEXTVAL(''sqTEQ'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_EQP'' THEN SELECT NEXTVAL(''sqEQP'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_TEF'' THEN SELECT NEXTVAL(''SQTEF'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_FILXPLA'' THEN SELECT NEXTVAL(''SQFILXPLA'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_TCP'' THEN SELECT NEXTVAL(''SQTCP'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_UID'' THEN SELECT NEXTVAL(''SQUID'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TW_EXT'' THEN SELECT NEXTVAL(''sqWEXT'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_OPE'' THEN SELECT NEXTVAL(''SQ_TRN_ID_EST'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_DIS'' THEN SELECT NEXTVAL(''SQDIS'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TL_FIN'' THEN SELECT NEXTVAL(''SQLFIN'') INTO proximo FROM DUAL;
     ELSIF Tabela = ''TT_IVEXIPE'' THEN SELECT NEXTVAL(''SQIVEXIPE'') INTO proximo FROM DUAL;
     END IF;
     IF proximo IS NOT NULL THEN
       -- Tratamento especial
       IF Tabela IN (''TT_DIV'',''TT_SUB'',''TT_DOW'') THEN
         Return LPAD(RTRIM(proximo),5,'' '');
       ELSIF Tabela IN (''TT_OPE'') THEN
         Return proximo;
       ELSE
         Return LPAD(RTRIM(proximo),10,'' '');
       END IF;
     END IF;
   END IF;
END;
' language 'plpgsql';



/*-- SEQ 0091 --*/
INSERT INTO TL_FIN
(ORIGEM, FILORI, SEQORI, PARORI, SUBORI, DATINC)
(SELECT CAST( 'CCC' AS CHAR(3) ),
        CCC.CODFIL, CCC.SEQUEN,
        CAST( '--' AS CHAR(2) ),
        CAST( '--' AS CHAR(2) ), Agora()
   FROM TT_CCC CCC INNER JOIN TT_VEN FAT ON FAT.CODFIL = CCC.CODFIL
                                        AND FAT.CODSER = 'CC'
                                        AND FAT.NUMECF = '000'
                                        AND FAT.NUMNOT = CASE WHEN SUBSTR(CCC.NUMDOC,1,2) = 'CC'
                                                              THEN SUBSTR(CCC.NUMDOC,3,6)
                                                              ELSE SUBSTR(CCC.NUMDOC,1,6)
                                                         END
                   INNER JOIN TR_FIN FIN ON FIN.ORIGEM = 'CCC'
                                        AND FIN.CODFIL = CCC.CODFIL
                                        AND FIN.SEQUEN = CCC.SEQUEN
  WHERE CCC.STATUS = 'F'
    AND FAT.FLGEST = 'C' );


/*-- SEQ 0092 --*/
    INSERT INTO TL_FIN 
         (ORIGEM, FILORI, SEQORI, PARORI, SUBORI, DATINC) 
         (SELECT CAST( 'CCC' AS CHAR(3) ),
                 CCC.CODFIL, CCC.SEQUEN,
                 CAST( '--' AS CHAR(2) ),
                 CAST( '--' AS CHAR(2) ), agora()
          FROM TT_CCC CCC INNER JOIN TT_VEN FAT  on  FAT.CODFIL = CCC.CODFIL
                                            and  FAT.CODSER = 'CC'
                                            and  FAT.NUMECF = '000'
                                            and  FAT.NUMNOT = CASE WHEN SUBSTR(CCC.NUMDOC,1,2)='CC'
                                                                   THEN SUBSTR(CCC.NUMDOC,3,6)
                                                                   ELSE SUBSTR(CCC.NUMDOC,1,6)
                                                              END
      WHERE CCC.STATUS = 'F'
        AND FAT.FLGEST <> 'C'
        AND FAT.VLRLIQ-FAT.VLRNOT <> 0 );


/*-- SEQ 0093 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TT_CFG ADD CUSTO_LUCRO_MARKUP VARCHAR(1);

/*-- SEQ 0094 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TT_CFG ALTER COLUMN CUSTO_LUCRO_MARKUP SET DEFAULT '0';

/*-- SEQ 0095 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CUSTO_LUCRO_MARKUP CHECK (CUSTO_LUCRO_MARKUP IN ('0','1','2','3'));

/*-- SEQ 0096 --*/
/*--IGNORE ERRO--*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0097 --*/
/*--IGNORE ERRO--*/
UPDATE TT_CFG SET CUSTO_LUCRO_MARKUP = '0' WHERE CUSTO_LUCRO_MARKUP IS NULL;

/*-- SEQ 0098 --*/
/*--IGNORE ERRO--*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0099 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TT_CFG ALTER COLUMN CUSTO_LUCRO_MARKUP SET NOT NULL;


/*-- SEQ 0100 --*/
SELECT * FROM DUAL;

/*-- SEQ 0101 --*/
SELECT * FROM DUAL;

/*-- SEQ 0102 --*/
SELECT * FROM DUAL;


/*-- SEQ 0103 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN ADD OUTTAX Numeric(12,2);

/*-- SEQ 0104 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_VEN_FIS ADD OUTTAX Numeric(12,2);

/*-- SEQ 0105 --*/
/*-- IGNORE ERRO --*/
INSERT INTO TT_FUN (NOMFUN, DATFUN) VALUES ('VEN_OUTTAX',AGORA());

/*-- SEQ 0106 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_IVE_FIS ADD OUTTAX Numeric(12,2);

/*-- SEQ 0107 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_IVE_FIS ADD ICMTAX Numeric(12,2);


/*-- SEQ 0108 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD VLRUNI Numeric(12,4);

/*-- SEQ 0109 --*/
/*-- IGNORE ERRO --*/
INSERT INTO TT_FUN (NOMFUN, DATFUN) VALUES ('IVE_VLRUNI',AGORA());


/*-- SEQ 0110 --*/
ALTER TABLE TT_CLI ALTER COLUMN EDICRE SET DEFAULT 'T';


/*-- SEQ 0111 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0112 --*/
UPDATE TT_CLI SET EDICRE = 'T' 
 WHERE (SELECT COUNT(*) FROM TT_CRE) = 0;

/*-- SEQ 0113 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));


/*-- SEQ 0114 --*/
SELECT DISABLETRIGGERS(LOWER('TT_IVO'));

/*-- SEQ 0115 --*/
UPDATE TT_IVO
   SET QTDFAL = 0
 WHERE CONTEM > 0
   AND QTDFAL > 0
   AND FLGEST = 'P';

/*-- SEQ 0116 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IVO'));


/*-- SEQ 0117 --*/
ALTER TABLE TT_REC ADD CODOUT Numeric(5);

/*-- SEQ 0118 --*/
ALTER TABLE TT_REC ADD CONSTRAINT FK_REC_DOUT FOREIGN KEY (CODOUT) REFERENCES TD_OUT (CODTAB);

/*-- SEQ 0119 --*/
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
VALUES
('REC_OUTROS', Agora(), Agora());


/*-- SEQ 0120 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG DROP CONSTRAINT CK_BASE_MARKUP;

/*-- SEQ 0121 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_BASE_MARKUP CHECK (BASE_MARKUP IN ('R','I','B','1','2','3'));


/*-- SEQ 0122 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_EXP DROP CONSTRAINT CK_USOEXC;

/*-- SEQ 0123 --*/
/*-- IGNORE ERRO --*/
SELECT DISABLETRIGGERS(LOWER('TD_EXP'));

/*-- SEQ 0124 --*/
/*-- IGNORE ERRO --*/
UPDATE TD_EXP
   SET USOEXC = 'F'
 WHERE USOEXC IS NULL;

/*-- SEQ 0125 --*/
/*-- IGNORE ERRO --*/
SELECT ENABLETRIGGERS(LOWER('TD_EXP'));

/*-- SEQ 0126 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_EXP ADD CONSTRAINT CK_USOEXC CHECK (USOEXC IN ('T','F'));

/*-- SEQ 0127 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_EXP ALTER COLUMN USOEXC SET NOT NULL;


/*-- SEQ 0128 --*/
CREATE INDEX I_LC_ITF_FLGDAT ON TT_ITF (FLGEST, DATVEN)  ;

/*-- SEQ 0129 --*/
CREATE INDEX I_LC_IITF_STATUS ON TI_ITF (STATUS)  ;



/*-- SEQ 0130 --*/
DROP VIEW TV_TAB_002;

/*-- SEQ 0131 --*/
DROP VIEW TV_WEB CASCADE;

/*-- SEQ 0132 --*/
DROP VIEW TV_TAB_OUT;

/*-- SEQ 0133 --*/
SELECT ExecAlteraTipoColuna('TD_CL1',' CLASS1','VARCHAR(40)');


/*-- SEQ 0134 --*/
SELECT ExecAlteraTipoColuna('TW_TAB',' CLASS1','VARCHAR(40)');


/*-- SEQ 0135 --*/
SELECT ExecAlteraTipoColuna('TD_CL2',' CLASS2','VARCHAR(40)');


/*-- SEQ 0136 --*/
SELECT ExecAlteraTipoColuna('TW_TAB',' CLASS2','VARCHAR(40)');


/*-- SEQ 0137 --*/
SELECT ExecAlteraTipoColuna('TD_CL3',' CLASS3','VARCHAR(40)');


/*-- SEQ 0138 --*/
SELECT ExecAlteraTipoColuna('TW_TAB',' CLASS3','VARCHAR(40)');


/*-- SEQ 0139 --*/
SELECT ExecAlteraTipoColuna('TD_CL4',' CLASS4','VARCHAR(40)');


/*-- SEQ 0140 --*/
SELECT ExecAlteraTipoColuna('TW_TAB',' CLASS4','VARCHAR(40)');



/*-- SEQ 0141 --*/
SELECT DISABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0142 --*/
UPDATE TT_IVE 
   SET NATFIS = '6404'||SUBSTR(NATFIS,5,2)
 WHERE NATFIS LIKE '6405%';

/*-- SEQ 0143 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0144 --*/
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_NATFIS CHECK (SUBSTR(NATFIS,1,4) <> '6405');


/*-- SEQ 0145 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CL1'));

/*-- SEQ 0146 --*/
ALTER TABLE TD_CL1 ADD CL1WEB VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0147 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CL1'));

/*-- SEQ 0148 --*/
ALTER TABLE TD_CL1 ADD Constraint CK_DCL1_CL1WEB CHECK(CL1WEB IN ('T','F'));

/*-- SEQ 0149 --*/
ALTER TABLE TD_CL1 ALTER COLUMN CL1WEB SET NOT NULL;

/*-- SEQ 0150 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CL2'));

/*-- SEQ 0151 --*/
ALTER TABLE TD_CL2 ADD CL2WEB VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0152 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CL2'));

/*-- SEQ 0153 --*/
ALTER TABLE TD_CL2 ADD Constraint CK_DCL2_CL2WEB CHECK (CL2WEB IN ('T','F'));

/*-- SEQ 0154 --*/
ALTER TABLE TD_CL2 ALTER COLUMN CL2WEB SET NOT NULL;

/*-- SEQ 0155 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CL3'));

/*-- SEQ 0156 --*/
ALTER TABLE TD_CL3 ADD CL3WEB VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0157 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CL3'));

/*-- SEQ 0158 --*/
ALTER TABLE TD_CL3 ADD Constraint CK_DCL3_CL3WEB CHECK (CL3WEB IN ('T','F'));

/*-- SEQ 0159 --*/
ALTER TABLE TD_CL3 ALTER COLUMN CL3WEB SET NOT NULL;

/*-- SEQ 0160 --*/
SELECT DISABLETRIGGERS(LOWER('TD_CL4'));

/*-- SEQ 0161 --*/
ALTER TABLE TD_CL4 ADD CL4WEB VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0162 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CL4'));

/*-- SEQ 0163 --*/
ALTER TABLE TD_CL4 ADD Constraint CK_DCL4_CL4WEB CHECK(CL4WEB IN ('T','F'));

/*-- SEQ 0164 --*/
ALTER TABLE TD_CL4 ALTER COLUMN CL4WEB SET NOT NULL;

/*-- SEQ 0165 --*/
ALTER TABLE TD_DEP ADD DEPWEB VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0166 --*/
SELECT DISABLETRIGGERS(LOWER('TD_DEP'));

/*-- SEQ 0167 --*/
ALTER TABLE TD_DEP ADD Constraint CK_DDEP_DEPWEB CHECK (DEPWEB IN ('T','F'));

/*-- SEQ 0168 --*/
SELECT ENABLETRIGGERS(LOWER('TD_DEP'));

/*-- SEQ 0169 --*/
ALTER TABLE TD_DEP ALTER COLUMN DEPWEB SET NOT NULL;


/*-- SEQ 0170 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_CAM
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_CFP
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_CHR
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_CLI
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_COM
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_DES
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0176 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_DOP
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0177 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_ICO
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0178 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_IOF
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_IVE
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0180 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_LAN
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_LIM
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0182 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_NAT
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_PAG
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0184 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_PLA
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_PRE
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0186 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_PRO
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0187 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_REC
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0188 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_SAL
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_SER
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_USU
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0191 --*/
/*-- IGNORE ERRO --*/
UPDATE TI_VEN
   SET DATCRI = Agora()
 WHERE DATCRI IS NULL;

/*-- SEQ 0192 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CAM ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CFP ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0194 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CHR ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0195 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_CLI ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0196 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_COM ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0197 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_DES ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0198 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_DOP ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0199 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_ICO ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0200 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_IOF ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0201 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_IVE ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0202 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_LAN ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0203 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_LIM ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0204 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_NAT ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0205 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PAG ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0206 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PLA ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0207 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRE ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0208 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0209 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_REC ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0210 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_SAL ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0211 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_SER ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0212 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_USU ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0213 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_VEN ALTER COLUMN DATCRI SET NOT NULL;


/*-- SEQ 0214 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TPR ALTER COLUMN SIGNAT SET DEFAULT 1;

/*-- SEQ 0215 --*/
SELECT DISABLETRIGGERS(LOWER('TT_TPR'));

/*-- SEQ 0216 --*/
UPDATE TT_TPR
   SET SIGNAT = 1
 WHERE SIGNAT IS NULL;

/*-- SEQ 0217 --*/
SELECT ENABLETRIGGERS(LOWER('TT_TPR'));

/*-- SEQ 0218 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TPR ALTER COLUMN SIGNAT SET NOT NULL;


/*-- SEQ 0219 --*/
ALTER TABLE TD_FIL ADD TRISIM VARCHAR(1);

/*-- SEQ 0220 --*/
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0221 --*/
UPDATE TD_FIL
SET TRISIM = CASE UFLOJA WHEN 'SC' THEN 'O'
WHEN 'RS' THEN 'S'
ELSE 'N'
END
WHERE TRISIM IS NULL;

/*-- SEQ 0222 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0223 --*/
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_TRISIM CHECK (TRISIM IN ('N','O','S'));

/*-- SEQ 0224 --*/
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_REGTRI_TRISIM CHECK ((REGTRI='S' AND TRISIM IS NOT NULL) OR (COALESCE(REGTRI,'N')<>'S'));


/*-- SEQ 0225 --*/
ALTER TABLE TD_CFO ADD CFOMOD CHAR(2);

/*-- SEQ 0226 --*/
ALTER TABLE TD_NAT ADD NATMOD CHAR(2);

/*-- SEQ 0227 --*/
ALTER TABLE TW_ICO_FIS ADD MODNOT CHAR(2);

