
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN ADD OUTTAX Numeric(12,2);

/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_VEN_FIS ADD OUTTAX Numeric(12,2);


/*-- SEQ 0003 --*/
CREATE TABLE TT_HRE(
 CODFIL VARCHAR(3),
 SEQUEN VARCHAR(10),
 FILCLI CHAR(3),
 CODCLI CHAR(6),
 FILEND CHAR(3),
 NUMEND NUMERIC(4),
 DATINC Timestamp,
 ATU_EM Timestamp,
 DIASEM Numeric(1,0),
 HORINI Numeric(4,0),
 HORFIM Numeric(4,0))  ;
 
/*-- SEQ 0004 --*/
ALTER TABLE TT_HRE ADD CONSTRAINT PK_HRE PRIMARY KEY (CODFIL, SEQUEN)   ;
 
/*-- SEQ 0005 --*/
ALTER TABLE TT_HRE ADD CONSTRAINT FK_HRE_END FOREIGN KEY (FILCLI, CODCLI, FILEND, NUMEND) REFERENCES TT_END (FILCLI, CODCLI, CODFIL, NUMEND);
 
/*-- SEQ 0006 --*/
ALTER TABLE TT_HRE ADD CONSTRAINT CK_HRE_DIASEM CHECK ((DIASEM >= 0) AND (DIASEM <= 6));

/*-- SEQ 0007 --*/
ALTER TABLE TT_HRE ADD CONSTRAINT CK_HRE_HORINI CHECK ((HORINI >= 0) AND (HORINI <= 1439));

/*-- SEQ 0008 --*/
ALTER TABLE TT_HRE ADD CONSTRAINT CK_HRE_HORFIM CHECK ((HORFIM >= 0) AND (HORFIM <= 1440));

/*-- SEQ 0009 --*/ 
ALTER TABLE TT_HRE ALTER COLUMN DIASEM SET NOT NULL;

/*-- SEQ 0010 --*/ 
ALTER TABLE TT_HRE ALTER COLUMN HORINI SET NOT NULL;

/*-- SEQ 0011 --*/ 
ALTER TABLE TT_HRE ALTER COLUMN HORFIM SET NOT NULL;

/*-- SEQ 0012 --*/ 
CREATE SEQUENCE SQHRE INCREMENT 1 START 1 MINVALUE 1;



 


/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
select nada frrom dual;


/*-- SEQ 0014 --*/
CREATE TABLE TT_PLAXCAR (CODFIL CHAR(3),
                         SEQUEN CHAR(10),
                         DATINC Timestamp,
                         ATU_EM Timestamp,
                         CARTAO Numeric(5),
                         FILPGT CHAR(3),
                         CODPGT CHAR(3),
                         FLGCRE VARCHAR(1),
                         FLGDEB VARCHAR(1))  ;

/*-- SEQ 0015 --*/
ALTER TABLE TT_PLAXCAR ADD CONSTRAINT PK_PLAXCAR PRIMARY KEY (CODFIL, SEQUEN)   ;

/*-- SEQ 0016 --*/
ALTER TABLE TT_PLAXCAR ADD CONSTRAINT FK_PLAXCAR_CAR FOREIGN KEY (CARTAO) REFERENCES TD_CAR (CODTAB);

/*-- SEQ 0017 --*/
ALTER TABLE TT_PLAXCAR ADD CONSTRAINT FK_PLAXCAR_PLA FOREIGN KEY (FILPGT, CODPGT) REFERENCES TT_PLA (FILPGT, CODPGT);

/*-- SEQ 0018 --*/
ALTER TABLE TT_PLAXCAR ADD CONSTRAINT CK_PLAXCAR_FLGCRE CHECK (FLGCRE IN ('T','F'));

/*-- SEQ 0019 --*/
ALTER TABLE TT_PLAXCAR ADD CONSTRAINT CK_PLAXCAR_FLGDEB CHECK (FLGDEB IN ('T','F'));

/*-- SEQ 0020 --*/
ALTER TABLE TT_PLAXCAR ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0021 --*/
ALTER TABLE TT_PLAXCAR ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0022 --*/
ALTER TABLE TT_PLAXCAR ALTER COLUMN CARTAO SET NOT NULL;

/*-- SEQ 0023 --*/
ALTER TABLE TT_PLAXCAR ALTER COLUMN FILPGT SET NOT NULL;

/*-- SEQ 0024 --*/
ALTER TABLE TT_PLAXCAR ALTER COLUMN CODPGT SET NOT NULL;

/*-- SEQ 0025 --*/
ALTER TABLE TT_PLAXCAR ALTER COLUMN FLGCRE SET NOT NULL;

/*-- SEQ 0026 --*/
ALTER TABLE TT_PLAXCAR ALTER COLUMN FLGDEB SET NOT NULL;

/*-- SEQ 0027 --*/
ALTER TABLE TT_PLAXCAR ALTER COLUMN FLGCRE SET DEFAULT 'F';

/*-- SEQ 0028 --*/
ALTER TABLE TT_PLAXCAR ALTER COLUMN FLGDEB SET DEFAULT 'F';

/*-- SEQ 0029 --*/ 
CREATE SEQUENCE SQPLAXCAR INCREMENT 1 START 1 MINVALUE 1;




/*-- SEQ 0030 --*/
SELECT DISABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0031 --*/
UPDATE TT_IVE SET NATFIS = '6404'||SUBSTR(TRIM(NATFIS),5,2)
 WHERE SUBSTR(NATFIS,1,4) = '6405';


/*-- SEQ 0032 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0033 --*/
SELECT DISABLETRIGGERS(LOWER('TD_NAT'));

/*-- SEQ 0034 --*/
UPDATE TD_NAT SET NATFOR = '6404'||SUBSTR(TRIM(NATFOR),5,2),
                  NATREF = '6404'||SUBSTR(TRIM(NATREF),5,2),
                  NATFUF = '6404'||SUBSTR(TRIM(NATFUF),5,2)
 WHERE SUBSTR(NATFOR,1,4) = '6405'
    OR SUBSTR(NATREF,1,4) = '6405'
    OR SUBSTR(NATFUF,1,4) = '6405';


/*-- SEQ 0035 --*/
SELECT ENABLETRIGGERS(LOWER('TD_NAT'));


/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_IVE_FIS ADD OUTTAX Numeric(12,2);

/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_IVE_FIS ADD ICMTAX Numeric(12,2);


/*-- SEQ 0038 --*/
SELECT DISABLETRIGGERS(LOWER('TD_DOP'));

/*-- SEQ 0039 --*/
ALTER TABLE TD_DOP ADD MODPGT Numeric(2) DEFAULT 0;

/*-- SEQ 0040 --*/
SELECT ENABLETRIGGERS(LOWER('TD_DOP'));

/*-- SEQ 0041 --*/
ALTER TABLE TD_DOP ADD CONSTRAINT CK_DDOP_MODPGT CHECK (MODPGT BETWEEN 0 AND 7);

/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/
select nada from dual;
   
/*-- SEQ 0043 --*/
/*-- IGNORE ERRO --*/
select nada from dual;
   
/*-- SEQ 0044 --*/
ALTER TABLE TD_DOP ALTER COLUMN MODPGT SET NOT NULL;

/*-- SEQ 0045 --*/
ALTER TABLE TW_TAB ADD MODPGT Numeric(2);

/*-- SEQ 0046 --*/
ALTER TABLE TW_TAB ALTER COLUMN MODPGT SET DEFAULT 0;


/*-- SEQ 0047 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CCC'));

/*-- SEQ 0048 --*/
ALTER TABLE TT_CCC ADD CHKFAT CHAR(1) DEFAULT 'F';

/*-- SEQ 0049 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CCC'));

/*-- SEQ 0050 --*/
ALTER TABLE TT_CCC ADD CONSTRAINT CK_CCC_CHKFAT CHECK (CHKFAT IN ('F','T'));

/*-- SEQ 0051 --*/
ALTER TABLE TT_CCC ALTER COLUMN CHKFAT SET NOT NULL;




/*-- SEQ 0052 --*/
CREATE TABLE TT_CBP(
       CODFIL CHAR(3),
       SEQUEN CHAR(10),
       FILCLI CHAR(3),
       CODCLI CHAR(6),
       FILEND CHAR(3),
       NUMEND Numeric(4),
       DATINC Timestamp,
       ATU_EM Timestamp,
       CODBCO CHAR(3),
       NUMAGE CHAR(5),
       CTACRR CHAR(10),
       DIGAGE CHAR(1),
       DIGA_C CHAR(1),
       DIGCRR CHAR(1))  ;

/*-- SEQ 0053 --*/
ALTER TABLE TT_CBP ADD CONSTRAINT PK_CBP PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0054 --*/
ALTER TABLE TT_CBP ADD CONSTRAINT FK_CBP_CLI FOREIGN KEY (FILCLI, CODCLI) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0055 --*/
ALTER TABLE TT_CBP ADD CONSTRAINT FK_CBP_END FOREIGN KEY (FILCLI, CODCLI, FILEND, NUMEND) REFERENCES TT_END (FILCLI, CODCLI, CODFIL, NUMEND);
       
/*-- SEQ 0056 --*/
ALTER TABLE TT_CBP ALTER COLUMN FILCLI SET NOT NULL;

/*-- SEQ 0057 --*/
ALTER TABLE TT_CBP ALTER COLUMN CODCLI SET NOT NULL;

/*-- SEQ 0058 --*/
ALTER TABLE TT_CBP ALTER COLUMN FILEND SET NOT NULL;

/*-- SEQ 0059 --*/
ALTER TABLE TT_CBP ALTER COLUMN NUMEND SET NOT NULL;

/*-- SEQ 0060 --*/
ALTER TABLE TT_CBP ALTER COLUMN CODBCO SET NOT NULL;

/*-- SEQ 0061 --*/
ALTER TABLE TT_CBP ALTER COLUMN NUMAGE SET NOT NULL;

/*-- SEQ 0062 --*/
ALTER TABLE TT_CBP ALTER COLUMN CTACRR SET NOT NULL;

/*-- SEQ 0063 --*/
CREATE SEQUENCE SQCBP INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0064 --*/
ALTER TABLE TT_DOP ADD DATTRA Timestamp;

/*-- SEQ 0065 --*/
ALTER TABLE TT_DOP ADD DATRET Timestamp;

/*-- SEQ 0066 --*/
ALTER TABLE TT_DOP ADD FILCBP CHAR(3);

/*-- SEQ 0067 --*/
ALTER TABLE TT_DOP ADD SEQCBP CHAR(10);

/*-- SEQ 0068 --*/
ALTER TABLE TT_DOP ADD CONSTRAINT FK_DOP_CBP FOREIGN KEY (FILCBP, SEQCBP) REFERENCES TT_CBP (CODFIL, SEQUEN);


/*-- SEQ 0069 --*/
    INSERT INTO TL_FIN 
         (ORIGEM, FILORI, SEQORI, PARORI, SUBORI, DATINC) 
         (SELECT CAST( 'CCC' AS CHAR(3) ),
                 CCC.CODFIL, CCC.SEQUEN,
                 CAST( '--' AS CHAR(2) ),
                 CAST( '--' AS CHAR(2) ), agora()
          FROM TT_CCC CCC INNER JOIN TT_VEN FAT  on  FAT.CODFIL = CCC.CODFIL
                                            and  FAT.CODSER = 'CC'
                                            and  FAT.NUMECF = '000'
                                            and  FAT.NUMNOT = CASE WHEN SUBSTR(CCC.NUMDOC,1,2)='CC'
                                                                   THEN SUBSTR(CCC.NUMDOC,3,6)
                                                                   ELSE SUBSTR(CCC.NUMDOC,1,6)
                                                              END
      WHERE CCC.STATUS = 'F'
        AND FAT.FLGEST <> 'C'
        AND FAT.VLRLIQ-FAT.VLRNOT <> 0 );


/*-- SEQ 0070 --*/
ALTER TABLE TT_FCP ADD ENCABE Numeric(10,2);


/*-- SEQ 0071 --*/
ALTER TABLE TT_CFG ADD PER_CPMF Numeric(4,2);

/*-- SEQ 0072 --*/
ALTER TABLE TW_CFG ADD PER_CPMF Numeric(4,2);

/*-- SEQ 0073 --*/
ALTER TABLE TT_CFG ADD CUSTO_LIGACAO Numeric(12,4);

/*-- SEQ 0074 --*/
ALTER TABLE TW_CFG ADD CUSTO_LIGACAO Numeric(12,4);

/*-- SEQ 0075 --*/
ALTER TABLE TT_CFG ADD TROCO_TEF VARCHAR(1);

/*-- SEQ 0076 --*/
ALTER TABLE TT_CFG ALTER COLUMN TROCO_TEF SET DEFAULT 'T';

/*-- SEQ 0077 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_TROCO_TEF CHECK (TROCO_TEF IN ('T','F'));

/*-- SEQ 0078 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0079 --*/
UPDATE TT_CFG SET TROCO_TEF = 'T' WHERE TROCO_TEF IS NULL;

/*-- SEQ 0080 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0081 --*/
ALTER TABLE TT_CFG ALTER COLUMN TROCO_TEF SET NOT NULL;

/*-- SEQ 0082 --*/
ALTER TABLE TW_CFG ADD TROCO_TEF VARCHAR(1);

/*-- SEQ 0083 --*/
ALTER TABLE TW_CFG ALTER COLUMN TROCO_TEF SET DEFAULT 'T';

/*-- SEQ 0084 --*/
ALTER TABLE TW_CFG ADD CONSTRAINT CK_WCFG_TROCO_TEF CHECK (TROCO_TEF IN ('T','F'));

/*-- SEQ 0085 --*/
ALTER TABLE TT_CFG ADD VENDA_CC_E_OUTROS VARCHAR(1);

/*-- SEQ 0086 --*/
ALTER TABLE TT_CFG ALTER COLUMN VENDA_CC_E_OUTROS SET DEFAULT 'T';

/*-- SEQ 0087 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_VENDA_CC_E_OUTROS CHECK (VENDA_CC_E_OUTROS IN ('T','F'));

/*-- SEQ 0088 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0089 --*/
UPDATE TT_CFG SET VENDA_CC_E_OUTROS = 'T' WHERE VENDA_CC_E_OUTROS IS NULL;

/*-- SEQ 0090 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0091 --*/
ALTER TABLE TT_CFG ALTER COLUMN VENDA_CC_E_OUTROS SET NOT NULL;

/*-- SEQ 0092 --*/
ALTER TABLE TW_CFG ADD VENDA_CC_E_OUTROS VARCHAR(1);

/*-- SEQ 0093 --*/
ALTER TABLE TW_CFG ALTER COLUMN VENDA_CC_E_OUTROS SET DEFAULT 'T';

/*-- SEQ 0094 --*/
ALTER TABLE TW_CFG ADD CONSTRAINT CK_WCFG_VENDA_CC_E_OUTROS CHECK (VENDA_CC_E_OUTROS IN ('T','F'));

/*-- SEQ 0095 --*/
ALTER TABLE TT_CFG ADD TAXA_TEF_NO_PRECO Numeric(7,3);

/*-- SEQ 0096 --*/
ALTER TABLE TW_CFG ADD TAXA_TEF_NO_PRECO Numeric(7,3);


/*-- SEQ 0097 --*/
ALTER TABLE TD_BCO ADD VLRCHE Numeric(12,2);

/*-- SEQ 0098 --*/
ALTER TABLE TW_TAB ADD VLRCHE Numeric(12,2);


/*-- SEQ 0099 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CTB'));

/*-- SEQ 0100 --*/
ALTER TABLE TT_CTB ADD IMPCAI VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0101 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CTB'));

/*-- SEQ 0102 --*/
ALTER TABLE TT_CTB ADD CONSTRAINT CK_CTB_IMPCAI CHECK (IMPCAI IN ('T','F'));

/*-- SEQ 0103 --*/
ALTER TABLE TT_CTB ALTER COLUMN IMPCAI SET NOT NULL;


/*-- SEQ 0104 --*/
ALTER TABLE TW_COM_FIS ADD VLRFRE Numeric(12,2);


/*-- SEQ 0105 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TT_CFG ADD CUSTO_LUCRO_MARKUP VARCHAR(1);

/*-- SEQ 0106 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TT_CFG ALTER COLUMN CUSTO_LUCRO_MARKUP SET DEFAULT '0';

/*-- SEQ 0107 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CUSTO_LUCRO_MARKUP CHECK (CUSTO_LUCRO_MARKUP IN ('0','1','2','3'));

/*-- SEQ 0108 --*/
/*--IGNORE ERRO--*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0109 --*/
/*--IGNORE ERRO--*/
UPDATE TT_CFG SET CUSTO_LUCRO_MARKUP = '0' WHERE CUSTO_LUCRO_MARKUP IS NULL;

/*-- SEQ 0110 --*/
/*--IGNORE ERRO--*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0111 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TT_CFG ALTER COLUMN CUSTO_LUCRO_MARKUP SET NOT NULL;


/*-- SEQ 0112 --*/
ALTER TABLE TD_FIL ADD PATNOT VARCHAR(255);

/*-- SEQ 0113 --*/
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0114 --*/
UPDATE TD_FIL SET PATNOT = PATCAR WHERE PATNOT IS NULL;

/*-- SEQ 0115 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));


/*-- SEQ 0116 --*/
ALTER TABLE TI_CAM ADD STATUS_BKP CHAR(1);

/*-- SEQ 0117 --*/
SELECT DISABLETRIGGERS(LOWER('TI_CAM'));

/*-- SEQ 0118 --*/
UPDATE TI_CAM SET STATUS_BKP = STATUS;

/*-- SEQ 0119 --*/
ALTER TABLE TI_CAM DROP COLUMN STATUS CASCADE;

/*-- SEQ 0120 --*/
ALTER TABLE TI_CAM ADD STATUS Numeric(1) DEFAULT 0;

/*-- SEQ 0121 --*/
UPDATE TI_CAM SET STATUS = CAST (STATUS_BKP AS Numeric(1));

/*-- SEQ 0122 --*/
ALTER TABLE TI_CAM DROP COLUMN STATUS_BKP CASCADE;

/*-- SEQ 0123 --*/
SELECT ENABLETRIGGERS(LOWER('TI_CAM'));

/*-- SEQ 0124 --*/
/*-- IGNORE ERRO --*/
select nada from dual;

/*-- SEQ 0125 --*/
CREATE INDEX I_LC_ICA_STATUS ON TI_CAM (STATUS,DATCRI)  ;


/*-- SEQ 0126 --*/
CREATE INDEX I_LC_ICFP_STATUS ON TI_CFP (STATUS,DATCRI)  ;


/*-- SEQ 0127 --*/
SELECT ExecAlteraTipoColuna('TI_COM','INCOJU','CHAR(1)');


/*-- SEQ 0128 --*/
SELECT ExecAlteraTipoColuna('TI_COM','INTPJU','CHAR(1)');


/*-- SEQ 0129 --*/
SELECT ExecAlteraTipoColuna('TI_COM','INTPMU','CHAR(1)');


/*-- SEQ 0130 --*/
SELECT ExecAlteraTipoColuna('TI_COM','TIPCTA','CHAR(1)');


/*-- SEQ 0131 --*/
SELECT ExecAlteraTipoColuna('TI_COM','TIPNOT','CHAR(1)');


/*-- SEQ 0132 --*/
SELECT ExecAlteraTipoColuna('TI_COM','CODSER','CHAR(2)');


/*-- SEQ 0133 --*/
SELECT ExecAlteraTipoColuna('TI_COM','CODUSU','CHAR(10)');


/*-- SEQ 0134 --*/
SELECT ExecAlteraTipoColuna('TI_COM','CODMOE','VARCHAR(5)');


/*-- SEQ 0135 --*/
SELECT ExecAlteraTipoColuna('TI_COM','MOEJUR','VARCHAR(5)');


/*-- SEQ 0136 --*/
SELECT ExecAlteraTipoColuna('TI_COM','TIPPAR','CHAR(1)');


/*-- SEQ 0137 --*/
SELECT ExecAlteraTipoColuna('TI_COM','SERFAT','CHAR(2)');


/*-- SEQ 0138 --*/
SELECT ExecAlteraTipoColuna('TI_COM','SERFRE','CHAR(2)');


/*-- SEQ 0139 --*/
SELECT ExecAlteraTipoColuna('TI_COM','TIPTRP','CHAR(1)');


/*-- SEQ 0140 --*/
ALTER TABLE TI_COM ADD DESCFO VARCHAR(30);

/*-- SEQ 0141 --*/
ALTER TABLE TI_COM ADD ISEICM Numeric(12,2);

/*-- SEQ 0142 --*/
ALTER TABLE TI_COM ADD OUTICM Numeric(12,2);

/*-- SEQ 0143 --*/
ALTER TABLE TI_COM ADD TIPEMP CHAR(1);

/*-- SEQ 0144 --*/
ALTER TABLE TI_COM ADD POREMP CHAR(1);

/*-- SEQ 0145 --*/
ALTER TABLE TI_COM ADD BASSUB Numeric(12,2);

/*-- SEQ 0146 --*/
ALTER TABLE TI_COM ADD VLRIPI Numeric(12,2);

/*-- SEQ 0147 --*/
ALTER TABLE TI_COM ADD RETIRR VARCHAR(1);

/*-- SEQ 0148 --*/
ALTER TABLE TI_COM ADD RETCSS VARCHAR(1);

/*-- SEQ 0149 --*/
ALTER TABLE TI_COM ADD VLRPIS Numeric(12,2);

/*-- SEQ 0150 --*/
ALTER TABLE TI_COM ADD VLRCOF Numeric(12,2);

/*-- SEQ 0151 --*/
ALTER TABLE TI_COM ADD OUTDES Numeric(12,2);

/*-- SEQ 0152 --*/
ALTER TABLE TI_COM ADD DESPAR Numeric(12,2);

/*-- SEQ 0153 --*/
ALTER TABLE TI_COM ADD FLGICM CHAR(1);

/*-- SEQ 0154 --*/
ALTER TABLE TI_COM ADD FLGISS CHAR(1);


/*-- SEQ 0155 --*/
ALTER TABLE TI_ICO ADD TIPPRO_BKP CHAR(1);

/*-- SEQ 0156 --*/
SELECT DISABLETRIGGERS(LOWER('TI_ICO'));

/*-- SEQ 0157 --*/
UPDATE TI_ICO SET TIPPRO_BKP = TIPPRO;

/*-- SEQ 0158 --*/
ALTER TABLE TI_ICO DROP COLUMN TIPPRO CASCADE;

/*-- SEQ 0159 --*/
ALTER TABLE TI_ICO ADD TIPPRO CHAR(1);

/*-- SEQ 0160 --*/
UPDATE TI_ICO SET TIPPRO = CAST (TIPPRO_BKP AS CHAR(1));

/*-- SEQ 0161 --*/
ALTER TABLE TI_ICO DROP COLUMN TIPPRO_BKP CASCADE;

/*-- SEQ 0162 --*/
SELECT ENABLETRIGGERS(LOWER('TI_ICO'));

/*-- SEQ 0163 --*/
ALTER TABLE TI_ICO ADD QTDMOV_BKP Numeric(12,4);

/*-- SEQ 0164 --*/
UPDATE TI_ICO SET QTDMOV_BKP = QTDMOV;

/*-- SEQ 0165 --*/
ALTER TABLE TI_ICO DROP COLUMN QTDMOV CASCADE;

/*-- SEQ 0166 --*/
ALTER TABLE TI_ICO ADD QTDMOV Numeric(12,4);

/*-- SEQ 0167 --*/
UPDATE TI_ICO SET QTDMOV = CAST (QTDMOV_BKP AS Numeric(12,4));

/*-- SEQ 0168 --*/
ALTER TABLE TI_ICO DROP COLUMN QTDMOV_BKP CASCADE;

/*-- SEQ 0169 --*/
ALTER TABLE TI_ICO ADD CODMOE_BKP VARCHAR(5);

/*-- SEQ 0170 --*/
SELECT DISABLETRIGGERS(LOWER('TI_ICO'));

/*-- SEQ 0171 --*/
UPDATE TI_ICO SET CODMOE_BKP = CODMOE;

/*-- SEQ 0172 --*/
ALTER TABLE TI_ICO DROP COLUMN CODMOE CASCADE;

/*-- SEQ 0173 --*/
ALTER TABLE TI_ICO ADD CODMOE VARCHAR(5);

/*-- SEQ 0174 --*/
UPDATE TI_ICO SET CODMOE = CAST (CODMOE_BKP AS VARCHAR(5));

/*-- SEQ 0175 --*/
ALTER TABLE TI_ICO DROP COLUMN CODMOE_BKP CASCADE;

/*-- SEQ 0176 --*/
SELECT ENABLETRIGGERS(LOWER('TI_ICO'));

/*-- SEQ 0177 --*/
ALTER TABLE TI_ICO ADD VALCON_BKP Numeric(12,2);

/*-- SEQ 0178 --*/
SELECT DISABLETRIGGERS(LOWER('TI_ICO'));

/*-- SEQ 0179 --*/
UPDATE TI_ICO SET VALCON_BKP = VALCON;

/*-- SEQ 0180 --*/
ALTER TABLE TI_ICO DROP COLUMN VALCON CASCADE;

/*-- SEQ 0181 --*/
ALTER TABLE TI_ICO ADD VALCON Numeric(12,2);

/*-- SEQ 0182 --*/
UPDATE TI_ICO SET VALCON = CAST (VALCON_BKP AS Numeric(12,2));

/*-- SEQ 0183 --*/
ALTER TABLE TI_ICO DROP COLUMN VALCON_BKP CASCADE;

/*-- SEQ 0184 --*/
SELECT ENABLETRIGGERS(LOWER('TI_ICO'));

/*-- SEQ 0185 --*/
ALTER TABLE TI_ICO ADD CUSFRE_BKP Numeric(14,6);

/*-- SEQ 0186 --*/
SELECT DISABLETRIGGERS(LOWER('TI_ICO'));

/*-- SEQ 0187 --*/
UPDATE TI_ICO SET CUSFRE_BKP = CUSFRE;

/*-- SEQ 0188 --*/
ALTER TABLE TI_ICO DROP COLUMN CUSFRE CASCADE;

/*-- SEQ 0189 --*/
ALTER TABLE TI_ICO ADD CUSFRE Numeric(14,6);

/*-- SEQ 0190 --*/
UPDATE TI_ICO SET CUSFRE = CAST (CUSFRE_BKP AS Numeric(14,6));

/*-- SEQ 0191 --*/
ALTER TABLE TI_ICO DROP COLUMN CUSFRE_BKP CASCADE;

/*-- SEQ 0192 --*/
SELECT ENABLETRIGGERS(LOWER('TI_ICO'));

/*-- SEQ 0193 --*/
ALTER TABLE TI_ICO ADD DESCFO VARCHAR(30);


/*-- SEQ 0194 --*/
ALTER TABLE TI_ICO ADD BASICM_BKP Numeric(14,2);

/*-- SEQ 0195 --*/
SELECT DISABLETRIGGERS(LOWER('TI_ICO'));

/*-- SEQ 0196 --*/
UPDATE TI_ICO SET BASICM_BKP = BASICM;

/*-- SEQ 0197 --*/
ALTER TABLE TI_ICO DROP COLUMN BASICM CASCADE;

/*-- SEQ 0198 --*/
ALTER TABLE TI_ICO ADD BASICM Numeric(14,2);

/*-- SEQ 0199 --*/
UPDATE TI_ICO SET BASICM = CAST (BASICM_BKP AS Numeric(14,2));

/*-- SEQ 0200 --*/
ALTER TABLE TI_ICO DROP COLUMN BASICM_BKP CASCADE;

/*-- SEQ 0201 --*/
SELECT ENABLETRIGGERS(LOWER('TI_ICO'));

/*-- SEQ 0202 --*/
ALTER TABLE TI_ICO ADD VLRICM_BKP Numeric(14,2);

/*-- SEQ 0203 --*/
SELECT DISABLETRIGGERS(LOWER('TI_ICO'));

/*-- SEQ 0204 --*/
UPDATE TI_ICO SET VLRICM_BKP = VLRICM;

/*-- SEQ 0205 --*/
ALTER TABLE TI_ICO DROP COLUMN VLRICM CASCADE;

/*-- SEQ 0206 --*/
ALTER TABLE TI_ICO ADD VLRICM Numeric(14,2);

/*-- SEQ 0207 --*/
UPDATE TI_ICO SET VLRICM = CAST (VLRICM_BKP AS Numeric(14,2));

/*-- SEQ 0208 --*/
ALTER TABLE TI_ICO DROP COLUMN VLRICM_BKP CASCADE;

/*-- SEQ 0209 --*/
SELECT ENABLETRIGGERS(LOWER('TI_ICO'));

/*-- SEQ 0210 --*/
ALTER TABLE TI_ICO ADD ISEICM_BKP Numeric(14,2);

/*-- SEQ 0211 --*/
SELECT DISABLETRIGGERS(LOWER('TI_ICO'));

/*-- SEQ 0212 --*/
UPDATE TI_ICO SET ISEICM_BKP = ISEICM;

/*-- SEQ 0213 --*/
ALTER TABLE TI_ICO DROP COLUMN ISEICM CASCADE;

/*-- SEQ 0214 --*/
ALTER TABLE TI_ICO ADD ISEICM Numeric(14,2);

/*-- SEQ 0215 --*/
UPDATE TI_ICO SET ISEICM = CAST (ISEICM_BKP AS Numeric(14,2));

/*-- SEQ 0216 --*/
ALTER TABLE TI_ICO DROP COLUMN ISEICM_BKP CASCADE;

/*-- SEQ 0217 --*/
SELECT ENABLETRIGGERS(LOWER('TI_ICO'));

/*-- SEQ 0218 --*/
ALTER TABLE TI_ICO ADD OUTICM_BKP Numeric(14,2);

/*-- SEQ 0219 --*/
SELECT DISABLETRIGGERS(LOWER('TI_ICO'));

/*-- SEQ 0220 --*/
UPDATE TI_ICO SET OUTICM_BKP = OUTICM;

/*-- SEQ 0221 --*/
ALTER TABLE TI_ICO DROP COLUMN OUTICM CASCADE;

/*-- SEQ 0222 --*/
ALTER TABLE TI_ICO ADD OUTICM Numeric(14,2);

/*-- SEQ 0223 --*/
UPDATE TI_ICO SET OUTICM = CAST (OUTICM_BKP AS Numeric(14,2));

/*-- SEQ 0224 --*/
ALTER TABLE TI_ICO DROP COLUMN OUTICM_BKP CASCADE;

/*-- SEQ 0225 --*/
SELECT ENABLETRIGGERS(LOWER('TI_ICO'));

/*-- SEQ 0226 --*/
ALTER TABLE TI_ICO ADD FREFIS_BKP Numeric(16,4);

/*-- SEQ 0227 --*/
SELECT DISABLETRIGGERS(LOWER('TI_ICO'));

/*-- SEQ 0228 --*/
UPDATE TI_ICO SET FREFIS_BKP = FREFIS;

/*-- SEQ 0229 --*/
ALTER TABLE TI_ICO DROP COLUMN FREFIS CASCADE;

/*-- SEQ 0230 --*/
ALTER TABLE TI_ICO ADD FREFIS Numeric(16,4);

/*-- SEQ 0231 --*/
UPDATE TI_ICO SET FREFIS = CAST (FREFIS_BKP AS Numeric(16,4));

/*-- SEQ 0232 --*/
ALTER TABLE TI_ICO DROP COLUMN FREFIS_BKP CASCADE;

/*-- SEQ 0233 --*/
SELECT ENABLETRIGGERS(LOWER('TI_ICO'));

/*-- SEQ 0234 --*/
ALTER TABLE TI_ICO ADD VLRDES_BKP Numeric(12,2);

/*-- SEQ 0235 --*/
SELECT DISABLETRIGGERS(LOWER('TI_ICO'));

/*-- SEQ 0236 --*/
UPDATE TI_ICO SET VLRDES_BKP = VLRDES;

/*-- SEQ 0237 --*/
ALTER TABLE TI_ICO DROP COLUMN VLRDES CASCADE;

/*-- SEQ 0238 --*/
ALTER TABLE TI_ICO ADD VLRDES Numeric(12,2);

/*-- SEQ 0239 --*/
UPDATE TI_ICO SET VLRDES = CAST (VLRDES_BKP AS Numeric(12,2));

/*-- SEQ 0240 --*/
ALTER TABLE TI_ICO DROP COLUMN VLRDES_BKP CASCADE;

/*-- SEQ 0241 --*/
SELECT ENABLETRIGGERS(LOWER('TI_ICO'));

/*-- SEQ 0242 --*/
ALTER TABLE TI_ICO ADD VLRIPI Numeric(12,2);



/*-- SEQ 0243 --*/
ALTER TABLE TI_LIM ADD FILPGT CHAR(3);

/*-- SEQ 0244 --*/
ALTER TABLE TI_LIM ADD DESPGT VARCHAR(35);

/*-- SEQ 0245 --*/
ALTER TABLE TI_LIM ADD CARENC Numeric(3);

/*-- SEQ 0246 --*/
ALTER TABLE TI_LIM ADD DESCON Numeric(6,3);

/*-- SEQ 0247 --*/
ALTER TABLE TI_LIM ADD DIAFIX Numeric(2);

/*-- SEQ 0248 --*/
ALTER TABLE TI_LIM ADD FATEND VARCHAR(1);


/*-- SEQ 0249 --*/
ALTER TABLE TI_PRE ADD PRECOV_BKP Numeric(12,4);

/*-- SEQ 0250 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRE'));

/*-- SEQ 0251 --*/
UPDATE TI_PRE SET PRECOV_BKP = PRECOV;

/*-- SEQ 0252 --*/
ALTER TABLE TI_PRE DROP COLUMN PRECOV CASCADE;

/*-- SEQ 0253 --*/
ALTER TABLE TI_PRE ADD PRECOV Numeric(12,4);

/*-- SEQ 0254 --*/
UPDATE TI_PRE SET PRECOV = CAST (PRECOV_BKP AS Numeric(12,4));

/*-- SEQ 0255 --*/
ALTER TABLE TI_PRE DROP COLUMN PRECOV_BKP CASCADE;

/*-- SEQ 0256 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRE'));

/*-- SEQ 0257 --*/
ALTER TABLE TI_PRE ADD ULTREA Timestamp;

/*-- SEQ 0258 --*/
ALTER TABLE TI_PRE ADD MULTIP Numeric(6,4);

/*-- SEQ 0259 --*/
ALTER TABLE TI_PRE ADD CODMOE VARCHAR(5);

/*-- SEQ 0260 --*/
ALTER TABLE TI_PRE ADD DESMAX Numeric(12,2);




/*-- SEQ 0261 --*/
ALTER TABLE TI_IVE ADD LANEST_BKP CHAR(1);

/*-- SEQ 0262 --*/
SELECT DISABLETRIGGERS(LOWER('TI_IVE'));

/*-- SEQ 0263 --*/
UPDATE TI_IVE SET LANEST_BKP = LANEST;

/*-- SEQ 0264 --*/
ALTER TABLE TI_IVE DROP COLUMN LANEST CASCADE;

/*-- SEQ 0265 --*/
ALTER TABLE TI_IVE ADD LANEST CHAR(1);

/*-- SEQ 0266 --*/
UPDATE TI_IVE SET LANEST = CAST (LANEST_BKP AS CHAR(1));

/*-- SEQ 0267 --*/
ALTER TABLE TI_IVE DROP COLUMN LANEST_BKP CASCADE;

/*-- SEQ 0268 --*/
SELECT ENABLETRIGGERS(LOWER('TI_IVE'));

/*-- SEQ 0269 --*/
ALTER TABLE TI_IVE ADD QTDMOV_BKP Numeric(12,4);

/*-- SEQ 0270 --*/
SELECT DISABLETRIGGERS(LOWER('TI_IVE'));

/*-- SEQ 0271 --*/
UPDATE TI_IVE SET QTDMOV_BKP = QTDMOV;

/*-- SEQ 0272 --*/
ALTER TABLE TI_IVE DROP COLUMN QTDMOV CASCADE;

/*-- SEQ 0273 --*/
ALTER TABLE TI_IVE ADD QTDMOV Numeric(12,4);

/*-- SEQ 0274 --*/
UPDATE TI_IVE SET QTDMOV = CAST (QTDMOV_BKP AS Numeric(12,4));

/*-- SEQ 0275 --*/
ALTER TABLE TI_IVE DROP COLUMN QTDMOV_BKP CASCADE;

/*-- SEQ 0276 --*/
SELECT ENABLETRIGGERS(LOWER('TI_IVE'));

/*-- SEQ 0277 --*/
ALTER TABLE TI_IVE ADD VLRMOV_BKP Numeric(14,2);

/*-- SEQ 0278 --*/
SELECT DISABLETRIGGERS(LOWER('TI_IVE'));

/*-- SEQ 0279 --*/
UPDATE TI_IVE SET VLRMOV_BKP = VLRMOV;

/*-- SEQ 0280 --*/
ALTER TABLE TI_IVE DROP COLUMN VLRMOV CASCADE;

/*-- SEQ 0281 --*/
ALTER TABLE TI_IVE ADD VLRMOV Numeric(14,2);

/*-- SEQ 0282 --*/
UPDATE TI_IVE SET VLRMOV = CAST (VLRMOV_BKP AS Numeric(14,2));

/*-- SEQ 0283 --*/
ALTER TABLE TI_IVE DROP COLUMN VLRMOV_BKP CASCADE;

/*-- SEQ 0284 --*/
SELECT ENABLETRIGGERS(LOWER('TI_IVE'));

/*-- SEQ 0285 --*/
ALTER TABLE TI_IVE ADD ICMTIP_BKP CHAR(1);

/*-- SEQ 0286 --*/
SELECT DISABLETRIGGERS(LOWER('TI_IVE'));

/*-- SEQ 0287 --*/
UPDATE TI_IVE SET ICMTIP_BKP = ICMTIP;

/*-- SEQ 0288 --*/
ALTER TABLE TI_IVE DROP COLUMN ICMTIP CASCADE;

/*-- SEQ 0289 --*/
ALTER TABLE TI_IVE ADD ICMTIP CHAR(1);

/*-- SEQ 0290 --*/
UPDATE TI_IVE SET ICMTIP = CAST (ICMTIP_BKP AS CHAR(1));

/*-- SEQ 0291 --*/
ALTER TABLE TI_IVE DROP COLUMN ICMTIP_BKP CASCADE;

/*-- SEQ 0292 --*/
SELECT ENABLETRIGGERS(LOWER('TI_IVE'));

/*-- SEQ 0293 --*/
ALTER TABLE TI_IVE ADD SITMOV_BKP CHAR(1);

/*-- SEQ 0294 --*/
SELECT DISABLETRIGGERS(LOWER('TI_IVE'));

/*-- SEQ 0295 --*/
UPDATE TI_IVE SET SITMOV_BKP = SITMOV;

/*-- SEQ 0296 --*/
ALTER TABLE TI_IVE DROP COLUMN SITMOV CASCADE;

/*-- SEQ 0297 --*/
ALTER TABLE TI_IVE ADD SITMOV CHAR(1);

/*-- SEQ 0298 --*/
UPDATE TI_IVE SET SITMOV = CAST (SITMOV_BKP AS CHAR(1));

/*-- SEQ 0299 --*/
ALTER TABLE TI_IVE DROP COLUMN SITMOV_BKP CASCADE;

/*-- SEQ 0300 --*/
SELECT ENABLETRIGGERS(LOWER('TI_IVE'));

/*-- SEQ 0301 --*/
ALTER TABLE TI_IVE ADD CODSER_BKP CHAR(2);

/*-- SEQ 0302 --*/
SELECT DISABLETRIGGERS(LOWER('TI_IVE'));

/*-- SEQ 0303 --*/
UPDATE TI_IVE SET CODSER_BKP = CODSER;

/*-- SEQ 0304 --*/
ALTER TABLE TI_IVE DROP COLUMN CODSER CASCADE;

/*-- SEQ 0305 --*/
ALTER TABLE TI_IVE ADD CODSER CHAR(2);

/*-- SEQ 0306 --*/
UPDATE TI_IVE SET CODSER = CAST (CODSER_BKP AS CHAR(2));

/*-- SEQ 0307 --*/
ALTER TABLE TI_IVE DROP COLUMN CODSER_BKP CASCADE;

/*-- SEQ 0308 --*/
SELECT ENABLETRIGGERS(LOWER('TI_IVE'));

/*-- SEQ 0309 --*/
ALTER TABLE TI_IVE ADD VLRICM_BKP Numeric(9,2);

/*-- SEQ 0310 --*/
SELECT DISABLETRIGGERS(LOWER('TI_IVE'));

/*-- SEQ 0311 --*/
UPDATE TI_IVE SET VLRICM_BKP = VLRICM;

/*-- SEQ 0312 --*/
ALTER TABLE TI_IVE DROP COLUMN VLRICM CASCADE;

/*-- SEQ 0313 --*/
ALTER TABLE TI_IVE ADD VLRICM Numeric(9,2);

/*-- SEQ 0314 --*/
UPDATE TI_IVE SET VLRICM = CAST (VLRICM_BKP AS Numeric(9,2));

/*-- SEQ 0315 --*/
ALTER TABLE TI_IVE DROP COLUMN VLRICM_BKP CASCADE;

/*-- SEQ 0316 --*/
SELECT ENABLETRIGGERS(LOWER('TI_IVE'));

/*-- SEQ 0317 --*/
ALTER TABLE TI_IVE ADD VLRIPI_BKP Numeric(9,2);

/*-- SEQ 0318 --*/
SELECT DISABLETRIGGERS(LOWER('TI_IVE'));

/*-- SEQ 0319 --*/
UPDATE TI_IVE SET VLRIPI_BKP = VLRIPI;

/*-- SEQ 0320 --*/
ALTER TABLE TI_IVE DROP COLUMN VLRIPI CASCADE;

/*-- SEQ 0321 --*/
ALTER TABLE TI_IVE ADD VLRIPI Numeric(9,2);

/*-- SEQ 0322 --*/
UPDATE TI_IVE SET VLRIPI = CAST (VLRIPI_BKP AS Numeric(9,2));

/*-- SEQ 0323 --*/
ALTER TABLE TI_IVE DROP COLUMN VLRIPI_BKP CASCADE;

/*-- SEQ 0324 --*/
SELECT ENABLETRIGGERS(LOWER('TI_IVE'));

/*-- SEQ 0325 --*/
ALTER TABLE TI_IVE ADD VLRISS_BKP Numeric(9,2);

/*-- SEQ 0326 --*/
SELECT DISABLETRIGGERS(LOWER('TI_IVE'));

/*-- SEQ 0327 --*/
UPDATE TI_IVE SET VLRISS_BKP = VLRISS;

/*-- SEQ 0328 --*/
ALTER TABLE TI_IVE DROP COLUMN VLRISS CASCADE;

/*-- SEQ 0329 --*/
ALTER TABLE TI_IVE ADD VLRISS Numeric(9,2);

/*-- SEQ 0330 --*/
UPDATE TI_IVE SET VLRISS = CAST (VLRISS_BKP AS Numeric(9,2));

/*-- SEQ 0331 --*/
ALTER TABLE TI_IVE DROP COLUMN VLRISS_BKP CASCADE;

/*-- SEQ 0332 --*/
SELECT ENABLETRIGGERS(LOWER('TI_IVE'));

/*-- SEQ 0333 --*/
ALTER TABLE TI_IVE ADD VLRIRR_BKP Numeric(9,2);

/*-- SEQ 0334 --*/
SELECT DISABLETRIGGERS(LOWER('TI_IVE'));

/*-- SEQ 0335 --*/
UPDATE TI_IVE SET VLRIRR_BKP = VLRIRR;

/*-- SEQ 0336 --*/
ALTER TABLE TI_IVE DROP COLUMN VLRIRR CASCADE;

/*-- SEQ 0337 --*/
ALTER TABLE TI_IVE ADD VLRIRR Numeric(9,2);

/*-- SEQ 0338 --*/
UPDATE TI_IVE SET VLRIRR = CAST (VLRIRR_BKP AS Numeric(9,2));

/*-- SEQ 0339 --*/
ALTER TABLE TI_IVE DROP COLUMN VLRIRR_BKP CASCADE;

/*-- SEQ 0340 --*/
SELECT ENABLETRIGGERS(LOWER('TI_IVE'));

/*-- SEQ 0341 --*/
ALTER TABLE TI_IVE ADD CODVDD_BKP CHAR(10);

/*-- SEQ 0342 --*/
SELECT DISABLETRIGGERS(LOWER('TI_IVE'));

/*-- SEQ 0343 --*/
UPDATE TI_IVE SET CODVDD_BKP = CODVDD;

/*-- SEQ 0344 --*/
ALTER TABLE TI_IVE DROP COLUMN CODVDD CASCADE;

/*-- SEQ 0345 --*/
ALTER TABLE TI_IVE ADD CODVDD CHAR(10);

/*-- SEQ 0346 --*/
UPDATE TI_IVE SET CODVDD = CAST (CODVDD_BKP AS CHAR(10));

/*-- SEQ 0347 --*/
ALTER TABLE TI_IVE DROP COLUMN CODVDD_BKP CASCADE;

/*-- SEQ 0348 --*/
SELECT ENABLETRIGGERS(LOWER('TI_IVE'));

/*-- SEQ 0349 --*/
ALTER TABLE TI_IVE ADD VLRDES Numeric(12,2);

/*-- SEQ 0350 --*/
ALTER TABLE TI_IVE ADD CALSUB CHAR(1);

/*-- SEQ 0351 --*/
ALTER TABLE TI_IVE ADD SITTRI VARCHAR(20);

/*-- SEQ 0352 --*/
ALTER TABLE TI_IVE ADD DEVVIN CHAR(1);

/*-- SEQ 0353 --*/
ALTER TABLE TI_IVE ADD FILRCT CHAR(3);

/*-- SEQ 0354 --*/
ALTER TABLE TI_IVE ADD QTDPRE Numeric(14,4);

/*-- SEQ 0355 --*/
ALTER TABLE TI_IVE ADD FILDOU CHAR(3);

/*-- SEQ 0356 --*/
ALTER TABLE TI_IVE ADD BASICM Numeric(12,2);

/*-- SEQ 0357 --*/
ALTER TABLE TI_IVE ADD QTDFUT Numeric(12,2);

/*-- SEQ 0358 --*/
ALTER TABLE TI_IVE ADD QTDPEN Numeric(12,2);

/*-- SEQ 0359 --*/
ALTER TABLE TI_IVE ADD FLGFUT CHAR(1);

/*-- SEQ 0360 --*/
ALTER TABLE TI_IVE ADD CODCRM Numeric(6);

/*-- SEQ 0361 --*/
ALTER TABLE TI_IVE ADD NOMDOU VARCHAR(45);

/*-- SEQ 0362 --*/
ALTER TABLE TI_IVE ADD UF_CRM CHAR(2);

/*-- SEQ 0363 --*/
ALTER TABLE TI_IVE ADD NUMRCT VARCHAR(20);

/*-- SEQ 0364 --*/
ALTER TABLE TI_IVE ADD DATRCT Timestamp;

/*-- SEQ 0365 --*/
ALTER TABLE TI_IVE ADD NOMPAC VARCHAR(40);

/*-- SEQ 0366 --*/
ALTER TABLE TI_IVE ADD RG_PAC VARCHAR(15);


/*-- SEQ 0367 --*/
ALTER TABLE TI_LAN ADD NUMEXT_BKP VARCHAR(20);

/*-- SEQ 0368 --*/
SELECT DISABLETRIGGERS(LOWER('TI_LAN'));

/*-- SEQ 0369 --*/
UPDATE TI_LAN SET NUMEXT_BKP = NUMEXT;

/*-- SEQ 0370 --*/
ALTER TABLE TI_LAN DROP COLUMN NUMEXT CASCADE;

/*-- SEQ 0371 --*/
ALTER TABLE TI_LAN ADD NUMEXT VARCHAR(20);

/*-- SEQ 0372 --*/
UPDATE TI_LAN SET NUMEXT = CAST (NUMEXT_BKP AS VARCHAR(20));

/*-- SEQ 0373 --*/
ALTER TABLE TI_LAN DROP COLUMN NUMEXT_BKP CASCADE;

/*-- SEQ 0374 --*/
SELECT ENABLETRIGGERS(LOWER('TI_LAN'));

/*-- SEQ 0375 --*/
ALTER TABLE TI_LAN ADD CODUSU CHAR(10);

/*-- SEQ 0376 --*/
ALTER TABLE TI_LAN ADD SITMOV CHAR(1);

/*-- SEQ 0377 --*/
ALTER TABLE TI_LAN ADD EMBQTD Numeric(12,4);

/*-- SEQ 0378 --*/
ALTER TABLE TI_LAN ADD DATINC Timestamp;

/*-- SEQ 0379 --*/
ALTER TABLE TI_LAN ADD EXPORT VARCHAR(1);





/*-- SEQ 0380 --*/
ALTER TABLE TI_NAT ADD DEVVIN CHAR(1);


/*-- SEQ 0381 --*/
ALTER TABLE TI_PAG ADD CODSER_BKP CHAR(2);

/*-- SEQ 0382 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PAG'));

/*-- SEQ 0383 --*/
UPDATE TI_PAG SET CODSER_BKP = CODSER;

/*-- SEQ 0384 --*/
ALTER TABLE TI_PAG DROP COLUMN CODSER CASCADE;

/*-- SEQ 0385 --*/
ALTER TABLE TI_PAG ADD CODSER CHAR(2);

/*-- SEQ 0386 --*/
UPDATE TI_PAG SET CODSER = CAST (CODSER_BKP AS CHAR(2));

/*-- SEQ 0387 --*/
ALTER TABLE TI_PAG DROP COLUMN CODSER_BKP CASCADE;

/*-- SEQ 0388 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PAG'));

/*-- SEQ 0389 --*/
ALTER TABLE TI_PAG ADD FLGEST_BKP CHAR(1);

/*-- SEQ 0390 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PAG'));

/*-- SEQ 0391 --*/
UPDATE TI_PAG SET FLGEST_BKP = FLGEST;

/*-- SEQ 0392 --*/
ALTER TABLE TI_PAG DROP COLUMN FLGEST CASCADE;

/*-- SEQ 0393 --*/
ALTER TABLE TI_PAG ADD FLGEST CHAR(1);

/*-- SEQ 0394 --*/
UPDATE TI_PAG SET FLGEST = CAST (FLGEST_BKP AS CHAR(1));

/*-- SEQ 0395 --*/
ALTER TABLE TI_PAG DROP COLUMN FLGEST_BKP CASCADE;

/*-- SEQ 0396 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PAG'));

/*-- SEQ 0397 --*/
ALTER TABLE TI_PAG ADD CODAUT_BKP CHAR(10);

/*-- SEQ 0398 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PAG'));

/*-- SEQ 0399 --*/
UPDATE TI_PAG SET CODAUT_BKP = CODAUT;

/*-- SEQ 0400 --*/
ALTER TABLE TI_PAG DROP COLUMN CODAUT CASCADE;

/*-- SEQ 0401 --*/
ALTER TABLE TI_PAG ADD CODAUT CHAR(10);

/*-- SEQ 0402 --*/
UPDATE TI_PAG SET CODAUT = CAST (CODAUT_BKP AS CHAR(10));

/*-- SEQ 0403 --*/
ALTER TABLE TI_PAG DROP COLUMN CODAUT_BKP CASCADE;

/*-- SEQ 0404 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PAG'));

/*-- SEQ 0405 --*/
ALTER TABLE TI_PAG ADD CODUSU_BKP CHAR(10);

/*-- SEQ 0406 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PAG'));

/*-- SEQ 0407 --*/
UPDATE TI_PAG SET CODUSU_BKP = CODUSU;

/*-- SEQ 0408 --*/
ALTER TABLE TI_PAG DROP COLUMN CODUSU CASCADE;

/*-- SEQ 0409 --*/
ALTER TABLE TI_PAG ADD CODUSU CHAR(10);

/*-- SEQ 0410 --*/
UPDATE TI_PAG SET CODUSU = CAST (CODUSU_BKP AS CHAR(10));

/*-- SEQ 0411 --*/
ALTER TABLE TI_PAG DROP COLUMN CODUSU_BKP CASCADE;

/*-- SEQ 0412 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PAG'));

/*-- SEQ 0413 --*/
ALTER TABLE TI_PAG ADD CODPRO_BKP CHAR(10);

/*-- SEQ 0414 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PAG'));

/*-- SEQ 0415 --*/
UPDATE TI_PAG SET CODPRO_BKP = CODPRO;

/*-- SEQ 0416 --*/
ALTER TABLE TI_PAG DROP COLUMN CODPRO CASCADE;

/*-- SEQ 0417 --*/
ALTER TABLE TI_PAG ADD CODPRO CHAR(10);

/*-- SEQ 0418 --*/
UPDATE TI_PAG SET CODPRO = CAST (CODPRO_BKP AS CHAR(10));

/*-- SEQ 0419 --*/
ALTER TABLE TI_PAG DROP COLUMN CODPRO_BKP CASCADE;

/*-- SEQ 0420 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PAG'));

/*-- SEQ 0421 --*/
ALTER TABLE TI_PAG ADD FLGFLU VARCHAR(1);

/*-- SEQ 0422 --*/
ALTER TABLE TI_PAG ADD DATPRE Timestamp;

/*-- SEQ 0423 --*/
ALTER TABLE TI_PAG ADD VLRPRE Numeric;

/*-- SEQ 0424 --*/
ALTER TABLE TI_PAG ADD SUBORI CHAR(2);


/*-- SEQ 0425 --*/
ALTER TABLE TI_PLA ADD CARFAT Numeric(3);

/*-- SEQ 0426 --*/
ALTER TABLE TI_PLA ADD CATEG1 VARCHAR(40);

/*-- SEQ 0427 --*/
ALTER TABLE TI_PLA ADD CATEG2 VARCHAR(40);

/*-- SEQ 0428 --*/
ALTER TABLE TI_PLA ADD CATEG3 VARCHAR(40);

/*-- SEQ 0429 --*/
ALTER TABLE TI_PLA ADD TIPCCC VARCHAR(30);


/*-- SEQ 0430 --*/
ALTER TABLE TT_CFG ADD LOJA_FECHADA VARCHAR(1);

/*-- SEQ 0431 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_LOJA_FECHADA CHECK (LOJA_FECHADA IN ('T','F'));

/*-- SEQ 0432 --*/
ALTER TABLE TT_CFG ALTER COLUMN LOJA_FECHADA SET DEFAULT 'T';

/*-- SEQ 0433 --*/
ALTER TABLE TW_CFG ADD LOJA_FECHADA VARCHAR(1);

/*-- SEQ 0434 --*/
ALTER TABLE TW_CFG ADD CONSTRAINT CK_WCFG_LOJA_FECHADA CHECK (LOJA_FECHADA IN ('T','F'));


/*-- SEQ 0435 --*/
ALTER TABLE TW_CFG ALTER COLUMN LOJA_FECHADA SET DEFAULT 'T';

/*-- SEQ 0436 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0437 --*/
UPDATE TT_CFG SET LOJA_FECHADA = 'T' WHERE LOJA_FECHADA IS NULL;

/*-- SEQ 0438 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));


/*-- SEQ 0439 --*/
ALTER TABLE TD_FIL ADD BAISPC CHAR(1) DEFAULT 'G';

/*-- SEQ 0440 --*/
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_BAISPC CHECK (BAISPC IN ('G','I','E'));

/*-- SEQ 0441 --*/
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0442 --*/
UPDATE TD_FIL
   SET BAISPC = 'G';

/*-- SEQ 0443 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0444 --*/   
ALTER TABLE TD_FIL ALTER COLUMN BAISPC SET NOT NULL;   


/*-- SEQ 0445 --*/
ALTER TABLE TT_CFG ADD CC_CARTAFRETE Numeric(5);

/*-- SEQ 0446 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DCCC_CARTAFRETE FOREIGN KEY (CC_CARTAFRETE) REFERENCES TD_CCC (CODTAB);

/*-- SEQ 0447 --*/
ALTER TABLE TW_CFG ADD CC_CARTAFRETE Numeric(5);

/*-- SEQ 0448 --*/
ALTER TABLE TT_CFG ADD USA_PREATENDIMENTO VARCHAR(1);

/*-- SEQ 0449 --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_USA_PREATENDIMENTO CHECK (USA_PREATENDIMENTO IN ('T','F'));

/*-- SEQ 0450 --*/
ALTER TABLE TT_CFG ALTER COLUMN USA_PREATENDIMENTO SET DEFAULT 'F';

/*-- SEQ 0451 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0452 --*/
UPDATE TT_CFG SET USA_PREATENDIMENTO = 'F' WHERE USA_PREATENDIMENTO IS NULL;

/*-- SEQ 0453 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0454 --*/
ALTER TABLE TW_CFG ADD USA_PREATENDIMENTO VARCHAR(1);

/*-- SEQ 0455 --*/
ALTER TABLE TW_CFG ADD CONSTRAINT CK_WCFG_USA_PREATENDIMENTO CHECK (USA_PREATENDIMENTO IN ('T','F'));

/*-- SEQ 0456 --*/
ALTER TABLE TW_CFG ALTER COLUMN USA_PREATENDIMENTO SET DEFAULT 'F';








/*-- SEQ 0457 --*/
ALTER TABLE TI_VEN ADD FLGEST_BKP CHAR(1);

/*-- SEQ 0458 --*/
SELECT DISABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0459 --*/
UPDATE TI_VEN SET FLGEST_BKP = FLGEST;

/*-- SEQ 0460 --*/
ALTER TABLE TI_VEN DROP COLUMN FLGEST CASCADE;

/*-- SEQ 0461 --*/
ALTER TABLE TI_VEN ADD FLGEST CHAR(1);

/*-- SEQ 0462 --*/
UPDATE TI_VEN SET FLGEST = CAST (FLGEST_BKP AS CHAR(1));

/*-- SEQ 0463 --*/
ALTER TABLE TI_VEN DROP COLUMN FLGEST_BKP CASCADE;

/*-- SEQ 0464 --*/
SELECT ENABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0465 --*/
ALTER TABLE TI_VEN ADD FLGTIP_BKP CHAR(1);

/*-- SEQ 0466 --*/
SELECT DISABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0467 --*/
UPDATE TI_VEN SET FLGTIP_BKP = FLGTIP;

/*-- SEQ 0468 --*/
ALTER TABLE TI_VEN DROP COLUMN FLGTIP CASCADE;

/*-- SEQ 0469 --*/
ALTER TABLE TI_VEN ADD FLGTIP CHAR(1);

/*-- SEQ 0470 --*/
UPDATE TI_VEN SET FLGTIP = CAST (FLGTIP_BKP AS CHAR(1));

/*-- SEQ 0471 --*/
ALTER TABLE TI_VEN DROP COLUMN FLGTIP_BKP CASCADE;

/*-- SEQ 0472 --*/
SELECT ENABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0473 --*/
ALTER TABLE TI_VEN ADD TIPNOT_BKP CHAR(1);

/*-- SEQ 0474 --*/
SELECT DISABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0475 --*/
UPDATE TI_VEN SET TIPNOT_BKP = TIPNOT;

/*-- SEQ 0476 --*/
ALTER TABLE TI_VEN DROP COLUMN TIPNOT CASCADE;

/*-- SEQ 0477 --*/
ALTER TABLE TI_VEN ADD TIPNOT CHAR(1);

/*-- SEQ 0478 --*/
UPDATE TI_VEN SET TIPNOT = CAST (TIPNOT_BKP AS CHAR(1));

/*-- SEQ 0479 --*/
ALTER TABLE TI_VEN DROP COLUMN TIPNOT_BKP CASCADE;

/*-- SEQ 0480 --*/
SELECT ENABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0481 --*/
ALTER TABLE TI_VEN ADD CODSER_BKP CHAR(2);

/*-- SEQ 0482 --*/
SELECT DISABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0483 --*/
UPDATE TI_VEN SET CODSER_BKP = CODSER;

/*-- SEQ 0484 --*/
ALTER TABLE TI_VEN DROP COLUMN CODSER CASCADE;

/*-- SEQ 0485 --*/
ALTER TABLE TI_VEN ADD CODSER CHAR(2);

/*-- SEQ 0486 --*/
UPDATE TI_VEN SET CODSER = CAST (CODSER_BKP AS CHAR(2));

/*-- SEQ 0487 --*/
ALTER TABLE TI_VEN DROP COLUMN CODSER_BKP CASCADE;

/*-- SEQ 0488 --*/
SELECT ENABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0489 --*/
ALTER TABLE TI_VEN ADD CODUSU_BKP CHAR(10);

/*-- SEQ 0490 --*/
SELECT DISABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0491 --*/
UPDATE TI_VEN SET CODUSU_BKP = CODUSU;

/*-- SEQ 0492 --*/
ALTER TABLE TI_VEN DROP COLUMN CODUSU CASCADE;

/*-- SEQ 0493 --*/
ALTER TABLE TI_VEN ADD CODUSU CHAR(10);

/*-- SEQ 0494 --*/
UPDATE TI_VEN SET CODUSU = CAST (CODUSU_BKP AS CHAR(10));

/*-- SEQ 0495 --*/
ALTER TABLE TI_VEN DROP COLUMN CODUSU_BKP CASCADE;

/*-- SEQ 0496 --*/
SELECT ENABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0497 --*/
ALTER TABLE TI_VEN ADD CODVEN_BKP CHAR(10);

/*-- SEQ 0498 --*/
SELECT DISABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0499 --*/
UPDATE TI_VEN SET CODVEN_BKP = CODVEN;

/*-- SEQ 0500 --*/
ALTER TABLE TI_VEN DROP COLUMN CODVEN CASCADE;

/*-- SEQ 0501 --*/
ALTER TABLE TI_VEN ADD CODVEN CHAR(10);

/*-- SEQ 0502 --*/
UPDATE TI_VEN SET CODVEN = CAST (CODVEN_BKP AS CHAR(10));

/*-- SEQ 0503 --*/
ALTER TABLE TI_VEN DROP COLUMN CODVEN_BKP CASCADE;

/*-- SEQ 0504 --*/
SELECT ENABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0505 --*/
ALTER TABLE TI_VEN ADD VLRLIQ_BKP Numeric(12,2);

/*-- SEQ 0506 --*/
SELECT DISABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0507 --*/
UPDATE TI_VEN SET VLRLIQ_BKP = VLRLIQ;

/*-- SEQ 0508 --*/
ALTER TABLE TI_VEN DROP COLUMN VLRLIQ CASCADE;

/*-- SEQ 0509 --*/
ALTER TABLE TI_VEN ADD VLRLIQ Numeric(12,2);

/*-- SEQ 0510 --*/
UPDATE TI_VEN SET VLRLIQ = CAST (VLRLIQ_BKP AS Numeric(12,2));

/*-- SEQ 0511 --*/
ALTER TABLE TI_VEN DROP COLUMN VLRLIQ_BKP CASCADE;

/*-- SEQ 0512 --*/
SELECT ENABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0513 --*/
ALTER TABLE TI_VEN ADD VLRNOT_BKP Numeric(12,2);

/*-- SEQ 0514 --*/
SELECT DISABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0515 --*/
UPDATE TI_VEN SET VLRNOT_BKP = VLRNOT;

/*-- SEQ 0516 --*/
ALTER TABLE TI_VEN DROP COLUMN VLRNOT CASCADE;

/*-- SEQ 0517 --*/
ALTER TABLE TI_VEN ADD VLRNOT Numeric(12,2);

/*-- SEQ 0518 --*/
UPDATE TI_VEN SET VLRNOT = CAST (VLRNOT_BKP AS Numeric(12,2));

/*-- SEQ 0519 --*/
ALTER TABLE TI_VEN DROP COLUMN VLRNOT_BKP CASCADE;

/*-- SEQ 0520 --*/
SELECT ENABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0521 --*/
ALTER TABLE TI_VEN ADD COMSOB_BKP Numeric(5);

/*-- SEQ 0522 --*/
SELECT DISABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0523 --*/
UPDATE TI_VEN SET COMSOB_BKP = COMSOB;

/*-- SEQ 0524 --*/
ALTER TABLE TI_VEN DROP COLUMN COMSOB CASCADE;

/*-- SEQ 0525 --*/
ALTER TABLE TI_VEN ADD COMSOB Numeric(5);

/*-- SEQ 0526 --*/
UPDATE TI_VEN SET COMSOB = CAST (COMSOB_BKP AS Numeric(5));

/*-- SEQ 0527 --*/
ALTER TABLE TI_VEN DROP COLUMN COMSOB_BKP CASCADE;

/*-- SEQ 0528 --*/
SELECT ENABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0529 --*/
ALTER TABLE TI_VEN ADD DESCON_BKP Numeric(14,4);

/*-- SEQ 0530 --*/
SELECT DISABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0531 --*/
UPDATE TI_VEN SET DESCON_BKP = DESCON;

/*-- SEQ 0532 --*/
ALTER TABLE TI_VEN DROP COLUMN DESCON CASCADE;

/*-- SEQ 0533 --*/
ALTER TABLE TI_VEN ADD DESCON Numeric(14,4);

/*-- SEQ 0534 --*/
UPDATE TI_VEN SET DESCON = CAST (DESCON_BKP AS Numeric(14,4));

/*-- SEQ 0535 --*/
ALTER TABLE TI_VEN DROP COLUMN DESCON_BKP CASCADE;

/*-- SEQ 0536 --*/
SELECT ENABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0537 --*/
ALTER TABLE TI_VEN ADD ACRESC_BKP Numeric(14,4);

/*-- SEQ 0538 --*/
SELECT DISABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0539 --*/
UPDATE TI_VEN SET ACRESC_BKP = ACRESC;

/*-- SEQ 0540 --*/
ALTER TABLE TI_VEN DROP COLUMN ACRESC CASCADE;

/*-- SEQ 0541 --*/
ALTER TABLE TI_VEN ADD ACRESC Numeric(14,4);

/*-- SEQ 0542 --*/
UPDATE TI_VEN SET ACRESC = CAST (ACRESC_BKP AS Numeric(14,4));

/*-- SEQ 0543 --*/
ALTER TABLE TI_VEN DROP COLUMN ACRESC_BKP CASCADE;

/*-- SEQ 0544 --*/
SELECT ENABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0545 --*/
ALTER TABLE TI_VEN ADD PESBRU_BKP Numeric(12,2);

/*-- SEQ 0546 --*/
SELECT DISABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0547 --*/
UPDATE TI_VEN SET PESBRU_BKP = PESBRU;

/*-- SEQ 0548 --*/
ALTER TABLE TI_VEN DROP COLUMN PESBRU CASCADE;

/*-- SEQ 0549 --*/
ALTER TABLE TI_VEN ADD PESBRU Numeric(12,2);

/*-- SEQ 0550 --*/
UPDATE TI_VEN SET PESBRU = CAST (PESBRU_BKP AS Numeric(12,2));

/*-- SEQ 0551 --*/
ALTER TABLE TI_VEN DROP COLUMN PESBRU_BKP CASCADE;

/*-- SEQ 0552 --*/
SELECT ENABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0553 --*/
ALTER TABLE TI_VEN ADD PESLIQ_BKP Numeric(12,2);

/*-- SEQ 0554 --*/
SELECT DISABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0555 --*/
UPDATE TI_VEN SET PESLIQ_BKP = PESLIQ;

/*-- SEQ 0556 --*/
ALTER TABLE TI_VEN DROP COLUMN PESLIQ CASCADE;

/*-- SEQ 0557 --*/
ALTER TABLE TI_VEN ADD PESLIQ Numeric(12,2);

/*-- SEQ 0558 --*/
UPDATE TI_VEN SET PESLIQ = CAST (PESLIQ_BKP AS Numeric(12,2));

/*-- SEQ 0559 --*/
ALTER TABLE TI_VEN DROP COLUMN PESLIQ_BKP CASCADE;

/*-- SEQ 0560 --*/
SELECT ENABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0561 --*/
ALTER TABLE TI_VEN ADD NROIMP_BKP Numeric(2);

/*-- SEQ 0562 --*/
SELECT DISABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0563 --*/
UPDATE TI_VEN SET NROIMP_BKP = NROIMP;

/*-- SEQ 0564 --*/
ALTER TABLE TI_VEN DROP COLUMN NROIMP CASCADE;

/*-- SEQ 0565 --*/
ALTER TABLE TI_VEN ADD NROIMP Numeric(2);

/*-- SEQ 0566 --*/
UPDATE TI_VEN SET NROIMP = CAST (NROIMP_BKP AS Numeric(2));

/*-- SEQ 0567 --*/
ALTER TABLE TI_VEN DROP COLUMN NROIMP_BKP CASCADE;

/*-- SEQ 0568 --*/
SELECT ENABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0569 --*/
ALTER TABLE TI_VEN ADD LANVEN_BKP CHAR(1);

/*-- SEQ 0570 --*/
SELECT DISABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0571 --*/
UPDATE TI_VEN SET LANVEN_BKP = LANVEN;

/*-- SEQ 0572 --*/
ALTER TABLE TI_VEN DROP COLUMN LANVEN CASCADE;

/*-- SEQ 0573 --*/
ALTER TABLE TI_VEN ADD LANVEN CHAR(1);

/*-- SEQ 0574 --*/
UPDATE TI_VEN SET LANVEN = CAST (LANVEN_BKP AS CHAR(1));

/*-- SEQ 0575 --*/
ALTER TABLE TI_VEN DROP COLUMN LANVEN_BKP CASCADE;

/*-- SEQ 0576 --*/
SELECT ENABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0577 --*/
ALTER TABLE TI_VEN ADD CODGUI_BKP VARCHAR(20);

/*-- SEQ 0578 --*/
SELECT DISABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0579 --*/
UPDATE TI_VEN SET CODGUI_BKP = CODGUI;

/*-- SEQ 0580 --*/
ALTER TABLE TI_VEN DROP COLUMN CODGUI CASCADE;

/*-- SEQ 0581 --*/
ALTER TABLE TI_VEN ADD CODGUI VARCHAR(20);

/*-- SEQ 0582 --*/
UPDATE TI_VEN SET CODGUI = CAST (CODGUI_BKP AS VARCHAR(20));

/*-- SEQ 0583 --*/
ALTER TABLE TI_VEN DROP COLUMN CODGUI_BKP CASCADE;

/*-- SEQ 0584 --*/
SELECT ENABLETRIGGERS(LOWER('TI_VEN'));

/*-- SEQ 0585 --*/
ALTER TABLE TI_VEN DROP COLUMN FILGUI CASCADE;

/*-- SEQ 0586 --*/
ALTER TABLE TI_VEN ADD IMPRIM VARCHAR(1);

/*-- SEQ 0587 --*/
ALTER TABLE TI_VEN ADD AUTINT VARCHAR(20);

/*-- SEQ 0588 --*/
ALTER TABLE TI_VEN ADD ORIVEN CHAR(1);

/*-- SEQ 0589 --*/
ALTER TABLE TI_VEN ADD AVISTA CHAR(1);

/*-- SEQ 0590 --*/
ALTER TABLE TI_VEN ADD CODNSU Numeric(38);

/*-- SEQ 0591 --*/
ALTER TABLE TI_VEN ADD CNT_RO Numeric(5);

/*-- SEQ 0592 --*/
ALTER TABLE TI_VEN ADD FUNRUR Numeric(12,2);

/*-- SEQ 0593 --*/
ALTER TABLE TI_VEN ADD OUTTAX Numeric(12,2);


/*-- SEQ 0594 --*/
ALTER TABLE TI_USU ADD CODSUP_BKP CHAR(10);

/*-- SEQ 0595 --*/
SELECT DISABLETRIGGERS(LOWER('TI_USU'));

/*-- SEQ 0596 --*/
UPDATE TI_USU SET CODSUP_BKP = CODSUP;

/*-- SEQ 0597 --*/
ALTER TABLE TI_USU DROP COLUMN CODSUP CASCADE;

/*-- SEQ 0598 --*/
ALTER TABLE TI_USU ADD CODSUP CHAR(10);

/*-- SEQ 0599 --*/
UPDATE TI_USU SET CODSUP = CAST (CODSUP_BKP AS CHAR(10));

/*-- SEQ 0600 --*/
ALTER TABLE TI_USU DROP COLUMN CODSUP_BKP CASCADE;

/*-- SEQ 0601 --*/
SELECT ENABLETRIGGERS(LOWER('TI_USU'));




/*-- SEQ 0602 --*/
ALTER TABLE TI_PRO ADD ATU_EM Timestamp;

/*-- SEQ 0603 --*/
ALTER TABLE TI_PRO ADD CODMON VARCHAR(30);

/*-- SEQ 0604 --*/
ALTER TABLE TI_PRO ADD CODLPC VARCHAR(20);

/*-- SEQ 0605 --*/
ALTER TABLE TI_PRO ADD TIPRCE VARCHAR(1);

/*-- SEQ 0606 --*/
ALTER TABLE TI_PRO ADD VALCON_BKP Numeric(14,4);

/*-- SEQ 0607 --*/
ALTER TABLE TI_PRO ADD SUGSER VARCHAR(1);

/*-- SEQ 0608 --*/
ALTER TABLE TI_PRO ADD PERSER Numeric(5,2);

/*-- SEQ 0609 --*/
ALTER TABLE TI_PRO ADD BALSIM CHAR(1);

/*-- SEQ 0610 --*/
ALTER TABLE TI_PRO ADD TERASS VARCHAR(254);

/*-- SEQ 0611 --*/
ALTER TABLE TI_PRO ADD FLGSER CHAR(1);

/*-- SEQ 0612 --*/
ALTER TABLE TI_PRO ADD VALEST VARCHAR(1);

/*-- SEQ 0613 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0614 --*/
UPDATE TI_PRO SET VALCON_BKP = VALCON;

/*-- SEQ 0615 --*/
ALTER TABLE TI_PRO DROP COLUMN VALCON CASCADE;

/*-- SEQ 0616 --*/
ALTER TABLE TI_PRO ADD VALCON Numeric(14,4);

/*-- SEQ 0617 --*/
UPDATE TI_PRO SET VALCON = CAST (VALCON_BKP AS Numeric(14,4));

/*-- SEQ 0618 --*/
ALTER TABLE TI_PRO DROP COLUMN VALCON_BKP CASCADE;

/*-- SEQ 0619 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0620 --*/
ALTER TABLE TI_PRO ADD BRINDE_BKP Numeric(5);

/*-- SEQ 0621 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0622 --*/
UPDATE TI_PRO SET BRINDE_BKP = BRINDE;

/*-- SEQ 0623 --*/
ALTER TABLE TI_PRO DROP COLUMN BRINDE CASCADE;

/*-- SEQ 0624 --*/
ALTER TABLE TI_PRO ADD BRINDE Numeric(5);

/*-- SEQ 0625 --*/
UPDATE TI_PRO SET BRINDE = CAST (BRINDE_BKP AS Numeric(5));

/*-- SEQ 0626 --*/
ALTER TABLE TI_PRO DROP COLUMN BRINDE_BKP CASCADE;

/*-- SEQ 0627 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0628 --*/
ALTER TABLE TI_PRO ADD CONTRO_BKP VARCHAR(1);

/*-- SEQ 0629 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0630 --*/
UPDATE TI_PRO SET CONTRO_BKP = CONTRO;

/*-- SEQ 0631 --*/
ALTER TABLE TI_PRO DROP COLUMN CONTRO CASCADE;

/*-- SEQ 0632 --*/
ALTER TABLE TI_PRO ADD CONTRO VARCHAR(1);

/*-- SEQ 0633 --*/
UPDATE TI_PRO SET CONTRO = CAST (CONTRO_BKP AS VARCHAR(1));

/*-- SEQ 0634 --*/
ALTER TABLE TI_PRO DROP COLUMN CONTRO_BKP CASCADE;

/*-- SEQ 0635 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0636 --*/
ALTER TABLE TI_PRO ADD CODFAB_BKP VARCHAR(20);

/*-- SEQ 0637 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0638 --*/
UPDATE TI_PRO SET CODFAB_BKP = CODFAB;

/*-- SEQ 0639 --*/
ALTER TABLE TI_PRO DROP COLUMN CODFAB CASCADE;

/*-- SEQ 0640 --*/
ALTER TABLE TI_PRO ADD CODFAB VARCHAR(20);

/*-- SEQ 0641 --*/
UPDATE TI_PRO SET CODFAB = CAST (CODFAB_BKP AS VARCHAR(20));

/*-- SEQ 0642 --*/
ALTER TABLE TI_PRO DROP COLUMN CODFAB_BKP CASCADE;

/*-- SEQ 0643 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0644 --*/
ALTER TABLE TI_PRO ADD ENTREG_BKP VARCHAR(1);

/*-- SEQ 0645 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0646 --*/
UPDATE TI_PRO SET ENTREG_BKP = ENTREG;

/*-- SEQ 0647 --*/
ALTER TABLE TI_PRO DROP COLUMN ENTREG CASCADE;

/*-- SEQ 0648 --*/
ALTER TABLE TI_PRO ADD ENTREG VARCHAR(1);

/*-- SEQ 0649 --*/
UPDATE TI_PRO SET ENTREG = CAST (ENTREG_BKP AS VARCHAR(1));

/*-- SEQ 0650 --*/
ALTER TABLE TI_PRO DROP COLUMN ENTREG_BKP CASCADE;

/*-- SEQ 0651 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0652 --*/
ALTER TABLE TI_PRO ADD TIPPRO_BKP Numeric(5);

/*-- SEQ 0653 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0654 --*/
UPDATE TI_PRO SET TIPPRO_BKP = TIPPRO;

/*-- SEQ 0655 --*/
ALTER TABLE TI_PRO DROP COLUMN TIPPRO CASCADE;

/*-- SEQ 0656 --*/
ALTER TABLE TI_PRO ADD TIPPRO Numeric(5);

/*-- SEQ 0657 --*/
UPDATE TI_PRO SET TIPPRO = CAST (TIPPRO_BKP AS Numeric(5));

/*-- SEQ 0658 --*/
ALTER TABLE TI_PRO DROP COLUMN TIPPRO_BKP CASCADE;

/*-- SEQ 0659 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0660 --*/
ALTER TABLE TI_PRO ADD CLSXYZ_BKP Numeric(5);

/*-- SEQ 0661 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0662 --*/
UPDATE TI_PRO SET CLSXYZ_BKP = CLSXYZ;

/*-- SEQ 0663 --*/
ALTER TABLE TI_PRO DROP COLUMN CLSXYZ CASCADE;

/*-- SEQ 0664 --*/
ALTER TABLE TI_PRO ADD CLSXYZ Numeric(5);

/*-- SEQ 0665 --*/
UPDATE TI_PRO SET CLSXYZ = CAST (CLSXYZ_BKP AS Numeric(5));

/*-- SEQ 0666 --*/
ALTER TABLE TI_PRO DROP COLUMN CLSXYZ_BKP CASCADE;

/*-- SEQ 0667 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0668 --*/
ALTER TABLE TI_PRO ADD DECIMA_BKP VARCHAR(1);

/*-- SEQ 0669 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0670 --*/
UPDATE TI_PRO SET DECIMA_BKP = DECIMA;

/*-- SEQ 0671 --*/
ALTER TABLE TI_PRO DROP COLUMN DECIMA CASCADE;

/*-- SEQ 0672 --*/
ALTER TABLE TI_PRO ADD DECIMA VARCHAR(1);

/*-- SEQ 0673 --*/
UPDATE TI_PRO SET DECIMA = CAST (DECIMA_BKP AS VARCHAR(1));

/*-- SEQ 0674 --*/
ALTER TABLE TI_PRO DROP COLUMN DECIMA_BKP CASCADE;

/*-- SEQ 0675 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0676 --*/
ALTER TABLE TI_PRO ADD NUMEXT_BKP VARCHAR(1);

/*-- SEQ 0677 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0678 --*/
UPDATE TI_PRO SET NUMEXT_BKP = NUMEXT;

/*-- SEQ 0679 --*/
ALTER TABLE TI_PRO DROP COLUMN NUMEXT CASCADE;

/*-- SEQ 0680 --*/
ALTER TABLE TI_PRO ADD NUMEXT VARCHAR(1);

/*-- SEQ 0681 --*/
UPDATE TI_PRO SET NUMEXT = CAST (NUMEXT_BKP AS VARCHAR(1));

/*-- SEQ 0682 --*/
ALTER TABLE TI_PRO DROP COLUMN NUMEXT_BKP CASCADE;

/*-- SEQ 0683 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0684 --*/
ALTER TABLE TI_PRO ADD MONTAR_BKP VARCHAR(1);

/*-- SEQ 0685 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0686 --*/
UPDATE TI_PRO SET MONTAR_BKP = MONTAR;

/*-- SEQ 0687 --*/
ALTER TABLE TI_PRO DROP COLUMN MONTAR CASCADE;

/*-- SEQ 0688 --*/
ALTER TABLE TI_PRO ADD MONTAR VARCHAR(1);

/*-- SEQ 0689 --*/
UPDATE TI_PRO SET MONTAR = CAST (MONTAR_BKP AS VARCHAR(1));

/*-- SEQ 0690 --*/
ALTER TABLE TI_PRO DROP COLUMN MONTAR_BKP CASCADE;

/*-- SEQ 0691 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0692 --*/
ALTER TABLE TI_PRO ADD NUMITE_BKP Numeric(5);

/*-- SEQ 0693 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0694 --*/
UPDATE TI_PRO SET NUMITE_BKP = NUMITE;

/*-- SEQ 0695 --*/
ALTER TABLE TI_PRO DROP COLUMN NUMITE CASCADE;

/*-- SEQ 0696 --*/
ALTER TABLE TI_PRO ADD NUMITE Numeric(5);

/*-- SEQ 0697 --*/
UPDATE TI_PRO SET NUMITE = CAST (NUMITE_BKP AS Numeric(5));

/*-- SEQ 0698 --*/
ALTER TABLE TI_PRO DROP COLUMN NUMITE_BKP CASCADE;

/*-- SEQ 0699 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0700 --*/
ALTER TABLE TI_PRO ADD RETCOF_BKP VARCHAR(1);

/*-- SEQ 0701 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0702 --*/
UPDATE TI_PRO SET RETCOF_BKP = RETCOF;

/*-- SEQ 0703 --*/
ALTER TABLE TI_PRO DROP COLUMN RETCOF CASCADE;

/*-- SEQ 0704 --*/
ALTER TABLE TI_PRO ADD RETCOF VARCHAR(1);

/*-- SEQ 0705 --*/
UPDATE TI_PRO SET RETCOF = CAST (RETCOF_BKP AS VARCHAR(1));

/*-- SEQ 0706 --*/
ALTER TABLE TI_PRO DROP COLUMN RETCOF_BKP CASCADE;

/*-- SEQ 0707 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0708 --*/
ALTER TABLE TI_PRO ADD UNIDAD_BKP VARCHAR(2);

/*-- SEQ 0709 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0710 --*/
UPDATE TI_PRO SET UNIDAD_BKP = UNIDAD;

/*-- SEQ 0711 --*/
ALTER TABLE TI_PRO DROP COLUMN UNIDAD CASCADE;

/*-- SEQ 0712 --*/
ALTER TABLE TI_PRO ADD UNIDAD VARCHAR(2);

/*-- SEQ 0713 --*/
UPDATE TI_PRO SET UNIDAD = CAST (UNIDAD_BKP AS VARCHAR(2));

/*-- SEQ 0714 --*/
ALTER TABLE TI_PRO DROP COLUMN UNIDAD_BKP CASCADE;

/*-- SEQ 0715 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0716 --*/
ALTER TABLE TI_PRO ADD UNIFOR_BKP VARCHAR(2);

/*-- SEQ 0717 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0718 --*/
UPDATE TI_PRO SET UNIFOR_BKP = UNIFOR;

/*-- SEQ 0719 --*/
ALTER TABLE TI_PRO DROP COLUMN UNIFOR CASCADE;

/*-- SEQ 0720 --*/
ALTER TABLE TI_PRO ADD UNIFOR VARCHAR(2);

/*-- SEQ 0721 --*/
UPDATE TI_PRO SET UNIFOR = CAST (UNIFOR_BKP AS VARCHAR(2));

/*-- SEQ 0722 --*/
ALTER TABLE TI_PRO DROP COLUMN UNIFOR_BKP CASCADE;

/*-- SEQ 0723 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0724 --*/
ALTER TABLE TI_PRO ADD PROMOC_BKP VARCHAR(1);

/*-- SEQ 0725 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0726 --*/
UPDATE TI_PRO SET PROMOC_BKP = PROMOC;

/*-- SEQ 0727 --*/
ALTER TABLE TI_PRO DROP COLUMN PROMOC CASCADE;

/*-- SEQ 0728 --*/
ALTER TABLE TI_PRO ADD PROMOC VARCHAR(1);

/*-- SEQ 0729 --*/
UPDATE TI_PRO SET PROMOC = CAST (PROMOC_BKP AS VARCHAR(1));

/*-- SEQ 0730 --*/
ALTER TABLE TI_PRO DROP COLUMN PROMOC_BKP CASCADE;

/*-- SEQ 0731 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0732 --*/
ALTER TABLE TI_PRO ADD VOLUNI_BKP VARCHAR(1);

/*-- SEQ 0733 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0734 --*/
UPDATE TI_PRO SET VOLUNI_BKP = VOLUNI;

/*-- SEQ 0735 --*/
ALTER TABLE TI_PRO DROP COLUMN VOLUNI CASCADE;

/*-- SEQ 0736 --*/
ALTER TABLE TI_PRO ADD VOLUNI VARCHAR(1);

/*-- SEQ 0737 --*/
UPDATE TI_PRO SET VOLUNI = CAST (VOLUNI_BKP AS VARCHAR(1));

/*-- SEQ 0738 --*/
ALTER TABLE TI_PRO DROP COLUMN VOLUNI_BKP CASCADE;

/*-- SEQ 0739 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0740 --*/
ALTER TABLE TI_PRO ADD CUSREP_BKP Numeric(12,2);

/*-- SEQ 0741 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0742 --*/
UPDATE TI_PRO SET CUSREP_BKP = CUSREP;

/*-- SEQ 0743 --*/
ALTER TABLE TI_PRO DROP COLUMN CUSREP CASCADE;

/*-- SEQ 0744 --*/
ALTER TABLE TI_PRO ADD CUSREP Numeric(12,2);

/*-- SEQ 0745 --*/
UPDATE TI_PRO SET CUSREP = CAST (CUSREP_BKP AS Numeric(12,2));

/*-- SEQ 0746 --*/
ALTER TABLE TI_PRO DROP COLUMN CUSREP_BKP CASCADE;

/*-- SEQ 0747 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0748 --*/
ALTER TABLE TI_PRO ADD DESIDE_BKP Numeric(12,2);

/*-- SEQ 0749 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0750 --*/
UPDATE TI_PRO SET DESIDE_BKP = DESIDE;

/*-- SEQ 0751 --*/
ALTER TABLE TI_PRO DROP COLUMN DESIDE CASCADE;

/*-- SEQ 0752 --*/
ALTER TABLE TI_PRO ADD DESIDE Numeric(12,2);

/*-- SEQ 0753 --*/
UPDATE TI_PRO SET DESIDE = CAST (DESIDE_BKP AS Numeric(12,2));

/*-- SEQ 0754 --*/
ALTER TABLE TI_PRO DROP COLUMN DESIDE_BKP CASCADE;

/*-- SEQ 0755 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0756 --*/
ALTER TABLE TI_PRO ADD DESMAX_BKP Numeric(12,2);

/*-- SEQ 0757 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0758 --*/
UPDATE TI_PRO SET DESMAX_BKP = DESMAX;

/*-- SEQ 0759 --*/
ALTER TABLE TI_PRO DROP COLUMN DESMAX CASCADE;

/*-- SEQ 0760 --*/
ALTER TABLE TI_PRO ADD DESMAX Numeric(12,2);

/*-- SEQ 0761 --*/
UPDATE TI_PRO SET DESMAX = CAST (DESMAX_BKP AS Numeric(12,2));

/*-- SEQ 0762 --*/
ALTER TABLE TI_PRO DROP COLUMN DESMAX_BKP CASCADE;

/*-- SEQ 0763 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0764 --*/
ALTER TABLE TI_PRO ADD PERLUC_BKP Numeric(12,2);

/*-- SEQ 0765 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0766 --*/
UPDATE TI_PRO SET PERLUC_BKP = PERLUC;

/*-- SEQ 0767 --*/
ALTER TABLE TI_PRO DROP COLUMN PERLUC CASCADE;

/*-- SEQ 0768 --*/
ALTER TABLE TI_PRO ADD PERLUC Numeric(12,2);

/*-- SEQ 0769 --*/
UPDATE TI_PRO SET PERLUC = CAST (PERLUC_BKP AS Numeric(12,2));

/*-- SEQ 0770 --*/
ALTER TABLE TI_PRO DROP COLUMN PERLUC_BKP CASCADE;

/*-- SEQ 0771 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0772 --*/
ALTER TABLE TI_PRO ADD PERCOM_BKP Numeric(12,2);

/*-- SEQ 0773 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0774 --*/
UPDATE TI_PRO SET PERCOM_BKP = PERCOM;

/*-- SEQ 0775 --*/
ALTER TABLE TI_PRO DROP COLUMN PERCOM CASCADE;

/*-- SEQ 0776 --*/
ALTER TABLE TI_PRO ADD PERCOM Numeric(12,2);

/*-- SEQ 0777 --*/
UPDATE TI_PRO SET PERCOM = CAST (PERCOM_BKP AS Numeric(12,2));

/*-- SEQ 0778 --*/
ALTER TABLE TI_PRO DROP COLUMN PERCOM_BKP CASCADE;

/*-- SEQ 0779 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0780 --*/
ALTER TABLE TI_PRO ADD MINQTD_BKP Numeric(12,2);

/*-- SEQ 0781 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0782 --*/
UPDATE TI_PRO SET MINQTD_BKP = MINQTD;

/*-- SEQ 0783 --*/
ALTER TABLE TI_PRO DROP COLUMN MINQTD CASCADE;

/*-- SEQ 0784 --*/
ALTER TABLE TI_PRO ADD MINQTD Numeric(12,2);

/*-- SEQ 0785 --*/
UPDATE TI_PRO SET MINQTD = CAST (MINQTD_BKP AS Numeric(12,2));

/*-- SEQ 0786 --*/
ALTER TABLE TI_PRO DROP COLUMN MINQTD_BKP CASCADE;

/*-- SEQ 0787 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0788 --*/
ALTER TABLE TI_PRO ADD PTOQTD_BKP Numeric(12,2);

/*-- SEQ 0789 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0790 --*/
UPDATE TI_PRO SET PTOQTD_BKP = PTOQTD;

/*-- SEQ 0791 --*/
ALTER TABLE TI_PRO DROP COLUMN PTOQTD CASCADE;

/*-- SEQ 0792 --*/
ALTER TABLE TI_PRO ADD PTOQTD Numeric(12,2);

/*-- SEQ 0793 --*/
UPDATE TI_PRO SET PTOQTD = CAST (PTOQTD_BKP AS Numeric(12,2));

/*-- SEQ 0794 --*/
ALTER TABLE TI_PRO DROP COLUMN PTOQTD_BKP CASCADE;

/*-- SEQ 0795 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0796 --*/
ALTER TABLE TI_PRO ADD PESBRU_BKP Numeric(12,2);

/*-- SEQ 0797 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0798 --*/
UPDATE TI_PRO SET PESBRU_BKP = PESBRU;

/*-- SEQ 0799 --*/
ALTER TABLE TI_PRO DROP COLUMN PESBRU CASCADE;

/*-- SEQ 0800 --*/
ALTER TABLE TI_PRO ADD PESBRU Numeric(12,2);

/*-- SEQ 0801 --*/
UPDATE TI_PRO SET PESBRU = CAST (PESBRU_BKP AS Numeric(12,2));

/*-- SEQ 0802 --*/
ALTER TABLE TI_PRO DROP COLUMN PESBRU_BKP CASCADE;

/*-- SEQ 0803 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0804 --*/
ALTER TABLE TI_PRO ADD PESLIQ_BKP Numeric(12,2);

/*-- SEQ 0805 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0806 --*/
UPDATE TI_PRO SET PESLIQ_BKP = PESLIQ;

/*-- SEQ 0807 --*/
ALTER TABLE TI_PRO DROP COLUMN PESLIQ CASCADE;

/*-- SEQ 0808 --*/
ALTER TABLE TI_PRO ADD PESLIQ Numeric(12,2);

/*-- SEQ 0809 --*/
UPDATE TI_PRO SET PESLIQ = CAST (PESLIQ_BKP AS Numeric(12,2));

/*-- SEQ 0810 --*/
ALTER TABLE TI_PRO DROP COLUMN PESLIQ_BKP CASCADE;

/*-- SEQ 0811 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0812 --*/
ALTER TABLE TI_PRO ADD PRECOM_BKP Numeric(14,4);

/*-- SEQ 0813 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0814 --*/
UPDATE TI_PRO SET PRECOM_BKP = PRECOM;

/*-- SEQ 0815 --*/
ALTER TABLE TI_PRO DROP COLUMN PRECOM CASCADE;

/*-- SEQ 0816 --*/
ALTER TABLE TI_PRO ADD PRECOM Numeric(14,4);

/*-- SEQ 0817 --*/
UPDATE TI_PRO SET PRECOM = CAST (PRECOM_BKP AS Numeric(14,4));

/*-- SEQ 0818 --*/
ALTER TABLE TI_PRO DROP COLUMN PRECOM_BKP CASCADE;

/*-- SEQ 0819 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0820 --*/
ALTER TABLE TI_PRO ADD QTDREP_BKP Numeric(12,2);

/*-- SEQ 0821 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0822 --*/
UPDATE TI_PRO SET QTDREP_BKP = QTDREP;

/*-- SEQ 0823 --*/
ALTER TABLE TI_PRO DROP COLUMN QTDREP CASCADE;

/*-- SEQ 0824 --*/
ALTER TABLE TI_PRO ADD QTDREP Numeric(12,2);

/*-- SEQ 0825 --*/
UPDATE TI_PRO SET QTDREP = CAST (QTDREP_BKP AS Numeric(12,2));

/*-- SEQ 0826 --*/
ALTER TABLE TI_PRO DROP COLUMN QTDREP_BKP CASCADE;

/*-- SEQ 0827 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0828 --*/
ALTER TABLE TI_PRO ADD TEMREP_BKP Numeric(5);

/*-- SEQ 0829 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0830 --*/
UPDATE TI_PRO SET TEMREP_BKP = TEMREP;

/*-- SEQ 0831 --*/
ALTER TABLE TI_PRO DROP COLUMN TEMREP CASCADE;

/*-- SEQ 0832 --*/
ALTER TABLE TI_PRO ADD TEMREP Numeric(5);

/*-- SEQ 0833 --*/
UPDATE TI_PRO SET TEMREP = CAST (TEMREP_BKP AS Numeric(5));

/*-- SEQ 0834 --*/
ALTER TABLE TI_PRO DROP COLUMN TEMREP_BKP CASCADE;

/*-- SEQ 0835 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0836 --*/
ALTER TABLE TI_PRO ADD UNIEMB_BKP VARCHAR(2);

/*-- SEQ 0837 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0838 --*/
UPDATE TI_PRO SET UNIEMB_BKP = UNIEMB;

/*-- SEQ 0839 --*/
ALTER TABLE TI_PRO DROP COLUMN UNIEMB CASCADE;

/*-- SEQ 0840 --*/
ALTER TABLE TI_PRO ADD UNIEMB VARCHAR(2);

/*-- SEQ 0841 --*/
UPDATE TI_PRO SET UNIEMB = CAST (UNIEMB_BKP AS VARCHAR(2));

/*-- SEQ 0842 --*/
ALTER TABLE TI_PRO DROP COLUMN UNIEMB_BKP CASCADE;

/*-- SEQ 0843 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0844 --*/
ALTER TABLE TI_PRO ADD UNIAPL_BKP VARCHAR(2);

/*-- SEQ 0845 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0846 --*/
UPDATE TI_PRO SET UNIAPL_BKP = UNIAPL;

/*-- SEQ 0847 --*/
ALTER TABLE TI_PRO DROP COLUMN UNIAPL CASCADE;

/*-- SEQ 0848 --*/
ALTER TABLE TI_PRO ADD UNIAPL VARCHAR(2);

/*-- SEQ 0849 --*/
UPDATE TI_PRO SET UNIAPL = CAST (UNIAPL_BKP AS VARCHAR(2));

/*-- SEQ 0850 --*/
ALTER TABLE TI_PRO DROP COLUMN UNIAPL_BKP CASCADE;

/*-- SEQ 0851 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0852 --*/
ALTER TABLE TI_PRO ADD QTDEMB_BKP Numeric(10,4);

/*-- SEQ 0853 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0854 --*/
UPDATE TI_PRO SET QTDEMB_BKP = QTDEMB;

/*-- SEQ 0855 --*/
ALTER TABLE TI_PRO DROP COLUMN QTDEMB CASCADE;

/*-- SEQ 0856 --*/
ALTER TABLE TI_PRO ADD QTDEMB Numeric(10,4);

/*-- SEQ 0857 --*/
UPDATE TI_PRO SET QTDEMB = CAST (QTDEMB_BKP AS Numeric(10,4));

/*-- SEQ 0858 --*/
ALTER TABLE TI_PRO DROP COLUMN QTDEMB_BKP CASCADE;

/*-- SEQ 0859 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0860 --*/
ALTER TABLE TI_PRO ADD FORLIN_BKP VARCHAR(1);

/*-- SEQ 0861 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0862 --*/
UPDATE TI_PRO SET FORLIN_BKP = FORLIN;

/*-- SEQ 0863 --*/
ALTER TABLE TI_PRO DROP COLUMN FORLIN CASCADE;

/*-- SEQ 0864 --*/
ALTER TABLE TI_PRO ADD FORLIN VARCHAR(1);

/*-- SEQ 0865 --*/
UPDATE TI_PRO SET FORLIN = CAST (FORLIN_BKP AS VARCHAR(1));

/*-- SEQ 0866 --*/
ALTER TABLE TI_PRO DROP COLUMN FORLIN_BKP CASCADE;

/*-- SEQ 0867 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0868 --*/
ALTER TABLE TI_PRO ADD PREPSI_BKP VARCHAR(1);

/*-- SEQ 0869 --*/
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0870 --*/
UPDATE TI_PRO SET PREPSI_BKP = PREPSI;

/*-- SEQ 0871 --*/
ALTER TABLE TI_PRO DROP COLUMN PREPSI CASCADE;

/*-- SEQ 0872 --*/
ALTER TABLE TI_PRO ADD PREPSI VARCHAR(1);

/*-- SEQ 0873 --*/
UPDATE TI_PRO SET PREPSI = CAST (PREPSI_BKP AS VARCHAR(1));

/*-- SEQ 0874 --*/
ALTER TABLE TI_PRO DROP COLUMN PREPSI_BKP CASCADE;

/*-- SEQ 0875 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0876 --*/
ALTER TABLE TI_PRO ADD DESICO Numeric(12,2);

/*-- SEQ 0877 --*/
ALTER TABLE TI_PRO ADD ORICUS CHAR(1);

/*-- SEQ 0878 --*/
ALTER TABLE TI_PRO ADD IPICUS Numeric(5,2);

/*-- SEQ 0879 --*/
ALTER TABLE TI_PRO ADD ICMCUS Numeric(5,2);

/*-- SEQ 0880 --*/
ALTER TABLE TI_PRO ADD OUTCUS Numeric(12,2);

/*-- SEQ 0881 --*/
ALTER TABLE TI_PRO ADD GRAATI CHAR(1);

/*-- SEQ 0882 --*/
ALTER TABLE TI_PRO ADD DACCUS Numeric(5,2);

/*-- SEQ 0883 --*/
ALTER TABLE TI_PRO ADD AFICUS Numeric(5,2);

/*-- SEQ 0884 --*/
ALTER TABLE TI_PRO ADD ICMTIP CHAR(1);

/*-- SEQ 0885 --*/
ALTER TABLE TI_PRO ADD PERFRE Numeric(5,2);

/*-- SEQ 0886 --*/
ALTER TABLE TI_PRO ADD ALIFRE Numeric(5,2);

/*-- SEQ 0887 --*/
ALTER TABLE TI_PRO ADD VOLUME Numeric(12,2);

























/*-- SEQ 0888 --*/
ALTER TABLE TI_REC ADD CODSER_BKP CHAR(2);

/*-- SEQ 0889 --*/
SELECT DISABLETRIGGERS(LOWER('TI_REC'));

/*-- SEQ 0890 --*/
UPDATE TI_REC SET CODSER_BKP = CODSER;

/*-- SEQ 0891 --*/
ALTER TABLE TI_REC DROP COLUMN CODSER CASCADE;

/*-- SEQ 0892 --*/
ALTER TABLE TI_REC ADD CODSER CHAR(2);

/*-- SEQ 0893 --*/
UPDATE TI_REC SET CODSER = CAST (CODSER_BKP AS CHAR(2));

/*-- SEQ 0894 --*/
ALTER TABLE TI_REC DROP COLUMN CODSER_BKP CASCADE;

/*-- SEQ 0895 --*/
SELECT ENABLETRIGGERS(LOWER('TI_REC'));

/*-- SEQ 0896 --*/
ALTER TABLE TI_REC ADD FLGEST_BKP CHAR(1);

/*-- SEQ 0897 --*/
SELECT DISABLETRIGGERS(LOWER('TI_REC'));

/*-- SEQ 0898 --*/
UPDATE TI_REC SET FLGEST_BKP = FLGEST;

/*-- SEQ 0899 --*/
ALTER TABLE TI_REC DROP COLUMN FLGEST CASCADE;

/*-- SEQ 0900 --*/
ALTER TABLE TI_REC ADD FLGEST CHAR(1);

/*-- SEQ 0901 --*/
UPDATE TI_REC SET FLGEST = CAST (FLGEST_BKP AS CHAR(1));

/*-- SEQ 0902 --*/
ALTER TABLE TI_REC DROP COLUMN FLGEST_BKP CASCADE;

/*-- SEQ 0903 --*/
SELECT ENABLETRIGGERS(LOWER('TI_REC'));

/*-- SEQ 0904 --*/
ALTER TABLE TI_REC ADD CODMOE_BKP VARCHAR(5);

/*-- SEQ 0905 --*/
SELECT DISABLETRIGGERS(LOWER('TI_REC'));

/*-- SEQ 0906 --*/
UPDATE TI_REC SET CODMOE_BKP = CODMOE;

/*-- SEQ 0907 --*/
ALTER TABLE TI_REC DROP COLUMN CODMOE CASCADE;

/*-- SEQ 0908 --*/
ALTER TABLE TI_REC ADD CODMOE VARCHAR(5);

/*-- SEQ 0909 --*/
UPDATE TI_REC SET CODMOE = CAST (CODMOE_BKP AS VARCHAR(5));

/*-- SEQ 0910 --*/
ALTER TABLE TI_REC DROP COLUMN CODMOE_BKP CASCADE;

/*-- SEQ 0911 --*/
SELECT ENABLETRIGGERS(LOWER('TI_REC'));

/*-- SEQ 0912 --*/
ALTER TABLE TI_REC ADD CODUSU_BKP CHAR(10);

/*-- SEQ 0913 --*/
SELECT DISABLETRIGGERS(LOWER('TI_REC'));

/*-- SEQ 0914 --*/
UPDATE TI_REC SET CODUSU_BKP = CODUSU;

/*-- SEQ 0915 --*/
ALTER TABLE TI_REC DROP COLUMN CODUSU CASCADE;

/*-- SEQ 0916 --*/
ALTER TABLE TI_REC ADD CODUSU CHAR(10);

/*-- SEQ 0917 --*/
UPDATE TI_REC SET CODUSU = CAST (CODUSU_BKP AS CHAR(10));

/*-- SEQ 0918 --*/
ALTER TABLE TI_REC DROP COLUMN CODUSU_BKP CASCADE;

/*-- SEQ 0919 --*/
SELECT ENABLETRIGGERS(LOWER('TI_REC'));

/*-- SEQ 0920 --*/
ALTER TABLE TI_REC ADD VLRTAX Numeric(14,2);

/*-- SEQ 0921 --*/
ALTER TABLE TI_REC ADD ESTCAN Timestamp;

/*-- SEQ 0922 --*/
ALTER TABLE TI_REC ADD FLGFLU VARCHAR(1);

/*-- SEQ 0923 --*/
ALTER TABLE TI_REC ADD DATPRE Timestamp;

/*-- SEQ 0924 --*/
ALTER TABLE TI_REC ADD VLRPRE Numeric;

/*-- SEQ 0925 --*/
ALTER TABLE TI_REC ADD SUBORI CHAR(2);



/*-- SEQ 0926 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TW_CFG ADD CUSTO_LUCRO_MARKUP VARCHAR(1);

/*-- SEQ 0927 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TW_CFG ALTER COLUMN CUSTO_LUCRO_MARKUP SET DEFAULT '0';

/*-- SEQ 0928 --*/
/*--IGNORE ERRO--*/
ALTER TABLE TW_CFG ADD CONSTRAINT CK_WCFG_CUSTO_LUCRO_MARKUP CHECK (CUSTO_LUCRO_MARKUP IN ('0','1','2','3'));


/*-- SEQ 0929 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD VLRUNI Numeric(12,4);

/*-- SEQ 0930 --*/
/*-- IGNORE ERRO --*/
INSERT INTO TT_FUN (NOMFUN, DATFUN) VALUES ('IVE_VLRUNI',AGORA());

/*-- SEQ 0931 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_IVE ADD VLRUNI Numeric(12,4);


/*-- SEQ 0932 --*/
ALTER TABLE TT_CFG ADD CUSTOFINMENSAL Numeric(8,4);

/*-- SEQ 0933 --*/
ALTER TABLE TW_CFG ADD CUSTOFINMENSAL Numeric(8,4);

/*-- SEQ 0934 --*/
ALTER TABLE TT_CFG ADD DIAS_TEF_NO_PRECO Numeric(5);

/*-- SEQ 0935 --*/
ALTER TABLE TW_CFG ADD DIAS_TEF_NO_PRECO Numeric(5);


/*-- SEQ 0936 --*/
ALTER TABLE TT_CLI ALTER COLUMN EDICRE SET DEFAULT 'T';


/*-- SEQ 0937 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0938 --*/
UPDATE TT_CLI SET EDICRE = 'T' 
 WHERE (SELECT COUNT(*) FROM TT_CRE) = 0;

/*-- SEQ 0939 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));


/*-- SEQ 0940 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_REC ADD CODOUT Numeric(5);

/*-- SEQ 0941 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_REC ADD CONSTRAINT FK_REC_DOUT FOREIGN KEY (CODOUT) REFERENCES TD_OUT (CODTAB);

/*-- SEQ 0942 --*/
/*-- IGNORE ERRO --*/
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
VALUES
('REC_OUTROS', Agora(), Agora());


/*-- SEQ 0943 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN ADD DOCNFP VARCHAR(15);

/*-- SEQ 0944 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_VEN_FIS ADD DOCNFP VARCHAR(15);

/*-- SEQ 0945 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_VEN ADD DOCNFP VARCHAR(15);

/*-- SEQ 0946 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ORC ADD DOCNFP VARCHAR(15);


/*-- SEQ 0947 --*/
SELECT DISABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0948 --*/
UPDATE TT_IVE
   SET VLR001 = ROUND(VLRMOV*TAX001/100,2)
 WHERE TAX001 <> 0
   AND VLR001 = 0
   AND (SELECT VEN.TRIBUT
          FROM TT_VEN VEN
         WHERE VEN.CODFIL = TT_IVE.CODFIL
           AND VEN.SEQUEN = TT_IVE.SEQUEN) = 'T'
   AND (SELECT PRO.TIPPRO
          FROM TT_PRO PRO 
         WHERE PRO.FILMAT = TT_IVE.FILMAT
           AND PRO.CODMAT = TT_IVE.CODMAT) = 1;

/*-- SEQ 0949 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IVE'));

/*-- SEQ 0950 --*/
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0951 --*/
UPDATE TT_CFG
   SET CHECKOUT_VERMIN = '4.7D',
       CHECKOUT_RELMIN = 0;

/*-- SEQ 0952 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));


/*-- SEQ 0953 --*/
ALTER TABLE TT_DOP ADD PORORI Numeric(5);

/*-- SEQ 0954 --*/
ALTER TABLE TT_DOP ADD CONSTRAINT FK_DOP_DCOB FOREIGN KEY (PORORI) REFERENCES TD_COB (CODTAB);

/*-- SEQ 0955 --*/
/*-- IGNORE ERRO --*/
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
VALUES
('DOP_PORORI', Agora(), Agora());


/*-- SEQ 0956 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG DROP CONSTRAINT CK_BASE_MARKUP;

/*-- SEQ 0957 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_BASE_MARKUP CHECK (BASE_MARKUP IN ('R','I','B','1','2','3'));


/*-- SEQ 0958 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_EXP DROP CONSTRAINT CK_USOEXC;

/*-- SEQ 0959 --*/
/*-- IGNORE ERRO --*/
SELECT DISABLETRIGGERS(LOWER('TD_EXP'));

/*-- SEQ 0960 --*/
/*-- IGNORE ERRO --*/
UPDATE TD_EXP
   SET USOEXC = 'F'
 WHERE USOEXC IS NULL;

/*-- SEQ 0961 --*/
/*-- IGNORE ERRO --*/
SELECT ENABLETRIGGERS(LOWER('TD_EXP'));

/*-- SEQ 0962 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_EXP ADD CONSTRAINT CK_USOEXC CHECK (USOEXC IN ('T','F'));

/*-- SEQ 0963 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_EXP ALTER COLUMN USOEXC SET NOT NULL;

