
/*-- SEQ 0001 --*/
-- Tarefa 91068 --
CREATE INDEX I_LC_ORC_BUSCA ON TT_ORC (FLGEST, APROVA, APRCLI, TELEVE, CODFIL, DATVAL)  ;


/*-- SEQ 0002 --*/
-- Tarefa 90724 --
ALTER TABLE TT_BON ADD COLUMN DATRES Timestamp ;



/*-- SEQ 0003 --*/
-- Tarefa 90640--
ALTER TABLE TT_CLI ADD COLUMN MAXBON Numeric(12,2) ;


/*-- SEQ 0004 --*/
-- Tarefa 90640--
ALTER TABLE TT_CLI ADD CONSTRAINT CK_CLI_MAXBON CHECK ((MAXBON >= 0) OR (MAXBON IS NULL));


/*-- SEQ 0005 --*/
-- Tarefa 90574--
SELECT DISABLETRIGGERS(LOWER('TT_ORC'));

/*-- SEQ 0006 --*/
ALTER TABLE TT_ORC ADD COLUMN FLGBON VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0007 --*/
SELECT ENABLETRIGGERS(LOWER('TT_ORC'));

/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 90574 --
ALTER TABLE TT_ORC ALTER COLUMN FLGBON SET NOT NULL;

/*-- SEQ 0009 --*/
-- Tarefa 90574--
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_FLGBON CHECK (FLGBON IN ('F','T'));


/*-- SEQ 0010 --*/
-- Tarefa 91065--
ALTER TABLE TT_CPM ADD COLUMN DATINC Timestamp ;


/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91065 --
UPDATE TT_CPM SET DATINC = agora();

/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91065 --
ALTER TABLE TT_CPM ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0013 --*/
-- Tarefa 91065--
ALTER TABLE TT_CPM ADD COLUMN QTDCPM Numeric(12,4) ;


/*-- SEQ 0014 --*/
-- Tarefa 91065--
ALTER TABLE TT_CPM ADD CONSTRAINT CK_CPM_QTDCPM CHECK ((QTDCPM >= 0) OR (QTDCPM IS NULL));


/*-- SEQ 0015 --*/
-- Tarefa 90737 --
ALTER TABLE TT_BON ADD COLUMN FILCCC CHAR(3) ;


/*-- SEQ 0016 --*/
-- Tarefa 90737 --
ALTER TABLE TT_BON ADD COLUMN SEQCCC CHAR(10) ;


/*-- SEQ 0017 --*/
-- Tarefa 90737 --
ALTER TABLE TT_BON ADD CONSTRAINT FK_BON_CCC FOREIGN KEY (FILCCC,SEQCCC) REFERENCES TT_CCC(CODFIL,SEQUEN);
 
/*-- SEQ 0018 --*/
-- Tarefa 90737 --
CREATE INDEX I_FK_BON_CCC ON TT_BON (FILCCC,SEQCCC)  ;


/*-- SEQ 0019 --*/
-- Tarefa 90570 --
SELECT DISABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0020 --*/
ALTER TABLE TT_GRA ADD COLUMN USABON VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0021 --*/
SELECT ENABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0022 --*/
-- Tarefa 90570 --
ALTER TABLE TT_GRA ALTER COLUMN USABON SET NOT NULL;

/*-- SEQ 0023 --*/
-- Tarefa 90570--
ALTER TABLE TT_GRA ADD CONSTRAINT CK_GRA_USABON  CHECK (USABON IN ('F','T'));

/*-- SEQ 0024 --*/
-- Tarefa 90570 --
ALTER TABLE TT_GRA ADD COLUMN QTDBON Numeric(12,2) ;


/*-- SEQ 0025 --*/
-- Tarefa 90570--
ALTER TABLE TT_GRA ADD CONSTRAINT CK_GRA_QTDBON CHECK ((QTDBON >= 0) OR (QTDBON IS NULL));


/*-- SEQ 0026 --*/
-- Tarefa 90631 --
ALTER TABLE TT_CFG ADD COLUMN VALOR_BON Numeric(12,2) ;


/*-- SEQ 0027 --*/
-- Tarefa 90631--
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_VALOR_BON CHECK ((VALOR_BON >= 0) OR (VALOR_BON IS NULL));

/*-- SEQ 0028 --*/
-- Tarefa 90631 --
ALTER TABLE TT_CFG ADD COLUMN DATA_BONUS Timestamp ;


/*-- SEQ 0029 --*/
-- Tarefa 90631 --
ALTER TABLE TT_CFG ADD COLUMN DIAS_BONUS Numeric(3) ;


/*-- SEQ 0030 --*/
-- Tarefa 90631--
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_DIAS_BONUS CHECK ((DIAS_BONUS >= 0) OR (DIAS_BONUS IS NULL));

/*-- SEQ 0031 --*/
-- Tarefa 90631 --
ALTER TABLE TW_CFG ADD COLUMN VALOR_BON Numeric(12,2) ;


/*-- SEQ 0032 --*/
-- Tarefa 90631 --
ALTER TABLE TW_CFG ADD COLUMN DATA_BONUS Timestamp ;


/*-- SEQ 0033 --*/
-- Tarefa 90631 --
ALTER TABLE TW_CFG ADD COLUMN DIAS_BONUS Numeric(3) ;



/*-- SEQ 0034 --*/ 
-- DN - Casa Carneiro
/*-- IGNORE ERRO --*/
ALTER TABLE TT_PAG ADD COLUMN ESTCAN Timestamp ;



/*-- SEQ 0035 --*/
-- Tarefa 90032 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)  
  (SELECT '85075000',3,16,'T','- Fecho e armac.c/fecho,c/fech.d/met.comum '
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '85075000'));

/*-- SEQ 0036 --*/
-- Tarefa 90141 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84433191',4,16,'T','-- Mq.p/imp.transm.d/fax,conect.p/process.p/sist.trmico'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84433191'));

/*-- SEQ 0037 --*/
-- Tarefa 90141 --                       
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84433199',4,16,'T','-- Outs.mq.p/imp.transm.d/fax,conects.p/proc.d/dados/rede'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84433199'));

/*-- SEQ 0038 --*/
-- Tarefa 90141 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84433119',4,16,'T','Outras'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84433119'));

/*-- SEQ 0039 --*/
-- Tarefa 90310 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84439932',7,16,'T','Cilindros recobertos d/matria semicond. fotoeltrica'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84439932'));

/*-- SEQ 0040 --*/
-- Tarefa 90310 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84439933',7,16,'T',' Cartuchos de revelador (#toner#)'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84439933'));

/*-- SEQ 0041 --*/
-- Tarefa 89492 --                       
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '84433199',7,16,'T','Outs.Mq.P/Imp.Transm.d/Fax,Conects.p/Proc.d/Dados/Rede'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '84433199'));


/*-- SEQ 0042 --*/
-- Tarefa 91126 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVEXIPE ADD COLUMN FILLOT CHAR(3) ;


/*-- SEQ 0043 --*/
-- Tarefa 91126 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVEXIPE ADD COLUMN SEQLOT CHAR(10) ;


/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91126 --
ALTER TABLE TT_IVEXIPE ADD CONSTRAINT FK_IVEXIPE_LOT FOREIGN KEY (FILLOT, SEQLOT) REFERENCES TT_LOT (CODFIL, SEQUEN);

/*-- SEQ 0045 --*/
-- Tarefa 91126 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0046 --*/
-- Tarefa 91126 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'IVEXIPELOT', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'IVEXIPELOT'));

/*-- SEQ 0047 --*/
-- Tarefa 91126 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0048 --*/
-- Tarefa 91538 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_KIT ADD COLUMN NUMEXT_TINTA VARCHAR(40) ;


/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91538 --
CREATE INDEX I_LC_KIT_EXT ON TT_KIT (NUMEXT_TINTA)  ;


/*-- SEQ 0050 --*/
-- Tarefa 91563 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD COLUMN GX_CFGCOMMERCEWEBBASEURL VARCHAR(40) ;


/*-- SEQ 0051 --*/
-- Tarefa 91563 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD COLUMN GX_CFGCOMMERCEWEBHOST VARCHAR(40) ;


/*-- SEQ 0052 --*/
-- Tarefa 91563 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD COLUMN GX_CFGCOMMERCEWEBPORT Numeric(10) ;



/*-- SEQ 0053 --*/
-- Tarefa 91546--
SELECT DISABLETRIGGERS(LOWER('TT_BSC'));

/*-- SEQ 0054 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_BSC ADD COLUMN FLGORI CHAR(1) DEFAULT 'S';

/*-- SEQ 0055 --*/
SELECT ENABLETRIGGERS(LOWER('TT_BSC'));

/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91546 --
ALTER TABLE TT_BSC ALTER COLUMN FLGORI SET NOT NULL;

/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91546--
ALTER TABLE TT_BSC ADD CONSTRAINT CK_BSC_FLGORI CHECK (FLGORI IN ('S','O'));


/*-- SEQ 0058 --*/
-- Tarefa 91510 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD COLUMN VLRFLX Numeric(12,2) ;


/*-- SEQ 0059 --*/
-- Tarefa 91510 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN ADD COLUMN VLRFLX Numeric(12,2) ;


/*-- SEQ 0060 --*/
-- Tarefa 91510 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0061 --*/
-- Tarefa 91510 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'VENVLRFLX', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'VENVLRFLX'));

/*-- SEQ 0062 --*/
-- Tarefa 91510 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0063 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91558 --
SELECT * FROM NADA;

/*-- SEQ 0064 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91558 --
SELECT * FROM NADA;

/*-- SEQ 0065 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91558 --
SELECT * FROM NADA;


/*-- SEQ 0066 --*/
-- Tarefa 91698--
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD COLUMN ARRTRU CHAR(1) ;


/*-- SEQ 0067 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91698--
ALTER TABLE TD_ECF ADD CONSTRAINT CK_ECF_ARRTRU CHECK ((ARRTRU IN ('A','T')) OR (ARRTRU IS NULL));

/*-- SEQ 0068 --*/
-- Tarefa 91698 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0069 --*/
-- Tarefa 91698 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'DECFARRTRU', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'DECFARRTRU'));

/*-- SEQ 0070 --*/
-- Tarefa 91698 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0071 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 91707 --  
ALTER TABLE TT_SAV DROP CONSTRAINT CK_SAV_NUMSEQ CASCADE;  

/*-- SEQ 0072 --*/
-- Tarefa 91707 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0073 --*/
-- Tarefa 91707 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'VTGNUMSEQ', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'VTGNUMSEQ'));

/*-- SEQ 0074 --*/
-- Tarefa 91707 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0075 --*/
-- Tarefa 91688--
/*-- IGNORE ERRO --*/
ALTER TABLE TD_PRI ADD COLUMN SEREVI Numeric(1) ;


/*-- SEQ 0076 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91688--
ALTER TABLE TD_PRI ALTER COLUMN SEREVI TYPE Numeric(2);


/*-- SEQ 0077 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
CREATE TABLE TT_NFE (
  nfe_id_Doc             Numeric(9),
  nfe_id_statusNFe       Numeric(9),
  nfe_id_chave           VARCHAR(44),
  nfe_id_versao          VARCHAR(10),
  nfe_id_UF              Numeric(9),
  nfe_nu_nNF             Numeric(9),
  nfe_nu_cNF             Numeric(9),
  nfe_ds_Modelo          VARCHAR(2),
  nfe_nu_Serie           Numeric(4),
  nfe_dt_Emissao         Timestamp,
  nfe_dt_SaiEnt          Timestamp,
  nfe_tp_NF              Numeric(4),
  nfe_tp_Emissao         Numeric(4),
  nfe_tp_Impressao       Numeric(4),
  nfe_nu_DV              Numeric(4),
  nfe_tp_Amb             Numeric(4),
  nfe_tp_Finalidade      Numeric(4),
  nfe_tp_procEmi         Numeric(4),
  nfe_ds_CNPJemit        VARCHAR(14),
  nfe_id_IEEmit          VARCHAR(50),
  nfe_ds_CNPJdest        VARCHAR(14),
  nfe_ds_IEDest          VARCHAR(50),
  nfe_ds_UFDest          VARCHAR(2),
  nfe_vl_total           Numeric(18,2),
  nfe_id_refNFe          VARCHAR(44),
  nfe_vl_ICMSTotBC       Numeric(15,2),
  nfe_vl_ICMSTot         Numeric(15,2),
  nfe_vl_ICMSSTTot       Numeric(15,2),
  nfe_vl_ICMSSTTotBC     Numeric(15,2),
  nfe_vl_vProdTot        Numeric(15,2),
  nfe_vl_vFreteTot       Numeric(15,2),
  nfe_vl_vSegTot         Numeric(15,2),
  nfe_vl_vDescTot        Numeric(15,2),
  nfe_vl_vIITot          Numeric(15,2),
  nfe_vl_vIPITot         Numeric(15,2),
  nfe_vl_vPISTot         Numeric(15,2),
  nfe_vl_vCOFINSTot      Numeric(15,2),
  nfe_vl_vOutroTot       Numeric(15,2),
  nfe_fl_apuracao        Numeric(9),
  nfe_dt_apuracao        Timestamp,
  nfe_CODFIL             CHAR(3)
  )  ;

/*-- SEQ 0078 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ADD CONSTRAINT PK_NFE PRIMARY KEY (nfe_id_Doc);

/*-- SEQ 0079 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_id_statusNFe SET NOT NULL;

/*-- SEQ 0080 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_id_chave SET NOT NULL;

/*-- SEQ 0081 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_id_versao SET NOT NULL;

/*-- SEQ 0082 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_id_UF SET NOT NULL;

/*-- SEQ 0083 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_nu_nNF SET NOT NULL;

/*-- SEQ 0084 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_nu_cNF SET NOT NULL;

/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_ds_Modelo SET NOT NULL;

/*-- SEQ 0086 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_nu_Serie SET NOT NULL;

/*-- SEQ 0087 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_dt_Emissao SET NOT NULL;

/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_tp_NF SET NOT NULL;

/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_tp_Emissao SET NOT NULL;

/*-- SEQ 0090 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_tp_Impressao SET NOT NULL;

/*-- SEQ 0091 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_nu_DV SET NOT NULL;

/*-- SEQ 0092 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_tp_Amb SET NOT NULL;

/*-- SEQ 0093 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_tp_Finalidade SET NOT NULL;

/*-- SEQ 0094 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_tp_procEmi SET NOT NULL;

/*-- SEQ 0095 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_ds_CNPJemit SET NOT NULL;

/*-- SEQ 0096 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_id_IEEmit SET NOT NULL;

/*-- SEQ 0097 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_ds_UFDest SET NOT NULL;

/*-- SEQ 0098 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_vl_total SET NOT NULL;

/*-- SEQ 0099 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_fl_apuracao SET NOT NULL;

/*-- SEQ 0100 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_NFE ALTER COLUMN nfe_CODFIL SET NOT NULL;

/*-- SEQ 0101 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
DROP INDEX I_FK_NFE_DT_EMISSAO;

/*-- SEQ 0102 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
DROP INDEX I_FK_NFE_ID_CHAVE;

/*-- SEQ 0103 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
DROP INDEX I_FK_NFE_CODFIL;

/*-- SEQ 0104 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
CREATE INDEX I_LC_NFE_DT_EMISSAO ON TT_NFE (nfe_ds_CNPJemit, nfe_dt_Emissao)  ;

/*-- SEQ 0105 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
CREATE INDEX I_LC_NFE_ID_CHAVE ON TT_NFE (nfe_id_chave)  ;

/*-- SEQ 0106 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
CREATE INDEX I_FK_NFE_CODFIL ON TT_NFE (nfe_CODFIL)  ;

/*-- SEQ 0107 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
CREATE TABLE TT_INF (
  inf_id_item            Numeric(9),
  nfe_id_Doc             Numeric(9),
  inf_ds_cProd           VARCHAR(60),
  inf_vl_prod            Numeric(15,4),
  inf_nu_qCom            Numeric(15,4),
  inf_vl_vUnCom          Numeric(15,4),
  inf_nu_qTrib           Numeric(15,4),
  inf_vl_vUnTrib         Numeric(15,4),
  inf_nu_NCM             VARCHAR(8),
  inf_fl_indTot          Numeric(9),
  inf_nu_CFOP            Numeric(4),
  inf_vl_frete           Numeric(15,4),
  inf_vl_desconto        Numeric(15,4),
  inf_vl_seguro          Numeric(15,4),
  inf_vl_outro           Numeric(15,4),
  inf_fl_ICMSOrig        Numeric(1),
  inf_nu_ICMSCST         Numeric(3),
  inf_fl_ICMSModBC       Numeric(9),
  inf_vl_ICMSpRedBC      Numeric(5,2),
  inf_vl_ICMSvBC         Numeric(15,4),
  inf_vl_ICMS            Numeric(15,4),
  inf_vl_ICMSAliq        Numeric(5,2),
  inf_vl_ICMSpCredSN     Numeric(5,2),
  inf_vl_ICMSvCredSN     Numeric(15,4),
  inf_fl_ICMSSTModBC     Numeric(9),
  inf_vl_ICMSSTpRedBC    Numeric(5,2),
  inf_vl_ICMSSTpmvaST    Numeric(5,2),
  inf_vl_ICMSSTvBC       Numeric(15,4),
  inf_vl_ICMSST          Numeric(15,4),
  inf_vl_ICMSSTAliq      Numeric(5,2),
  inf_vl_ICMSSTvBCRet    Numeric(15,4),
  inf_vl_ICMSSTvRet      Numeric(15,4),
  inf_nu_PISCST          Numeric(3),
  inf_vl_PISBC           Numeric(15,4),
  inf_vl_PIS             Numeric(15,4),
  inf_vl_PISAliq         Numeric(5,2),
  inf_vl_PISqBCProd      Numeric(15,4),
  inf_vl_PISvAliqProd    Numeric(15,4),
  inf_nu_COFINSCST       Numeric(3),
  inf_vl_COFINSBC        Numeric(15,4),
  inf_vl_COFINS          Numeric(15,4),
  inf_vl_COFINSAliq      Numeric(5,2),
  inf_vl_COFINSqBCProd   Numeric(15,4),
  inf_vl_COFINSvAliqProd Numeric(15,4),
  inf_nu_IPICST          Numeric(3),
  inf_vl_IPIBC           Numeric(15,4),
  inf_vl_IPI             Numeric(15,4),
  inf_vl_IPIAliq         Numeric(15,2),
  inf_vl_IPIqUnid        Numeric(15,4),
  inf_vl_IPIvUnid        Numeric(15,4),
  inf_vl_ISSQNBC         Numeric(15,4),
  inf_vl_ISSQN           Numeric(15,4),
  inf_vl_ISSQNAliq       Numeric(5,2),
  inf_vl_IIBC            Numeric(15,2),
  inf_vl_II              Numeric(15,2),
  inf_vl_IIvIOF          Numeric(15,2),
  inf_vl_IIvDespAdu      Numeric(15,2),
  inf_NUMITE             Numeric(5),
  inf_FILMAT             CHAR(3),
  inf_CODMAT             CHAR(5),
  inf_CODCOR             Numeric(5),
  inf_CODTAM             Numeric(5)
  )  ;
  
/*-- SEQ 0108 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ADD CONSTRAINT PK_INF PRIMARY KEY (inf_id_item, nfe_id_Doc);

/*-- SEQ 0109 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_ds_cProd SET NOT NULL;

/*-- SEQ 0110 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_vl_prod SET NOT NULL;

/*-- SEQ 0111 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_nu_qCom SET NOT NULL;

/*-- SEQ 0112 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_vl_vUnCom SET NOT NULL;

/*-- SEQ 0113 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_nu_qTrib SET NOT NULL;

/*-- SEQ 0114 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_vl_vUnTrib SET NOT NULL;

/*-- SEQ 0115 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_nu_NCM SET NOT NULL;

/*-- SEQ 0116 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_fl_indTot SET NOT NULL;

/*-- SEQ 0117 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_nu_CFOP SET NOT NULL;

/*-- SEQ 0118 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_fl_ICMSOrig SET NOT NULL;

/*-- SEQ 0119 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_NUMITE SET NOT NULL;

/*-- SEQ 0120 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_FILMAT SET NOT NULL;

/*-- SEQ 0121 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_CODMAT SET NOT NULL;

/*-- SEQ 0122 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_CODCOR SET NOT NULL;

/*-- SEQ 0123 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
ALTER TABLE TT_INF ALTER COLUMN inf_CODTAM SET NOT NULL;

/*-- SEQ 0124 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
DROP INDEX I_FK_INF_GRADE;

/*-- SEQ 0125 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91728 --
CREATE INDEX I_LC_INF_GRADE ON TT_INF (inf_FILMAT, inf_CODMAT, inf_CODCOR, inf_CODTAM)  ;


/*-- SEQ 0126 --*/
-- Tarefa 91845 --
CREATE TABLE TT_LCK (
  LCKDOC    VARCHAR(20),  
  LCKDAT    Timestamp,
  LCKFIL    VARCHAR(3),
  LCKECF    VARCHAR(3),
  LCKUSU    VARCHAR(30),
  LCKOBS    VARCHAR(254), 
  LCKTRN    Numeric(12,0)
  )  ;

/*-- SEQ 0127 --*/
-- Tarefa 91845 --
ALTER TABLE TT_LCK ADD CONSTRAINT PK_LCK PRIMARY KEY (LCKDOC);

/*-- SEQ 0128 --*/
-- Tarefa 91845 --
ALTER TABLE TT_LCK ALTER COLUMN LCKDAT SET NOT NULL;

/*-- SEQ 0129 --*/
-- Tarefa 91845 --
ALTER TABLE TT_LCK ALTER COLUMN LCKFIL SET NOT NULL;

/*-- SEQ 0130 --*/
-- Tarefa 91845 --
ALTER TABLE TT_LCK ALTER COLUMN LCKECF SET NOT NULL;

/*-- SEQ 0131 --*/
-- Tarefa 91845 --
ALTER TABLE TT_LCK ALTER COLUMN LCKUSU SET NOT NULL;

/*-- SEQ 0132 --*/
-- Tarefa 91845 --
ALTER TABLE TT_LCK ALTER COLUMN LCKOBS SET NOT NULL;

/*-- SEQ 0133 --*/
-- Tarefa 91845 --
ALTER TABLE TT_LCK ALTER COLUMN LCKTRN SET NOT NULL;


/*-- SEQ 0134 --*/
-- Tarefa 91764 --
ALTER TABLE TT_GRA ADD COLUMN FILRES CHAR(3) ;


/*-- SEQ 0135 --*/
-- Tarefa 91764 --
ALTER TABLE TT_GRA ADD CONSTRAINT FK_GRA_DFIL_FILRES FOREIGN KEY (FILRES) REFERENCES TD_FIL(CODFIL);
 
/*-- SEQ 0136 --*/
-- Tarefa 91764 --
CREATE INDEX I_FK_GRA_DFIL_FILRES ON TT_GRA (FILRES)  ;


/*-- SEQ 0137 --*/
-- Tarefa 91941 --
ALTER TABLE TT_ECF DROP CONSTRAINT CK_ECF_TIPTOT CASCADE;

/*-- SEQ 0138 --*/
-- Tarefa 91941 --
ALTER TABLE TT_ECF ADD CONSTRAINT CK_ECF_TIPTOT CHECK (tiptot = 'O' AND (totali = 'ISEN' OR totali = 'NAOT' OR totali = 'DESC' OR totali = 'CANC' OR totali = 'I_NT' OR totali = 'SUBS' OR totali = 'ACRE') OR (tiptot = 'M' OR tiptot = 'S') AND totali <> 'ISEN' AND totali <> 'NAOT' AND totali <> 'DESC' AND totali <> 'CANC' AND totali <> 'I_NT' AND totali <> 'SUBS' AND totali <> 'ACRE');

/*-- SEQ 0139 --*/
-- Tarefa 91941 --
ALTER TABLE TT_ECF DROP CONSTRAINT CK_ECF_TOTALI CASCADE;

/*-- SEQ 0140 --*/
-- Tarefa 91941 --
ALTER TABLE TT_ECF ADD CONSTRAINT CK_ECF_TOTALI CHECK (totali = 'ISEN' OR totali = 'NAOT' OR totali = 'CANC' OR totali = 'DESC' OR totali = 'I_NT' OR totali = 'SUBS' OR totali = 'ACRE' OR translate(totali, '1234567890', 'XXXXXXXXXX') = 'XXXX');

/*-- SEQ 0141 --*/
-- Tarefa 91941 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0142 --*/
-- Tarefa 91941 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TOTALIACRE', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TOTALIACRE'));

/*-- SEQ 0143 --*/
-- Tarefa 91941 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0144 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91918 --
ALTER TABLE TT_ITF ADD CONSTRAINT CK_ITF_VLRITE CHECK (VLRITE > 0);


/*-- SEQ 0145 --*/
-- Tarefa 91141 --
DROP INDEX I_UQ_CPM_PRE_PLA;

/*-- SEQ 0146 --*/
-- Tarefa 91141 --
CREATE UNIQUE INDEX I_UQ_CPM_PRE_PLA ON TT_CPM (FILPRE, SEQPRE, FILPGT, CODPGT, DATINI, DATVAL, FILPRO, FILLOT, SEQLOT)  ;


/*-- SEQ 0147 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_REC ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0148 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_REC ALTER COLUMN CODMOE SET NOT NULL;


/*-- SEQ 0149 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN FILPRE SET NOT NULL;

/*-- SEQ 0150 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN CODPRE SET NOT NULL;

/*-- SEQ 0151 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0152 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN FLGTIP SET NOT NULL;

/*-- SEQ 0153 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN TIPNOT SET NOT NULL;

/*-- SEQ 0154 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN CODUSU SET NOT NULL;

/*-- SEQ 0155 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN CODVEN SET NOT NULL;

/*-- SEQ 0156 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN CODCTR SET NOT NULL;

/*-- SEQ 0157 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN COMSOB SET NOT NULL;

/*-- SEQ 0158 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN VLRNOT SET NOT NULL;

/*-- SEQ 0159 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN AUTENT SET NOT NULL;

/*-- SEQ 0160 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN CONSFI SET NOT NULL;

/*-- SEQ 0161 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN EMIDES SET NOT NULL;

/*-- SEQ 0162 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN TRIBUT SET NOT NULL;

/*-- SEQ 0163 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN UFLOJA SET NOT NULL;

/*-- SEQ 0164 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91896 --
ALTER TABLE TI_VEN ALTER COLUMN CNT_RO SET NOT NULL;


/*-- SEQ 0165 --*/
-- Tarefa 92088--
ALTER TABLE TT_CFG ADD COLUMN NATBON Numeric(5) ;


/*-- SEQ 0166 --*/
-- Tarefa 92088 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_NAT_NATBON FOREIGN KEY (NATBON) REFERENCES TD_NAT(CODTAB);
 
/*-- SEQ 0167 --*/
-- Tarefa 92088 --
CREATE INDEX I_FK_CFG_NAT_NATBON ON TT_CFG (NATBON)  ;

/*-- SEQ 0168 --*/
-- Tarefa 92088--
ALTER TABLE TW_CFG ADD COLUMN NATBON Numeric(5) ;



/*-- SEQ 0169 --*/
-- Tarefa 92199--
ALTER TABLE TT_PRO ADD COLUMN SITPISCOM CHAR(2) ;


/*-- SEQ 0170 --*/
-- Tarefa 92199--
ALTER TABLE TT_PRO ADD COLUMN SITCOFCOM CHAR(2) ;



/*-- SEQ 0171 --*/
-- Tarefa 92160--
ALTER TABLE TT_CFG ADD COLUMN CLI_VLRVEN_BON Numeric(12,2) ;


/*-- SEQ 0172 --*/
-- Tarefa 92160 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CLI_VLRVEN_BON CHECK ((CLI_VLRVEN_BON >= 0) OR (CLI_VLRVEN_BON IS NULL));

/*-- SEQ 0173 --*/
-- Tarefa 92160--
ALTER TABLE TW_CFG ADD COLUMN CLI_VLRVEN_BON Numeric(12,2) ;


/*-- SEQ 0174 --*/
-- Tarefa 92160--
ALTER TABLE TT_CFG ADD COLUMN CLI_QTDBON Numeric(12,2) ;


/*-- SEQ 0175 --*/
-- Tarefa 92160 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CLI_QTDBON CHECK ((CLI_QTDBON >= 0) OR (CLI_QTDBON IS NULL));

/*-- SEQ 0176 --*/
-- Tarefa 92160--
ALTER TABLE TW_CFG ADD COLUMN CLI_QTDBON Numeric(12,2) ;



/*-- SEQ 0177 --*/
-- Tarefa 92167--
SELECT DISABLETRIGGERS(LOWER('TT_BON'));

/*-- SEQ 0178 --*/
ALTER TABLE TT_BON ADD COLUMN TIPBON CHAR(1) DEFAULT 'O';

/*-- SEQ 0179 --*/
SELECT ENABLETRIGGERS(LOWER('TT_BON'));

/*-- SEQ 0180 --*/
-- Tarefa 92167 --
ALTER TABLE TT_BON ADD CONSTRAINT CK_BON_TIPBON CHECK (TIPBON IN ('O','X'));

/*-- SEQ 0181 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92167 --
ALTER TABLE TT_BON ALTER COLUMN TIPBON SET NOT NULL;


/*-- SEQ 0182 --*/
-- Tarefa 92162--
SELECT DISABLETRIGGERS(LOWER('TT_CLI'));

/*-- SEQ 0183 --*/
ALTER TABLE TT_CLI ADD COLUMN VENBON Numeric(12,2) DEFAULT 0;

/*-- SEQ 0184 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CLI'));


/*-- SEQ 0185 --*/
-- Tarefa 92160 --
ALTER TABLE TT_CFG DROP CONSTRAINT CK_CFG_CLI_VLRVEN_BON CASCADE;

/*-- SEQ 0186 --*/
-- Tarefa 92160 --
ALTER TABLE TT_CFG DROP CONSTRAINT CK_CFG_CLI_QTDBON CASCADE;

/*-- SEQ 0187 --*/
-- Tarefa 92160 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CLI_VLRVEN_BON CHECK ((CLI_VLRVEN_BON > 0) OR (CLI_VLRVEN_BON IS NULL));

/*-- SEQ 0188 --*/
-- Tarefa 92160 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CLI_QTDBON CHECK ((CLI_QTDBON > 0) OR (CLI_QTDBON IS NULL));


/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92443 --
DROP INDEX I_FK_TT_IVE;

/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92443 --
CREATE INDEX I_FK_IVE_DTRI ON TT_IVE (SITTRI)  ; 


/*-- SEQ 0191 --*/
-- Tarefa 92541--
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0192 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN CFCONTRIPJ VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0193 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0194 --*/
-- Tarefa 92541--
ALTER TABLE TT_CFG ALTER COLUMN CFCONTRIPJ SET NOT NULL;

/*-- SEQ 0195 --*/
-- Tarefa 92541--
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CFCONTRIPJ CHECK (CFCONTRIPJ IN ('T', 'F'));

/*-- SEQ 0196 --*/
-- Tarefa 92541 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0197 --*/
-- Tarefa 92541 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CFCONTRIPJ', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CFCONTRIPJ'));

/*-- SEQ 0198 --*/
-- Tarefa 92541 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0199 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92559--
ALTER TABLE TT_BSC ADD CONSTRAINT CK_BSC_FLGEST CHECK (FLGEST IN ('A', 'P', 'C', 'F'));


/*-- SEQ 0200 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92380--
CREATE INDEX I_LC_IEAN_CODEXT ON TI_EAN (CODEXT, CODFIL, CODEAN)  ;

/*-- SEQ 0201 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92380--
CREATE INDEX I_LC_IEAN_STATUS ON TI_EAN (STATUS)  ;


/*-- SEQ 0202 --*/
-- Tarefa 90347 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '2710125', 6, 5, 'T', 'Gasolina automotiva'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '2710125'));


/*-- SEQ 0203 --*/
-- Tarefa 92904 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD COLUMN SUBSTT_FUT Numeric(12,2) ;


/*-- SEQ 0204 --*/
-- Tarefa 92904 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'SUBSTT_FUT', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'SUBSTT_FUT'));


/*-- SEQ 0205 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
CREATE TABLE TT_ACM (
    CODFIL	CHAR(3),
    SEQUEN	CHAR(10),
    SITMOV	CHAR(1),
    FILUSU	CHAR(3),
    CODUSU	CHAR(3),
    FILMAT	CHAR(3),
    CODMAT	CHAR(5),
    CODCOR	Numeric(5,0),
    CODTAM	Numeric(5,0),
    DATINC	Timestamp,
    ATU_EM	Timestamp,
    DATAJU	Timestamp,
    VLRAJU	Numeric(16,4),
    DOCUME	CHAR(17),
    ORD_CM	Numeric(10,0),
    TOT_CM	Numeric(16,4),
    TOTCMG	Numeric(16,4),
    SAL_CM	Numeric(16,4),
    OBSERV	VARCHAR(4000)
  )  ;
  
/*-- SEQ 0206 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ADD CONSTRAINT PK_ACM PRIMARY KEY (CODFIL,SEQUEN);

/*-- SEQ 0207 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN SITMOV SET NOT NULL;

/*-- SEQ 0208 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN FILUSU SET NOT NULL;

/*-- SEQ 0209 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN CODUSU SET NOT NULL;

/*-- SEQ 0210 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN FILMAT SET NOT NULL;

/*-- SEQ 0211 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN CODMAT SET NOT NULL;

/*-- SEQ 0212 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN CODCOR SET NOT NULL;

/*-- SEQ 0213 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN CODTAM SET NOT NULL;

/*-- SEQ 0214 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0215 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0216 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN DATAJU SET NOT NULL;

/*-- SEQ 0217 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN VLRAJU SET NOT NULL;

/*-- SEQ 0218 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN DOCUME SET NOT NULL;

/*-- SEQ 0219 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ADD CONSTRAINT FK_ACM_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0220 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
CREATE INDEX I_FK_ACM_DFIL ON TT_ACM (CODFIL)  ;

/*-- SEQ 0221 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ADD CONSTRAINT FK_ACM_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM ) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0222 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
CREATE INDEX I_FK_ACM_GRA ON TT_ACM (FILMAT, CODMAT, CODCOR, CODTAM)  ;

/*-- SEQ 0223 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ADD CONSTRAINT FK_ACM_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0224 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
CREATE INDEX I_FK_ACM_USU ON TT_ACM (FILUSU,CODUSU)  ;

/*-- SEQ 0225 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ALTER COLUMN SITMOV SET DEFAULT 'N';

/*-- SEQ 0226 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048 --
ALTER TABLE TT_ACM ALTER COLUMN VLRAJU SET DEFAULT 0;

/*-- SEQ 0227 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048 --
ALTER TABLE TT_ACM ADD CONSTRAINT CK_ACM_SITMOV CHECK (SITMOV IN ('N','C'));

/*-- SEQ 0228 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048 --
CREATE SEQUENCE SQACM INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0229 --*/
-- Tarefa 93191 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0230 --*/
-- Tarefa 93191 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FRETESEMSU', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FRETESEMSU'));

/*-- SEQ 0231 --*/
-- Tarefa 93191 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0232 --*/
-- Tarefa 93190 --
SELECT DISABLETRIGGERS(LOWER('TT_IOR'));

/*-- SEQ 0233 --*/
ALTER TABLE TT_IOR ADD COLUMN VLRFREORI Numeric(12,2) DEFAULT 0;

/*-- SEQ 0234 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IOR'));


/*-- SEQ 0235 --*/
-- Tarefa 93176 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0236 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN REGRA_CODFIS Numeric(1) DEFAULT 1;

/*-- SEQ 0237 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0238 --*/
-- Tarefa 93176 --
ALTER TABLE TT_CFG ALTER COLUMN REGRA_CODFIS SET NOT NULL;


/*-- SEQ 0239 --*/
-- Tarefa 93158 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_GRA ADD COLUMN CODFIS VARCHAR(60) ;


/*-- SEQ 0240 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93158 --
SELECT * FROM NADA;

/*-- SEQ 0241 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93158 --
SELECT * FROM NADA;

/*-- SEQ 0242 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93158 --
SELECT * FROM NADA;

/*-- SEQ 0243 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93158 --
SELECT * FROM NADA;


/*-- SEQ 0244 --*/
-- Tarefa 93289--
ALTER TABLE TT_IUF ADD COLUMN REDINT Numeric(5,2) ;


/*-- SEQ 0245 --*/
-- Tarefa 93289--
ALTER TABLE TT_IUF ADD CONSTRAINT CK_IUF_REDINT CHECK (REDINT >= 0);

/*-- SEQ 0246 --*/
-- Tarefa 93289 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'REDINT', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'REDINT'));                                


/*-- SEQ 0247 --*/
-- Tarefa 93299--
SELECT DISABLETRIGGERS(LOWER('TT_IVEXIPE'));

/*-- SEQ 0248 --*/
-- Tarefa 93299 --
UPDATE TT_IVEXIPE IVEXIPE SET FLGEST = 'C' 
    WHERE IVEXIPE.FLGEST <> 'C'  
      AND EXISTS(SELECT IOR.CODFIL  FROM TT_IOR IOR 
                              INNER JOIN TT_ORC ORC ON ORC.CODFIL=IOR.CODFIL
                                                   AND ORC.NUMPED=IOR.NUMPED
                                                   AND ORC.TIPPED=IOR.TIPPED
                             WHERE IOR.CODFIL = IVEXIPE.FILPED
                               AND IOR.NUMPED = IVEXIPE.NUMPED
                               AND IOR.TIPPED = IVEXIPE.TIPPED
                               AND IOR.NUMITE = IVEXIPE.NUMITE
                               AND IOR.FLGENC <> 'T'
                               AND IOR.TIPENT IN ('5','7')
                               AND ORC.APROVA <> 'A');
                               
/*-- SEQ 0249 --*/
-- Tarefa 93299--                  
SELECT ENABLETRIGGERS(LOWER('TT_IVEXIPE'));                                  


/*-- SEQ 0250 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93158 --
SELECT * FROM NADA;

/*-- SEQ 0251 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93158 --
SELECT * FROM NADA;


/*-- SEQ 0252 --*/
-- Tarefa 93388 --
CREATE TABLE TM_ABA (
  CODFIL CHAR(3),
  CODABA CHAR(10),
  FLGNEW CHAR(1)
  )  ;
  
/*-- SEQ 0253 --*/
-- Tarefa 93388 --
ALTER TABLE TM_ABA ALTER COLUMN CODFIL SET NOT NULL;  

/*-- SEQ 0254 --*/
-- Tarefa 93388 --
ALTER TABLE TM_ABA ALTER COLUMN CODABA SET NOT NULL; 

/*-- SEQ 0255 --*/
-- Tarefa 93388 --
ALTER TABLE TM_ABA ALTER COLUMN FLGNEW SET NOT NULL; 
 
/*-- SEQ 0256 --*/ 
-- Tarefa 93388 --
ALTER TABLE TM_ABA ADD CONSTRAINT PK_MABA PRIMARY KEY (CODFIL, CODABA);

/*-- SEQ 0257 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93388 --
ALTER TABLE TM_ABA ADD CONSTRAINT CK_MABA_FLGNEW CHECK (FLGNEW IN ('P','C','N','A','B'));

/*-- SEQ 0258 --*/
-- Tarefa 93388 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TM_ABA', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TM_ABA'));


/*-- SEQ 0259 --*/
-- Tarefa 93423--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_NCM ADD COLUMN CODEXT VARCHAR(20) ;



/*-- SEQ 0260 --*/
-- Tarefa 93683 --
CREATE TABLE TT_TIN (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    DATINC Timestamp,
    ATU_EM Timestamp,
    DESCRI VARCHAR(100),
    DESGRU VARCHAR(100),
    NOMCOR VARCHAR(100),
    DESCOR VARCHAR(100),
    DESBAS VARCHAR(100),
    DESEMB VARCHAR(100),
    DESMAT VARCHAR(30),
    ESPMAT VARCHAR(30),
    FLGEST VARCHAR(1),
    CODEXT VARCHAR(20)
)  ;
  
/*-- SEQ 0261 --*/ 
-- Tarefa 93683 --
ALTER TABLE TT_TIN ADD CONSTRAINT PK_TIN PRIMARY KEY (CODFIL,SEQUEN);

/*-- SEQ 0262 --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_DESCRI ON TT_TIN (DESCRI)  ;
 
/*-- SEQ 0263 --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_DESGRU ON TT_TIN (DESGRU)  ;

/*-- SEQ 0264 --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_NOMCOR ON TT_TIN (NOMCOR)  ;

/*-- SEQ 0265 --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_DESCOR ON TT_TIN (DESCOR)  ;

/*-- SEQ 0266 --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_DESBAS ON TT_TIN (DESBAS)  ;

/*-- SEQ 0267 --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_DESEMB ON TT_TIN (DESEMB)  ;

/*-- SEQ 0268 --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_DATINC ON TT_TIN (DATINC)  ;

/*-- SEQ 0269 --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_ATU_EM ON TT_TIN (ATU_EM)  ;

/*-- SEQ 0270 --*/
-- Tarefa 93683 --
CREATE UNIQUE INDEX I_UQ_TIN_CODEXT ON TT_TIN (CODEXT)  ;

/*-- SEQ 0271 --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN ALTER COLUMN DATINC SET NOT NULL;  

/*-- SEQ 0272 --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN ALTER COLUMN ATU_EM SET NOT NULL; 
 
/*-- SEQ 0273 --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN ALTER COLUMN DESCRI SET NOT NULL; 
 
/*-- SEQ 0274 --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN ALTER COLUMN DESMAT SET NOT NULL;  

/*-- SEQ 0275 --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN ALTER COLUMN ESPMAT SET NOT NULL;  

/*-- SEQ 0276 --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN ALTER COLUMN CODEXT SET NOT NULL;  

/*-- SEQ 0277 --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN ALTER COLUMN FLGEST SET NOT NULL;  

/*-- SEQ 0278 --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN ADD CONSTRAINT CK_TIN_FLGEST CHECK (FLGEST IN ('C','A'));

/*-- SEQ 0279 --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN ALTER COLUMN FLGEST SET DEFAULT 'A';

/*-- SEQ 0280 --*/
-- Tarefa 93683 --
CREATE SEQUENCE SQTIN INCREMENT 1 START 1 MINVALUE 1;



/*-- SEQ 0281 --*/
-- Tarefa 93689--
ALTER TABLE TT_BSC ADD COLUMN FILTIN CHAR(3) ;


/*-- SEQ 0282 --*/
-- Tarefa 93689--
ALTER TABLE TT_BSC ADD COLUMN SEQTIN CHAR(10) ;


/*-- SEQ 0283 --*/
-- Tarefa 93689 --
ALTER TABLE TT_BSC ADD CONSTRAINT FK_BSC_TIN FOREIGN KEY (FILTIN, SEQTIN) REFERENCES TT_TIN(CODFIL, SEQUEN);
 
/*-- SEQ 0284 --*/
-- Tarefa 93689 --
CREATE INDEX I_FK_BSC_TIN ON TT_BSC (FILTIN, SEQTIN)  ;

/*-- SEQ 0285 --*/
-- Tarefa 93689 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0286 --*/
-- Tarefa 93689 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TINTAS', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TINTAS'));

/*-- SEQ 0287 --*/
-- Tarefa 93689 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0288 --*/
-- Tarefa 93687 --
CREATE TABLE TT_ITI (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    NUMITE Numeric(5),
    FILCXS CHAR(3),
    ID_CXS Numeric(10),
    QTDITE Numeric(16,4),
    TIPITI VARCHAR(1)
)  ;
  
/*-- SEQ 0289 --*/ 
-- Tarefa 93687 --
ALTER TABLE TT_ITI ADD CONSTRAINT PK_ITI PRIMARY KEY (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0290 --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ADD CONSTRAINT FK_ITI_TIN FOREIGN KEY (CODFIL, SEQUEN) REFERENCES TT_TIN(CODFIL, SEQUEN);
 
/*-- SEQ 0291 --*/
-- Tarefa 93687 --
CREATE INDEX I_FK_ITI_TIN ON TT_ITI (CODFIL, SEQUEN)  ;

/*-- SEQ 0292 --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ADD CONSTRAINT FK_ITI_GRAXSC FOREIGN KEY (FILCXS, ID_CXS) REFERENCES TT_GRAXSC(CODFIL, ID);
 
/*-- SEQ 0293 --*/
-- Tarefa 93687 --
CREATE INDEX I_FK_ITI_GRAXSC ON TT_ITI (FILCXS, ID_CXS)  ;

/*-- SEQ 0294 --*/
-- Tarefa 93687 --
CREATE INDEX I_LC_ITI_TIPITI ON TT_ITI (TIPITI)  ;

/*-- SEQ 0295 --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ALTER COLUMN FILCXS SET NOT NULL;  

/*-- SEQ 0296 --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ALTER COLUMN ID_CXS SET NOT NULL; 

/*-- SEQ 0297 --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ALTER COLUMN QTDITE SET NOT NULL; 

/*-- SEQ 0298 --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ALTER COLUMN TIPITI SET NOT NULL; 

/*-- SEQ 0299 --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ADD CONSTRAINT CK_ITI_TIPITI CHECK (TIPITI IN ('C','B'));

/*-- SEQ 0300 --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ADD CONSTRAINT CK_ITI_QTDITE CHECK (QTDITE > 0);


/*-- SEQ 0301 --*/
-- Tarefa 93690--
ALTER TABLE TT_CFG ADD COLUMN FILMAT_TIN CHAR(3) ;


/*-- SEQ 0302 --*/
-- Tarefa 93690--
ALTER TABLE TT_CFG ADD COLUMN CODMAT_TIN CHAR(5) ;


/*-- SEQ 0303 --*/
-- Tarefa 93690--
ALTER TABLE TT_CFG ADD COLUMN CODCOR_TIN Numeric(5) ;


/*-- SEQ 0304 --*/
-- Tarefa 93690--
ALTER TABLE TT_CFG ADD COLUMN CODTAM_TIN Numeric(5) ;


/*-- SEQ 0305 --*/
-- Tarefa 93690 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_GRA_TIN FOREIGN KEY (FILMAT_TIN, CODMAT_TIN, CODCOR_TIN, CODTAM_TIN) REFERENCES TT_GRA(FILMAT, CODMAT, CODCOR, CODTAM);
 
/*-- SEQ 0306 --*/
-- Tarefa 93690 --
CREATE INDEX I_FK_CFG_GRA_TIN ON TT_CFG (FILMAT_TIN, CODMAT_TIN, CODCOR_TIN, CODTAM_TIN)  ;


/*-- SEQ 0307 --*/
-- Tarefa 93806--
ALTER TABLE TT_IVE ADD COLUMN FILBSC CHAR(3) ;


/*-- SEQ 0308 --*/
-- Tarefa 93806--
ALTER TABLE TT_IVE ADD COLUMN ID_BSC Numeric(10) ;


/*-- SEQ 0309 --*/
-- Tarefa 93806--
ALTER TABLE TT_IVE ADD COLUMN ITECSC Numeric(5) ;


/*-- SEQ 0310 --*/
-- Tarefa 93806 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_BSC FOREIGN KEY (FILBSC, ID_BSC) REFERENCES TT_BSC(CODFIL, ID);
 
/*-- SEQ 0311 --*/
-- Tarefa 93806 --
CREATE INDEX I_FK_IVE_BSC ON TT_IVE (FILBSC, ID_BSC)  ;

/*-- SEQ 0312 --*/
-- Tarefa 93806 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_CSC FOREIGN KEY (FILBSC, ID_BSC, ITECSC) REFERENCES TT_CSC(CODFIL, ID, NUMITE);
 
/*-- SEQ 0313 --*/
-- Tarefa 93806 --
CREATE INDEX I_FK_IVE_CSC ON TT_IVE (FILBSC, ID_BSC, ITECSC)  ;


/*-- SEQ 0314 --*/
-- Tarefa 93843 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'USATINTA', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'USATINTA'));


/*-- SEQ 0315 --*/
-- Tarefa 93846 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD COLUMN DATCAN Timestamp ;


/*-- SEQ 0316 --*/
-- Tarefa 93846 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'DATCANRPS', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'DATCANRPS'));


/*-- SEQ 0317 --*/
-- Tarefa 93710--
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0318 --*/
-- Tarefa 93710--
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;


/*-- SEQ 0319 --*/
-- Tarefa 93739--
SELECT ExecAlteraTipoColuna('TT_IVE','QTDPEN','Numeric(14,4)');


/*-- SEQ 0320 --*/
-- Tarefa 93739--
SELECT ExecAlteraTipoColuna('TT_IVE','QTDFUT','Numeric(14,4)');


/*-- SEQ 0321 --*/
-- Tarefa 93739--
SELECT ExecAlteraTipoColuna('TI_IVE','QTDPEN','Numeric(14,4)');


/*-- SEQ 0322 --*/
-- Tarefa 93739--
SELECT ExecAlteraTipoColuna('TI_IVE','QTDFUT','Numeric(14,4)');



/*-- SEQ 0323 --*/
-- Tarefa 93882--
ALTER TABLE GX_CFG ADD COLUMN GX_CFGULTDATUSERATUSC Timestamp ;


/*-- SEQ 0324 --*/
-- Tarefa 93882--
ALTER TABLE GX_CFG ADD COLUMN GX_CFGULTIDSC Numeric(18) ;



/*-- SEQ 0325 --*/
-- Tarefa 93710--
SELECT ExecAlteraTipoColuna('TD_IR1','ICMSR1','Numeric(14, 4)');


/*-- SEQ 0326 --*/
-- Tarefa 93710--
SELECT ExecAlteraTipoColuna('TD_IR2','ICMSR2','Numeric(14, 4)');



/*-- SEQ 0327 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
CREATE TABLE TM_FEC (
  CODFIL CHAR(3),
  NUMECF CHAR(3),
  DATOPE Timestamp,
  FLGEST CHAR(1)
  )  ;
 
/*-- SEQ 0328 --*/ 
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT PK_FEC PRIMARY KEY (CODFIL,NUMECF,DATOPE);

/*-- SEQ 0329 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ALTER COLUMN FLGEST SET DEFAULT 'N';
 
/*-- SEQ 0330 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;

/*-- SEQ 0331 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;
  
/*-- SEQ 0332 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;
  
 /*-- SEQ 0333 --*/
 /*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ALTER COLUMN FLGEST SET NOT NULL;
  
/*-- SEQ 0334 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT FK_FEC_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0335 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;

/*-- SEQ 0336 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;


/*-- SEQ 0337 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
CREATE INDEX I_FK_FEC_DFIL ON TM_FEC (CODFIL)  ;

/*-- SEQ 0338 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT CK_FEC_FLGEST CHECK (FLGEST IN ('A','G','P','N'));
 



/*-- SEQ 0339 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
CREATE TABLE TT_MCF (
 	CODFIL 		CHAR(3), 		
    NUMECF 		CHAR(3), 		
    NUMCCF 		Numeric(6), 		
    NUMCOO 		Numeric(6), 		
    DATEMI 		Timestamp, 			
    VLRSUBTOT 	Numeric(14,2),
    VLRDES 		Numeric(13,2), 	
    FLGDES 		CHAR(1), 		
    VLRACR 		Numeric(13,2), 	
    FLGACR 		CHAR(1), 		
    VLRTOT 		Numeric(14,2), 	
    FLGCAN 		CHAR(1), 		
    VLRCANACR 	Numeric(13,2), 	
    ORDDESACR 	CHAR(1), 		
    NOMECLI 	VARCHAR(40), 	
    NUMDOC 		CHAR(14)  
  )  ;
 
/*-- SEQ 0340 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT PK_MCF PRIMARY KEY (CODFIL, NUMECF, NUMCOO, DATEMI);
 
/*-- SEQ 0341 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT FK_MCF_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);


/*-- SEQ 0342 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 92944 --
SELECT * FROM NADA;

/*-- SEQ 0343 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92944 --
SELECT * FROM NADA;

/*-- SEQ 0344 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGDES CHECK (FLGDES IN ('V','P'));

/*-- SEQ 0345 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGACR CHECK (FLGACR IN ('V','P'));

/*-- SEQ 0346 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGCAN CHECK (FLGACR IN ('S','N'));

/*-- SEQ 0347 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
CREATE INDEX I_FK_MCF_DFIL ON TT_MCF (CODFIL)  ;


 



/*-- SEQ 0348 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
CREATE TABLE TT_ICF (
		NUMCCF 		Numeric(6), 		
        NUMCOO 		Numeric(6),
		NUMECF 		CHAR(3), 
		CODFIL 		CHAR(3),
		DATEMI		Timestamp,	
        NUMITE 		Numeric(3), 		
        CODITE 		VARCHAR(14), 	
        DESMAT 		VARCHAR(100), 
        QTDITE 		Numeric(10,4), 	
        UNIDAD 		VARCHAR(3), 		
        VLRUNI 		Numeric(12,4), 	
        VLRDESC 	Numeric(8,2), 	
        VLRACRES 	Numeric(8,2), 	
        VLRTOT 		Numeric(14,2), 	
        CODTOT 		VARCHAR(7), 		
        FLGCAN 		CHAR(1), 		
	    QTDCAN 		Numeric(10,4), 	
	    VLRCAN 		Numeric(12,4), 	
	    VLRCANACR 	Numeric(12,4), 	
	    ARRTRU 		CHAR(1), 		
        DECQTD 		CHAR(1), 		
	    DECUNI 		CHAR(1)		
  )  ;
  
/*-- SEQ 0349 --*/ 
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT PK_ICF PRIMARY KEY (CODFIL, NUMECF, NUMCOO, DATEMI, NUMITE);

/*-- SEQ 0350 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT FK_ICF_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0351 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
SELECT * FROM NADA;

/*-- SEQ 0352 --*/
/*--IGNORE ERRO--*/
-- Tarefa 93797 --
SELECT * FROM NADA;

/*-- SEQ 0353 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT CK_ICF_FLGCAN CHECK (FLGCAN IN ('S','N','P'));

/*-- SEQ 0354 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT CK_ICF_ARRTRU CHECK (ARRTRU IN ('T','A'));



/*-- SEQ 0355 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
SELECT * FROM NADA;

/*-- SEQ 0356 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT FK_FEC_DECF FOREIGN KEY (CODFIL, NUMECF) REFERENCES TD_ECF(FILECF, NUMECF);

/*-- SEQ 0357 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
CREATE INDEX I_FK_FEC_DECF ON TM_FEC (CODFIL, NUMECF)  ;


/*-- SEQ 0358 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT FK_MCF_DECF FOREIGN KEY (CODFIL, NUMECF) REFERENCES TD_ECF(FILECF, NUMECF);

/*-- SEQ 0359 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
CREATE INDEX I_FK_MCF_DECF ON TT_MCF (CODFIL, NUMECF)  ;


/*-- SEQ 0360 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT FK_ICF_MCF FOREIGN KEY (CODFIL, NUMECF, NUMCOO, DATEMI ) REFERENCES TT_MCF(CODFIL, NUMECF, NUMCOO, DATEMI);

/*-- SEQ 0361 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
CREATE INDEX I_FK_ICF_MCF ON TT_ICF (CODFIL, NUMECF, NUMCOO, DATEMI)  ;

/*-- SEQ 0362 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT FK_ICF_DECF FOREIGN KEY (CODFIL, NUMECF) REFERENCES TD_ECF(FILECF, NUMECF);

/*-- SEQ 0363 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
CREATE INDEX I_FK_ICF_DFIL ON TT_ICF (CODFIL)  ;

/*-- SEQ 0364 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
CREATE INDEX I_FK_ICF_DECF ON TT_ICF (CODFIL, NUMECF)  ;

/*-- SEQ 0365 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93797 --
SELECT * FROM NADA;



/*-- SEQ 0366 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93949--
DROP VIEW TV_DPG CASCADE;

/*-- SEQ 0367 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93949--
DROP VIEW TV_DOP CASCADE;

/*-- SEQ 0368 --*/
-- Tarefa 93949--
ALTER TABLE TT_DOP ALTER COLUMN CODBAR TYPE CHAR(47);


/*-- SEQ 0369 --*/
-- Tarefa 93974 --
SELECT DISABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0370 --*/
-- Tarefa 93974 --
UPDATE TT_GRA GRA
   SET CODFIS = (SELECT CAST(COALESCE(GRA.FILMAT, '')|| 
                             COALESCE(GRA.CODMAT, '')|| '-' || 
                             TRIM(COALESCE(TO_CHAR(GRA.CODCOR), ''))|| '-' || 
                             TRIM(COALESCE(TO_CHAR(COALESCE((SELECT DSUB.CODSAL 
                                                               FROM TT_SUB SUB INNER JOIN TD_SUB DSUB ON DSUB.CODTAB = SUB.CODSUB 
                                                              WHERE SUB.CODITE = GRA.CODTAM),GRA.CODTAM)),'')) AS VARCHAR(21)) AS CODSPED FROM DUAL)
 WHERE (SELECT CFG.REGRA_CODFIS FROM TT_CFG CFG) = 1 
   AND GRA.CODFIS IS NULL;
   
/*-- SEQ 0371 --*/
-- Tarefa 93974 --
UPDATE TT_GRA GRA
   SET CODFIS = (SELECT PRO.REFBAS 
                   FROM TT_PRO PRO 
                  WHERE GRA.FILMAT = PRO.FILMAT 
                    AND GRA.CODMAT = PRO.CODMAT)
 WHERE (SELECT CFG.REGRA_CODFIS FROM TT_CFG CFG) = 2
   AND GRA.CODFIS IS NULL;

/*-- SEQ 0372 --*/
-- TAREFA 93974--
SELECT ENABLETRIGGERS(LOWER('TT_GRA'));   
                                   
/*-- SEQ 0373 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93974 --
ALTER TABLE TT_GRA ALTER COLUMN CODFIS SET NOT NULL;  

/*-- SEQ 0374 --*/
-- Tarefa 93974 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN')); 

/*-- SEQ 0375 --*/
-- Tarefa 93974 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CODFIS', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CODFIS'));  

/*-- SEQ 0376 --*/
-- TAREFA 93974--
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));                       


/*-- SEQ 0377 --*/
-- Tarefa 93823 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0378 --*/
-- Tarefa 93823 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,384)||'S'||SUBSTR(PERMIS,386,9999);

/*-- SEQ 0379 --*/
-- Tarefa 93823 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0380 --*/
-- Tarefa 93823 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0381 --*/
-- Tarefa 93823 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PERMIS385', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PERMIS385'));

/*-- SEQ 0382 --*/
-- Tarefa 93823 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));



/*-- SEQ 0383 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION PC_RECF_PLUS_UPDATE (TR_ECF.CODFIL%TYPE,TR_ECF.NUMECF%TYPE,TR_ECF.DATOPE%TYPE,TR_ECF.CUPINI%TYPE,TR_ECF.CUPFIM%TYPE,TR_ECF.CNT_RZ%TYPE,TR_ECF.GT_INI%TYPE,TR_ECF.GT_FIM%TYPE,TR_ECF.DATFEC%TYPE,TR_ECF.CODSER%TYPE,TR_ECF.CNT_RO%TYPE) CASCADE;


/*-- SEQ 0384 --*/
-- Tarefa 93998 --
SELECT DISABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0385 --*/
-- Tarefa 93998 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT 'Chapus e outros artefatos de uso semelhante, de malha', 3, 12, 'T', '65050012'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '65050012'));

/*-- SEQ 0386 --*/
-- Tarefa 93998 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT 'Chapus e outros artefatos de uso semelhante, de malha', 3, 12, 'T', '65050011'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '65050011'));

/*-- SEQ 0387 --*/
-- Tarefa 93998 --
SELECT ENABLETRIGGERS(LOWER('TT_NCM'));

/*-- SEQ 0388 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN NOMDIV_CODEXT VARCHAR(20) ;


/*-- SEQ 0389 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN NOMSUB_CODEXT VARCHAR(20) ;


/*-- SEQ 0390 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN NOMGRA_CODEXT VARCHAR(20) ;


/*-- SEQ 0391 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN ITEDIV_CODEXT VARCHAR(20) ;


/*-- SEQ 0392 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN ITESUB_CODEXT VARCHAR(20) ;


/*-- SEQ 0393 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_DIV ADD COLUMN CODEXT VARCHAR(20) ;


/*-- SEQ 0394 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_SUB ADD COLUMN CODEXT VARCHAR(20) ;


/*-- SEQ 0395 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_GRA ADD COLUMN CODEXT VARCHAR(20) ;


/*-- SEQ 0396 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_DIV ADD COLUMN CODEXT VARCHAR(20) ;


/*-- SEQ 0397 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SUB ADD COLUMN CODEXT VARCHAR(20) ;


/*-- SEQ 0398 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_DDIV_CODEXT ON TD_DIV (CODEXT)  ;

/*-- SEQ 0399 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_DSUB_CODEXT ON TD_SUB (CODEXT)  ;

/*-- SEQ 0400 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_DGRA_CODEXT ON TD_GRA (CODEXT)  ;

/*-- SEQ 0401 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_DIV_CODEXT ON TT_DIV (CODEXT)  ;

/*-- SEQ 0402 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_SUB_CODEXT ON TT_SUB (CODEXT)  ;


/*-- SEQ 0403 --*/
-- Tarefa 94116 --
/*-- IGNORE ERRO --*/
ALTER TABLE TM_ABA ADD COLUMN SEQUEN CHAR(10) ;


/*-- SEQ 0404 --*/
-- Tarefa 94116 --
CREATE SEQUENCE SQMABA INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0405 --*/
-- Tarefa 94116 --
SELECT DISABLETRIGGERS(LOWER('TM_ABA'));

/*-- SEQ 0406 --*/
-- Tarefa 94116 --
UPDATE TM_ABA
   SET SEQUEN = NEXTVAL('SQMABA')
 WHERE SEQUEN IS NULL;

/*-- SEQ 0407 --*/
-- Tarefa 94116 --
SELECT ENABLETRIGGERS(LOWER('TM_ABA'));

/*-- SEQ 0408 --*/
-- Tarefa 94116 --
ALTER TABLE TM_ABA DROP CONSTRAINT PK_MABA CASCADE;

/*-- SEQ 0409 --*/
-- Tarefa 94116 --
ALTER TABLE TM_ABA ADD CONSTRAINT PK_MABA PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0410 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94116 --
ALTER TABLE TM_ABA ALTER COLUMN CODABA SET NOT NULL;

/*-- SEQ 0411 --*/
-- Tarefa 94116 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0412 --*/
-- Tarefa 94116 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TM_ABA2', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TM_ABA2'));

/*-- SEQ 0413 --*/
-- Tarefa 94116 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0414 --*/
-- Tarefa 92859 --
SELECT DISABLETRIGGERS(LOWER('TT_JOB'));
                      
/*-- SEQ 0415 --*/
-- Tarefa 92859 --
INSERT INTO TT_JOB 
( NOMJOB, DESJOB, ULTEXE, QTDERR ) 
(SELECT 'JOB_GERACOMISSAODIARIA',
        'Gerar Comissão do Dia Anterior',
        Agora(),
        0
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_JOB
                      WHERE NOMJOB = 'JOB_GERACOMISSAODIARIA')); 
                      
/*-- SEQ 0416 --*/
-- Tarefa 92859 --
SELECT ENABLETRIGGERS(LOWER('TT_JOB'));                      



/*-- SEQ 0417 --*/
/*-- IGNORE ERRO --*/
/*-- Tarefa 94425 --*/
DROP FUNCTION NomeProduto (TT_PRO.DESECF%TYPE,TT_PRO.DESMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_DIV.NOMITE%TYPE,TT_GRA.CODTAM%TYPE,TT_SUB.NOMITE%TYPE,TT_PRO.ESPMAT%TYPE) CASCADE;


/*-- SEQ 0418 --*/
-- Tarefa 92449 --
SELECT DISABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0419 --*/
-- Tarefa 92449 --
/*-- SEQ 0420 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_conta () CASCADE;

/*-- SEQ 0421 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta ()
RETURNS VARCHAR AS '
DECLARE

  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
  iEXISTE INTEGER;
BEGIN
 
  SELECT COUNT(*)
    INTO iEXISTE
    FROM TD_CTA
   WHERE CFGCOL = ''CHEQUES_DEVOLVIDOS'';

  IF iEXISTE = 0 THEN
    -- Cria novas contas financeiras para usos fixos
    SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
    cSEQFIN := ProximaConta(cCODFIL,''Cheques Devolvidos'',''N'',''O'',''N''); 
    
    -- Descobre o proximo CODTAB da TD_CTA
    SELECT MAX(CODTAB)+1 INTO cCODTAB
      FROM TD_CTA;  
    
    -- Insere as novas contas na tabela 
    INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
    (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, ''CHEQUES_DEVOLVIDOS'' AS CFGCOL, ''O'' AS USOCTA
     FROM TT_CTA
     WHERE CODFIL = cCODFIL
       AND SEQUEN = cSEQFIN);
  END IF;
 
  RETURN ''OK'';
END;
' language 'plpgsql';



/*-- SEQ 0422 --*/
-- Tarefa 92449 --
select temp_cria_conta() from dual;


/*-- SEQ 0423 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92449 --
DROP FUNCTION temp_cria_conta () CASCADE;

/*-- SEQ 0424 --*/
-- Tarefa 92449 --
SELECT ENABLETRIGGERS(LOWER('TD_CTA'));

/*-- SEQ 0425 --*/
-- Tarefa 92449 --
INSERT INTO TL_FIN (ORIGEM,FILORI,SEQORI,PARORI,SUBORI)
SELECT CAST('CHR' AS CHAR(3)) AS ORIGEM, CODFIL, SEQUEN, CAST('--' AS CHAR(2)) AS PARORI, CAST('--' AS CHAR(2)) AS SUBORI
  FROM TT_CHR
 WHERE FLGEST = 'V'
   AND NOT EXISTS (SELECT CODFIL, SEQUEN 
                     FROM TR_FIN
                    WHERE ORIGEM = 'CHR'
                      AND ORICRT = 'DEV');


/*-- SEQ 0426 --*/
-- Tarefa 92689 --
ALTER TABLE TT_CLI DROP CONSTRAINT CK_CLI_REGRA CASCADE;


/*-- SEQ 0427 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 93786 --  
ALTER TABLE TT_MCF DROP CONSTRAINT CK_MCF_FLGCAN CASCADE;  

/*-- SEQ 0428 --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGCAN CHECK (FLGCAN IN ('S','N'));


/*-- SEQ 0429 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_NFE ADD COLUMN VEN_CODFIL CHAR(3) ;


/*-- SEQ 0430 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_NFE ADD COLUMN VEN_SEQUEN CHAR(10) ;


/*-- SEQ 0431 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD COLUMN IVE_CODFIL CHAR(3) ;


/*-- SEQ 0432 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD COLUMN IVE_SEQUEN CHAR(10) ;


/*-- SEQ 0433 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD COLUMN IVE_NUMITE Numeric(5) ;


/*-- SEQ 0434 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
ALTER TABLE TT_NFE ADD CONSTRAINT FK_NFE_VEN FOREIGN KEY (VEN_CODFIL,VEN_SEQUEN) REFERENCES TT_VEN (CODFIL,SEQUEN);

/*-- SEQ 0435 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
CREATE INDEX I_FK_NFE_VEN ON TT_NFE (VEN_CODFIL,VEN_SEQUEN)  ;

/*-- SEQ 0436 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
ALTER TABLE TT_INF ADD CONSTRAINT FK_INF_IVE FOREIGN KEY (IVE_CODFIL,IVE_SEQUEN,IVE_NUMITE) REFERENCES TT_IVE (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0437 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
CREATE INDEX I_FK_INF_IVE ON TT_INF (IVE_CODFIL,IVE_SEQUEN,IVE_NUMITE)  ;


/*-- SEQ 0438 --*/
-- Tarefa 93756 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD COLUMN GX_CFGMIDDLEWARE_HOST VARCHAR(40) ;


/*-- SEQ 0439 --*/
-- Tarefa 93756 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD COLUMN GX_CFGMIDDLEWARE_PORT Numeric(10) ;



/*-- SEQ 0440 --*/
-- Tarefa 95294 --
SELECT DISABLETRIGGERS(LOWER('TT_JOB'));
                      
/*-- SEQ 0441 --*/
-- Tarefa 95294 --
DELETE FROM TT_JOB
 WHERE NOMJOB = 'JOB_GERACOMISSAODIARIA';
 
/*-- SEQ 0442 --*/
-- Tarefa 95294 --
SELECT ENABLETRIGGERS(LOWER('TT_JOB'));                      

