
/*-- SEQ 0001 --*/
-- Tarefa 93905 --
INSERT INTO TT_JOB (NOMJOB,DESJOB,ULTEXE,QTDERR,ULTERR)
                VALUES ('JOB_CALCMEDIADESVIOPXF','Rotina que calcula media e desvio padrao da TT_PXF',Agora(),0,NULL);



/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93022 --
DROP FUNCTION PC_VEN_UPDATE (TT_IVE.CODFIL%TYPE,TT_IVE.SEQUEN%TYPE,TT_IVE.DUMMY%TYPE,TT_CLI.TOTPAR%TYPE,TT_CLI.TOTATR%TYPE) CASCADE;


/*-- SEQ 0003 --*/
-- Tarefa 93768 --
/*-- SEQ 0004 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_IsFeriadoAberto (TT_FER.FILFER%TYPE,Timestamp) CASCADE;

/*-- SEQ 0005 --*/
CREATE OR REPLACE FUNCTION temp_IsFeriadoAberto (TT_FER.FILFER%TYPE,Timestamp)
RETURNS VARCHAR AS $$
DECLARE
p_Filial ALIAS FOR $1 ;
p_Data ALIAS FOR $2 ;

-- Objetivos:
-- 1. Verifcar se o dia é feriado com loja aberta

-- Declaração de variáveis
c_RESULTADO VARCHAR(1);
WK_CONTA    Numeric(10);

-- Início da função
BEGIN

  SELECT COALESCE(COUNT(*),0) INTO WK_CONTA FROM TT_FER
   WHERE ((FILFER IS NULL) OR (FILFER=p_Filial))
     AND DIAFER = TO_NUMBER(TO_CHAR(p_Data,'DD'))
     AND MESFER = TO_NUMBER(TO_CHAR(p_Data,'MM'))
     AND ((ANOFER = TO_NUMBER(TO_CHAR(p_Data,'YYYY'))) OR (ANOFER IS NULL))
     AND LOJABR = 'T';

  IF WK_CONTA > 0 THEN
    c_RESULTADO := 'T';
  ELSE
    c_RESULTADO := 'F';
  END IF;

  RETURN c_RESULTADO;

END;
$$ language 'plpgsql';



/*-- SEQ 0006 --*/
-- Tarefa 93768 --
/*-- SEQ 0007 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_DiaUtil (TD_FIL.CODFIL%TYPE,Timestamp) CASCADE;

/*-- SEQ 0008 --*/
CREATE OR REPLACE FUNCTION temp_DiaUtil (TD_FIL.CODFIL%TYPE,Timestamp)
RETURNS VARCHAR AS $$
DECLARE
P_FILIAL ALIAS FOR $1 ;
P_DATA ALIAS FOR $2 ;
     WK_CONTA  Numeric(10);
     WK_DIASEM Numeric(1);
BEGIN

  -- VERIFICA SE O DIA E FERIADO.
  SELECT COUNT(*) INTO WK_CONTA FROM TT_FER
  WHERE ((FILFER IS NULL) OR (FILFER=P_FILIAL))
    AND DIAFER = TO_NUMBER(TO_CHAR(P_DATA,'DD'))
    AND MESFER = TO_NUMBER(TO_CHAR(P_DATA,'MM'))
    AND ((ANOFER = TO_NUMBER(TO_CHAR(P_DATA,'YYYY'))) OR (ANOFER IS NULL));

  IF WK_CONTA > 0 THEN
    -- É FERIADO
    RETURN 'F';
  END IF;

  -- NO BANCO O DOMINGO É CODIGO 1, JÁ NO SISTEMA É CÓDIGO 0
  -- DIASEM GUARDA O DIA DA SEMANA, INICIANDO DE 0
  WK_DIASEM := TO_NUMBER(TO_CHAR(P_DATA,'D'))-1;

  -- VERIFICA SE FILIAL POSSUI EXPEDIENTE
  SELECT COUNT(*) INTO WK_CONTA
    FROM TT_EXP
   WHERE CODFIL = P_FILIAL;

  IF WK_CONTA>0 THEN

    -- VERIFICA SE DIA DA SEMANA ESTÁ NO EXPEDIENTE DA FILIAL
    SELECT COUNT(*) INTO WK_CONTA
      FROM TT_EXP
     WHERE CODFIL = P_FILIAL
       AND DIASEM = WK_DIASEM;

     IF WK_CONTA > 0 THEN
       RETURN 'T';
     ELSE
       RETURN 'F';
     END IF;
  ELSE
     -- SE NAO TEM EXPEDIENTE, CONSIDERA DIA UTIL SEGUNDA A SEXTA
     IF WK_DIASEM IN (1,2,3,4,5) THEN
       RETURN 'T';
     ELSE
       RETURN 'F';
     END IF;
  END IF;
END;
$$ language 'plpgsql';



/*-- SEQ 0009 --*/
-- Tarefa 93768 --
SELECT DISABLETRIGGERS(LOWER('TT_UTL'));

/*-- SEQ 0010 --*/
-- Tarefa 93768 --
INSERT INTO TT_UTL
SELECT TAB.DATOPE, TAB.CODFIL, TAB.FERABE
  FROM
(
  SELECT SUB.*
    FROM
  (
    SELECT DAT.DATOPE,
           DFIL.CODFIL,
           CAST(TO_CHAR(TO_NUMBER(TO_CHAR(DAT.DATOPE,'D'))-1) AS CHAR(1)) AS DIASEM,
           CAST(temp_IsFeriadoAberto(DFIL.CODFIL,DAT.DATOPE) AS VARCHAR(1)) AS FERABE
      FROM TT_DAT DAT CROSS JOIN TD_FIL DFIL
  ) SUB
 WHERE (temp_DiaUtil(SUB.CODFIL,SUB.DATOPE) = 'T') OR (SUB.FERABE = 'T')
) TAB;

/*-- SEQ 0011 --*/
-- Tarefa 93768 --
SELECT ENABLETRIGGERS(LOWER('TT_UTL'));

/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93768 --
DROP FUNCTION temp_IsFeriadoAberto (TT_FER.FILFER%TYPE,Timestamp) CASCADE;

/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93768 --
DROP FUNCTION temp_DiaUtil (TD_FIL.CODFIL%TYPE,Timestamp) CASCADE;

/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93768 --
DROP FUNCTION TGUTL() CASCADE;


/*-- SEQ 0015 --*/
-- Tarefa 94812 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_VEN ADD COLUMN MOTCAN VARCHAR(4000) ;



/*-- SEQ 0016 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92964 --
SELECT * FROM NADA;


/*-- SEQ 0017 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94862 --
CREATE TABLE TT_VAT (
    CODTAB Numeric(10),
    MODULO Numeric(2),
    VERSAO Numeric(4,2),
    DETVER CHAR(1),
    RELEAS Numeric(2)
  )  ;

 
/*-- SEQ 0018 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT ADD CONSTRAINT PK_VAT PRIMARY KEY (CODTAB);

/*-- SEQ 0019 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94862 --
CREATE SEQUENCE SQVAT INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0020 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT ALTER COLUMN MODULO SET NOT NULL;

/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT ALTER COLUMN VERSAO SET NOT NULL;

/*-- SEQ 0022 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT ALTER COLUMN RELEAS SET NOT NULL;

/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT ADD CONSTRAINT CK_VAT_MODULO CHECK (MODULO = 1);


/*-- SEQ 0024 --*/
-- Tarefa 94863 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN CK4G_VERSAO_HOMOL Numeric(4,2) ;

 
/*-- SEQ 0025 --*/
-- Tarefa 94863 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN CK4G_DETVER_HOMOL CHAR(1) ;


/*-- SEQ 0026 --*/
-- Tarefa 94863 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN CK4G_RELEAS_HOMOL Numeric(2) ;

 
/*-- SEQ 0027 --*/
-- Tarefa 94863 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN CK4G_VERSAO_PRODU Numeric(4,2) ;
 

/*-- SEQ 0028 --*/
-- Tarefa 94863 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN CK4G_DETVER_PRODU CHAR(1) ;
 

/*-- SEQ 0029 --*/
-- Tarefa 94863 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN CK4G_RELEAS_PRODU Numeric(2) ;
 

/*-- SEQ 0030 --*/
-- Tarefa 94863 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN CK4G_REGRA_ATUALIZACAO CHAR(1) DEFAULT 'S';

/*-- SEQ 0032 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG')); 
 
/*-- SEQ 0033 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94863 --
ALTER TABLE TT_CFG ALTER COLUMN CK4G_REGRA_ATUALIZACAO SET NOT NULL;

/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94863 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CK4G_REGRA_ATUALIZACAO CHECK (CK4G_REGRA_ATUALIZACAO IN ('S','C','N'));
 
/*-- SEQ 0035 --*/
-- Tarefa 94863 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN CK4G_VERSAO_HOMOL Numeric(4,2) ;

 
/*-- SEQ 0036 --*/
-- Tarefa 94863 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN CK4G_DETVER_HOMOL CHAR(1) ;


/*-- SEQ 0037 --*/
-- Tarefa 94863 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN CK4G_RELEAS_HOMOL Numeric(2) ;

 
/*-- SEQ 0038 --*/
-- Tarefa 94863 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN CK4G_VERSAO_PRODU Numeric(4,2) ;
 

/*-- SEQ 0039 --*/
-- Tarefa 94863 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN CK4G_DETVER_PRODU CHAR(1) ;
 

/*-- SEQ 0040 --*/
-- Tarefa 94863 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN CK4G_RELEAS_PRODU Numeric(2) ;
 

/*-- SEQ 0041 --*/
-- Tarefa 94863 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN CK4G_REGRA_ATUALIZACAO CHAR(1) DEFAULT 'S';

/*-- SEQ 0043 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG')); 


/*-- SEQ 0044 --*/
-- Tarefa 94865 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ADD COLUMN CK4G_MANMOV Numeric(5) ;

 
/*-- SEQ 0045 --*/
-- Tarefa 94865 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ADD COLUMN CK4G_MANLOG_DET Numeric(5) ;


/*-- SEQ 0046 --*/
-- Tarefa 94865 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ADD COLUMN CK4G_MANLOG_GER Numeric(5) ;

 
/*-- SEQ 0047 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94865 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_CK4G_MANMOV CHECK (CK4G_MANMOV >= 0);
 
/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94865 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_CK4G_MANLOG_DET CHECK (CK4G_MANLOG_DET >= 0);

/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94865 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_CK4G_MANLOG_GER CHECK (CK4G_MANLOG_GER >= 0);


/*-- SEQ 0050 --*/
-- Tarefa 94867 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD COLUMN CK4G_MANMOV Numeric(5) ;


/*-- SEQ 0051 --*/
-- Tarefa 94867 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD COLUMN CK4G_MANLOG_DET Numeric(5) ;


/*-- SEQ 0052 --*/
-- Tarefa 94867 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD COLUMN CK4G_MANLOG_GER Numeric(5) ;


/*-- SEQ 0053 --*/
-- Tarefa 94867 --
SELECT DISABLETRIGGERS(LOWER('TD_ECF'));

/*-- SEQ 0054 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD COLUMN CK4G_HOMOL VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0055 --*/
SELECT ENABLETRIGGERS(LOWER('TD_ECF'));

/*-- SEQ 0056 --*/
-- Tarefa 94867 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD COLUMN CK4G_VERSAO Numeric(4,2) ;


/*-- SEQ 0057 --*/
-- Tarefa 94867 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD COLUMN CK4G_DETVER CHAR(1) ;


/*-- SEQ 0058 --*/
-- Tarefa 94867 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD COLUMN CK4G_RELEAS_HOMOL Numeric(2) ;


/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ALTER COLUMN CK4G_HOMOL SET NOT NULL;

/*-- SEQ 0060 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_CK4G_MANMOV CHECK (CK4G_MANMOV >= 0);

/*-- SEQ 0061 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_CK4G_MANLOG_DET CHECK (CK4G_MANLOG_DET >= 0);

/*-- SEQ 0062 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_CK4G_MANLOG_GER CHECK (CK4G_MANLOG_GER >= 0);

/*-- SEQ 0063 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_CK4G_HOMOL CHECK (CK4G_HOMOL IN  ('T','F'));

/*-- SEQ 0064 --*/
-- Tarefa 94867 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD COLUMN CK4G_MANMOV Numeric(5) ;


/*-- SEQ 0065 --*/
-- Tarefa 94867 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD COLUMN CK4G_MANLOG_DET Numeric(5) ;


/*-- SEQ 0066 --*/
-- Tarefa 94867 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD COLUMN CK4G_MANLOG_GER Numeric(5) ;


/*-- SEQ 0067 --*/
-- Tarefa 94867 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0068 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD COLUMN CK4G_HOMOL VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0069 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0070 --*/
-- Tarefa 94867 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD COLUMN CK4G_VERSAO Numeric(4,2) ;


/*-- SEQ 0071 --*/
-- Tarefa 94867 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD COLUMN CK4G_DETVER CHAR(1) ;


/*-- SEQ 0072 --*/
-- Tarefa 94867 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD COLUMN CK4G_RELEAS_HOMOL Numeric(2) ;



/*-- SEQ 0073 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94862 --
CREATE UNIQUE INDEX I_UQ_VAT_MODVERDETREL ON TT_VAT (MODULO, VERSAO, COALESCE(DETVER, ''), RELEAS)  ;

/*-- SEQ 0074 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT ADD CONSTRAINT CK_VAT_VERSAO CHECK (VERSAO >= 0);

/*-- SEQ 0075 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT ADD CONSTRAINT CK_VAT_RELEAS CHECK (RELEAS >= 0);


/*-- SEQ 0076 --*/
-- Tarefa 94918 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_USU ADD COLUMN CHVMAT  CHAR(15) ;


/*-- SEQ 0077 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94918 --
CREATE UNIQUE INDEX I_UQ_USU_CHVMAT ON TT_USU (CHVMAT)  ;


/*-- SEQ 0078 --*/
-- Tarefa 90011 --
ALTER TABLE TD_CCC ADD COLUMN SQLCCC VARCHAR(4000) ;

  
 /*-- SEQ 0079 --*/
-- Tarefa 90011 --
ALTER TABLE TW_TAB ADD COLUMN SQLCCC VARCHAR(4000) ;



/*-- SEQ 0080 --*/
-- Tarefa 94897 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_END ADD COLUMN CHVCHK VARCHAR(20) ;

  


/*-- SEQ 0081 --*/
-- Tarefa 91210 --
ALTER TABLE TD_PAI ADD COLUMN ATU_EM Timestamp ;


/*-- SEQ 0082 --*/
-- Tarefa 91210 --
ALTER TABLE TD_EST ADD COLUMN ATU_EM Timestamp ;


/*-- SEQ 0083 --*/
-- Tarefa 91210 --
ALTER TABLE TT_IBG ADD COLUMN ATU_EM Timestamp ;


/*-- SEQ 0084 --*/
-- Tarefa 91210 --
ALTER TABLE TT_CTA ADD COLUMN ATU_EM Timestamp ;
  

/*-- SEQ 0085 --*/
-- Tarefa 91210 --
CREATE INDEX I_LC_DPAI_ATU_EM ON TD_PAI (ATU_EM)  ;

/*-- SEQ 0086 --*/
-- Tarefa 91210 --
CREATE INDEX I_LC_DEST_ATU_EM ON TD_EST (ATU_EM)  ;

/*-- SEQ 0087 --*/
-- Tarefa 91210 --
CREATE INDEX I_LC_IBG_ATU_EM ON TT_IBG (ATU_EM)  ;

/*-- SEQ 0088 --*/
-- Tarefa 91210 --
CREATE INDEX I_LC_CTA_ATU_EM ON TT_CTA (ATU_EM)  ;

/*-- SEQ 0089 --*/
-- Tarefa 91210 --
SELECT DISABLETRIGGERS(LOWER('TD_PAI'));

/*-- SEQ 0090 --*/
-- Tarefa 91210 --
UPDATE TD_PAI
   SET ATU_EM = (SELECT AGORA() FROM DUAL);
 
/*-- SEQ 0091 --*/
-- Tarefa 91210 --
SELECT ENABLETRIGGERS(LOWER('TD_PAI'));

/*-- SEQ 0092 --*/
-- Tarefa 91210 --
SELECT DISABLETRIGGERS(LOWER('TD_EST'));

/*-- SEQ 0093 --*/
-- Tarefa 91210 --
UPDATE TD_EST
   SET ATU_EM = (SELECT AGORA() FROM DUAL);
 
/*-- SEQ 0094 --*/
-- Tarefa 91210 --
SELECT ENABLETRIGGERS(LOWER('TD_EST'));

/*-- SEQ 0095 --*/
-- Tarefa 91210 --
SELECT DISABLETRIGGERS(LOWER('TT_IBG'));

/*-- SEQ 0096 --*/
-- Tarefa 91210 --
UPDATE TT_IBG
   SET ATU_EM = (SELECT AGORA() FROM DUAL);
 
/*-- SEQ 0097 --*/
-- Tarefa 91210 --
SELECT ENABLETRIGGERS(LOWER('TT_IBG'));

/*-- SEQ 0098 --*/
-- Tarefa 91210 --
SELECT DISABLETRIGGERS(LOWER('TT_CTA'));

/*-- SEQ 0099 --*/
-- Tarefa 91210 --
UPDATE TT_CTA
   SET ATU_EM = (SELECT AGORA() FROM DUAL);
 
/*-- SEQ 0100 --*/
-- Tarefa 91210 --
SELECT ENABLETRIGGERS(LOWER('TT_CTA'));


/*-- SEQ 0101 --*/
-- Tarefa 93880 --
SELECT DISABLETRIGGERS(LOWER('TT_JOB'));

/*-- SEQ 0102 --*/
-- Tarefa 93880 --
insert into TT_JOB (NOMJOB, DESJOB, ULTEXE, QTDERR, ULTERR)
select 'JOB_CALCELAST', 'Rotina para calcular a elasticidade dos precos', Agora(), 0, null
  from DUAL
  where not exists (
        select 1 as OK
          from TT_JOB
         where NOMJOB = 'JOB_CALCELAST'
        );

/*-- SEQ 0103 --*/
-- Tarefa 93880 --
SELECT ENABLETRIGGERS(LOWER('TT_JOB'));


/*-- SEQ 0104 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94867 --
ALTER TABLE TW_TAB ADD COLUMN STATUS_DADOS VARCHAR(4000) ;



/*-- SEQ 0105 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93917 --
SELECT * FROM NADA;


/*-- SEQ 0106 --*/
-- Tarefa 93033 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0107 --*/
-- Tarefa 93033 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ESTORNFE', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ESTORNFE'));

/*-- SEQ 0108 --*/
-- Tarefa 93033 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0109 --*/
-- Tarefa 93692 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN FILMAT_TIN CHAR(3) ;


/*-- SEQ 0110 --*/
-- Tarefa 93692 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN CODMAT_TIN CHAR(5) ;


/*-- SEQ 0111 --*/
-- Tarefa 93692 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN CODCOR_TIN Numeric(5) ;


/*-- SEQ 0112 --*/
-- Tarefa 93692 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN CODTAM_TIN Numeric(5) ;



-- Tarefa 94625 --
/*-- SEQ 0113 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_cria_pro () CASCADE;

/*-- SEQ 0114 --*/
CREATE OR REPLACE FUNCTION temp_cria_pro ()
RETURNS VARCHAR AS $$
DECLARE

    iAux    Numeric(10);                 --  var auxiliar
    iAux2   Numeric(10);                 --  var auxiliar
    cFilMat TT_PRE.FILMAT%TYPE;         --  PK base: char(3)
    cCodMat TT_PRE.CODMAT%TYPE;         --  PK base: char(5)
    iCodGra TT_PRO.CODGRA%TYPE;         --  FK TD_GRA: Numeric(5)
    iCodCor TT_GRA.CODCOR%TYPE;         --  PK TT_GRA: Numeric(5)
    iCodTam TT_GRA.CODTAM%TYPE;         --  PK TT_GRA: Numeric(5)
    cSeqGra TT_GRA.SEQUEN%TYPE;         --  UK TT_GRA: char(10)
    vRefBas TT_PRO.REFBAS%TYPE;         --  UK TT_PRO.REFBAS: VARCHAR(15)
    vRefPro TT_GRA.REFPRO%TYPE;         --  UK TT_GRA.REFPRO: VARCHAR(20)
    cUF     TD_FIL.UFLOJA%TYPE;         --  PK TT_IUF: ESTADO CHAR(2)         
    cSeqPre TT_PRE.SEQUEN%TYPE;         --  PK TT_PRE: SEQUEN CHAR(10)
    cFilPre TT_PRE.FILMAT%TYPE;         --  PK TT_PRE: char(3)
    iCodPre TT_PRE.CODPRE%TYPE;         --  FK TT_PRE: CODPRE Numeric(5)
begin
    --  verificando se o produto auxiliar já está cadastrado
    select count(*)
      into iAux
      from TT_CFG CFG
     where CFG.FILMAT_AUX is not null
        or CFG.CODMAT_AUX is not null
        or CFG.CODCOR_AUX is not null
        or CFG.CODTAM_AUX is not null;
    --  cadastrando o produto auxiliar
    if  iAux = 0 then
        --  buscando as PKs da TT_PRO
        select CODLOJ
          into cFilMat
          from TT_IDF
                              
         limit 1
                       ;
        select (COD.ULTCOD)
          into iAux
          from TT_COD COD
         where COD.CODTAB = 'PRO'
           and COD.FILCOD = cFilMat;
        --  insert em TT_COD (não existe um registro para a TT_PRO para a cFilMat)
        if  iAux is null then
            iAux := 0;
            insert into TT_COD (CODTAB, FILCOD, ULTCOD, SEQUEN, CODSER, CODCHV)
                values ('PRO', cFilMat, iAux, ProximoCodigo('TT_COD', cFilMat), null, null);
        end if;
        --  validando se o código do produto está sendo utilizando
        -- (em caso positivo pega o próximo)
        loop
            iAux := iAux + 1;
            cCodMat := Lpad(iAux, 5, ' ');
            select count(PRO.FILMAT)
              into iAux2
              from TT_PRO PRO
             where PRO.FILMAT = cFilMat
               and PRO.CODMAT = cCodMat;
            exit when iAux2 = 0;
        end loop;
        --  update em TT_COD
        update TT_COD
           set ULTCOD = iAux
         where CODTAB = 'PRO'
           and FILCOD = cFilMat;
        --  buscando a FK da TD_GRA para o TT_PRO.CODGRA
        --  esta informação também é utilizada para definir o TT_GRA.CODCOR e TT_GRA.CODTAM
        select min(DGRA.CODTAB)
          into iCodGra
          from TD_GRA DGRA
         where DGRA.CODTAB >= 0
           and DGRA.GRAATI = 'T';
        --  buscando as PKs e UKs da TT_GRA
        --  iCodCor
        select min(DIV.CODITE)
          into iCodCor
          from TT_DIV DIV
         inner join TD_GRA DGRA
                 on DGRA.CODTAB = iCodGra
                and DIV.CODDIV = DGRA.CODDIV;
        --  iCodTam
        select min(SUB.CODITE)
          into iCodTam
          from TT_SUB SUB
         inner join TD_GRA DGRA
                 on DGRA.CODTAB = iCodGra
                and SUB.CODSUB = DGRA.CODSUB;
        --  tive que fazer deste jeito porque a macro NEXTVAL_SELECT estava gerando erro de string...
                
        cSeqGra := Lpad((NEXTVAL('SQGRA')), 10, ' ');
                --  criando um código único para TT_PRO.REFBAS
        iAux := to_number(Trim(cCodMat));
        loop
            vRefBas := cFilMat || to_char(iAux);
            select sum(TAB.QTD) as QTD
              into iAux2
              from (
                   select count(*) as QTD
                     from TT_PRO
                    where REFBAS = vRefBas
                   union all
                   select count(*) as QTD
                     from TT_GRA
                    where REFPRO = vRefBas
                   union all
                   select count(*) as QTD
                     from TT_EAN
                    where CODEAN = vRefBas
              ) TAB;
            exit when iAux2 = 0;
            iAux := iAux + 1;
        end loop;
        --  criando um código único para TT_GRA.REFPRO
        iAux := 0;
        loop
            vRefPro := cFilMat || Trim(cCodMat) || to_char(iAux);
            select sum(TAB.QTD) as QTD
              into iAux2
              from (
                   select count(*) as QTD
                     from TT_PRO
                    where REFBAS = vRefPro
                   union all
                   select count(*) as QTD
                     from TT_GRA
                    where REFPRO = vRefPro
                   union all
                   select count(*) as QTD
                     from TT_EAN
                    where CODEAN = vRefPro
              ) TAB;
            exit when iAux2 = 0 and vRefBas <> vRefPro;
            iAux := iAux + 1;
        end loop;
        --  buscando a PK para a TT_IUF
        select UFLOJA
          into cUF
          from TD_FIL
         where CODFIL = cFilMat;
        if  cUF is null
        or  cUF = '' then
            cUF := 'SC';
        end if;
        --  buscando a PK e FK para TT_PRE
        --  tive que fazer deste jeito porque a macro NEXTVAL_SELECT estava gerando erro de string...
                
        cSeqPre := Lpad((NEXTVAL('SQPRE')), 10, ' ');
        cSeqPre := Lpad((NEXTVAL('SQPRE')), 10, ' ');
                --  buscando a tabela padrão de VAREJO
        select CFG.FILPRE,
               CFG.CODPRE
          into cFilPre,
               iCodPre
          from TT_CFG CFG
                              
         limit 1
                       ;
        if  cFilPre is null
        or  iCodPre is null then
            cFilPre := cFilMat;
            select min(CODPRE)
              into iCodPre
              from TT_TPR
             where CODFIL = cFilPre;
        end if;
        --  insert em TT_PRO
        insert into TT_PRO (
               FILMAT, CODMAT, CONTRA, ATU_EM, VALCON, BRINDE, 
               CLASS1, CLASS2, CLASS3, CLASS4, CLSXYZ, CODGRA, 
               CODSAZ, ETIQUE, TIPPRO, UNIDAD, UNIFOR, DECIMA, 
               MONTAR, NUMEXT, REFBAS, RESIRR, CONTRO, CODCTR,
               ENTREG, RETCOF, SUGSER, BALSIM, VALEST, TIPDOC,
               ISEPIS, ICMFED, ARRTRU, IIPTPR, IMPKIT, CODRGC,
               USALOT, CLSABC, DESMAT, SIGNAT)
        (select cFilMat,            -- FILMAT CHAR(3)
                cCodMat,            -- CODMAT CHAR(5)
                'F',     -- CONTRA CHAR(1)     
                agora(),            -- ATU_EM Timestamp(7)     
                1,                  -- VALCON Numeric(14,4)
                0,                  -- BRINDE Numeric(5)   
                (select min(CODTAB) from TD_CL1 where CL1ATI = 'T'), -- CLASS1 Numeric(5)
                (select min(CODTAB) from TD_CL2 where CL2ATI = 'T'), -- CLASS2 Numeric(5)      
                (select min(CODTAB) from TD_CL3 where CL3ATI = 'T'), -- CLASS3 Numeric(5)      
                (select min(CODTAB) from TD_CL4 where CL4ATI = 'T'), -- CLASS4 Numeric(5)      
                1,                  -- CLSXYZ Numeric(5)
                iCodGra,            -- CODGRA Numeric(5)
                0,                  -- CODSAZ Numeric(5)
                (select min(CODTAB) from TD_ETI where ETIATI = 'T'), -- ETIQUE Numeric(5)
                0,                  -- TIPPRO Numeric(5)
                (select min(CODTAB) from TD_MED where MEDATI = 'T'), -- UNIDAD Numeric(5)
                (select min(CODTAB) from TD_MED where MEDATI = 'T'), -- UNIFOR Numeric(5)
                'F',     -- DECIMA VARCHAR(1)
                'F',     -- MONTAR VARCHAR(1)
                'F',     -- NUMEXT VARCHAR(1)
                vRefBas,            -- REFBAS VARCHAR(15)
                0,                  -- RESIRR Numeric(5)
                'F',     -- CONTRO VARCHAR(1)
                0,                  -- CODCTR Numeric(5)
                'F',     -- ENTREG VARCHAR(1)
                'T',     -- RETCOF VARCHAR(1)
                'F',     -- SUGSER VARCHAR(1)
                'F',     -- BALSIM CHAR(1)
                'T',     -- VALEST VARCHAR(1)
                'N',     -- TIPDOC CHAR(1)
                'F',     -- ISEPIS VARCHAR(1)
                'F',     -- ICMFED VARCHAR(1)
                'A',     -- ARRTRU CHAR(1)
                'T',     -- IIPTPR CHAR(1)
                'F',     -- IMPKIT VARCHAR(1)
                '0',     -- CODRGC Numeric(5)
                'F',     -- USALOT VARCHAR(1)
                1,                  -- CLSABC Numeric(5)
                'Produto Auxiliar uso interno', -- DESMAT VARCHAR(30)
                0                   -- SIGNAT Numeric(5)
           from DUAL
        );
        --  insert em TT_GRA
        insert into TT_GRA (
               FILMAT, CODMAT, CODCOR, CODTAM, SEQUEN, UNIDAD,
               UNIFOR, VALCON, PROMOC, VOLUNI, REFPRO, FORLIN,
               PREPSI, ATU_EM, GRAATI, QTDMUL, CODFIS, USABON)
        (select cFilMat,            -- FILMAT CHAR(3)
                cCodMat,            -- CODMAT CHAR(5)
                iCodCor,            -- CODCOR Numeric(5) DIV GRA.CODCOR=DIV.CODITE (+)
                iCodTam,            -- CODTAM Numeric(5) SUB GRA.CODTAM=SUB.CODITE (+)
                cSeqGra,            -- SEQUEN CHAR(10)
                (select min(CODTAB) from TD_MED where MEDATI = 'T'), -- UNIDAD Numeric(5) DMED
                (select min(CODTAB) from TD_MED where MEDATI = 'T'), -- UNIFOR Numeric(5) DMED
                1,                  -- VALCON Numeric(14,4)
                'F',     -- PROMOC VARCHAR(1)
                'F',     -- VOLUNI VARCHAR(1)
                vRefPro,            -- REFPRO VARCHAR(20)
                'F',     -- FORLIN VARCHAR(1)
                'T',     -- PREPSI VARCHAR(1)
                agora(),            -- ATU_EM Timestamp(7)
                'T',     -- GRAATI CHAR(1)
                0,                  -- QTDMUL Numeric(7,2)
                cFilMat || cCodMat || '-0-0', -- CODFIS VARCHAR(60)
                'F'      -- USABON VARCHAR(1)
           from DUAL
        );
        --  insert em TT_IUF
        insert into TT_IUF (
               FILMAT, CODMAT, ESTADO, RESICM, LUCSUB, SUBTRI,
               INSAGR, CALSUB, REGESP, PERSRV, ATU_EM, MVAVEN,
               MVAC07, MVAC12, FLGRED, REGESPIMP,      REDICM)
        (select cFilMat,            -- FILMAT CHAR(3)
                cCodMat,            -- CODMAT CHAR(5)
                cUF,                -- ESTADO CHAR(2)
                0,                  -- RESICM Numeric(5)       
                0,                  -- LUCSUB Numeric(5)       
                '0',     -- SUBTRI CHAR(1)         
                'F',     -- INSAGR VARCHAR(1)     
                'D',     -- CALSUB CHAR(1)         
                0,                  -- REGESP Numeric(1)       
                0,                  -- PERSRV Numeric(5,2)     
                agora(),            -- ATU_EM Timestamp(7)         
                0,                  -- MVAVEN Numeric(14,4)    
                0,                  -- MVAC07 Numeric(14,4)    
                0,                  -- MVAC12 Numeric(14,4)    
                'C',     -- FLGRED VARCHAR(1)     
                'F',     -- REGESPIMP VARCHAR(1)  
                'T'      -- REDICM VARCHAR(1)     
           from DUAL
        );
        --  insert em TT_PRE
        insert into TT_PRE (
               FILPRE, SEQUEN, CODPRE, FLGEST, FILMAT, CODMAT,
               CODCOR, CODTAM, CODMOE, ATU_EM, DATINC)
        (select cFilPre,            -- FILPRE CHAR(3)
                cSeqPre,            -- SEQUEN CHAR(10)
                iCodPre,            -- CODPRE Numeric(5)
                'T',     -- FLGEST CHAR(1)
                cFilMat,            -- FILMAT CHAR(3)
                cCodMat,            -- CODMAT CHAR(5)
                iCodCor,            -- CODCOR Numeric(5)
                iCodTam,            -- CODTAM Numeric(5)
                0,                  -- CODMOE Numeric(2)
                agora(),            -- ATU_EM Timestamp(7)
                agora()             -- DATINC Timestamp(7)
           from DUAL
        );
        --  update em TT_CFG
        UPDATE TT_CFG SET
          FILMAT_AUX = cFilMat,
          CODMAT_AUX = cCodMat,
          CODCOR_AUX = iCodCor,
          CODTAM_AUX = iCodTam;
    end if;
    --  retorno da função
    return 'OK';
END;
$$ language 'plpgsql';



/*-- SEQ 0115 --*/
-- Tarefa 94625 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0116 --*/
-- Tarefa 94625 --
SELECT DISABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0117 --*/
-- Tarefa 94625 --
SELECT DISABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0118 --*/
-- Tarefa 94625 --
SELECT DISABLETRIGGERS(LOWER('TT_PRE'));

/*-- SEQ 0119 --*/
-- Tarefa 94625 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0120 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select temp_cria_pro() from dual;


/*-- SEQ 0121 --*/
-- Tarefa 94625 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0122 --*/
-- Tarefa 94625 --
SELECT ENABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0123 --*/
-- Tarefa 94625 --
SELECT ENABLETRIGGERS(LOWER('TT_IUF'));

/*-- SEQ 0124 --*/
-- Tarefa 94625 --
SELECT ENABLETRIGGERS(LOWER('TT_PRE'));

/*-- SEQ 0125 --*/
-- Tarefa 94625 --
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0126 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94625 --
DROP FUNCTION temp_cria_pro () CASCADE;


/*-- SEQ 0127 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92689 --
ALTER TABLE TT_CLI DROP CONSTRAINT CK_CLI_REGRA CASCADE;


-- Tarefa 95077 --
/*-- SEQ 0128 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION temp_upd_pro () CASCADE;

/*-- SEQ 0129 --*/
CREATE OR REPLACE FUNCTION temp_upd_pro ()
RETURNS VARCHAR AS $$
DECLARE

    cFilMat TT_PRE.FILMAT%TYPE;         --  PK base: char(3)
    cCodMat TT_PRE.CODMAT%TYPE;         --  PK base: char(5)
begin
    --  buscando o código do produto auxiliar no TT_CFG
    select CFG.FILMAT_AUX,
           CFG.CODMAT_AUX
      into cFilMat,
           cCodMat
      from TT_CFG CFG
                      
     limit 1
               ;
    --  update em TT_COD
    update TT_PRO
       set SIGNAT = 0
     where FILMAT = cFilMat
       and CODMAT = cCodMat
       and ( SIGNAT is null OR SIGNAT < 0 );
    --  retorno da função
    return 'OK';
END;
$$ language 'plpgsql';



/*-- SEQ 0130 --*/
-- Tarefa 95077 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0131 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95077 --
select temp_upd_pro() from dual;


/*-- SEQ 0132 --*/
-- Tarefa 95077 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0133 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95077 --
DROP FUNCTION temp_upd_pro () CASCADE;


/*-- SEQ 0134 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95023 --
SELECT * FROM NADA;
 
/*-- SEQ 0135 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95023 --
SELECT * FROM NADA;

/*-- SEQ 0136 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95023 --
SELECT * FROM NADA;

/*-- SEQ 0137 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95023 --
SELECT * FROM NADA;

/*-- SEQ 0138 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95023 --
SELECT * FROM NADA;
   
/*-- SEQ 0139 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95023 --
SELECT * FROM NADA;


/*-- SEQ 0140 --*/
-- Tarefa 91227 --
ALTER TABLE TT_CFG ADD COLUMN CFG_LIMITESANGRIACHEQUE Numeric(14,2) ;


/*-- SEQ 0141 --*/
-- Tarefa 91227 --
ALTER TABLE TT_CFG ADD COLUMN CFG_SANGRIAFECHAMENTO Numeric(5) ;


/*-- SEQ 0142 --*/
-- Tarefa 91227 --
ALTER TABLE TT_CFG ADD COLUMN CFG_REFORCOABERTURA Numeric(5) ;


/*-- SEQ 0143 --*/
-- Tarefa 91227 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DCAI_SANGRIAFECHA FOREIGN KEY (CFG_SANGRIAFECHAMENTO) REFERENCES TD_CAI(CODTAB);

/*-- SEQ 0144 --*/
-- Tarefa 91227 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DCAI_REFORCOABER FOREIGN KEY (CFG_REFORCOABERTURA) REFERENCES TD_CAI(CODTAB);

/*-- SEQ 0145 --*/
-- Tarefa 91227 --
ALTER TABLE TW_CFG ADD COLUMN CFG_LIMITESANGRIACHEQUE Numeric(14,2) ;


/*-- SEQ 0146 --*/
-- Tarefa 91227 --
ALTER TABLE TW_CFG ADD COLUMN CFG_SANGRIAFECHAMENTO Numeric(5) ;


/*-- SEQ 0147 --*/
-- Tarefa 91227 --
ALTER TABLE TW_CFG ADD COLUMN CFG_REFORCOABERTURA Numeric(5) ;



/*-- SEQ 0148 --*/
-- Tarefa 95007 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0149 --*/
ALTER TABLE TT_CFG ADD COLUMN CFG_TAMANHOMATRICULA Numeric(2) DEFAULT '12';

/*-- SEQ 0150 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0151 --*/
-- Tarefa 95007 -- 
ALTER TABLE TT_CFG ALTER COLUMN CFG_TAMANHOMATRICULA SET NOT NULL;

/*-- SEQ 0152 --*/
-- Tarefa 95007 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CFG_TAMANHOMATRICULA CHECK (CFG_TAMANHOMATRICULA IN (5,6,7,9,10,12,15));

/*-- SEQ 0153 --*/
-- Tarefa 95007 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0154 --*/
ALTER TABLE TW_CFG ADD COLUMN CFG_TAMANHOMATRICULA Numeric(2) DEFAULT '12';

/*-- SEQ 0155 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));



/*-- SEQ 0156 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 93786 --  
ALTER TABLE TT_MCF DROP CONSTRAINT CK_MCF_FLGCAN CASCADE;  

/*-- SEQ 0157 --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGCAN CHECK (FLGCAN IN ('S','N'));


/*-- SEQ 0158 --*/
-- Tarefa 95107 --
ALTER TABLE TT_VEN ADD COLUMN FILORI CHAR(3) ;


/*-- SEQ 0159 --*/
-- Tarefa 95107 --
ALTER TABLE TT_VEN ADD COLUMN SEQORI CHAR(10) ;


/*-- SEQ 0160 --*/
-- Tarefa 95107 --
ALTER TABLE TT_VEN ADD CONSTRAINT FK_VEN_VEN_ORI FOREIGN KEY (FILORI,SEQORI) REFERENCES TT_VEN (CODFIL, SEQUEN);






/*-- SEQ 0161 --*/
-- Tarefa 95023 --
ALTER TABLE TT_SLT ADD COLUMN ATU_EM Timestamp ;

 
/*-- SEQ 0162 --*/
-- Tarefa 95023 --
CREATE INDEX I_LC_SLT_ATU_EM ON TT_SLT (CODFIL, CODMUL, ATU_EM)  ;

/*-- SEQ 0163 --*/
-- Tarefa 95023 --
SELECT DISABLETRIGGERS(LOWER('TT_SLT'));

/*-- SEQ 0164 --*/
-- Tarefa 95023 --
UPDATE TT_SLT SLT
  SET ATU_EM = (SELECT LOT.ATU_EM FROM TT_LOT LOT WHERE LOT.CODFIL = SLT.FILLOT AND LOT.SEQUEN = SLT.SEQLOT)
WHERE SLT.ATU_EM IS NULL;
   
/*-- SEQ 0165 --*/
-- Tarefa 95023 --
SELECT ENABLETRIGGERS(LOWER('TT_SLT'));

/*-- SEQ 0166 --*/
-- Tarefa 95023 --
ALTER TABLE TT_SLT ALTER COLUMN ATU_EM SET NOT NULL;


/*-- SEQ 0167 --*/
-- Tarefa 95127 --
CREATE TABLE TT_TRN (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    NUMECF CHAR(3),
    TRN_ID Numeric(12,0),
    CODSER CHAR(2),
    CUPFIS CHAR(6),
    TXTTRN TEXT,
    MSGERR VARCHAR(4000),
    FLGEST CHAR(1) DEFAULT 'P',
    DATINC Timestamp
  )  ;

/*-- SEQ 0168 --*/ 
-- Tarefa 95127 --
ALTER TABLE TT_TRN ADD CONSTRAINT PK_TRN PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0169 --*/ 
-- Tarefa 95127 --
CREATE INDEX I_LC_TRN_FILECFID ON TT_TRN (CODFIL, NUMECF, TRN_ID)  ;

/*-- SEQ 0170 --*/ 
-- Tarefa 95127 --
CREATE INDEX I_LC_TRN_CUPFIS ON TT_TRN (CUPFIS)  ;

/*-- SEQ 0171 --*/ 
-- Tarefa 95127 --
ALTER TABLE TT_TRN ADD CONSTRAINT CK_TRN_FLGEST CHECK (FLGEST IN ('P','C','1'));

/*-- SEQ 0172 --*/
-- Tarefa 95127 --
ALTER TABLE TT_TRN ALTER COLUMN NUMECF SET NOT NULL;

/*-- SEQ 0173 --*/
-- Tarefa 95127 --
ALTER TABLE TT_TRN ALTER COLUMN TRN_ID SET NOT NULL;

/*-- SEQ 0174 --*/
-- Tarefa 95127 --
ALTER TABLE TT_TRN ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0175 --*/
-- Tarefa 95127 --
ALTER TABLE TT_TRN ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0176 --*/
-- Tarefa 95127 --
ALTER TABLE TT_TRN ALTER COLUMN TXTTRN SET NOT NULL;

/*-- SEQ 0177 --*/
-- Tarefa 95127 --
CREATE SEQUENCE SQTRN INCREMENT 1 START 1 MINVALUE 1;




/*-- SEQ 0178 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_NFE ADD COLUMN VEN_CODFIL CHAR(3) ;


/*-- SEQ 0179 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_NFE ADD COLUMN VEN_SEQUEN CHAR(10) ;


/*-- SEQ 0180 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD COLUMN IVE_CODFIL CHAR(3) ;


/*-- SEQ 0181 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD COLUMN IVE_SEQUEN CHAR(10) ;


/*-- SEQ 0182 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD COLUMN IVE_NUMITE Numeric(5) ;


/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
ALTER TABLE TT_NFE ADD CONSTRAINT FK_NFE_VEN FOREIGN KEY (VEN_CODFIL,VEN_SEQUEN) REFERENCES TT_VEN (CODFIL,SEQUEN);

/*-- SEQ 0184 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
CREATE INDEX I_FK_NFE_VEN ON TT_NFE (VEN_CODFIL,VEN_SEQUEN)  ;

/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
ALTER TABLE TT_INF ADD CONSTRAINT FK_INF_IVE FOREIGN KEY (IVE_CODFIL,IVE_SEQUEN,IVE_NUMITE) REFERENCES TT_IVE (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0186 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
CREATE INDEX I_FK_INF_IVE ON TT_INF (IVE_CODFIL,IVE_SEQUEN,IVE_NUMITE)  ;


/*-- SEQ 0187 --*/
-- Tarefa 95154 --
ALTER TABLE TT_LOT ADD COLUMN CODEXT VARCHAR(20) ;

 
/*-- SEQ 0188 --*/
-- Tarefa 95154 --
CREATE UNIQUE INDEX I_UQ_LOT_CODEXT ON TT_LOT (CODEXT)  ;


/*-- SEQ 0189 --*/
-- Tarefa 95156 --
CREATE TABLE TI_SLT (
    CODEXT VARCHAR(20),
    CODFIL CHAR(3),
    DESEST VARCHAR(30),
    LANENT VARCHAR(30),
    LANSAI VARCHAR(30),
    QTDEST Numeric(12,4),
    RESERV Numeric(12,4),
    DATCRI Timestamp,
    STATUS Numeric(1) DEFAULT 0,
    MOTREJ VARCHAR(255),
    DATIMP Timestamp
  )  ;

/*-- SEQ 0190 --*/
-- Tarefa 95156 --
ALTER TABLE TI_SLT ALTER COLUMN CODEXT SET NOT NULL;

/*-- SEQ 0191 --*/
-- Tarefa 95156 --
ALTER TABLE TI_SLT ALTER COLUMN CODFIL SET NOT NULL;

/*-- SEQ 0192 --*/
-- Tarefa 95156 --
ALTER TABLE TI_SLT ALTER COLUMN DESEST SET NOT NULL;

/*-- SEQ 0193 --*/
-- Tarefa 95156 --
ALTER TABLE TI_SLT ALTER COLUMN LANENT SET NOT NULL;

/*-- SEQ 0194 --*/
-- Tarefa 95156 --
ALTER TABLE TI_SLT ALTER COLUMN LANSAI SET NOT NULL;

/*-- SEQ 0195 --*/
-- Tarefa 95156 --
ALTER TABLE TI_SLT ALTER COLUMN DATCRI SET NOT NULL;
  
/*-- SEQ 0196 --*/
-- Tarefa 95156 --
ALTER TABLE TI_SLT ALTER COLUMN STATUS SET NOT NULL;

/*-- SEQ 0197 --*/
-- Tarefa 95156 --
CREATE INDEX I_LC_ISLT_CODEXT ON TI_SLT (CODEXT, STATUS )  ;

/*-- SEQ 0198 --*/
-- Tarefa 95156 --
CREATE INDEX I_LC_ISLT_STATUS ON TI_SLT (STATUS, DATCRI )  ;


/*-- SEQ 0199 --*/
-- Tarefa 95155 --
CREATE TABLE TI_LOT (
    CODEXT VARCHAR(20),
    CODFIL CHAR(3),
    GRA_CODEXT VARCHAR(20),
    FOR_CODEXT VARCHAR(20),
    NUMLOT VARCHAR(40),
    TONALI VARCHAR(20),
    TAMANH VARCHAR(20),
    DATVAL Timestamp,
    QTDINI Numeric(12,4),
    FLGPON VARCHAR(1) DEFAULT 'F',
    DATCRI Timestamp,
    STATUS Numeric(1) DEFAULT 0,
    MOTREJ VARCHAR(255),
    DATIMP Timestamp
  )  ;

/*-- SEQ 0200 --*/
-- Tarefa 95155 --
ALTER TABLE TI_LOT ALTER COLUMN CODEXT SET NOT NULL;

/*-- SEQ 0201 --*/
-- Tarefa 95155 --
ALTER TABLE TI_LOT ALTER COLUMN CODFIL SET NOT NULL;

/*-- SEQ 0202 --*/
-- Tarefa 95155 --
ALTER TABLE TI_LOT ALTER COLUMN GRA_CODEXT SET NOT NULL;

/*-- SEQ 0203 --*/
-- Tarefa 95155 --
ALTER TABLE TI_LOT ALTER COLUMN FOR_CODEXT SET NOT NULL;

/*-- SEQ 0204 --*/
-- Tarefa 95155 --
ALTER TABLE TI_LOT ALTER COLUMN NUMLOT SET NOT NULL;

/*-- SEQ 0205 --*/
-- Tarefa 95155 --
ALTER TABLE TI_LOT ALTER COLUMN FLGPON SET NOT NULL;

/*-- SEQ 0206 --*/
-- Tarefa 95155 --
ALTER TABLE TI_LOT ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0207 --*/
-- Tarefa 95155 --
ALTER TABLE TI_LOT ALTER COLUMN STATUS SET NOT NULL;

/*-- SEQ 0208 --*/
-- Tarefa 95155 --
ALTER TABLE TI_LOT ADD CONSTRAINT CK_ILOT_FLGPON CHECK (FLGPON IN ('T','F'));

/*-- SEQ 0209 --*/
-- Tarefa 95155 --
CREATE INDEX I_LC_ILOT_CODEXT ON TI_LOT (CODEXT, STATUS )  ;

/*-- SEQ 0210 --*/
-- Tarefa 95155 --
CREATE INDEX I_LC_ILOT_STATUS ON TI_LOT (STATUS, DATCRI )  ;


/*-- SEQ 0211 --*/
-- Tarefa 95175 --
ALTER TABLE TI_ICO ADD COLUMN LOT_CODEXT VARCHAR(20) ;


/*-- SEQ 0212 --*/
-- Tarefa 95175 --
ALTER TABLE TI_IVE ADD COLUMN LOT_CODEXT VARCHAR(20) ;


/*-- SEQ 0213 --*/
-- Tarefa 95175 --
ALTER TABLE TI_LAN ADD COLUMN LOT_CODEXT VARCHAR(20) ;



/*-- SEQ 0214 --*/
-- Tarefa 95239 --
ALTER TABLE TD_NAT DROP CONSTRAINT CK_DNAT_TIPNAT CASCADE;

/*-- SEQ 0215 --*/
-- Tarefa 95239 --
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_TIPNAT CHECK (TIPNAT IN ('E','S','V','D','F','A','C','M','N','P','R','J','B','O'));	


/*-- SEQ 0216 --*/
-- Tarefa 93756 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD COLUMN GX_CFGMIDDLEWARE_HOST VARCHAR(40) ;


/*-- SEQ 0217 --*/
-- Tarefa 93756 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD COLUMN GX_CFGMIDDLEWARE_PORT Numeric(10) ;




/*-- SEQ 0218 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93869 --
DROP FUNCTION MEDIA_VENDAS_PRODUTO (TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TD_FIL.CODFIL%TYPE,TT_IVE.CODMUL%TYPE,Timestamp,Timestamp,VARCHAR) CASCADE;


/*-- SEQ 0219 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93869 --
DROP FUNCTION TotalVenda (Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,TD_FIL.CODFIL%TYPE) CASCADE;


/*-- SEQ 0220 --*/
-- Tarefa 95198 --
ALTER TABLE TT_LOT ADD COLUMN PERABA Numeric(5,2) ;

 
/*-- SEQ 0221 --*/
-- Tarefa 95198 --
ALTER TABLE TT_LOT ADD CONSTRAINT CK_LOT_PERABA CHECK (PERABA >= 0);


/*-- SEQ 0222 --*/
-- Tarefa 95262 --
ALTER TABLE TT_IOR ADD COLUMN VLRABA Numeric(12,2) ;



/*-- SEQ 0223 --*/
-- Tarefa 95263 --
ALTER TABLE TT_IVE ADD COLUMN VLRABA Numeric(12,2) ;



/*-- SEQ 0224 --*/
-- Tarefa 95232 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0225 --*/
ALTER TABLE TT_CFG ADD COLUMN SEMESTLOTE Numeric(1) DEFAULT 1;

/*-- SEQ 0226 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));
 
/*-- SEQ 0227 --*/
-- Tarefa 95232 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_SEMESTLOTE CHECK (SEMESTLOTE IN (1, 2, 3));
 
/*-- SEQ 0228 --*/
-- Tarefa 95232 --
ALTER TABLE TT_CFG ALTER COLUMN SEMESTLOTE SET NOT NULL;
 
/*-- SEQ 0229 --*/
-- Tarefa 95232 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0230 --*/
ALTER TABLE TW_CFG ADD COLUMN SEMESTLOTE Numeric(1) DEFAULT 1;

/*-- SEQ 0231 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0232 --*/
-- Tarefa 95232 --
ALTER TABLE TT_CFG ADD COLUMN TAMCODLOTE Numeric(2) ;

 
/*-- SEQ 0233 --*/
-- Tarefa 95232 --
ALTER TABLE TW_CFG ADD COLUMN TAMCODLOTE Numeric(2) ;



/*-- SEQ 0234 --*/
-- Tarefa 95206 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0235 --*/
-- Tarefa 95206 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,390)||SUBSTR(PERMIS,169,1)||SUBSTR(PERMIS,392,9999);

/*-- SEQ 0236 --*/
-- Tarefa 95206 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0237 --*/
-- Tarefa 95206 --
SELECT DISABLETRIGGERS(LOWER('TT_PAP'));

/*-- SEQ 0238 --*/
-- Tarefa 95206 --
UPDATE TT_PAP SET PERMIS = SUBSTR(PERMIS,1,390)||SUBSTR(PERMIS,169,1)||SUBSTR(PERMIS,392,9999);

/*-- SEQ 0239 --*/
-- Tarefa 95206 --
SELECT ENABLETRIGGERS(LOWER('TT_PAP'));



/*-- SEQ 0240 --*/
-- Tarefa 95229 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0241 --*/
ALTER TABLE TT_PRO ADD COLUMN LOTONL VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0242 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));
 
/*-- SEQ 0243 --*/
-- Tarefa 95229 --
ALTER TABLE TT_PRO ALTER COLUMN LOTONL SET NOT NULL;
 
/*-- SEQ 0244 --*/
-- Tarefa 95229 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_LOTONL CHECK (LOTONL IN ('T','F'));


/*-- SEQ 0245 --*/
-- Tarefa 95159 --
ALTER TABLE TI_LOT ADD COLUMN PERABA Numeric(5,2) ;

 


/*-- SEQ 0246 --*/
-- Tarefa 95156 --
ALTER TABLE TI_SLT ALTER COLUMN QTDEST SET NOT NULL;


/*-- SEQ 0247 --*/
-- Tarefa 95159 --
ALTER TABLE TI_SLT DROP COLUMN RESERV CASCADE;



/*-- SEQ 0248 --*/
/*-- IGNORE ERRO --*/
/*-- Tarefa 95153 --*/
DROP FUNCTION ALTERAITEM_DAV(TT_IOR.CODFIL%TYPE, TT_IOR.TIPPED%TYPE, TT_IOR.NUMPED%TYPE, 
                             TT_IOR.NUMITE%TYPE, TT_IOR.VLRCUS%TYPE, TT_IOR.VLRPGT%TYPE,
                             TT_IOR.QTDITE%TYPE, TT_IOR.VLRITE%TYPE, TT_IOR.VLRENT%TYPE, 
                             TT_GRA.FILMAT%TYPE, TT_GRA.CODMAT%TYPE, TT_GRA.CODCOR%TYPE,
                             TT_GRA.CODTAM%TYPE, TT_IOR.PROMOC%TYPE, TT_IOR.PREUNI%TYPE,
                             TT_IOR.CODMUL%TYPE, TT_IOR.OBSERV%TYPE, TT_IOR.PERIPI%TYPE,
							 TT_IOR.ASSINA%TYPE, TT_IOR.FLGEST%TYPE) CASCADE;
                             


/*-- SEQ 0249 --*/
-- Tarefa 95127 --
ALTER TABLE TT_TRN ADD CONSTRAINT FK_TRN_DFIL_CODFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0250 --*/
-- Tarefa 95127 --
CREATE INDEX I_FK_TRN_DFIL ON TT_TRN (CODFIL)  ;


/*-- SEQ 0251 --*/
-- Tarefa 95107 --
CREATE INDEX I_FK_VEN_VEN_ORI ON TT_VEN (FILORI,SEQORI)  ;


/*-- SEQ 0252 --*/
-- Tarefa  91227 --
CREATE INDEX I_FK_CFG_DCAI_SANGRIAFECHA ON TT_CFG (CFG_SANGRIAFECHAMENTO)  ;

/*-- SEQ 0253 --*/
-- Tarefa 91227 --
CREATE INDEX I_FK_CFG_DCAI_REFORCOABER ON TT_CFG (CFG_REFORCOABERTURA)  ;


/*-- SEQ 0254 --*/
-- Tarefa 95316--
SELECT ExecAlteraTipoColuna('TR_MOV','VENFIS','Numeric(14, 4)');



/*-- SEQ 0255 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95407 --
SELECT ExecAlteraTipoColuna('TW_COM_FIS','NUMNOT','VARCHAR(9)');



/*-- SEQ 0256 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95464 --
SELECT ExecAlteraTipoColuna('TT_LOT','CODEXT','VARCHAR(40)');


/*-- SEQ 0257 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95464 --
SELECT ExecAlteraTipoColuna('TI_LOT','CODEXT','VARCHAR(40)');


/*-- SEQ 0258 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95464 --
SELECT ExecAlteraTipoColuna('TI_SLT','CODEXT','VARCHAR(40)');



/*-- SEQ 0259 --*/
-- Tarefa 95294 --
SELECT DISABLETRIGGERS(LOWER('TT_JOB'));
                      
/*-- SEQ 0260 --*/
-- Tarefa 95294 --
DELETE FROM TT_JOB
 WHERE NOMJOB = 'JOB_GERACOMISSAODIARIA';
 
/*-- SEQ 0261 --*/
-- Tarefa 95294 --
SELECT ENABLETRIGGERS(LOWER('TT_JOB'));                      


/*-- SEQ 0262 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95433 --
select * from NADA;


/*-- SEQ 0263 --*/
-- Tarefa 95501 --
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0264 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN USALOT VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0265 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0266 --*/
/*--IGNORE ERRO--*/
-- Tarefa 95501 --
ALTER TABLE TI_PRO ADD CONSTRAINT CK_IPRO_USALOT CHECK (USALOT IN ('T','F'));

/*-- SEQ 0267 --*/
/*--IGNORE ERRO--*/
-- Tarefa 95501 --
ALTER TABLE TI_PRO ALTER COLUMN USALOT SET NOT NULL;

/*-- SEQ 0268 --*/
-- Tarefa 95501 --
SELECT DISABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0269 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD COLUMN LOTONL VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0270 --*/
SELECT ENABLETRIGGERS(LOWER('TI_PRO'));

/*-- SEQ 0271 --*/
/*--IGNORE ERRO--*/
-- Tarefa 95501 --
ALTER TABLE TI_PRO ADD CONSTRAINT CK_IPRO_LOTONL CHECK (LOTONL IN ('T','F'));

/*-- SEQ 0272 --*/
/*--IGNORE ERRO--*/
-- Tarefa 95501 --
ALTER TABLE TI_PRO ALTER COLUMN LOTONL SET NOT NULL;


/*-- SEQ 0273 --*/
-- Tarefa 95433 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0274 --*/
-- Tarefa 95433 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,392)||'S'||SUBSTR(PERMIS,394,9999);

/*-- SEQ 0275 --*/
-- Tarefa 95433 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));


-- Tarefa 94625 --
/*-- SEQ 0276 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION TmpUpdProAux () CASCADE;

/*-- SEQ 0277 --*/
CREATE OR REPLACE FUNCTION TmpUpdProAux ()
RETURNS VARCHAR AS $$
DECLARE

    cFilMat TT_PRE.FILMAT%TYPE;         --  PK base: char(3)
    cCodMat TT_PRE.CODMAT%TYPE;         --  PK base: char(5)
    iCodCor TT_GRA.CODCOR%TYPE;         --  PK TT_GRA: Numeric(5)
    iCodTam TT_GRA.CODTAM%TYPE;         --  PK TT_GRA: Numeric(5)
begin
    --  buscando o código do produto auxiliar no TT_CFG
    select CFG.FILMAT_AUX,
           CFG.CODMAT_AUX,
           CFG.CODCOR_AUX,
           CFG.CODTAM_AUX
      into cFilMat,
           cCodMat,
           iCodCor,
           iCodTam
      from TT_CFG CFG
                      
     limit 1
               ;
    --  atualizando o CODNCM em TT_PRO
    update TT_PRO
       set CODNCM = '00'
     where FILMAT = cFilMat
       and CODMAT = cCodMat
       and CODNCM is null;
    --  atualizando o CODNCM em TT_GRA
    update TT_GRA
       set CODNCM = '00'
     where FILMAT = cFilMat
       and CODMAT = cCodMat
       and CODCOR = iCodCor
       and CODTAM = iCodTam
       and CODNCM is null;
    --  retorno da função
    return 'OK';
END;
$$ language 'plpgsql';



/*-- SEQ 0278 --*/
-- Tarefa 94625 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0279 --*/
-- Tarefa 94625 --
SELECT DISABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0280 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select TmpUpdProAux() from dual;


/*-- SEQ 0281 --*/
-- Tarefa 94625 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0282 --*/
-- Tarefa 94625 --
SELECT ENABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0283 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94625 --
DROP FUNCTION TmpUpdProAux () CASCADE;


/*-- SEQ 0284 --*/
-- Tarefa 92964 --
SELECT DISABLETRIGGERS(LOWER('TT_JOB'));

/*-- SEQ 0285 --*/
-- Tarefa 92964 --
INSERT INTO TT_JOB (NOMJOB,DESJOB,ULTEXE,QTDERR,ULTERR)
SELECT 'JOB_CLASSIFICAABCXYZ','Rotina para classificar produtos por ABC e XYZ',Agora(),0,NULL
  FROM DUAL
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TT_JOB
                    WHERE NOMJOB = 'JOB_CLASSIFICAABCXYZ');
/*-- SEQ 0286 --*/
-- Tarefa 92964 --
SELECT ENABLETRIGGERS(LOWER('TT_JOB'));                


/*-- SEQ 0287 --*/
-- Tarefa 93917 --
SELECT DISABLETRIGGERS(LOWER('TT_JOB'));

/*-- SEQ 0288 --*/
-- Tarefa 93917 --
INSERT INTO TT_JOB (NOMJOB,DESJOB,ULTEXE,QTDERR,ULTERR)
SELECT 'JOB_CALCULATRACKINGSIGNAL','Rotina para calcular Tracking Signal dos produtos',Agora(),0,NULL
  FROM DUAL
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TT_JOB
                    WHERE NOMJOB = 'JOB_CALCULATRACKINGSIGNAL');

/*-- SEQ 0289 --*/
-- Tarefa 93917 --
SELECT ENABLETRIGGERS(LOWER('TT_JOB'));



/*-- SEQ 0290 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93768 --
DROP FUNCTION InsereDiasUteisFilial (TT_UTL.CODFIL%TYPE,TT_UTL.DATOPE%TYPE,TT_UTL.DATOPE%TYPE,VARCHAR) CASCADE;

/*-- SEQ 0291 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93768 --
DROP FUNCTION TGFER() CASCADE;

/*-- SEQ 0292 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93768 --
DROP FUNCTION TGFER2() CASCADE;


/*-- SEQ 0293 --*/
-- Tarefa 95660 --
SELECT DISABLETRIGGERS(LOWER('TD_SAD'));

/*-- SEQ 0294 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_SAD ADD COLUMN FLGPES CHAR(1) DEFAULT 'A';

/*-- SEQ 0295 --*/
SELECT ENABLETRIGGERS(LOWER('TD_SAD'));

/*-- SEQ 0296 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95660 --
ALTER TABLE TD_SAD ALTER COLUMN FLGPES SET NOT NULL;

/*-- SEQ 0297 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95660 --
ALTER TABLE TD_SAD ADD CONSTRAINT CK_DSAD_FLGPES CHECK (FLGPES IN ('A','F','J'));

/*-- SEQ 0298 --*/
-- Tarefa 95660 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SAD ADD COLUMN CODSEG VARCHAR(25) ;



/*-- SEQ 0299 --*/
-- Tarefa 95497 --
SELECT DISABLETRIGGERS(LOWER('TT_SAV'));

/*-- SEQ 0300 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SAV ADD COLUMN EXPORT VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0301 --*/
SELECT ENABLETRIGGERS(LOWER('TT_SAV'));

/*-- SEQ 0302 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV ALTER COLUMN EXPORT SET NOT NULL;

/*-- SEQ 0303 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV ADD CONSTRAINT CK_SAV_EXPORT CHECK (EXPORT IN ('T','F'));

/*-- SEQ 0304 --*/
-- Tarefa 95497 --
SELECT DISABLETRIGGERS(LOWER('TT_SAV'));

/*-- SEQ 0305 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SAV ADD COLUMN EXPCAN VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0306 --*/
SELECT ENABLETRIGGERS(LOWER('TT_SAV'));

/*-- SEQ 0307 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV ALTER COLUMN EXPCAN SET NOT NULL;

/*-- SEQ 0308 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV ADD CONSTRAINT CK_SAV_EXPCAN CHECK (EXPORT IN ('T','F'));

/*-- SEQ 0309 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
CREATE INDEX I_LC_SAV_EXPORT ON TT_SAV (EXPORT)  ;

/*-- SEQ 0310 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
CREATE INDEX I_LC_SAV_EXPCAN ON TT_SAV (EXPCAN)  ;


/*-- SEQ 0311 --*/
-- Tarefa 94451 --
ALTER TABLE TT_RDV DROP CONSTRAINT CK_RDV_TIPRDV CASCADE;

/*-- SEQ 0312 --*/
-- Tarefa 94451 --
ALTER TABLE TT_RDV ADD CONSTRAINT CK_RDV_TIPRDV CHECK (TIPRDV IN ('A', 'B', 'C', 'D', 'E', 'H', 'M', 'O', 'S', 'U', 'V', '1', '2', '3', '4', '5', '9', 'X'));

/*-- SEQ 0313 --*/
-- Tarefa 94451 --
SELECT ExecAlteraTipoColuna('TT_ILI','CODEXT','VARCHAR(40)');


/*-- SEQ 0314 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94451 --
ALTER TABLE TT_LIS ALTER COLUMN DATVAL SET NOT NULL;

/*-- SEQ 0315 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94451 --
ALTER TABLE TT_LIS ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0316 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94451 --
ALTER TABLE TT_ILI ALTER COLUMN SITMOV SET NOT NULL;


/*-- SEQ 0317 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94465 --
ALTER TABLE TT_SLI ALTER COLUMN DESLPR SET NOT NULL;

/*-- SEQ 0318 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94465 --
ALTER TABLE TT_SLI ALTER COLUMN SIGNAT SET NOT NULL;

