
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
DROP FUNCTION TmpUpdProAux () CASCADE;

/*-- SEQ 0002 --*/
CREATE OR REPLACE FUNCTION TmpUpdProAux ()
RETURNS VARCHAR AS $$
DECLARE

-- Tarefa 95574 --
    cFilMat TT_PRE.FILMAT%TYPE;         --  PK base: char(3)
    cCodMat TT_PRE.CODMAT%TYPE;         --  PK base: char(5)
    iCodCor TT_GRA.CODCOR%TYPE;         --  PK TT_GRA: Numeric(5)
    iCodTam TT_GRA.CODTAM%TYPE;         --  PK TT_GRA: Numeric(5)
begin
    --  buscando o código do produto auxiliar no TT_CFG
    select CFG.FILMAT_AUX,
           CFG.CODMAT_AUX,
           CFG.CODCOR_AUX,
           CFG.CODTAM_AUX
      into cFilMat,
           cCodMat,
           iCodCor,
           iCodTam
      from TT_CFG CFG
                      
     limit 1
               ;
    --  atualizando o CODNCM em TT_PRO
    update TT_PRO
       set CODNCM = '00'
     where FILMAT = cFilMat
       and CODMAT = cCodMat
       and CODNCM is null;
    --  atualizando o CODNCM em TT_GRA
    update TT_GRA
       set CODNCM = '00'
     where FILMAT = cFilMat
       and CODMAT = cCodMat
       and CODCOR = iCodCor
       and CODTAM = iCodTam
       and CODNCM is null;
    --  retorno da função
    return 'OK';
END;
$$ language 'plpgsql';



/*-- SEQ 0003 --*/
-- Tarefa 95574 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0004 --*/
-- Tarefa 95574 --
SELECT DISABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0005 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95574 --
select TmpUpdProAux() from dual;


/*-- SEQ 0006 --*/
-- Tarefa 95574 --
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0007 --*/
-- Tarefa 95574 --
SELECT ENABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95574 --
DROP FUNCTION TmpUpdProAux () CASCADE;


/*-- SEQ 0009 --*/
-- Tarefa 92964 --
SELECT DISABLETRIGGERS(LOWER('TT_JOB'));

/*-- SEQ 0010 --*/
-- Tarefa 92964 --
INSERT INTO TT_JOB (NOMJOB,DESJOB,ULTEXE,QTDERR,ULTERR)
SELECT 'JOB_CLASSIFICAABCXYZ','Rotina para classificar produtos por ABC e XYZ',Agora(),0,NULL
  FROM DUAL
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TT_JOB
                    WHERE NOMJOB = 'JOB_CLASSIFICAABCXYZ');
/*-- SEQ 0011 --*/
-- Tarefa 92964 --
SELECT ENABLETRIGGERS(LOWER('TT_JOB'));                


/*-- SEQ 0012 --*/
-- Tarefa 93917 --
SELECT DISABLETRIGGERS(LOWER('TT_JOB'));

/*-- SEQ 0013 --*/
-- Tarefa 93917 --
INSERT INTO TT_JOB (NOMJOB,DESJOB,ULTEXE,QTDERR,ULTERR)
SELECT 'JOB_CALCULATRACKINGSIGNAL','Rotina para calcular Tracking Signal dos produtos',Agora(),0,NULL
  FROM DUAL
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TT_JOB
                    WHERE NOMJOB = 'JOB_CALCULATRACKINGSIGNAL');

/*-- SEQ 0014 --*/
-- Tarefa 93917 --
SELECT ENABLETRIGGERS(LOWER('TT_JOB'));


/*-- SEQ 0015 --*/
-- Tarefa 91225 --
ALTER TABLE TT_PLA ADD COLUMN PLAOUT Numeric(5) ;


/*-- SEQ 0016 --*/
-- Tarefa 91225 --
ALTER TABLE TT_PLA ADD CONSTRAINT FK_PLA_DOUT FOREIGN KEY (PLAOUT) REFERENCES TD_OUT(CODTAB);

/*-- SEQ 0017 --*/
-- Tarefa 91225 --
CREATE INDEX I_FK_PLA_DOUT ON TT_PLA(PLAOUT)  ;

/*-- SEQ 0018 --*/
-- Tarefa 91225 --
ALTER TABLE TT_LID ADD COLUMN INSTAL Numeric(5) ;


/*-- SEQ 0019 --*/
-- Tarefa 91225 --
ALTER TABLE TT_LID ADD COLUMN C4G_ID Numeric(10) ;


/*-- SEQ 0020 --*/
-- Tarefa 91225 --
CREATE SEQUENCE SQLID INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0021 --*/
-- Tarefa 91225 --
SELECT DISABLETRIGGERS(LOWER('TT_LID'));

/*-- SEQ 0022 --*/
-- Tarefa 91225 --
UPDATE TT_LID
   SET INSTAL = 1
 WHERE INSTAL IS NULL;

/*-- SEQ 0023 --*/
-- Tarefa 91225 --
SELECT ENABLETRIGGERS(LOWER('TT_LID'));

/*-- SEQ 0024 --*/
-- Tarefa 91225 --
SELECT DISABLETRIGGERS(LOWER('TT_LID'));

/*-- SEQ 0025 --*/
-- Tarefa 91225 --
UPDATE TT_LID
   SET C4G_ID = NEXTVAL('SQLID')
 WHERE C4G_ID IS NULL;

/*-- SEQ 0026 --*/
-- Tarefa 91225 --
SELECT ENABLETRIGGERS(LOWER('TT_LID'));

/*-- SEQ 0027 --*/
-- Tarefa 91225 --
CREATE UNIQUE INDEX I_UQ_LID_CODNUMINSC4G ON TT_LID (CODFIL, NUMECF, INSTAL, C4G_ID)  ;



/*-- SEQ 0028 --*/
-- Tarefa 95580 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN TIPSUGPRO Numeric(1) DEFAULT 0;

/*-- SEQ 0030 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0031 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95580 --
ALTER TABLE TT_CFG ALTER COLUMN TIPSUGPRO SET NOT NULL;

/*-- SEQ 0032 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95580 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_TIPSUGPRO CHECK (TIPSUGPRO IN ('0','1','2'));

/*-- SEQ 0033 --*/
-- Tarefa 95580 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN TIPSUGPRO Numeric(1) DEFAULT 0;

/*-- SEQ 0035 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0036 --*/
-- Tarefa 95585 --
SELECT DISABLETRIGGERS(LOWER('TT_IOR'));

/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD COLUMN PROSUG VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0038 --*/
SELECT ENABLETRIGGERS(LOWER('TT_IOR'));

/*-- SEQ 0039 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95585 --
ALTER TABLE TT_IOR ALTER COLUMN PROSUG SET NOT NULL;

/*-- SEQ 0040 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95585 --
ALTER TABLE TT_IOR ADD CONSTRAINT CK_IOR_PROSUG CHECK (PROSUG IN ('T','F'));


/*-- SEQ 0041 --*/
-- Tarefa 91215 --
CREATE INDEX I_LC_FIN_NUMDOC ON TT_FIN (NUMDOC)  ;


/*-- SEQ 0042 --*/
-- Tarefa 91224 --
ALTER TABLE TD_FIL ADD COLUMN INTSIN Numeric(5) ;


/*-- SEQ 0043 --*/
-- Tarefa 91224 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_INTSIN CHECK ((INTSIN >= 0) OR (INTSIN IS NULL));

/*-- SEQ 0044 --*/
-- Tarefa 91224 --
ALTER TABLE TD_FIL ADD COLUMN OBS_DES_ST VARCHAR(254) ;


/*-- SEQ 0045 --*/
-- Tarefa 91224 --
ALTER TABLE TD_FIL ADD COLUMN OBS_ST_DEV VARCHAR(254) ;


/*-- SEQ 0046 --*/
-- Tarefa 91224 --
ALTER TABLE TD_FIL ADD COLUMN OBS_PERDAS VARCHAR(254) ;


/*-- SEQ 0047 --*/
-- Tarefa 91224 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0048 --*/
ALTER TABLE TD_FIL ADD COLUMN ST_INTERESTADUAL VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0049 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0050 --*/
-- Tarefa 91224 --
ALTER TABLE TD_FIL ALTER COLUMN ST_INTERESTADUAL SET NOT NULL;

/*-- SEQ 0051 --*/
-- Tarefa 91224 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_ST_INTERESTADUAL CHECK (ST_INTERESTADUAL IN ('F','T'));

/*-- SEQ 0052 --*/
-- Tarefa 91224 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0053 --*/
ALTER TABLE TD_FIL ADD COLUMN SEGMENTO Numeric(2) DEFAULT 99;

/*-- SEQ 0054 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0055 --*/
-- Tarefa 91224 --
ALTER TABLE TD_FIL ALTER COLUMN SEGMENTO SET NOT NULL;

/*-- SEQ 0056 --*/
-- Tarefa 91224 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_SEGMENTO CHECK (SEGMENTO IN (1,2,3,99));



/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93768 --
DROP FUNCTION InsereDiasUteisFilial (TT_UTL.CODFIL%TYPE,TT_UTL.DATOPE%TYPE,TT_UTL.DATOPE%TYPE,VARCHAR) CASCADE;

/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93768 --
DROP FUNCTION TGFER() CASCADE;

/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93768 --
DROP FUNCTION TGFER2() CASCADE;


/*-- SEQ 0060 --*/
-- Tarefa 91226 --
ALTER TABLE TD_CAR ADD COLUMN CARLET CHAR(1) ;


/*-- SEQ 0061 --*/
-- Tarefa 91226 --
ALTER TABLE TD_CAR ADD CONSTRAINT CK_DCAR_CARLET CHECK ((CARLET >= 'A') AND (CARLET <= 'Z'));

/*-- SEQ 0062 --*/
-- Tarefa 91226 --
CREATE UNIQUE INDEX I_UQ_DCAR_CARLET ON TD_CAR (CARLET)  ;

/*-- SEQ 0063 --*/
-- Tarefa 91226 --
ALTER TABLE TD_MOE ADD COLUMN MOELET CHAR(1) ;


/*-- SEQ 0064 --*/
-- Tarefa 91226 --
ALTER TABLE TD_MOE ADD CONSTRAINT CK_DMOE_MOELET CHECK ((MOELET >= 'A') AND (MOELET <= 'Z'));

/*-- SEQ 0065 --*/
-- Tarefa 91226 --
CREATE UNIQUE INDEX I_UQ_DMOE_MOELET ON TD_MOE (MOELET)  ;

/*-- SEQ 0066 --*/
-- Tarefa 91226 --
ALTER TABLE TD_OUT ADD COLUMN OUTLET CHAR(1) ;


/*-- SEQ 0067 --*/
-- Tarefa 91226 --
ALTER TABLE TD_OUT ADD CONSTRAINT CK_DOUT_OUTLET CHECK ((OUTLET >= 'A') AND (OUTLET <= 'Z'));

/*-- SEQ 0068 --*/
-- Tarefa 91226 --
CREATE UNIQUE INDEX I_UQ_DOUT_OUTLET ON TD_OUT (OUTLET)  ;

/*-- SEQ 0069 --*/
-- Tarefa 91226 --
ALTER TABLE TD_CCC ADD COLUMN CCCLET CHAR(1) ;


/*-- SEQ 0070 --*/
-- Tarefa 91226 --
ALTER TABLE TD_CCC ADD CONSTRAINT CK_DCCC_CCCLET CHECK ((CCCLET >= 'A') AND (CCCLET <= 'Z'));

/*-- SEQ 0071 --*/
-- Tarefa 91226 --
CREATE UNIQUE INDEX I_UQ_DCCC_CCCLET ON TD_CCC (CCCLET)  ;

/*-- SEQ 0072 --*/
-- Tarefa 91226 --
ALTER TABLE TD_CAR ADD COLUMN CARIMG VARCHAR(255) ;


/*-- SEQ 0073 --*/
-- Tarefa 91226 --
ALTER TABLE TD_MOE ADD COLUMN MOEIMG VARCHAR(255) ;


/*-- SEQ 0074 --*/
-- Tarefa 91226 --
ALTER TABLE TD_OUT ADD COLUMN OUTIMG VARCHAR(255) ;


/*-- SEQ 0075 --*/
-- Tarefa 91226 --
ALTER TABLE TD_CCC ADD COLUMN CCCIMG VARCHAR(255) ;


/*-- SEQ 0076 --*/
-- Tarefa 91226 --
ALTER TABLE TD_CAR ADD COLUMN CARLIM Numeric(14,2) ;


/*-- SEQ 0077 --*/
-- Tarefa 91226 --
ALTER TABLE TD_MOE ADD COLUMN MOELIM Numeric(14,2) ;


/*-- SEQ 0078 --*/
-- Tarefa 91226 --
ALTER TABLE TD_OUT ADD COLUMN OUTLIM Numeric(14,2) ;


/*-- SEQ 0079 --*/
-- Tarefa 91226 --
ALTER TABLE TD_CCC ADD COLUMN CCCLIM Numeric(14,2) ;


/*-- SEQ 0080 --*/
-- Tarefa 91226 --
SELECT DISABLETRIGGERS(LOWER('TD_CAR'));

/*-- SEQ 0081 --*/
ALTER TABLE TD_CAR ADD COLUMN CARNIV Numeric(1) DEFAULT 1;

/*-- SEQ 0082 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CAR'));

/*-- SEQ 0083 --*/
-- Tarefa 91226 -- 
ALTER TABLE TD_CAR ALTER COLUMN CARNIV SET NOT NULL;

/*-- SEQ 0084 --*/
-- Tarefa 91226 --
ALTER TABLE TD_CAR ADD CONSTRAINT CK_DCAR_CARNIV CHECK ((CARNIV = 1) OR (CARNIV = 2));

/*-- SEQ 0085 --*/
-- Tarefa 91226 --
SELECT DISABLETRIGGERS(LOWER('TD_MOE'));

/*-- SEQ 0086 --*/
ALTER TABLE TD_MOE ADD COLUMN MOENIV Numeric(1) DEFAULT 1;

/*-- SEQ 0087 --*/
SELECT ENABLETRIGGERS(LOWER('TD_MOE'));

/*-- SEQ 0088 --*/
-- Tarefa 91226 -- 
ALTER TABLE TD_MOE ALTER COLUMN MOENIV SET NOT NULL;

/*-- SEQ 0089 --*/
-- Tarefa 91226 --
ALTER TABLE TD_MOE ADD CONSTRAINT CK_DMOE_MOENIV CHECK ((MOENIV = 1) OR (MOENIV = 2));

/*-- SEQ 0090 --*/
-- Tarefa 91226 --
SELECT DISABLETRIGGERS(LOWER('TD_OUT'));

/*-- SEQ 0091 --*/
ALTER TABLE TD_OUT ADD COLUMN OUTNIV Numeric(1) DEFAULT 1;

/*-- SEQ 0092 --*/
SELECT ENABLETRIGGERS(LOWER('TD_OUT'));

/*-- SEQ 0093 --*/
-- Tarefa 91226 -- 
ALTER TABLE TD_OUT ALTER COLUMN OUTNIV SET NOT NULL;

/*-- SEQ 0094 --*/
-- Tarefa 91226 --
ALTER TABLE TD_OUT ADD CONSTRAINT CK_DOUT_OUTNIV CHECK ((OUTNIV = 1) OR (OUTNIV = 2));

/*-- SEQ 0095 --*/
-- Tarefa 91226 --
SELECT DISABLETRIGGERS(LOWER('TD_CCC'));

/*-- SEQ 0096 --*/
ALTER TABLE TD_CCC ADD COLUMN CCCNIV Numeric(1) DEFAULT 1;

/*-- SEQ 0097 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CCC'));

/*-- SEQ 0098 --*/
-- Tarefa 91226 -- 
ALTER TABLE TD_CCC ALTER COLUMN CCCNIV SET NOT NULL;

/*-- SEQ 0099 --*/
-- Tarefa 91226 --
ALTER TABLE TD_CCC ADD CONSTRAINT CK_DCCC_CCCNIV CHECK ((CCCNIV = 1) OR (CCCNIV = 2));

/*-- SEQ 0100 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB ADD COLUMN CARLET CHAR(1) ;


/*-- SEQ 0101 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB ADD COLUMN CARIMG VARCHAR(255) ;


/*-- SEQ 0102 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB ADD COLUMN CARLIM Numeric(14,2) ;


/*-- SEQ 0103 --*/
-- Tarefa 91226 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0104 --*/
ALTER TABLE TW_TAB ADD COLUMN CARNIV Numeric(1) DEFAULT 1;

/*-- SEQ 0105 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0106 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB ADD COLUMN MOELET CHAR(1) ;


/*-- SEQ 0107 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB ADD COLUMN MOEIMG VARCHAR(255) ;


/*-- SEQ 0108 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB ADD COLUMN MOELIM Numeric(14,2) ;


/*-- SEQ 0109 --*/
-- Tarefa 91226 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0110 --*/
ALTER TABLE TW_TAB ADD COLUMN MOENIV Numeric(1) DEFAULT 1;

/*-- SEQ 0111 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0112 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB ADD COLUMN OUTLET CHAR(1) ;


/*-- SEQ 0113 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB ADD COLUMN OUTIMG VARCHAR(255) ;


/*-- SEQ 0114 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB ADD COLUMN OUTLIM Numeric(14,2) ;


/*-- SEQ 0115 --*/
-- Tarefa 91226 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0116 --*/
ALTER TABLE TW_TAB ADD COLUMN OUTNIV Numeric(1) DEFAULT 1;

/*-- SEQ 0117 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0118 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB ADD COLUMN CCCLET CHAR(1) ;


/*-- SEQ 0119 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB ADD COLUMN CCCIMG VARCHAR(255) ;


/*-- SEQ 0120 --*/
-- Tarefa 91226 --
ALTER TABLE TW_TAB ADD COLUMN CCCLIM Numeric(14,2) ;


/*-- SEQ 0121 --*/
-- Tarefa 91226 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0122 --*/
ALTER TABLE TW_TAB ADD COLUMN CCCNIV Numeric(1) DEFAULT 1;

/*-- SEQ 0123 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));


/*-- SEQ 0124 --*/
-- Tarefa 91222 --
ALTER TABLE TD_RTT ADD COLUMN RTTDIG VARCHAR(200) ;


/*-- SEQ 0125 --*/
-- Tarefa 91222 --
SELECT DISABLETRIGGERS(LOWER('TD_RTT'));

/*-- SEQ 0126 --*/
ALTER TABLE TD_RTT ADD COLUMN RTTTEF VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0127 --*/
SELECT ENABLETRIGGERS(LOWER('TD_RTT'));

/*-- SEQ 0128 --*/
-- Tarefa 91222 --
ALTER TABLE TD_RTT ALTER COLUMN RTTTEF SET NOT NULL;

/*-- SEQ 0129 --*/
-- Tarefa 91222 --
ALTER TABLE TD_RTT ADD CONSTRAINT CK_DRTT_RTTTEF CHECK (RTTTEF IN ('F','T'));

/*-- SEQ 0130 --*/
-- Tarefa 91222 --
ALTER TABLE TD_RTT ADD COLUMN RTTBAR VARCHAR(200) ;


/*-- SEQ 0131 --*/
-- Tarefa 91222 --
SELECT DISABLETRIGGERS(LOWER('TD_RTT'));

/*-- SEQ 0132 --*/
ALTER TABLE TD_RTT ADD COLUMN RTTTIP Numeric(1) DEFAULT 0;

/*-- SEQ 0133 --*/
SELECT ENABLETRIGGERS(LOWER('TD_RTT'));

/*-- SEQ 0134 --*/
-- Tarefa 91222 --
ALTER TABLE TD_RTT ALTER COLUMN RTTTIP SET NOT NULL;

/*-- SEQ 0135 --*/
-- Tarefa 91222 --
ALTER TABLE TD_RTT ADD CONSTRAINT CK_DRTT_RTTTIP CHECK (RTTTIP IN (0,1,2,3,4));

/*-- SEQ 0136 --*/
-- Tarefa 91222 --
ALTER TABLE TD_CAR ADD COLUMN REGCAR VARCHAR(15) ;


/*-- SEQ 0137 --*/
-- Tarefa 91222 --
SELECT DISABLETRIGGERS(LOWER('TD_CAR'));

/*-- SEQ 0138 --*/
ALTER TABLE TD_CAR ADD COLUMN MINAUT Numeric(2) DEFAULT 4;

/*-- SEQ 0139 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CAR'));

/*-- SEQ 0140 --*/
-- Tarefa 91222 --
ALTER TABLE TD_CAR ALTER COLUMN MINAUT SET NOT NULL;

/*-- SEQ 0141 --*/
-- Tarefa 91222 --
ALTER TABLE TD_CAR ADD CONSTRAINT CK_DCAR_MINAUT CHECK (MINAUT >= 0);

/*-- SEQ 0142 --*/
-- Tarefa 91222 --
ALTER TABLE TW_TAB ADD COLUMN RTTDIG VARCHAR(200) ;


/*-- SEQ 0143 --*/
-- Tarefa 91222 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0144 --*/
ALTER TABLE TW_TAB ADD COLUMN RTTTEF VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0145 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0146 --*/
-- Tarefa 91222 --
ALTER TABLE TW_TAB ADD COLUMN RTTBAR VARCHAR(200) ;


/*-- SEQ 0147 --*/
-- Tarefa 91222 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0148 --*/
ALTER TABLE TW_TAB ADD COLUMN RTTTIP Numeric(1) DEFAULT 0;

/*-- SEQ 0149 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0150 --*/
-- Tarefa 91222 --
ALTER TABLE TW_TAB ADD COLUMN REGCAR VARCHAR(15) ;


/*-- SEQ 0151 --*/
-- Tarefa 91222 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0152 --*/
ALTER TABLE TW_TAB ADD COLUMN MINAUT Numeric(2) DEFAULT 4;

/*-- SEQ 0153 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));


/*-- SEQ 0154 --*/
-- Tarefa 91223 --
ALTER TABLE TD_OUT ADD COLUMN REGOUT VARCHAR(15) ;


/*-- SEQ 0155 --*/
-- Tarefa 91223 --
SELECT DISABLETRIGGERS(LOWER('TD_ECF'));

/*-- SEQ 0156 --*/
ALTER TABLE TD_ECF ADD COLUMN NIVLOG Numeric(1) DEFAULT 3;

/*-- SEQ 0157 --*/
SELECT ENABLETRIGGERS(LOWER('TD_ECF'));

/*-- SEQ 0158 --*/
-- Tarefa 91223 --
ALTER TABLE TD_ECF ALTER COLUMN NIVLOG SET NOT NULL;

/*-- SEQ 0159 --*/
-- Tarefa 91223 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_NIVLOG CHECK (NIVLOG IN (0,1,2,3,9));

/*-- SEQ 0160 --*/
-- Tarefa 91223 --
SELECT DISABLETRIGGERS(LOWER('TD_CCC'));

/*-- SEQ 0161 --*/
ALTER TABLE TD_CCC ADD COLUMN CCCCAI VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0162 --*/
SELECT ENABLETRIGGERS(LOWER('TD_CCC'));

/*-- SEQ 0163 --*/
-- Tarefa 91223 --
ALTER TABLE TD_CCC ALTER COLUMN CCCCAI SET NOT NULL;

/*-- SEQ 0164 --*/
-- Tarefa 91223 --
ALTER TABLE TD_CCC ADD CONSTRAINT CK_DCC_CCCCAI CHECK (CCCCAI IN ('F','T'));

/*-- SEQ 0165 --*/
-- Tarefa 91223 --
ALTER TABLE TW_TAB ADD COLUMN REGOUT VARCHAR(15) ;


/*-- SEQ 0166 --*/
-- Tarefa 91223 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0167 --*/
ALTER TABLE TW_TAB ADD COLUMN NIVLOG Numeric(1) DEFAULT 3;

/*-- SEQ 0168 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0169 --*/
-- Tarefa 91223 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0170 --*/
ALTER TABLE TW_TAB ADD COLUMN CCCCAI VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0171 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));



/*-- SEQ 0172 --*/
-- Tarefa 95594 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IBP ADD COLUMN ALIFEDNAC Numeric(4,2) ;


/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD CONSTRAINT CK_IBP_ALIFEDNAC CHECK ((ALIFEDNAC >= 0) OR (ALIFEDNAC IS NULL));

/*-- SEQ 0174 --*/
-- Tarefa 95594 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IBP ADD COLUMN ALIFEDIMP Numeric(4,2) ;


/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD CONSTRAINT CK_IBP_ALIFEDIMP CHECK ((ALIFEDIMP >= 0) OR (ALIFEDIMP IS NULL));

/*-- SEQ 0176 --*/
-- Tarefa 95594 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IBP ADD COLUMN ALIEST Numeric(4,2) ;


/*-- SEQ 0177 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD CONSTRAINT CK_IBP_ALIEST CHECK ((ALIEST >= 0) OR (ALIEST IS NULL));

/*-- SEQ 0178 --*/
-- Tarefa 95594 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IBP ADD COLUMN ALIMUN Numeric(4,2) ;


/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD CONSTRAINT CK_IBP_ALIMUN CHECK ((ALIMUN >= 0) OR (ALIMUN IS NULL));

/*-- SEQ 0180 --*/
-- Tarefa 95594 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IBP ADD COLUMN DATINI Timestamp ;


/*-- SEQ 0181 --*/
-- Tarefa 95594 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IBP ADD COLUMN DATFIM Timestamp ;


/*-- SEQ 0182 --*/
-- Tarefa 95594 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IBP ADD COLUMN CHAVE CHAR(6) ;


/*-- SEQ 0183 --*/
-- Tarefa 95594 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IBP ADD COLUMN VERSAO VARCHAR(6) ;


/*-- SEQ 0184 --*/
-- Tarefa 95594 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IBP ADD COLUMN FONTE VARCHAR(34) ;


/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95594 --
CREATE INDEX I_LC_IBP_DATINI ON TT_IBP (DATINI)  ;

/*-- SEQ 0186 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ALTER COLUMN ALINAC DROP NOT NULL;

/*-- SEQ 0187 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ALTER COLUMN ALIIMP DROP NOT NULL;


/*-- SEQ 0188 --*/
-- Tarefa 95604 --
SELECT DISABLETRIGGERS(LOWER('TT_IBP'));

/*-- SEQ 0189 --*/
-- Tarefa 95604 --
UPDATE TT_IBP
   SET DATINI = TO_DATE('01/07/2013','DD/MM/YYYY'),
       DATFIM = TO_DATE('31/12/2014','DD/MM/YYYY')
     WHERE DATINI IS NULL;

/*-- SEQ 0190 --*/
-- Tarefa 95604 --
SELECT ENABLETRIGGERS(LOWER('TT_IBP'));


/*-- SEQ 0191 --*/
-- Tarefa 95598 --
SELECT DISABLETRIGGERS(LOWER('TT_USU'));

/*-- SEQ 0192 --*/
-- Tarefa 95598 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,393)||'S'||SUBSTR(PERMIS,395,9999);

/*-- SEQ 0193 --*/
-- Tarefa 95598 --
SELECT ENABLETRIGGERS(LOWER('TT_USU'));


/*-- SEQ 0194 --*/
-- Tarefa 91217 --
CREATE TABLE TD_IMG (
  CODIMG Numeric(5),
  DESIMG VARCHAR(15),
  LETIMG CHAR(1),
  NOMIMG VARCHAR(255),
  IMGATI VARCHAR(1) DEFAULT 'T')
   ;

/*-- SEQ 0195 --*/
-- Tarefa 91217 --
ALTER TABLE TD_IMG ADD CONSTRAINT PK_DIMG PRIMARY KEY (CODIMG);

/*-- SEQ 0196 --*/
-- Tarefa 91217 -- 
ALTER TABLE TD_IMG ALTER COLUMN DESIMG SET NOT NULL;

/*-- SEQ 0197 --*/
-- Tarefa 91217 -- 
ALTER TABLE TD_IMG ALTER COLUMN IMGATI SET NOT NULL;

/*-- SEQ 0198 --*/
-- Tarefa 91217 --
ALTER TABLE TD_IMG ADD CONSTRAINT CK_DIMG_IMGATI CHECK (IMGATI IN ('T','F'));

/*-- SEQ 0199 --*/
-- Tarefa 91217 -- 
ALTER TABLE TD_IMG ALTER COLUMN LETIMG SET NOT NULL;
 
/*-- SEQ 0200 --*/
-- Tarefa 91217 --
ALTER TABLE TD_IMG ADD CONSTRAINT CK_DIMG_LETIMG CHECK ((LETIMG >= 'A') AND (LETIMG <= 'Z'));

/*-- SEQ 0201 --*/
-- Tarefa 91217 --
CREATE UNIQUE INDEX I_UQ_DIMG_LETIMG ON TD_IMG (LETIMG)  ;

/*-- SEQ 0202 --*/
-- Tarefa 91217--
ALTER TABLE TW_TAB ADD COLUMN CODIMG Numeric(5) ;


/*-- SEQ 0203 --*/
-- Tarefa 91217--
ALTER TABLE TW_TAB ADD COLUMN DESIMG VARCHAR(15) ;


/*-- SEQ 0204 --*/
-- Tarefa 91217--
ALTER TABLE TW_TAB ADD COLUMN LETIMG CHAR(1) ;


/*-- SEQ 0205 --*/
-- Tarefa 91217--
ALTER TABLE TW_TAB ADD COLUMN NOMIMG VARCHAR(255) ;


/*-- SEQ 0206 --*/
-- Tarefa 91217--
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0207 --*/
ALTER TABLE TW_TAB ADD COLUMN IMGATI VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0208 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0209 --*/
-- Tarefa 91217 --
INSERT INTO TD_IMG (CODIMG, DESIMG, LETIMG, NOMIMG, IMGATI)  
  (SELECT 0, 'NÃO USA', 'A', '', 'T'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_IMG
                       WHERE CODIMG= '0')); 






/*-- SEQ 0210 --*/
-- Tarefa 91221 --
SELECT DISABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0211 --*/
ALTER TABLE TT_PRO ADD COLUMN CODIMG Numeric(5) DEFAULT 0;

/*-- SEQ 0212 --*/
SELECT ENABLETRIGGERS(LOWER('TT_PRO'));

/*-- SEQ 0213 --*/
-- Tarefa 91221 --
ALTER TABLE TT_PRO ALTER COLUMN CODIMG SET NOT NULL;

/*-- SEQ 0214 --*/
-- Tarefa 91221 --
ALTER TABLE TT_PRO ADD CONSTRAINT FK_PRO_DIMG FOREIGN KEY (CODIMG) REFERENCES TD_IMG(CODIMG);

/*-- SEQ 0215 --*/
-- Tarefa 91221 --
ALTER TABLE TT_GRA ADD COLUMN IMGGRU VARCHAR(255) ;



/*-- SEQ 0216 --*/
-- Tarefa 95652 --
ALTER TABLE TD_NAT ADD COLUMN NATMEN Numeric(2) ;


/*-- SEQ 0217 --*/
-- Tarefa 95652 --
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_NATMEN CHECK ((NATMEN >= 01 ) AND (NATMEN <= 99));

/*-- SEQ 0218 --*/
-- Tarefa 95652 --
CREATE UNIQUE INDEX I_UQ_DNAT_NATMEN ON TD_NAT (NATMEN)  ;

/*-- SEQ 0219 --*/
-- Tarefa 95652 --
ALTER TABLE TW_TAB ADD COLUMN NATMEN Numeric(2) ;




/*-- SEQ 0220 --*/
-- Tarefa 94794 --
CREATE TABLE TD_MVP (
  CODMOT Numeric(5),
  DESMOT VARCHAR(30),
  USOMOT VARCHAR(1),
  CONMOT VARCHAR(1),
  PERMOT Numeric(4),
  DESMAXMOT Numeric(5,2),
  ACRMAXMOT Numeric(5,2),
  TIPMOT VARCHAR(1),
  MOTATI VARCHAR(1)
  )  ;
 
/*-- SEQ 0221 --*/ 
-- Tarefa 94794 --
ALTER TABLE TD_MVP ADD CONSTRAINT PK_MVP PRIMARY KEY (CODMOT);

/*-- SEQ 0222 --*/
-- Tarefa 94794 --
ALTER TABLE TD_MVP ADD CONSTRAINT CK_DMVP_USOMOT CHECK (USOMOT IN ('-','+','2'));

/*-- SEQ 0223 --*/
-- Tarefa 94794 --
ALTER TABLE TD_MVP ADD CONSTRAINT CK_DMVP_TIPMOT CHECK (TIPMOT IN ('I','F','A'));

/*-- SEQ 0224 --*/
-- Tarefa 94794 --
ALTER TABLE TD_MVP ADD CONSTRAINT CK_DMVP_MOTATI CHECK (MOTATI IN ('T','F'));

 /*-- SEQ 0225 --*/
-- Tarefa 94794 --
ALTER TABLE TD_MVP ALTER COLUMN DESMOT SET NOT NULL;
 
/*-- SEQ 0226 --*/
-- Tarefa 94794 --
INSERT INTO TD_MVP (CODMOT, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (SELECT 1, 'Preço errado na prateleira', '2', 'F', 'T', 0, 'I'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_MVP
                       WHERE CODMOT= '1')); 
 
 
/*-- SEQ 0227 --*/
-- Tarefa 94794 --
INSERT INTO TD_MVP (CODMOT, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (SELECT 2, 'Produto com leve avaria', '-', 'F', 'T', 0, 'I'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_MVP
                       WHERE CODMOT= '2')); 
                       
/*-- SEQ 0228 --*/
-- Tarefa 94794 --
INSERT INTO TD_MVP (CODMOT, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (SELECT 3, 'Produto com grave defeito', '-', 'F', 'T', 0, 'I'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_MVP
                       WHERE CODMOT= '3'));                        
                       
/*-- SEQ 0229 --*/
-- Tarefa 94794 --
INSERT INTO TD_MVP (CODMOT, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (SELECT 4, 'Cobrindo anúncio concorrente', '-', 'T', 'T', 0, 'A'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_MVP
                       WHERE CODMOT= '4'));                                               
                       
/*-- SEQ 0230 --*/
-- Tarefa 94794 --
INSERT INTO TD_MVP (CODMOT, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (SELECT 5, 'Negociação', '2', 'F', 'T', 0, 'A'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_MVP
                       WHERE CODMOT= '5'));  

                       /*-- SEQ 0231 --*/
-- Tarefa 94794 --
INSERT INTO TD_MVP (CODMOT, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (SELECT 6, 'Outros', '2', 'F', 'T', 0, 'A'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_MVP
                       WHERE CODMOT= '6'));
                      
/*-- SEQ 0232 --*/
-- Tarefa 94794 --
ALTER TABLE TW_TAB ADD COLUMN CODMOT Numeric(5) ;
                       
                       
/*-- SEQ 0233 --*/
-- Tarefa 94794 --
ALTER TABLE TW_TAB ADD COLUMN DESMOT VARCHAR(30) ;
        

/*-- SEQ 0234 --*/
-- Tarefa 94794 --
ALTER TABLE TW_TAB ADD COLUMN USOMOT VARCHAR(1) ;
                      

/*-- SEQ 0235 --*/
-- Tarefa 94794 --
ALTER TABLE TW_TAB ADD COLUMN CONMOT VARCHAR(1) ;
                      

/*-- SEQ 0236 --*/
-- Tarefa 94794 --
ALTER TABLE TW_TAB ADD COLUMN PERMOT Numeric(4) ;
 

/*-- SEQ 0237 --*/
-- Tarefa 94794 --
ALTER TABLE TW_TAB ADD COLUMN DESMAXMOT Numeric(5,2) ;


/*-- SEQ 0238 --*/
-- Tarefa 94794 --
ALTER TABLE TW_TAB ADD COLUMN ACRMAXMOT Numeric(5,2) ;


/*-- SEQ 0239 --*/
-- Tarefa 94794 --
ALTER TABLE TW_TAB ADD COLUMN TIPMOT VARCHAR(1) ;


/*-- SEQ 0240 --*/
-- Tarefa 94794 --
ALTER TABLE TW_TAB ADD COLUMN MOTATI VARCHAR(1) ;



/*-- SEQ 0241 --*/
-- Tarefa 95660 --
SELECT DISABLETRIGGERS(LOWER('TD_SAD'));

/*-- SEQ 0242 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_SAD ADD COLUMN FLGPES CHAR(1) DEFAULT 'A';

/*-- SEQ 0243 --*/
SELECT ENABLETRIGGERS(LOWER('TD_SAD'));

/*-- SEQ 0244 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95660 --
ALTER TABLE TD_SAD ALTER COLUMN FLGPES SET NOT NULL;

/*-- SEQ 0245 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95660 --
ALTER TABLE TD_SAD ADD CONSTRAINT CK_DSAD_FLGPES CHECK (FLGPES IN ('A','F','J'));

/*-- SEQ 0246 --*/
-- Tarefa 95660 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SAD ADD COLUMN CODSEG VARCHAR(25) ;



/*-- SEQ 0247 --*/
-- Tarefa 94796 --
ALTER TABLE TT_IVE ADD COLUMN CODMOT Numeric(5) ;


/*-- SEQ 0248 --*/
-- Tarefa 94796 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_MVP FOREIGN KEY (CODMOT) REFERENCES TD_MVP(CODMOT);

/*-- SEQ 0249 --*/
-- Tarefa 94796 --
CREATE INDEX I_FK_IVE_MVP ON TT_IVE(CODMOT)  ;

/*-- SEQ 0250 --*/
-- Tarefa 94796 --
ALTER TABLE TT_IVE ADD COLUMN CODCNC Numeric(5) ;


/*-- SEQ 0251 --*/
-- Tarefa 94796 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_CNC FOREIGN KEY (CODCNC) REFERENCES TD_CNC(CODTAB);

/*-- SEQ 0252 --*/
-- Tarefa 94796 --
CREATE INDEX I_FK_IVE_CNC ON TT_IVE(CODCNC)  ;


/*-- SEQ 0253 --*/
-- Tarefa 95635 --
SELECT DISABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0254 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD COLUMN SEP_FAT_RETIRA_DEPOSITO VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0255 --*/
SELECT ENABLETRIGGERS(LOWER('TT_CFG'));

/*-- SEQ 0256 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95635 --
ALTER TABLE TT_CFG ALTER COLUMN SEP_FAT_RETIRA_DEPOSITO SET NOT NULL;

/*-- SEQ 0257 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95635 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_SEP_FAT_RETIRA_DEPOSITO CHECK (SEP_FAT_RETIRA_DEPOSITO IN ('T','F'));

/*-- SEQ 0258 --*/
-- Tarefa 95635 --
SELECT DISABLETRIGGERS(LOWER('TW_CFG'));

/*-- SEQ 0259 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD COLUMN SEP_FAT_RETIRA_DEPOSITO VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0260 --*/
SELECT ENABLETRIGGERS(LOWER('TW_CFG'));


/*-- SEQ 0261 --*/
-- Tarefa 93308 --
ALTER TABLE TD_FIL ADD COLUMN IP_TEF VARCHAR(15) ;


/*-- SEQ 0262 --*/
-- Tarefa 93308 --
ALTER TABLE TD_FIL ADD COLUMN CODTEF VARCHAR(8) ;


/*-- SEQ 0263 --*/
-- Tarefa 93308 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0264 --*/
ALTER TABLE TD_FIL ADD COLUMN TEF_AVISTA VARCHAR(254) DEFAULT '[10;17;18;19;27;28;34;35;45;41;36]';

/*-- SEQ 0265 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0266 --*/
-- Tarefa 93308 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0267 --*/
ALTER TABLE TD_FIL ADD COLUMN TEF_APRAZO VARCHAR(254) DEFAULT '[27;36;24;26;45;41]';

/*-- SEQ 0268 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0269 --*/
-- Tarefa 93308 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0270 --*/
ALTER TABLE TD_FIL ADD COLUMN TEF_ADCIONAIS VARCHAR(254) DEFAULT 'ValorIncluiTaxa=-1;ItemMenuIdentificado=1;';

/*-- SEQ 0271 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0272 --*/
-- Tarefa 93308 --
SELECT DISABLETRIGGERS(LOWER('TD_FIL'));

/*-- SEQ 0273 --*/
ALTER TABLE TD_FIL ADD COLUMN TEF_PARAMETROS VARCHAR(254) DEFAULT '[VersaoAutomacaoCielo=TOTALL4G10]';

/*-- SEQ 0274 --*/
SELECT ENABLETRIGGERS(LOWER('TD_FIL'));


/*-- SEQ 0275 --*/
-- Tarefa 92336 --
ALTER TABLE TD_COB ADD COLUMN COBLET CHAR(1) ;


/*-- SEQ 0276 --*/
-- Tarefa 92336 --
ALTER TABLE TD_COB ADD CONSTRAINT CK_DCOB_COBLET CHECK ((COBLET >= 'A') AND (COBLET <= 'Z'));

/*-- SEQ 0277 --*/
-- Tarefa 92336 --
CREATE UNIQUE INDEX I_UQ_DCOB_COBLET ON TD_COB (COBLET)  ;

/*-- SEQ 0278 --*/
-- Tarefa 92336 --
ALTER TABLE TD_COB ADD COLUMN COBIMG VARCHAR(255) ;


/*-- SEQ 0279 --*/
-- Tarefa 92336 --
SELECT DISABLETRIGGERS(LOWER('TD_COB'));

/*-- SEQ 0280 --*/
ALTER TABLE TD_COB ADD COLUMN COBNIV Numeric(1) DEFAULT 1;

/*-- SEQ 0281 --*/
SELECT ENABLETRIGGERS(LOWER('TD_COB'));

/*-- SEQ 0282 --*/
-- Tarefa 92336 -- 
ALTER TABLE TD_COB ALTER COLUMN COBNIV SET NOT NULL;

/*-- SEQ 0283 --*/
-- Tarefa 92336 --
ALTER TABLE TD_COB ADD CONSTRAINT CK_DCOB_COBNIV CHECK (COBNIV IN (1,2));

/*-- SEQ 0284 --*/
-- Tarefa 92336 --
ALTER TABLE TW_TAB ADD COLUMN COBLET CHAR(1) ;


/*-- SEQ 0285 --*/
-- Tarefa 92336 --
ALTER TABLE TW_TAB ADD COLUMN COBIMG VARCHAR(255) ;


/*-- SEQ 0286 --*/
-- Tarefa 92336 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0287 --*/
ALTER TABLE TW_TAB ADD COLUMN COBNIV Numeric(1) DEFAULT 1;

/*-- SEQ 0288 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));


/*-- SEQ 0289 --*/
-- Tarefa 95662 --
SELECT DISABLETRIGGERS(LOWER('TT_SAD'));

/*-- SEQ 0290 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SAD ADD COLUMN SIGNAT Numeric(5) DEFAULT 0;

/*-- SEQ 0291 --*/
SELECT ENABLETRIGGERS(LOWER('TT_SAD'));

/*-- SEQ 0292 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95662 -- 
ALTER TABLE TT_SAD ALTER COLUMN SIGNAT SET NOT NULL;


/*-- SEQ 0293 --*/
-- Tarefa 95664 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SAV ADD COLUMN FILSAD CHAR(3) ;


/*-- SEQ 0294 --*/
-- Tarefa 95664 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SAV ADD COLUMN SEQSAD CHAR(10) ;


/*-- SEQ 0295 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95664 --
ALTER TABLE TT_SAV ADD CONSTRAINT FK_SAV_SAD FOREIGN KEY (FILSAD,SEQSAD) REFERENCES TT_SAD(CODFIL,SEQUEN);

/*-- SEQ 0296 --*/
-- Tarefa 95664 --
SELECT DISABLETRIGGERS(LOWER('TT_SAV'));

/*-- SEQ 0297 --*/
-- Tarefa 95664 --
  UPDATE TT_SAV
     SET FILSAD = SAD.CODFIL,
         SEQSAD = SAD.SEQUEN
     FROM TT_SAV SAV
  INNER JOIN TD_SAD DSAD ON SAV.CODSAD = DSAD.CODTAB
  INNER JOIN TT_IOR IOR  ON IOR.CODFIL = SAV.FILPED
  AND IOR.TIPPED = SAV.TIPPED 
  AND IOR.NUMPED = SAV.NUMPED 
  AND IOR.NUMITE = SAV.NUMITE 
  INNER JOIN TT_SAD SAD ON SAD.CODSAD = SAV.CODSAD
  AND SAD.FILMAT = IOR.FILMAT
  AND SAD.CODMAT = IOR.CODMAT
  AND SAD.CODCOR = IOR.CODCOR
  AND SAD.CODTAM = IOR.CODTAM;  

/*-- SEQ 0298 --*/
-- Tarefa 95664 --
SELECT ENABLETRIGGERS(LOWER('TT_SAV'));


/*-- SEQ 0299 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95664 --
CREATE INDEX I_FK_SAV_SAD ON TT_SAV(FILSAD,SEQSAD)  ;


/*-- SEQ 0300 --*/ 
/*--IGNORE ERRO--*/ 
-- Tarefa 95580 --  
ALTER TABLE TT_CFG DROP CONSTRAINT CK_CFG_TIPSUGPRO CASCADE;  

/*-- SEQ 0301 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95580 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_TIPSUGPRO CHECK (TIPSUGPRO IN (0, 1, 2));


/*-- SEQ 0302 --*/
-- Tarefa 95439 --
SELECT DISABLETRIGGERS(LOWER('TT_LOT'));

/*-- SEQ 0303 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_LOT ADD COLUMN LOTATI VARCHAR(1) DEFAULT 'T';

/*-- SEQ 0304 --*/
SELECT ENABLETRIGGERS(LOWER('TT_LOT'));

/*-- SEQ 0305 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95439 --
ALTER TABLE TT_LOT ALTER COLUMN LOTATI SET NOT NULL;

/*-- SEQ 0306 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95439 --
ALTER TABLE TT_LOT ADD CONSTRAINT CK_LOT_LOTATI CHECK (LOTATI IN ('F','T'));


/*-- SEQ 0307 --*/
-- Tarefa 95497 --
SELECT DISABLETRIGGERS(LOWER('TT_SAV'));

/*-- SEQ 0308 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SAV ADD COLUMN EXPORT VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0309 --*/
SELECT ENABLETRIGGERS(LOWER('TT_SAV'));

/*-- SEQ 0310 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV ALTER COLUMN EXPORT SET NOT NULL;

/*-- SEQ 0311 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV ADD CONSTRAINT CK_SAV_EXPORT CHECK (EXPORT IN ('T','F'));

/*-- SEQ 0312 --*/
-- Tarefa 95497 --
SELECT DISABLETRIGGERS(LOWER('TT_SAV'));

/*-- SEQ 0313 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SAV ADD COLUMN EXPCAN VARCHAR(1) DEFAULT 'F';

/*-- SEQ 0314 --*/
SELECT ENABLETRIGGERS(LOWER('TT_SAV'));

/*-- SEQ 0315 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV ALTER COLUMN EXPCAN SET NOT NULL;

/*-- SEQ 0316 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV ADD CONSTRAINT CK_SAV_EXPCAN CHECK (EXPORT IN ('T','F'));

/*-- SEQ 0317 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
CREATE INDEX I_LC_SAV_EXPORT ON TT_SAV (EXPORT)  ;

/*-- SEQ 0318 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
CREATE INDEX I_LC_SAV_EXPCAN ON TT_SAV (EXPCAN)  ;


/*-- SEQ 0319 --*/
-- Tarefa 91221 --
CREATE INDEX I_FK_PRO_DIMG ON TT_PRO(CODIMG)  ;


/*-- SEQ 0320 --*/
-- Tarefa 95730 --
ALTER TABLE TD_FIL ADD COLUMN FILENT_REGESP CHAR(3) ;



/*-- SEQ 0321 --*/
-- Tarefa 95732 --
ALTER TABLE TT_IVE ADD COLUMN FILRES CHAR(3) ;


/*-- SEQ 0322 --*/
-- Tarefa 95732 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_FIL FOREIGN KEY (FILRES) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0323 --*/
-- Tarefa 95732 --
CREATE INDEX I_FK_IVE_FIL ON TT_IVE(FILRES)  ;


/*-- SEQ 0324 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95743 --
DROP FUNCTION TGR_IVE_Atualiza_Reserva (TT_IVE.QTDMOV%TYPE,TT_IVE.CODFIL%tYPE,TT_IVE.FILMAT%tYPE,TT_IVE.CODMAT%tYPE,TT_IVE.CODCOR%tYPE,TT_IVE.CODTAM%tYPE,TT_IVE.CODMUL%tYPE) CASCADE;

/*-- SEQ 0325 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95743 --
DROP FUNCTION TGR_IVE_Atualiza_Reserva_Lote (TT_IOR.QTDITE%TYPE,TT_IOR.CODFIL%TYPE,TT_IOR.CODMUL%TYPE,TT_LOT.CODFIL%TYPE,TT_LOT.SEQUEN%TYPE) CASCADE;

/*-- SEQ 0326 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95743 --
DROP FUNCTION Atu_ReservaPendente (TT_IVE.CODFIL%TYPE,TT_IVE.SEQUEN%TYPE,TT_IVE.NUMITE%TYPE,TT_IVE.QTDMOV%TYPE) CASCADE;

/*-- SEQ 0327 --*/
/*-- IGNORE ERRO --*/
/*-- Tarefa 95743 --*/
DROP FUNCTION PC_IVE_AUX_UPDATE (TT_IVE.VEN_DATHOR%TYPE,TT_IVE.CODFIL%TYPE,TT_IVE.FILMAT%TYPE,TT_IVE.CODMAT%TYPE,TT_IVE.CODCOR%TYPE,TT_IVE.CODTAM%TYPE,TT_IVE.DUMMY%TYPE,TT_IVE.SEQUEN%TYPE,TT_IVE.NUMITE%TYPE,TT_IVE.QTDMOV%TYPE) CASCADE;



/*-- SEQ 0328 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
CREATE TABLE TI_INV (
    CODEXT VARCHAR(20),
    CODFIL CHAR(3),
    APEUSU VARCHAR(10),
    DATCRI Timestamp,
    DESINV VARCHAR(40),
    DESEST VARCHAR(30),
    STATUS Numeric(1) DEFAULT 0,
    MOTREJ VARCHAR(255),
    DATIMP Timestamp
)  ;

/*-- SEQ 0329 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
ALTER TABLE TI_INV ALTER COLUMN CODEXT SET NOT NULL;

/*-- SEQ 0330 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
ALTER TABLE TI_INV ALTER COLUMN CODFIL SET NOT NULL;

/*-- SEQ 0331 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
ALTER TABLE TI_INV ALTER COLUMN APEUSU SET NOT NULL;

/*-- SEQ 0332 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
ALTER TABLE TI_INV ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0333 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
ALTER TABLE TI_INV ALTER COLUMN DESINV SET NOT NULL;

/*-- SEQ 0334 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
ALTER TABLE TI_INV ALTER COLUMN STATUS SET NOT NULL;

/*-- SEQ 0335 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
CREATE INDEX I_LC_IINV_STATUS ON TI_INV (STATUS, DATCRI)  ;

/*-- SEQ 0336 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
CREATE TABLE TI_IIN (
    INV_CODEXT VARCHAR(20),
    GRA_CODEXT VARCHAR(20),
    GRA_REFUNI VARCHAR(20),
    QTDCON Numeric(12,4),
    DATCRI Timestamp,
    STATUS Numeric(1) DEFAULT 0,
    MOTREJ VARCHAR(255),
    DATIMP Timestamp
)  ;

/*-- SEQ 0337 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
ALTER TABLE TI_IIN ALTER COLUMN INV_CODEXT SET NOT NULL;

/*-- SEQ 0338 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
ALTER TABLE TI_IIN ALTER COLUMN QTDCON SET NOT NULL;

/*-- SEQ 0339 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
ALTER TABLE TI_IIN ADD CONSTRAINT CK_IIIN_QTDCON CHECK (QTDCON >= 0);

/*-- SEQ 0340 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
ALTER TABLE TI_IIN ALTER COLUMN DATCRI SET NOT NULL;

/*-- SEQ 0341 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
ALTER TABLE TI_IIN ALTER COLUMN STATUS SET NOT NULL;

/*-- SEQ 0342 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95052 --
CREATE INDEX I_LC_IIIN_STATUS ON TI_IIN (STATUS, DATCRI)  ;


/*-- SEQ 0343 --*/
-- Tarefa 95661 --
SELECT DISABLETRIGGERS(LOWER('TW_TAB'));

/*-- SEQ 0344 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_TAB ADD COLUMN FLGPES CHAR(1) DEFAULT 'A';

/*-- SEQ 0345 --*/
SELECT ENABLETRIGGERS(LOWER('TW_TAB'));


/*-- SEQ 0346 --*/
-- Tarefa 95959 --
ALTER TABLE TD_SAD ADD COLUMN REPSAD VARCHAR(254) ;


/*-- SEQ 0347 --*/
-- Tarefa 95959 --
ALTER TABLE TW_TAB ADD COLUMN REPSAD VARCHAR(254) ;



/*-- SEQ 0348 --*/
-- Tarefa 95557 --
ALTER TABLE TT_VEN DROP COLUMN PERDEV CASCADE;

/*-- SEQ 0349 --*/
-- Tarefa 95557 --
ALTER TABLE TT_VEN DROP COLUMN IPIDEV CASCADE;



  DROP TABLE TD_IMG CASCADE;

/*-- SEQ 0350 --*/
-- Tarefa 91217 --
CREATE TABLE TD_IMG (
  CODTAB Numeric(5),
  DESIMG VARCHAR(15),
  LETIMG CHAR(1),
  NOMIMG VARCHAR(255),
  IMGATI VARCHAR(1) DEFAULT 'T')
   ;

/*-- SEQ 0351 --*/
-- Tarefa 91217 --
ALTER TABLE TD_IMG ADD CONSTRAINT PK_DIMG PRIMARY KEY (CODTAB);

/*-- SEQ 0352 --*/
-- Tarefa 91217 -- 
ALTER TABLE TD_IMG ALTER COLUMN DESIMG SET NOT NULL;

/*-- SEQ 0353 --*/
-- Tarefa 91217 -- 
ALTER TABLE TD_IMG ALTER COLUMN IMGATI SET NOT NULL;

/*-- SEQ 0354 --*/
-- Tarefa 91217 --
ALTER TABLE TD_IMG ADD CONSTRAINT CK_DIMG_IMGATI CHECK (IMGATI IN ('T','F'));

/*-- SEQ 0355 --*/
-- Tarefa 91217 -- 
ALTER TABLE TD_IMG ALTER COLUMN LETIMG SET NOT NULL;
 
/*-- SEQ 0356 --*/
-- Tarefa 91217 --
ALTER TABLE TD_IMG ADD CONSTRAINT CK_DIMG_LETIMG CHECK ((LETIMG >= 'A') AND (LETIMG <= 'Z'));

/*-- SEQ 0357 --*/
-- Tarefa 91217 --
CREATE UNIQUE INDEX I_UQ_DIMG_LETIMG ON TD_IMG (LETIMG)  ;

/*-- SEQ 0358 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91217 --
ALTER TABLE TW_TAB DROP COLUMN CODIMG CASCADE;

/*-- SEQ 0359 --*/
-- Tarefa 91217 --
INSERT INTO TD_IMG (CODTAB, DESIMG, LETIMG, NOMIMG, IMGATI)  
  (SELECT 0, 'NÃO USA', 'A', '', 'T'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_IMG
                       WHERE CODTAB= '0')); 








/*-- SEQ 0360 --*/
-- Tarefa 94794 --
  DROP TABLE TD_MVP CASCADE;

/*-- SEQ 0361 --*/
-- Tarefa 94794 --
CREATE TABLE TD_MVP (
  CODTAB Numeric(5),
  DESMOT VARCHAR(30),
  USOMOT VARCHAR(1),
  CONMOT VARCHAR(1),
  PERMOT Numeric(4),
  DESMAXMOT Numeric(5,2),
  ACRMAXMOT Numeric(5,2),
  TIPMOT VARCHAR(1),
  MOTATI VARCHAR(1)
  )  ;
 
/*-- SEQ 0362 --*/ 
-- Tarefa 94794 --
ALTER TABLE TD_MVP ADD CONSTRAINT PK_DMVP PRIMARY KEY (CODTAB);

/*-- SEQ 0363 --*/
-- Tarefa 94794 --
ALTER TABLE TD_MVP ADD CONSTRAINT CK_DMVP_USOMOT CHECK (USOMOT IN ('-','+','2'));

/*-- SEQ 0364 --*/
-- Tarefa 94794 --
ALTER TABLE TD_MVP ADD CONSTRAINT CK_DMVP_TIPMOT CHECK (TIPMOT IN ('I','F','A'));

/*-- SEQ 0365 --*/
-- Tarefa 94794 --
ALTER TABLE TD_MVP ADD CONSTRAINT CK_DMVP_MOTATI CHECK (MOTATI IN ('T','F'));

 /*-- SEQ 0366 --*/
-- Tarefa 94794 --
ALTER TABLE TD_MVP ALTER COLUMN DESMOT SET NOT NULL;
 
/*-- SEQ 0367 --*/
-- Tarefa 94794 --
insert into TD_MVP (CODTAB, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (select 1, 'Preço errado na prateleira', '2', 'F', 'T', 0, 'I'
     from DUAL
    where not exists (select 1 as OK
                        from TD_MVP
                       where CODTAB= '1')); 
  
/*-- SEQ 0368 --*/
-- Tarefa 94794 --
insert into TD_MVP (CODTAB, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (select 2, 'Produto com leve avaria', '-', 'F', 'T', 0, 'I'
     from DUAL
    where not exists (select 1 as OK
                        from TD_MVP
                       where CODTAB= '2')); 
                       
/*-- SEQ 0369 --*/
-- Tarefa 94794 --
insert into TD_MVP (CODTAB, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (select 3, 'Produto com grave defeito', '-', 'F', 'T', 0, 'I'
     from DUAL
    where not exists (select 1 as OK
                        from TD_MVP
                       where CODTAB= '3'));                        
                       
/*-- SEQ 0370 --*/
-- Tarefa 94794 --
insert into TD_MVP (CODTAB, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (select 4, 'Cobrindo anúncio concorrente', '-', 'T', 'T', 0, 'A'
     from DUAL
    where not exists (select 1 as OK
                        from TD_MVP
                       where CODTAB= '4'));                                               
                       
/*-- SEQ 0371 --*/
-- Tarefa 94794 --
insert into TD_MVP (CODTAB, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)  
  (Select 5, 'Negociação', '2', 'F', 'T', 0, 'A'
     from DUAL
    where not exists (select 1 as OK
                        from TD_MVP
                       where CODTAB= '5'));  

/*-- SEQ 0372 --*/
-- Tarefa 94794 --
insert into TD_MVP (CODTAB, DESMOT, USOMOT, CONMOT, MOTATI, PERMOT, TIPMOT)
  (select 6, 'Outros', '2', 'F', 'T', 0, 'A'
     from DUAL
    where not exists (select 1 as OK
                        from TD_MVP
                       where CODTAB= '6'));

/*-- SEQ 0373 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94794 --
ALTER TABLE TW_TAB DROP COLUMN CODMOT CASCADE;

/*-- SEQ 0374 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94794 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_MVP FOREIGN KEY (CODMOT) REFERENCES TD_MVP (CODTAB);


/*-- SEQ 0375 --*/
-- Tarefa 94451 --
ALTER TABLE TT_RDV DROP CONSTRAINT CK_RDV_TIPRDV CASCADE;

/*-- SEQ 0376 --*/
-- Tarefa 94451 --
ALTER TABLE TT_RDV ADD CONSTRAINT CK_RDV_TIPRDV CHECK (TIPRDV IN ('A', 'B', 'C', 'D', 'E', 'H', 'M', 'O', 'S', 'U', 'V', '1', '2', '3', '4', '5', '9', 'X'));

/*-- SEQ 0377 --*/
-- Tarefa 94451 --
SELECT ExecAlteraTipoColuna('TT_ILI','CODEXT','VARCHAR(40)');


/*-- SEQ 0378 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94451 --
ALTER TABLE TT_LIS ALTER COLUMN DATVAL SET NOT NULL;

/*-- SEQ 0379 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94451 --
ALTER TABLE TT_LIS ALTER COLUMN FLGEST SET NOT NULL;

/*-- SEQ 0380 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94451 --
ALTER TABLE TT_ILI ALTER COLUMN SITMOV SET NOT NULL;


/*-- SEQ 0381 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95968 --
SELECT * FROM NADA;

/*-- SEQ 0382 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95968 --
SELECT * FROM NADA;

/*-- SEQ 0383 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95968 --
SELECT * FROM NADA;

/*-- SEQ 0384 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95968 --
SELECT * FROM NADA;

/*-- SEQ 0385 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95968 --
SELECT * FROM NADA;

/*-- SEQ 0386 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95968 --
SELECT * FROM NADA;

/*-- SEQ 0387 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95968 --
SELECT * FROM NADA;

/*-- SEQ 0388 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95968 --
SELECT * FROM NADA;


/*-- SEQ 0389 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94465 --
ALTER TABLE TT_SLI ALTER COLUMN DESLPR SET NOT NULL;

/*-- SEQ 0390 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94465 --
ALTER TABLE TT_SLI ALTER COLUMN SIGNAT SET NOT NULL;


/*-- SEQ 0391 --*/
-- Tarefa 95771 --
ALTER TABLE TT_SAV DROP CONSTRAINT CK_SAV_EXPCAN CASCADE;

/*-- SEQ 0392 --*/
-- Tarefa 95771 --
ALTER TABLE TT_SAV ADD CONSTRAINT CK_SAV_EXPCAN CHECK (EXPCAN IN ('T','F'));

