
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket 2020113694 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0003 --*/
-- Ticket 2020113694 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'NF_APOS_SEPARACAO_RP', 'Gera Nota Fiscal aps separao completa de pedido de reposio?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NF_APOS_SEPARACAO_RP'));

/*-- SEQ 0004 --*/
-- Ticket 2020113694 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0005 --*/
-- Ticket 2020113694 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0006 --*/
-- Ticket 2020113694 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'NF_APOS_SEPARACAO_RP'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0007 --*/
-- Ticket 2020113694 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
ALTER TABLE TT_GRA ADD COLUMN SUGHED VARCHAR(1) ;


/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
ALTER TABLE TT_GRA ADD COLUMN GERSUG VARCHAR(1) ;


/*-- SEQ 0010 --*/
-- Ticket 2020113693 --
SELECT DISABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
UPDATE TT_GRA 
   SET SUGHED = 'F';
   
/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
UPDATE TT_GRA 
   SET GERSUG = 'F'; 

/*-- SEQ 0013 --*/
-- Ticket 2020113693 --
SELECT ENABLETRIGGERS(LOWER('TT_GRA'));

/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
ALTER TABLE TT_GRA ALTER COLUMN GERSUG SET DEFAULT 'F';

/*-- SEQ 0015 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
ALTER TABLE TT_GRA ALTER COLUMN SUGHED SET DEFAULT 'F';

/*-- SEQ 0016 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
ALTER TABLE TT_GRA ALTER COLUMN SUGHED SET NOT NULL;

/*-- SEQ 0017 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020113693 --
ALTER TABLE TT_GRA ALTER COLUMN GERSUG SET NOT NULL;


/*-- SEQ 0018 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAY ADD COLUMN TIP_LGPD VARCHAR(1) ;


/*-- SEQ 0019 --*/
-- Ticket 2021018889 --
SELECT DISABLETRIGGERS(LOWER('TT_LAY'));
  
/*-- SEQ 0020 --*/
-- Ticket 2021018889 --
UPDATE TT_LAY 
   SET TIP_LGPD = 'D'; 

/*-- SEQ 0021 --*/
-- Ticket 2021018889 --
SELECT ENABLETRIGGERS(LOWER('TT_LAY'));

/*-- SEQ 0022 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAY ALTER COLUMN TIP_LGPD SET DEFAULT 'D';

/*-- SEQ 0023 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAY ADD CONSTRAINT CK_LAY_TIP_LGPD CHECK (TIP_LGPD IN ('D', 'P', 'S'));

/*-- SEQ 0024 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAY ALTER COLUMN TIP_LGPD SET NOT NULL;



/*-- SEQ 0025 --*/
-- Ticket 2021018889 --
CREATE TABLE TT_LAYXLGPD (
   ID_LAYXLGPD Numeric(10),
   CODTAB CHAR(4),
   NOMCPO VARCHAR(30),
   TIP_LGPD VARCHAR(1),
   DATINC Timestamp,
   ATU_EM Timestamp
  )  ;

/*-- SEQ 0026 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAYXLGPD ADD CONSTRAINT PK_LAYXLGPD PRIMARY KEY (ID_LAYXLGPD);

/*-- SEQ 0027 --*/
-- Ticket 2021018889 --
CREATE SEQUENCE SQLAYXLGPD INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0028 --*/
-- Ticket 2021018889 --
CREATE UNIQUE INDEX I_UQ_LAYXLGPD ON TT_LAYXLGPD (CODTAB, NOMCPO)  ;

/*-- SEQ 0029 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAYXLGPD ALTER COLUMN TIP_LGPD SET DEFAULT 'D';

/*-- SEQ 0030 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAYXLGPD ALTER COLUMN CODTAB SET NOT NULL;

/*-- SEQ 0031 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAYXLGPD ALTER COLUMN NOMCPO SET NOT NULL;

/*-- SEQ 0032 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAYXLGPD ALTER COLUMN TIP_LGPD SET NOT NULL;

/*-- SEQ 0033 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAYXLGPD ALTER COLUMN DATINC SET NOT NULL;

/*-- SEQ 0034 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAYXLGPD ALTER COLUMN ATU_EM SET NOT NULL;

/*-- SEQ 0035 --*/
-- Ticket 2021018889 --
ALTER TABLE TT_LAYXLGPD ADD CONSTRAINT CK_LAYXLGPD_TIP_LGPD CHECK (TIP_LGPD IN ('D', 'P', 'S'));

/*-- SEQ 0036 --*/
-- Ticket 2021018889 --
CREATE TABLE TL_LAYXLGPD (
   ID_LLAYXLGPD Numeric(10),
   ID_LAYXLGPD Numeric(10),
   DATOPE Timestamp,
   FILUSU CHAR(3),
   CODUSU CHAR(3),
   MSGLOG VARCHAR(4000),
   CODUID Numeric
  )  ;

/*-- SEQ 0037 --*/
-- Ticket 2021018889 --
ALTER TABLE TL_LAYXLGPD ADD CONSTRAINT PK_LLAYXLGPD PRIMARY KEY (ID_LLAYXLGPD);

/*-- SEQ 0038 --*/
-- Ticket 2021018889 --
CREATE SEQUENCE SQLLAYXLGPD INCREMENT 1 START 1 MINVALUE 1;


/*-- SEQ 0039 --*/
-- Ticket 2021018889 --
ALTER TABLE TL_LAYXLGPD ADD CONSTRAINT FK_LLAYXLGPD_LAYXLGPD FOREIGN KEY (ID_LAYXLGPD) REFERENCES TT_LAYXLGPD (ID_LAYXLGPD);

/*-- SEQ 0040 --*/
-- Ticket 2021018889 --
CREATE INDEX I_FK_LLAYXLGPD_LAYXLGPD ON TL_LAYXLGPD (ID_LAYXLGPD)  ;

/*-- SEQ 0041 --*/
-- Ticket 2021018889 --
ALTER TABLE TL_LAYXLGPD ADD CONSTRAINT FK_LLAYXLGPD_USU FOREIGN KEY (FILUSU,CODUSU) REFERENCES TT_USU (FILUSU,CODUSU);

/*-- SEQ 0042 --*/
-- Ticket 2021018889 --
CREATE INDEX I_FK_LLAYXLGPD_USU ON TL_LAYXLGPD (FILUSU,CODUSU)  ;

/*-- SEQ 0043 --*/
-- Ticket 2021018889 --
ALTER TABLE TL_LAYXLGPD ADD CONSTRAINT FK_LLAYXLGPD_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0044 --*/
-- Ticket 2021018889 --
CREATE INDEX I_FK_LLAYXLGPD_UID ON TL_LAYXLGPD (CODUID)  ;

/*-- SEQ 0045 --*/
-- Ticket 2021018889 --
ALTER TABLE TL_LAYXLGPD ALTER COLUMN ID_LAYXLGPD SET NOT NULL;

/*-- SEQ 0046 --*/
-- Ticket 2021018889 --
ALTER TABLE TL_LAYXLGPD ALTER COLUMN DATOPE SET NOT NULL;

/*-- SEQ 0047 --*/
-- Ticket 2021018889 --
ALTER TABLE TL_LAYXLGPD ALTER COLUMN FILUSU SET NOT NULL;

/*-- SEQ 0048 --*/
-- Ticket 2021018889 --
ALTER TABLE TL_LAYXLGPD ALTER COLUMN CODUSU SET NOT NULL;


/*-- SEQ 0049 --*/
-- Ticket 2021016627 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0050 --*/
-- Ticket 2021016627 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'OBRIGA_TIPPGT_TELEVE', 'Obrigatrio informar o Tipo de Pagamento quando DAV/Pr-Venda com Televendas?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OBRIGA_TIPPGT_TELEVE'));

/*-- SEQ 0051 --*/
-- Ticket 2021016627 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0052 --*/
-- Ticket 2021016627 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0053 --*/
-- Ticket 2021016627 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'OBRIGA_TIPPGT_TELEVE'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0054 --*/
-- Ticket 2021016627 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));




/*-- SEQ 0055 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020096057 --
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric,Numeric,VARCHAR,VARCHAR,VARCHAR,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020096057 --
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric,Numeric,VARCHAR,VARCHAR,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020096057 --
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric,Numeric,VARCHAR,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020096057 --
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric,Numeric,VARCHAR,VARCHAR) CASCADE;

/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020096057 --
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric,Numeric,VARCHAR) CASCADE;

/*-- SEQ 0060 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020096057 --
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR,VARCHAR,Numeric) CASCADE;

/*-- SEQ 0061 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020096057 --
DROP FUNCTION SUGESTAOCOMPRA (INTEGER,Timestamp,Timestamp,Timestamp,TT_GRA.FILMAT%TYPE,TT_GRA.CODMAT%TYPE,TT_GRA.CODCOR%TYPE,TT_GRA.CODTAM%TYPE,VARCHAR) CASCADE;



/*-- SEQ 0062 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021021208 --
SELECT ExecAlteraTipoColuna('TD_FIL','DATBAS','VARCHAR(254)');


/*-- SEQ 0063 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021021208 --
ALTER TABLE TD_FIL ADD COLUMN PORTA_DB Numeric(10,0) ;


/*-- SEQ 0064 --*/
-- Ticket 2021021208 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0065 --*/
-- Ticket 2021021208 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PORTA_DB', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PORTA_DB'));

/*-- SEQ 0066 --*/
-- Ticket 2021021208 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0067 --*/
-- Ticket 2021016609 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0068 --*/
-- Ticket 2021016609 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'USA_ORC_KIT_SEP', 'Permitir vender Kit quando "Utiliza separao para entrega?". Ativar quando no utilizar Delivery.', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USA_ORC_KIT_SEP'));

/*-- SEQ 0069 --*/
-- Ticket 2021016609 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0070 --*/
-- Ticket 2021016609 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0071 --*/
-- Ticket 2021016609 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'USA_ORC_KIT_SEP'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0072 --*/
-- Ticket 2021016609 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0073 --*/
-- Ticket 2021015169 --
SELECT ExecAlteraTipoColuna('TI_CLI','NUMFAX','VARCHAR(10)');



/*-- SEQ 0074 --*/
-- Ticket 2021017406 --
ALTER TABLE TT_ORC ADD COLUMN NUMPEDCOM VARCHAR(20) ;


/*-- SEQ 0075 --*/
-- Ticket 2021017406 --
ALTER TABLE TT_IOR ADD COLUMN NUMPEDCOM VARCHAR(20) ;


/*-- SEQ 0076 --*/
-- Ticket 2021017406 --
ALTER TABLE TT_IOR ADD COLUMN ITEPEDCOM Numeric(10) ;


/*-- SEQ 0077 --*/
-- Ticket 2021017406 --
ALTER TABLE TT_IVE ADD COLUMN NUMPEDCOM VARCHAR(20) ;


/*-- SEQ 0078 --*/
-- Ticket 2021017406 --
ALTER TABLE TT_IVE ADD COLUMN ITEPEDCOM Numeric(10) ;





/*-- SEQ 0079 --*/
-- Ticket 2021019189 --
SELECT ExecAlteraTipoColuna('TW_TAB','REGIAO','VARCHAR(30)');


/*-- SEQ 0080 --*/
-- Ticket 2021019189 --
SELECT ExecAlteraTipoColuna('TD_REG','REGIAO','VARCHAR(30)');



/*-- SEQ 0081 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
ALTER TABLE TT_GATXPRO ADD CONSTRAINT FK_GATXPRO_DIV FOREIGN KEY (CODCOR) REFERENCES TT_DIV (CODITE);

/*-- SEQ 0082 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
CREATE INDEX I_FK_GATXPRO_DIV ON TT_GATXPRO (CODCOR)  ;

/*-- SEQ 0083 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
ALTER TABLE TT_GATXPRO ADD CONSTRAINT FK_GATXPRO_SUB FOREIGN KEY (CODTAM) REFERENCES TT_SUB (CODITE);

/*-- SEQ 0084 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
CREATE INDEX I_FK_GATXPRO_SUB ON TT_GATXPRO (CODTAM)  ;

/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
ALTER TABLE TT_GATXAPL ADD CONSTRAINT FK_GATXAPL_DIV FOREIGN KEY (CODCOR) REFERENCES TT_DIV (CODITE);

/*-- SEQ 0086 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
CREATE INDEX I_FK_GATXAPL_DIV ON TT_GATXAPL (CODCOR)  ;

/*-- SEQ 0087 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
ALTER TABLE TT_GATXAPL ADD CONSTRAINT FK_GATXAPL_SUB FOREIGN KEY (CODTAM) REFERENCES TT_SUB (CODITE);

/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
CREATE INDEX I_FK_GATXAPL_SUB ON TT_GATXAPL (CODTAM)  ;

/*-- SEQ 0089 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021023411 --
ALTER TABLE TT_GATXAPL DROP CONSTRAINT CK_GATXAPL_TIPFILAPL CASCADE;


/*-- SEQ 0090 --*/
-- Ticket 2021034619 --
SELECT ExecAlteraTipoColuna('TT_IUF','PERDIF','Numeric(7,4)');


/*-- SEQ 0091 --*/
-- Ticket 2021034619 --
SELECT ExecAlteraTipoColuna('TT_ICO','PERDIF','Numeric(7,4)');


/*-- SEQ 0092 --*/
-- Ticket 2021034619 --
SELECT ExecAlteraTipoColuna('TT_IVE','PERDIF','Numeric(7,4)');



/*-- SEQ 0093 --*/
-- Ticket 2020065662 --
ALTER TABLE TL_SRV_MID DROP CONSTRAINT CK_LSVM_ORILOG CASCADE;

/*-- SEQ 0094 --*/
-- Ticket 2020065662 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0095 --*/
-- Ticket 2020065662 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'MIDDLEWAREREST_HOST', 'IP do Servidor do Middleware Matriz para comunicao no padro REST Full', 'T', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'MIDDLEWAREREST_HOST'));

/*-- SEQ 0096 --*/
-- Ticket 2020065662 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'MIDDLEWAREREST_PORT', 'Porta do Servidor do Middleware Matriz para comunicao no padro REST Full', 'I', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'MIDDLEWAREREST_PORT'));

/*-- SEQ 0097 --*/
-- Ticket 2020065662 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'TABELA_CATEGORIA_INT', 'Cdigo da Tabela de Classes(1, 2, 3, 4) para envio como Categoria na integrao "Mercos e etc.".', 'I', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TABELA_CATEGORIA_INT'));

/*-- SEQ 0098 --*/
-- Ticket 2020065662 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0099 --*/
-- Ticket 2021016609 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0100 --*/
-- Ticket 2021016609 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRTXT)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, CFG.GX_CFGMIDDLEWARE_HOST
   FROM TT_PCS PCS
  CROSS JOIN GX_CFG CFG
  WHERE PCS.NOMPCS = 'MIDDLEWAREREST_HOST'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0101 --*/
-- Ticket 2021016609 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRINT)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 9000 -- Porta padro do novo servidor
   FROM TT_PCS PCS
  CROSS JOIN GX_CFG CFG
  WHERE PCS.NOMPCS = 'MIDDLEWAREREST_PORT'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0102 --*/
-- Ticket 2021016609 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRINT)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 1
   FROM TT_PCS PCS
  CROSS JOIN GX_CFG CFG
  WHERE PCS.NOMPCS = 'TABELA_CATEGORIA_INT'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0103 --*/
-- Ticket 2021016609 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0104 --*/
-- Ticket 2020065662 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0105 --*/
-- Ticket 2020065662 --
UPDATE TT_PCS SET DESPCS = 'Cdigo da Tabela de Classes(1, 2, 3, 4) para envio como Categoria na integrao "Mercos e etc.".'
 WHERE NOMPCS = 'TABELA_CATEGORIA_INT';

/*-- SEQ 0106 --*/
-- Ticket 2020065662 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'TABELA_SEGMENTO_INT', 'Cdigo da Tabela de Categoria(1, 2, 3) para envio como Segmento na integrao "Mercos e etc.".', 'I', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TABELA_SEGMENTO_INT'));

/*-- SEQ 0107 --*/
-- Ticket 2020065662 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'NUM_CHR_PREF_CT_ECOM', 'Nmero de caracteres de prefixo da categoria de cliente para E-Commerce.', 'I', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NUM_CHR_PREF_CT_ECOM'));

/*-- SEQ 0108 --*/
-- Ticket 2020065662 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0109 --*/
-- Ticket 2020065662 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0110 --*/
-- Ticket 2020065662 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRINT)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 1
   FROM TT_PCS PCS
  CROSS JOIN GX_CFG CFG
  WHERE PCS.NOMPCS = 'TABELA_SEGMENTO_INT'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0111 --*/
-- Ticket 2020065662 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0112 --*/
-- Ticket 2021048507 --
SELECT DISABLETRIGGERS(LOWER('TD_NAT'));

/*-- SEQ 0113 --*/
-- Ticket 2021048507 --
UPDATE TD_NAT
   SET NATMEN = COALESCE((SELECT MAX(NATMEN) FROM TD_NAT WHERE NATMEN IS NOT NULL), 0) + 1
 WHERE (SELECT count(*)
          FROM TD_NAT
         WHERE NATMEN IS NOT NULL
           AND NATDEN = '510200') = 0
  AND NATDEN = '510200';

/*-- SEQ 0114 --*/
-- Ticket 2021048507 --
UPDATE TD_NAT
   SET NATMEN = COALESCE((SELECT MAX(NATMEN) FROM TD_NAT WHERE NATMEN IS NOT NULL), 0) + 1
 WHERE (SELECT count(*)
          FROM TD_NAT
         WHERE NATMEN IS NOT NULL
           AND NATDEN = '592900') = 0
  AND NATDEN = '592900';

/*-- SEQ 0115 --*/
-- Ticket 2021048507 --
UPDATE TD_NAT
   SET NATMEN = COALESCE((SELECT MAX(NATMEN) FROM TD_NAT WHERE NATMEN IS NOT NULL), 0) + 1
 WHERE (SELECT count(*)
          FROM TD_NAT
         WHERE NATMEN IS NOT NULL
           AND NATDEN = '510299') = 0
  AND NATDEN = '510299';

/*-- SEQ 0116 --*/
-- Ticket 2021048507 --
SELECT ENABLETRIGGERS(LOWER('TD_NAT'));


/*-- SEQ 0117 --*/
-- Ticket 2021039659 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0118 --*/
-- Ticket 2021039659 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'IMP_FICHA_CAD_POS', 'Imprimir Ficha Cadastral de Cliente ao Final do cadastro no PoS', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'IMP_FICHA_CAD_POS'));

/*-- SEQ 0119 --*/
-- Ticket 2021039659 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0120 --*/
-- Ticket 2021039659 --
SELECT DISABLETRIGGERS(LOWER('TT_IPC'));

/*-- SEQ 0121 --*/
-- Ticket 2021039659 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT NEXTVAL('SQIPC'), Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  CROSS JOIN GX_CFG CFG
  WHERE PCS.NOMPCS = 'IMP_FICHA_CAD_POS'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0122 --*/
-- Ticket 2021039659 --
SELECT ENABLETRIGGERS(LOWER('TT_IPC'));


/*-- SEQ 0123 --*/
-- Ticket 2021056342 --
SELECT DISABLETRIGGERS(LOWER('TT_DEL'));

/*-- SEQ 0124 --*/
-- Ticket 2021056342 --
UPDATE TT_DEL 
   SET ATU_EM = AGORA()
 WHERE ATU_EM >= TO_DATE('01/01/2021','DD/MM/YYYY');

/*-- SEQ 0125 --*/
-- Ticket 2021056342 --
SELECT ENABLETRIGGERS(LOWER('TT_DEL'));


/*-- SEQ 0126 --*/
-- Ticket 2021039659 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0127 --*/
-- Ticket 2021039659 --
UPDATE TT_PCS set DESPCS = 'Imprimir ficha cadastral de cliente ao final do cadastro no POS'
  WHERE NOMPCS = 'IMP_FICHA_CAD_POS';

/*-- SEQ 0128 --*/
-- Ticket 2021039659 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));


/*-- SEQ 0129 --*/
-- Ticket 2021039659 --
SELECT DISABLETRIGGERS(LOWER('TT_FUN'));

/*-- SEQ 0130 --*/
-- Ticket 2021039659 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ALT_EMBQTD', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ALT_EMBQTD'));

/*-- SEQ 0131 --*/
-- Ticket 2021039659 --
SELECT ENABLETRIGGERS(LOWER('TT_FUN'));


/*-- SEQ 0132 --*/
-- Ticket 2021068089 --
SELECT DISABLETRIGGERS(LOWER('TT_PCS'));

/*-- SEQ 0133 --*/
-- Ticket 2021068089 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT NEXTVAL('SQPCS'), Agora(), Agora(), 'EXP_NUMDAV_EME4', 'Exporta nmero do DAV/Pr-Venda na exportao EME4?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EXP_NUMDAV_EME4'));

/*-- SEQ 0134 --*/
-- Ticket 2021068089 --
SELECT ENABLETRIGGERS(LOWER('TT_PCS'));

